webpackJsonp([20],{

/***/ 1064:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SearchPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_Helper__ = __webpack_require__(173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_AuthService__ = __webpack_require__(175);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_AlertService__ = __webpack_require__(97);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__environments_environment__ = __webpack_require__(1065);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





//providers






//env

var SearchPage = (function () {
    function SearchPage(navCtrl, navParams, viewCtrl, http, zone, loadingCtrl, storage, events, ds, auth, toast, alert, _storage, inAppStorageProvider, helperService, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.http = http;
        this.zone = zone;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.events = events;
        this.ds = ds;
        this.auth = auth;
        this.toast = toast;
        this.alert = alert;
        this._storage = _storage;
        this.inAppStorageProvider = inAppStorageProvider;
        this.helperService = helperService;
        this.platform = platform;
        this.autoCompleteList = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"]();
        this.autocompleteItems = [];
        this.service = new google.maps.places.AutocompleteService();
        this.latitude = 0;
        this.longitude = 0;
        this.listSection = "bloodDonation";
        this.oppSelect = true;
        this.acService = new google.maps.places.AutocompleteService();
        this.autocompleteItems = [];
        this.autocomplete = {
            location: ""
        };
    }
    SearchPage.prototype.ionViewDidLoad = function () {
    };
    SearchPage.prototype.dismiss = function () {
        this.viewCtrl.dismiss();
    };
    SearchPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        // this.getBloodDonaActivities("1234")
        // this.searchBloodDonationTitle();
        this.oppSelect = true;
        this.bloodSelect = false;
        this.campaignSelect = false;
        this.searchCategory = 'opportunity';
        this.searchOppertunityTitle('');
        // this.searchCampaignTitle()
        //  this.getAllTitles();
        this._storage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                _this.userdetails = _this._storage.getUser();
            }
        });
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    SearchPage.prototype.getAllTitles = function (category, name) {
        var _this = this;
        if (name) {
            if (category == 'opportunity') {
                this.searchCategory = 'opportunity';
                this.titlesUrl = 'public/' + this.searchCategory + '?name=' + name + '&orgType=edu';
                this.prefs = {
                    url: this.titlesUrl,
                    public: true,
                    dont_handle_error: false,
                };
            }
            else if (category == 'bloodDonation') {
                this.searchCategory = category;
                this.titlesUrl = 'public/' + this.searchCategory + '/search/' + this.searchCategory + '?name=' + name + '&orgType=edu';
                this.prefs = {
                    url: this.titlesUrl,
                    public: true,
                    dont_handle_error: false,
                };
            }
            if (this.autocomplete && this.autocomplete.pincode) {
                this.titlesUrl += "&location=" + this.autocomplete.pincode;
                this.prefs = {
                    url: this.titlesUrl,
                    public: true,
                    dont_handle_error: false,
                };
            }
            this.ds.getAllTitles(this.prefs, function (getAllTitles) {
                _this.items = getAllTitles;
                if (_this.items.length > 0) {
                    _this.notFoundSts = false;
                }
                else {
                    _this.notFoundSts = true;
                }
            }, function (err) {
            });
        }
        else {
            this.items = [];
        }
    };
    SearchPage.prototype.chooseItem = function (item) {
        var _this = this;
        this.autocomplete.location = item;
        this.resultPlaces = false;
        var geocoder = new google.maps.Geocoder();
        this.helperService.getZipCode(item, function (data) {
            _this.autocomplete.city = data.city;
            _this.autocomplete.state = data.state;
            _this.autocomplete.country = data.country;
            _this.autocomplete.pincode = data.zipCode;
            if (_this.selectName && _this.autocomplete.pincode) {
                if (_this.listSection == 'opportunity') {
                    _this.getVolunteerBothActivities(_this.selectName, _this.autocomplete.pincode);
                }
                else if (_this.listSection == 'bloodDonation') {
                    _this.getBloodDonaBothActivities(_this.selectName, _this.autocomplete.pincode);
                }
            }
            else if (_this.autocomplete.pincode) {
                if (_this.listSection == 'opportunity') {
                    _this.searchType = "pincode";
                    _this.getVolunteerActivities(_this.autocomplete.pincode, _this.searchType);
                }
                else if (_this.listSection == 'bloodDonation') {
                    _this.searchType = "pincode";
                    _this.getBloodDonaActivities(_this.autocomplete.pincode, _this.searchType);
                }
            }
            else if (_this.selectName) {
                if (_this.listSection == 'opportunity') {
                    _this.searchType = "title";
                    _this.getVolunteerActivities(_this.selectName, _this.searchType);
                }
                else if (_this.listSection == 'bloodDonation') {
                    _this.searchType = "title";
                    _this.getBloodDonaActivities(_this.selectName, _this.searchType);
                }
            }
            _this.storage.set("ZipCode", _this.autocomplete.pincode);
        });
    };
    // Get volunteer List
    SearchPage.prototype.getVolunteerActivities = function (getZipcode, type) {
        var _this = this;
        if (type == 'pincode') {
            this.prefs = {
                url: "public/opportunity/search/location/title?location=" + getZipcode + "&name&&orgType=edu",
                public: true,
                dont_handle_error: false,
                dont_show_loader: false
            };
        }
        else if (type == 'title') {
            this.searchCategory = "opportunity";
            this.titlesUrl = 'public/' + this.searchCategory + '?name=' + getZipcode + '&orgType=edu';
            this.prefs = {
                url: this.titlesUrl,
                public: true,
                dont_handle_error: false,
                dont_show_loader: false
            };
        }
        this.ds.getVolunteerActivities(this.prefs, function (result) {
            _this.items = result;
            _this.listSection = "opportunity";
            if (_this.items.length > 0) {
                _this.notFoundSts = false;
            }
            else {
                _this.notFoundSts = true;
            }
        }, function (error) {
            _this.items = [];
            _this.listSection = "opportunity";
            _this.notFoundSts = true;
            _this.notFoundMessage = "No activities found";
        });
    };
    // Get blood donation list
    SearchPage.prototype.getBloodDonaActivities = function (getZipcode, type) {
        var _this = this;
        if (type == 'pincode') {
            this.prefs = {
                url: "public/bloodDonation/search/location/title?location=" + getZipcode + "&name&orgType=edu",
                public: true,
                dont_handle_error: false,
                dont_show_loader: false
            };
        }
        else if (type == 'title') {
            this.searchCategory = "bloodDonation";
            this.titlesUrl = 'public/' + this.searchCategory + '/search/' + this.searchCategory + '?name=' + getZipcode + '&orgType=edu';
            this.prefs = {
                url: this.titlesUrl,
                public: true,
                dont_handle_error: false,
                dont_show_loader: false
            };
        }
        this.ds.getBloodDonaActivities(this.prefs, function (result) {
            _this.items = result;
            if (_this.items.length > 0) {
                _this.notFoundSts = false;
            }
            else {
                _this.notFoundSts = true;
            }
            _this.listSection = "bloodDonation";
        }, function (error) {
            _this.items = [];
            _this.listSection = "bloodDonation";
            _this.notFoundSts = true;
            _this.notFoundMessage = "No activities found";
        });
    };
    SearchPage.prototype.updateSearch = function () {
        if (this.autocompleteItems.indexOf(this.autocomplete.location) < 0) {
            this.resultPlaces = true;
            if (this.autocomplete.location === "") {
                this.autocompleteItems = [];
                return;
            }
            var me_1 = this;
            this.service.getPlacePredictions({
                input: this.autocomplete.location,
                componentRestrictions: { country: "" }
            }, function (predictions, status) {
                me_1.autocompleteItems = [];
                me_1.zone.run(function () {
                    if (predictions != null) {
                        predictions.forEach(function (prediction) {
                            me_1.autocompleteItems.push(prediction.description);
                        });
                    }
                    else {
                    }
                });
            });
        }
    };
    // loader display
    SearchPage.prototype.showLoader = function () {
        this.loading = this.loadingCtrl.create({
            content: "Please wait..."
        });
        this.loading.present();
    };
    /*Search List*/
    SearchPage.prototype.searchBloodDonationTitle = function (value) {
        var _this = this;
        this.selectName = '';
        this.bloodSelect = true;
        this.oppSelect = false;
        this.campaignSelect = false;
        this.showLoader();
        this.benificiaryNames = [];
        this.searchCategory = value;
        var bloodUrl = __WEBPACK_IMPORTED_MODULE_11__environments_environment__["a" /* environment */].BASE_URL + "public/bloodDonation";
        var headers = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Headers */]();
        headers.append("Content-Type", "application/json");
        headers.append("Accept", "application/json");
        headers.append("client_id", "sahave-r4-app");
        headers.append("client_secret", "Yv77U5529j7ii5NX3ddk");
        this.http.get(bloodUrl, { headers: headers }).map(function (res) { return res.json(); }).subscribe(function (result) {
            var allBloodresult = result;
        }, function (error) {
            _this.loading.dismiss();
        });
    };
    SearchPage.prototype.initializeItems = function (Titles) {
        this.items = Titles;
    };
    SearchPage.prototype.clickTitle = function (titleName) {
        this.selectName = titleName;
        this.titleList = false;
        if (this.oppSelect == true) {
            var opperUrl = __WEBPACK_IMPORTED_MODULE_11__environments_environment__["a" /* environment */].BASE_URL + "public/opportunity/search/location/title?location&name=" + this.selectName;
            this.titleSearchService(opperUrl, "oppertunity");
        }
        else if (this.bloodSelect == true) {
            var bloodUrl = __WEBPACK_IMPORTED_MODULE_11__environments_environment__["a" /* environment */].BASE_URL + "public/blooddonation/search/location/title?location&name==" + this.selectName;
            this.titleSearchService(bloodUrl, "bloodDonation");
        }
        else if (this.campaignSelect == true) {
            var campaignUrl = __WEBPACK_IMPORTED_MODULE_11__environments_environment__["a" /* environment */].BASE_URL + "public/campaign/search/location/title?location&name==" + this.selectName;
            this.titleSearchService(campaignUrl, "campaign");
        }
    };
    SearchPage.prototype.goToAllListPage = function (opportunity) {
        var _this = this;
        if (this.token) {
            var redirect_1;
            this._storage.getUser().then(function (result) {
                _this.userDetails = result;
                if (_this.userDetails.userId == opportunity.contactId) {
                    _this.inAppStorageProvider.setUserOrg({
                        org: true
                    });
                    _this.navCtrl.push('VolDetailsPage', {
                        'volunteerhomedata': opportunity,
                        'sourcePage': 'searchResults',
                        'role': 'admin',
                        'data': [opportunity]
                    });
                }
                else if (opportunity.accepted_volunteers.length > 0) {
                    for (var i = 0; opportunity.accepted_volunteers.length > i; i++) {
                        if ((_this.userDetails.userId == opportunity.accepted_volunteers[i].user.user_id) &&
                            opportunity.accepted_volunteers[i].isCoOrganizer) {
                            redirect_1 = true;
                            break;
                        }
                        else {
                            redirect_1 = false;
                        }
                    }
                    if (!redirect_1) {
                        _this.inAppStorageProvider.setUserOrg({
                            org: false
                        });
                        _this.navCtrl.push('VolDetailsPage', {
                            'volunteerhomedata': opportunity,
                            'sourcePage': 'searchResults',
                            'role': 'volunteer',
                            'data': [opportunity]
                        });
                    }
                    else {
                        _this.inAppStorageProvider.setUserOrg({
                            org: true
                        });
                        _this.navCtrl.push('VolDetailsPage', {
                            'volunteerhomedata': opportunity,
                            'sourcePage': 'searchResults',
                            'role': 'admin',
                            'data': [opportunity]
                        });
                    }
                }
                else {
                    _this.inAppStorageProvider.setUserOrg({
                        org: false
                    });
                    _this.navCtrl.push('VolDetailsPage', {
                        'volunteerhomedata': opportunity,
                        'sourcePage': 'searchResults',
                        'role': 'volunteer',
                        'data': [opportunity]
                    });
                }
            });
        }
        else {
            this.inAppStorageProvider.setUserOrg({
                org: false
            });
            this.navCtrl.push('VolDetailsPage', {
                'volunteerhomedata': opportunity,
                'sourcePage': 'searchResults',
                'role': 'volunteer',
                'data': [opportunity]
            });
        }
    };
    SearchPage.prototype.searchOppertunityTitle = function (value) {
        this.selectName = '';
        this.oppSelect = true;
        this.bloodSelect = false;
        this.campaignSelect = false;
        this.opperNamesArr = [];
        this.searchCategory = value;
    };
    SearchPage.prototype.gotoBloodDonationPage = function (bloodDonationData) {
        this.navCtrl.push('BdDetailsPage', {
            'bloodIdd': bloodDonationData.bloodDonationId, 'activity': bloodDonationData
        });
    };
    SearchPage.prototype.gotoVolunteerPage = function (opportunity) {
        if (this.token) {
            if (this.userdetails.userId == opportunity.contactId) {
                this.userTypee = {
                    org: true
                };
                this.inAppStorageProvider.setUserOrg(this.userTypee);
                this.navCtrl.push('OpporDetailsPage', {
                    'volunteerhomedata': opportunity,
                    'sourcePage': 'activitiesCard',
                    'role': 'admin'
                });
            }
            else if (opportunity.accepted_volunteers.length) {
                for (var i = 0; opportunity.accepted_volunteers.length > i; i++) {
                    if ((this.userdetails.userId == opportunity.accepted_volunteers[i].user.user_id) &&
                        opportunity.accepted_volunteers[i].isCoOrganizer) {
                        this.redirect = true;
                        break;
                    }
                    else {
                        this.redirect = false;
                    }
                }
                if (!this.redirect) {
                    this.userTypee = {
                        org: false
                    };
                    this.inAppStorageProvider.setUserOrg(this.userTypee);
                    this.navCtrl.push('OpporDetailsPage', {
                        'volunteerhomedata': opportunity,
                        'sourcePage': 'activitiesCard',
                        'role': 'volunteer'
                    });
                }
                else {
                    this.userTypee = {
                        org: true
                    };
                    this.inAppStorageProvider.setUserOrg(this.userTypee);
                    this.navCtrl.push('OpporDetailsPage', {
                        'volunteerhomedata': opportunity,
                        'sourcePage': 'activitiesCard',
                        'role': 'admin'
                    });
                }
            }
            else {
                this.userTypee = {
                    org: false
                };
                this.inAppStorageProvider.setUserOrg(this.userTypee);
                this.navCtrl.push('OpporDetailsPage', {
                    'volunteerhomedata': opportunity,
                    'sourcePage': 'activitiesCard',
                    'role': 'volunteer'
                });
            }
        }
        else {
            this.userTypee = {
                org: false
            };
            this.inAppStorageProvider.setUserOrg(this.userTypee);
            this.navCtrl.push('OpporDetailsPage', {
                'volunteerhomedata': opportunity,
                'sourcePage': 'activitiesCard',
                'role': 'volunteer'
            });
        }
    };
    SearchPage.prototype.titleSearchService = function (selcturl, titleName) {
        var _this = this;
        this.showLoader();
        var headers = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Headers */]();
        headers.append("Content-Type", "application/json");
        headers.append("Accept", "application/json");
        headers.append("client_id", "sahave-r4-app");
        headers.append("client_secret", "Yv77U5529j7ii5NX3ddk");
        this.http.get(selcturl, { headers: headers }).map(function (res) { return res.json(); }).subscribe(function (result) {
            _this.titleSearchResult = result;
            if (titleName == "oppertunity") {
                //    this.oppertunityTitlesList = result;
            }
            else if (titleName == "bloodDonation") {
                _this.bloodTitlesList = result;
            }
            else if (titleName == "campaign") {
                _this.campaignList = result;
            }
            _this.loading.dismiss();
        }, function (error) {
            _this.loading.dismiss();
            console.log("title send  error:" + JSON.stringify(error));
        });
    };
    SearchPage.prototype.getVolunteerBothActivities = function (name, getZipcode) {
        var _this = this;
        this.prefs = {
            url: "public/opportunity/search/location/title?location=" + getZipcode + "&name=" + name + '&orgType=edu',
            public: true,
            dont_handle_error: false,
            dont_show_loader: false
        };
        this.ds.getVolunteerBothActivities(this.prefs, function (result) {
            _this.items = result;
            _this.listSection = "opportunity";
            if (_this.items.length > 0) {
                _this.notFoundSts = false;
            }
            else {
                _this.notFoundSts = true;
            }
        }, function (error) {
            _this.items = [];
            _this.listSection = "opportunity";
            _this.notFoundSts = true;
            _this.notFoundMessage = "No activities found";
            _this.events.publish("loadingDismiss");
        });
    };
    SearchPage.prototype.getBloodDonaBothActivities = function (name, getZipcode) {
        var _this = this;
        this.prefs = {
            url: "public/bloodDonation/search/location/title?location=" + getZipcode + "&name=" + name + '&orgType=edu',
            public: true,
            dont_handle_error: false,
            dont_show_loader: false
        };
        this.ds.getBloodDonaBothActivities(this.prefs, function (result) {
            _this.items = result;
            _this.listSection = "bloodDonation";
            if (_this.items.length > 0) {
                _this.notFoundSts = false;
            }
            else {
                _this.notFoundSts = true;
            }
        }, function (error) {
            _this.items = [];
            _this.listSection = "bloodDonation";
            _this.notFoundSts = true;
            _this.notFoundMessage = "No activities found";
        });
    };
    SearchPage.prototype.resultTab = function (selectedTab) {
        this.items = [];
        if (this.selectName && this.autocomplete.pincode) {
            if (selectedTab == 'opportunity') {
                this.getVolunteerBothActivities(this.selectName, this.autocomplete.pincode);
            }
            else if (selectedTab == 'bloodDonation') {
                this.getBloodDonaBothActivities(this.selectName, this.autocomplete.pincode);
            }
        }
        else if (this.autocomplete.pincode && this.autocomplete.location) {
            if (selectedTab == 'opportunity') {
                this.searchType = "pincode";
                this.getVolunteerActivities(this.autocomplete.pincode, this.searchType);
            }
            else if (selectedTab == 'bloodDonation') {
                this.searchType = "pincode";
                this.getBloodDonaActivities(this.autocomplete.pincode, this.searchType);
            }
        }
        else if (this.selectName) {
            if (selectedTab == 'opportunity') {
                this.searchType = "title";
                this.getVolunteerActivities(this.selectName, this.searchType);
            }
            else if (selectedTab == 'bloodDonation') {
                this.searchType = "title";
                this.getBloodDonaActivities(this.selectName, this.searchType);
            }
        }
    };
    SearchPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-search',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\search\search.html"*/'<ion-header>     \n\n   \n\n</ion-header>\n\n<ion-content>\n\n  <ion-row class="white-bg">\n\n   \n\n          <!-- <ion-buttons start>\n\n            <button ion-button (click)="dismiss()">\n\n              <span class="tooliconcolor" ios="ios-close" md="md-close"></span>\n\n              <ion-icon name="md-close" showWhen="android,windows" class="search-icon-close"></ion-icon>\n\n            </button>\n\n          </ion-buttons> -->\n\n          <ion-icon name="md-close" (click)="dismiss()" class="search-icon"></ion-icon>\n\n\n\n       \n\n  <ion-row class="width100">\n\n    <ion-col col-12 class="paddingleft20px">\n\n\n\n        <ion-item class="backgroundtransparent toolbarinput">\n\n          <ion-icon name="search" class="font-size24px tooliconcolor" item-right></ion-icon>\n\n          <ion-input placeholder="Search ..." debounce="700" (keyup)="getAllTitles(listSection, selectName)" [(ngModel)]="selectName"></ion-input>\n\n        </ion-item>\n\n      </ion-col>\n\n    </ion-row>\n\n    <ion-row class="paddingleft10px" class="width100">\n\n      <ion-col col-12 class="paddingleft20px ">\n\n        <ion-item class="backgroundtransparent toolbarinput">\n\n          <ion-icon name="pin" class="font-size24px tooliconcolor" item-right></ion-icon>\n\n          <ion-input placeholder="Search Place.." type="text" name="location" [(ngModel)]="autocomplete.location" clearInput (keyup)="updateSearch()"\n\n            (ionCancel)="dismiss()" required></ion-input>\n\n        </ion-item>\n\n        <!--Starts of fetching location list-->\n\n        <ion-list *ngIf="resultPlaces">\n\n          <ion-item *ngFor="let item of autocompleteItems" tappable (click)="chooseItem(item)">\n\n            {{ item }}\n\n          </ion-item>\n\n        </ion-list>\n\n        <!--Ends of fetching location list-->\n\n      </ion-col>\n\n    </ion-row>\n\n    <!-- Starts of segment section-->\n\n    <ion-segment [(ngModel)]="listSection" class="padding16px">\n\n\n\n      <ion-segment-button value="bloodDonation" (click)="resultTab(listSection)">\n\n        Blood Donation\n\n      </ion-segment-button>\n\n      <ion-segment-button value="opportunity" (click)="resultTab(listSection)">\n\n        Volunteering\n\n      </ion-segment-button>    \n\n    </ion-segment>\n\n  </ion-row>\n\n    <!-- Ends of segment section-->\n\n  <!-- Segment data-->\n\n  <div *ngIf="listSection">\n\n    <ion-list *ngIf="listSection == \'opportunity\'">\n\n    \n\n<div class="noresult" *ngIf="notFoundSts"><img src="assets/imgs/no-data.png"/></div>\n\n      <div *ngIf="items?.length">\n\n        <div *ngFor="let volunteertitleData of items">\n\n          <ion-row class="borderbottomwhite" (click)="goToAllListPage(volunteertitleData)">\n\n            <ion-col col-12 class="paddingleft10px paddingright10px margintop12px">\n\n              <p class="paddingleft10px search-result-list">{{volunteertitleData?.opportunityName}}\n\n                <span class="font-color">{{volunteertitleData?.location}}</span>\n\n                <br>\n\n                <!--<span class="fon-size12px">{{volunteertitleData?.startDate.split("T")[0]}}</span>-->\n\n              </p>\n\n            </ion-col>\n\n          </ion-row>\n\n        </div>\n\n      </div>\n\n\n\n\n\n    </ion-list>\n\n    <ion-list *ngIf="listSection ==\'bloodDonation\'">\n\n      <div *ngIf="trendingsData">\n\n        <div *ngFor="let fetchBloodDonationList of trendingsData">\n\n          <ion-row class="borderbottomwhite" (click)="gotoBloodDonationPage(fetchBloodDonationList)">\n\n            <ion-col col-12 class="paddingleft10px paddingright10px margintop12px">\n\n              <p class="paddingleft10px search-result-list">{{fetchBloodDonationList?.activity.benificiaryName}}\n\n                <span class="font-color">{{fetchBloodDonationList?.activity.city}}, {{fetchBloodDonationList?.activity.country}}</span>\n\n                <br>\n\n                <span class="fon-size12px">{{fetchBloodDonationList?.activity.scheduledDateTime?.split("T")[0]}}</span>\n\n              </p>\n\n            </ion-col>\n\n          </ion-row>\n\n        </div>\n\n      </div>\n\n<div class="noresult" *ngIf="notFoundSts"><img src="assets/imgs/no-data.png"/></div>\n\n      <div *ngIf="items?.length">\n\n        <div *ngFor="let bloodList of items">\n\n          <ion-row class="borderbottomwhite" (click)="gotoBloodDonationPage(bloodList)">\n\n            <ion-col col-12 class="paddingleft10px paddingright10px margintop12px">\n\n              <p class="paddingleft10px search-result-list">{{bloodList?.benificiaryName}}\n\n                <span class="font-color">{{bloodList?.city}}, {{bloodList?.country}}</span>\n\n                <br>\n\n                <span class="fon-size12px">{{bloodList?.scheduledDateTime?.split("T")[0]}}</span>\n\n              </p>\n\n            </ion-col>\n\n          </ion-row>\n\n        </div>\n\n      </div>\n\n\n\n\n\n    </ion-list>\n\n   \n\n  </div>\n\n  <!-- Segment data-->\n\n</ion-content>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\search\search.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["NgZone"],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["n" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_5__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_AuthService__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_9__providers_ToastService__["a" /* ToastService */],
            __WEBPACK_IMPORTED_MODULE_8__providers_AlertService__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_7__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_10__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_Helper__["a" /* Helper */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["t" /* Platform */]])
    ], SearchPage);
    return SearchPage;
}());

//# sourceMappingURL=search.js.map

/***/ }),

/***/ 1065:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return environment; });
var environment = {
    BASE_URL: "http://167.99.106.151:9090/api/",
    client_secret: 'P62f1mxzhs5PL9qwSl8S',
    client_id: 'sahave-bsr-app'
};
//# sourceMappingURL=environment.js.map

/***/ }),

/***/ 961:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SearchPageModule", function() { return SearchPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__search__ = __webpack_require__(1064);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SearchPageModule = (function () {
    function SearchPageModule() {
    }
    SearchPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__search__["a" /* SearchPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__search__["a" /* SearchPage */]),
            ],
        })
    ], SearchPageModule);
    return SearchPageModule;
}());

//# sourceMappingURL=search.module.js.map

/***/ })

});
//# sourceMappingURL=20.js.map