webpackJsonp([27],{

/***/ 1074:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WriteMessageToParticipantsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ng_socket_io__ = __webpack_require__(176);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ng_socket_io___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_7_ng_socket_io__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var WriteMessageToParticipantsPage = (function () {
    function WriteMessageToParticipantsPage(navCtrl, navParams, viewCtrl, ionicStorage, inAppStorageProvideer, ds, toast, socket, platform) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.ionicStorage = ionicStorage;
        this.inAppStorageProvideer = inAppStorageProvideer;
        this.ds = ds;
        this.toast = toast;
        this.socket = socket;
        this.platform = platform;
        this.receiverIds = [];
        this.ionicStorage.getUser().then(function (userDetails) {
            if (userDetails) {
                _this.userDetails = userDetails;
            }
        });
        this.attendeesList = this.navParams.get("attendeesList");
        for (var i = 0; this.attendeesList.length > i; i++) {
            if (this.attendeesList[i].isOrganizer == false || this.attendeesList[i].isCoOrganizer == false) {
                this.userlistObj = {
                    "user_id": this.attendeesList[i].user.user_id
                };
                this.receiverIds.push(this.userlistObj);
            }
        }
    }
    WriteMessageToParticipantsPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.oppId = this.navParams.get('oppId');
        this.ionicStorage.getToken().then(function (token) {
            if (token) {
                _this.user_token = token;
            }
        });
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    WriteMessageToParticipantsPage.prototype.ionViewDidLoad = function () {
    };
    WriteMessageToParticipantsPage.prototype.sendMessages = function (message) {
        var _this = this;
        var reObj = {
            "sender_id": this.userDetails.userId,
            "receiver_id": this.receiverIds,
            "message": message
        };
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].post_message_to_all_participants,
            req_object: reObj
        };
        this.socket.emit('add-message', { text: message, messages: [{ action_status: "unread", created_date_time: new Date(), fullname: this.userDetails.fullName, message: message, message_type: "receive", sender_id: this.userDetails.userId }], sender_id: this.userDetails.userId, receiver_id: this.receiverIds, message_type: 'sent', count: 1, write_to_all_participants: this.receiverIds });
        this.ds.postMessages(this.prefs, function (resdata) {
            _this.toast.bottomToast_Long('Message sent successfully');
            _this.navCtrl.pop();
        }, function (err) {
            _this.toast.bottomToast_Long('Message sending failed');
        });
    };
    WriteMessageToParticipantsPage.prototype.close = function () {
        this.viewCtrl.dismiss();
    };
    WriteMessageToParticipantsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-write-message-to-participants',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\write-message-to-participants\write-message-to-participants.html"*/'<ion-content>\n\n  <ion-card>\n\n    <ion-row class="title-box">\n\n      <ion-col col-1><ion-icon name="close" class="font-size16px" (click)="close()"></ion-icon></ion-col>\n\n      <ion-col col-11><div class="description">WRITE TO ALL PARTICIPANTS</div></ion-col>\n\n    </ion-row>\n\n    <hr>\n\n    <ion-row>\n\n      <ion-col col-12>\n\n        <ion-card-content class="padding0px marginbottom10px">\n\n          <ion-item class="text_area">\n\n            <ion-textarea class="txt_area"  placeholder="Post message"\n\n                          [(ngModel)]="commentData"  name="comment"></ion-textarea>\n\n          </ion-item>\n\n        </ion-card-content>\n\n      </ion-col>\n\n      <ion-col col-12 class="padding0px">\n\n        <button ion-button class="comment_btn" [disabled]="!commentData" (click)="sendMessages(commentData)" >Send</button>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\write-message-to-participants\write-message-to-participants.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__["a" /* IonicStorageService */], __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_6__providers_ToastService__["a" /* ToastService */], __WEBPACK_IMPORTED_MODULE_7_ng_socket_io__["Socket"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], WriteMessageToParticipantsPage);
    return WriteMessageToParticipantsPage;
}());

//# sourceMappingURL=write-message-to-participants.js.map

/***/ }),

/***/ 970:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WriteMessageToParticipantsPageModule", function() { return WriteMessageToParticipantsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__write_message_to_participants__ = __webpack_require__(1074);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var WriteMessageToParticipantsPageModule = (function () {
    function WriteMessageToParticipantsPageModule() {
    }
    WriteMessageToParticipantsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__write_message_to_participants__["a" /* WriteMessageToParticipantsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__write_message_to_participants__["a" /* WriteMessageToParticipantsPage */]),
            ],
        })
    ], WriteMessageToParticipantsPageModule);
    return WriteMessageToParticipantsPageModule;
}());

//# sourceMappingURL=write-message-to-participants.module.js.map

/***/ })

});
//# sourceMappingURL=27.js.map