webpackJsonp([33],{

/***/ 1067:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SocialMediaLoginAcceptPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_AuthService__ = __webpack_require__(175);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_AlertService__ = __webpack_require__(97);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


//providers






var SocialMediaLoginAcceptPage = (function () {
    function SocialMediaLoginAcceptPage(navCtrl, navParams, ds, auth, toast, alert, _storage, appCtrl, viewCtrl, helper) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.ds = ds;
        this.auth = auth;
        this.toast = toast;
        this.alert = alert;
        this._storage = _storage;
        this.appCtrl = appCtrl;
        this.viewCtrl = viewCtrl;
        this.helper = helper;
        this.socialMediaType = navParams.get('socialMediaType');
        this.userRegisterStatus = navParams.get('userRegisterStatus');
        this.fbUserDetails = navParams.get('fbUserDetails');
        this.FbToken = navParams.get('FbToken');
        this.gpUserDetails = navParams.get('gpUserDetails');
        this.googleToken = navParams.get('googleToken');
    }
    SocialMediaLoginAcceptPage.prototype.loginWithFb = function () {
        var _this = this;
        if (this.conditions || this.userRegisterStatus.message == 'exists') {
            this.pref = {
                form_url: true,
                api_type: "SocialLogin",
                dont_handle_error: true,
                loginProvider: this.fbUserDetails.loginProvider,
                fullName: this.fbUserDetails.fullName,
                photoUrl: this.fbUserDetails.photoUrl,
                socialProfileId: this.fbUserDetails.socialProfileId,
                emailId: this.fbUserDetails.emailId,
                isSocialProfile: "true",
                terms_and_conditions: this.conditions
            };
            this.ds.postSocialLoginDetails(this.fbUserDetails, this.pref, function (result) {
                _this.afterLogin(result);
            }, function (err) {
                console.log(err);
            });
        }
        else {
            alert("Please accept terms and conditions");
        }
    };
    SocialMediaLoginAcceptPage.prototype.gpLogin = function () {
        var _this = this;
        if (this.conditions || this.userRegisterStatus.message == 'exists') {
            this.pref = {
                form_url: true,
                api_type: "SocialLogin",
                dont_handle_error: true,
                loginProvider: this.gpUserDetails.loginProvider,
                fullName: this.gpUserDetails.fullName,
                photoUrl: this.gpUserDetails.photoUrl,
                socialProfileId: this.gpUserDetails.socialProfileId,
                emailId: this.gpUserDetails.emailId,
                isSocialProfile: "true",
                terms_and_conditions: this.conditions
            };
            this.ds.postSocialLoginDetails(this.gpUserDetails, this.pref, function (result) {
                _this.afterLogin(result);
            }, function (err) {
                console.log(err);
            });
        }
        else {
            alert("Please accept terms and conditions");
        }
    };
    SocialMediaLoginAcceptPage.prototype.ionViewWillEnter = function () {
        this.viewCtrl.showBackButton(false);
    };
    /*Save google user details function ends here*/
    SocialMediaLoginAcceptPage.prototype.afterLogin = function (data) {
        var _this = this;
        this.auth.setAuthStatus(true);
        this.toast.bottomToast_Short('Welcome !');
        this._storage.setToken(data.access_token).then(function () {
            _this._storage.setRefreshToken(data.refresh_token);
            _this.pref = {
                dont_handle_error: true
            };
            _this.ds.getUserDetails(_this.pref, function (data) {
                _this.UserGetDetailsDta = data;
                _this._storage.setUser(_this.UserGetDetailsDta).then(function () {
                    _this._storage.getDeviceToken().then(function (val) {
                        if (val) {
                            _this.deviceToken = val;
                            _this.deviceKey = {
                                deviceKey: _this.deviceToken,
                                device_type: _this.helper.getPlatform(),
                                client_id: "sahave-edu-app"
                            };
                            _this.pref = {
                                dont_handle_error: true,
                                apiQueryParams: _this.UserGetDetailsDta.userId + '/deviceKey'
                            };
                            _this.ds.postDeviceKey(_this.deviceKey, _this.pref, function (data) {
                            }, function (err) {
                            });
                        }
                    });
                    _this.pref = {
                        dont_handle_error: true,
                        public: true
                    };
                    _this.ds.getStaticData(_this.pref, function (data) {
                        _this._storage.setStaticData(data);
                    }, function (error) {
                    });
                    _this.eduCheckFein = _this.UserGetDetailsDta.bsrs[0];
                    if (_this.eduCheckFein == undefined || _this.eduCheckFein == null || _this.eduCheckFein == '') {
                        _this.navCtrl.push("OrganizationAddSugettionPage");
                        _this.auth.setAuthStatus(true);
                    }
                    else {
                        _this.appCtrl.getRootNav().setRoot("TabsPage");
                        _this.auth.setAuthStatus(true);
                    }
                });
            }, function (error) {
                alert("Please try again");
            });
        });
    };
    SocialMediaLoginAcceptPage.prototype.back = function () {
        this.navCtrl.pop();
    };
    SocialMediaLoginAcceptPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-social-media-login-accept',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\social-media-login-accept\social-media-login-accept.html"*/'<ion-header>\n\n    <ion-navbar>\n\n        <ion-grid class="padding0px">\n\n            <ion-row>\n\n                <ion-col col-1 (click)="back()" class="paddingtop5px">\n\n                        <ion-icon class="header-icon" name="arrow-back"></ion-icon>\n\n                </ion-col>\n\n                <ion-col col-11>\n\n                        <ion-title  *ngIf="socialMediaType == \'Facebook\'">Continue with Facebook</ion-title>\n\n                        <ion-title *ngIf="socialMediaType == \'Google\'">Continue with Gmail</ion-title>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-grid>\n\n    </ion-navbar>\n\n</ion-header>\n\n<ion-content padding>\n\n    <p class="usethisaccount margintop25per">Use this account</p>\n\n    <ion-card >\n\n        <ion-item class="social-signup-card-padding" *ngIf="socialMediaType == \'Google\'" (click)="gpLogin()">\n\n            <ion-avatar item-start class="marginleft14px">\n\n                <img src="{{gpUserDetails.photoUrl}}">\n\n            </ion-avatar>\n\n            <p class="socialname">{{gpUserDetails.firstName}} {{gpUserDetails.lastName}}</p>\n\n            <p class="socialemail">{{gpUserDetails.emailId}}</p>\n\n            <ion-icon  item-end  name="logo-googleplus" class="gooleplus"></ion-icon>\n\n            <ion-icon item-end class="marginright0px"  ios="ios-arrow-forward" md="md-arrow-forward" ></ion-icon>\n\n        </ion-item>\n\n        <ion-item class="social-signup-card-padding"  *ngIf="socialMediaType == \'Facebook\'" (click)="loginWithFb()">\n\n            <ion-avatar item-start class="marginleft14px">\n\n                <img src="{{fbUserDetails.photoUrl}}">\n\n            </ion-avatar>\n\n            <p class="socialname">{{fbUserDetails.firstName}} {{fbUserDetails.lastName}}</p>\n\n            <p class="socialemail">{{fbUserDetails.emailId}}</p>\n\n            <ion-icon  item-end  ios="logo-facebook" md="logo-facebook" class="fbcolor"></ion-icon>\n\n            <ion-icon item-end class="marginright0px"  ios="ios-arrow-forward" md="md-arrow-forward"  ></ion-icon>\n\n        </ion-item>\n\n    </ion-card>\n\n     <ion-card class="note" *ngIf="userRegisterStatus.message == \'success\'">\n\n    <ion-card-content class="padding0px">\n\n        <ion-row>\n\n    <ion-col col-2 class="align_center">\n\n        <ion-checkbox  checked="false" [(ngModel)]="conditions"></ion-checkbox>\n\n    </ion-col>\n\n     <ion-col col-10 class="paddingtop1px">\n\n        <a class="fontsize14px" href="http://sahave.org/terms-conditions">Accept terms and conditions</a>\n\n     </ion-col>\n\n        </ion-row>\n\n    </ion-card-content>\n\n    </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\social-media-login-accept\social-media-login-accept.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_AuthService__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_ToastService__["a" /* ToastService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_AlertService__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_7__providers_Helper__["a" /* Helper */]])
    ], SocialMediaLoginAcceptPage);
    return SocialMediaLoginAcceptPage;
}());

//# sourceMappingURL=social-media-login-accept.js.map

/***/ }),

/***/ 963:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SocialMediaLoginAcceptPageModule", function() { return SocialMediaLoginAcceptPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__social_media_login_accept__ = __webpack_require__(1067);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SocialMediaLoginAcceptPageModule = (function () {
    function SocialMediaLoginAcceptPageModule() {
    }
    SocialMediaLoginAcceptPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__social_media_login_accept__["a" /* SocialMediaLoginAcceptPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__social_media_login_accept__["a" /* SocialMediaLoginAcceptPage */]),
            ],
        })
    ], SocialMediaLoginAcceptPageModule);
    return SocialMediaLoginAcceptPageModule;
}());

//# sourceMappingURL=social-media-login-accept.module.js.map

/***/ })

});
//# sourceMappingURL=33.js.map