webpackJsonp([36],{

/***/ 1062:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReplyToMessagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ng_socket_io__ = __webpack_require__(176);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ng_socket_io___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_7_ng_socket_io__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_Helper__ = __webpack_require__(173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_9_moment__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











var ReplyToMessagePage = (function () {
    function ReplyToMessagePage(navCtrl, navParams, viewCtrl, events, ionicStorageService, toast, inAppStorageProvider, ds, socket, helper, platform) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.events = events;
        this.ionicStorageService = ionicStorageService;
        this.toast = toast;
        this.inAppStorageProvider = inAppStorageProvider;
        this.ds = ds;
        this.socket = socket;
        this.helper = helper;
        this.platform = platform;
        this.messageId = this.navParams.get('messageId');
        this.messageData = this.navParams.get('messageData');
        for (var i = 0; i < this.messageData.length; i++) {
            this.createdTime = __WEBPACK_IMPORTED_MODULE_9_moment__(this.messageData[i].created_date_time).fromNow();
            this.messageData[i].created_date_time = this.createdTime;
        }
        this.messageFullDataa = this.navParams.get('messageDataa');
        this.name = this.navParams.get('name');
        this.userId = this.navParams.get('userId');
        this.helper.receivergetMessages(this.userId.userId, "false", "false").subscribe(function (message) {
            _this.messageData.push(message);
        });
        this.helper.senderMessages(this.userId.userId).subscribe(function (message) {
            _this.messageData.push(message);
        });
    }
    ReplyToMessagePage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.messageData = this.navParams.get('messageData');
        this.viewCtrl.showBackButton(false);
        this.contentArea.scrollToBottom();
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.pop();
        });
    };
    ReplyToMessagePage.prototype.getChatHistory = function () {
        var _this = this;
        this.messageId = this.navParams.get('messageId');
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__["a" /* API_ROUTES */].get_chat_history + this.messageId,
            req_object: {}
        };
        this.ds.getChatHistory(this.prefs, function (data) {
            _this.messageData = data;
        }, function (error) {
        });
    };
    ReplyToMessagePage.prototype.close = function () {
        this.navCtrl.pop();
    };
    ReplyToMessagePage.prototype.replyDataFun = function (replyData) {
        var _this = this;
        if (replyData) {
            this.prefs = {
                url: __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__["a" /* API_ROUTES */].post_message,
                req_object: {
                    "sender_id": this.messageFullDataa.receiver_id,
                    "receiver_id": this.messageFullDataa.sender_id,
                    "message": replyData
                }
            };
            this.socket.emit('add-message', { text: this.replyData, messages: [{ action_status: "unread", created_date_time: new Date(), fullname: this.userId.fullName, message: replyData, message_type: "receive", sender_id: this.messageFullDataa.receiver_id }], sender_id: this.messageFullDataa.receiver_id, receiver_id: this.messageFullDataa.sender_id, message_type: 'sent', count: 1 });
            this.replyData = "";
            this.ds.postMessages(this.prefs, function (data) {
            }, function (error) {
                _this.events.publish("loadingDismiss");
            });
        }
    };
    ReplyToMessagePage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.mutationObserver = new MutationObserver(function (mutations) {
            _this.contentArea.scrollToBottom();
        });
        this.mutationObserver.observe(this.chatList.nativeElement, {
            childList: true
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* Content */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* Content */])
    ], ReplyToMessagePage.prototype, "contentArea", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* List */], { read: __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"] }),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"])
    ], ReplyToMessagePage.prototype, "chatList", void 0);
    ReplyToMessagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-reply-to-message',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\reply-to-message\reply-to-message.html"*/'<ion-header class="border-null">\n\n <ion-navbar hideBackButton>\n\n        <ion-grid class="padding0px">\n\n            <ion-row>\n\n                <ion-col col-1 class="align_center" (click)="close()">\n\n                         <ion-icon class="header_icon_sz" name="arrow-back"></ion-icon>\n\n                </ion-col>\n\n                <ion-col col-8>\n\n                    <div class="heading">{{name}}</div>\n\n                </ion-col>\n\n                <ion-col col-3 class="paddingtop8px"> </ion-col>\n\n            </ion-row>\n\n        </ion-grid>\n\n    </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n \n\n    <ion-list class="chat-list" no-lines>        \n\n        \n\n        <span *ngFor="let history of messageData">\n\n    <ion-row *ngIf="history.message_type == \'receive\'">\n\n        <ion-col col-12>\n\n            <p class="recieve-msg">{{history.message}}<br><span class="time-msg">{{history.created_date_time}}</span></p>\n\n            <!--<span></span>-->\n\n        </ion-col>\n\n    </ion-row>\n\n    <ion-row *ngIf="history.message_type == \'sent\'">\n\n        <ion-col col-12 >\n\n            <p class="post-msg">{{history.message}}<br><span class="time-msg">{{history.created_date_time}}</span></p>\n\n            <!--<span>{{history.created_date_time}}</span>-->\n\n        </ion-col>\n\n    </ion-row>\n\n    </span>\n\n        \n\n \n\n    </ion-list>\n\n \n\n</ion-content>\n\n \n\n<ion-footer>\n\n \n\n    <ion-toolbar>\n\n \n\n        <textarea spellcheck="true" autoComplete="true" autocorrect="true" rows="1" class="chat-input" [(ngModel)]="replyData" placeholder="Type message..." (keyup.enter)="replyDataFun(replyData)">\n\n        </textarea>\n\n \n\n        <ion-buttons right>\n\n            <button (click)="replyDataFun(replyData)" ion-button icon-only item-right class="send-chat-button" type=\'submit\'>                 \n\n               <ion-icon class="send-icon" name="md-send" ></ion-icon>\n\n            </button>\n\n        </ion-buttons>\n\n \n\n    </ion-toolbar>\n\n \n\n</ion-footer>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\reply-to-message\reply-to-message.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_ToastService__["a" /* ToastService */], __WEBPACK_IMPORTED_MODULE_4__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_5__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_7_ng_socket_io__["Socket"], __WEBPACK_IMPORTED_MODULE_8__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], ReplyToMessagePage);
    return ReplyToMessagePage;
}());

//# sourceMappingURL=reply-to-message.js.map

/***/ }),

/***/ 959:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ReplyToMessagePageModule", function() { return ReplyToMessagePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__reply_to_message__ = __webpack_require__(1062);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ReplyToMessagePageModule = (function () {
    function ReplyToMessagePageModule() {
    }
    ReplyToMessagePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__reply_to_message__["a" /* ReplyToMessagePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__reply_to_message__["a" /* ReplyToMessagePage */]),
            ],
        })
    ], ReplyToMessagePageModule);
    return ReplyToMessagePageModule;
}());

//# sourceMappingURL=reply-to-message.module.js.map

/***/ })

});
//# sourceMappingURL=36.js.map