webpackJsonp([39],{

/***/ 1058:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfileVoOrganizedPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var ProfileVoOrganizedPage = (function () {
    function ProfileVoOrganizedPage(navCtrl, navParams, storage, events, appCtrl, storageProvider, ds, ionicStorage, helperService, modalCtrl, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.events = events;
        this.appCtrl = appCtrl;
        this.storageProvider = storageProvider;
        this.ds = ds;
        this.ionicStorage = ionicStorage;
        this.helperService = helperService;
        this.modalCtrl = modalCtrl;
        this.platform = platform;
    }
    ProfileVoOrganizedPage.prototype.ionViewDidLoad = function () {
    };
    ProfileVoOrganizedPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
            }
        });
        this.ionicStorage.getFromPage().then(function (from) {
            if (from) {
                _this.fromPage = from;
                if (_this.fromPage == 'publicProfile') {
                    _this.userDetails = _this.storageProvider.getUserDetailsinpublicprivate();
                    _this.getOrgOppDetails();
                }
                else {
                    _this.ionicStorage.getUser().then(function (userDetails) {
                        if (userDetails) {
                            _this.userDetails = userDetails;
                            _this.ionicStorage.getNgoDetails().then(function (ngoDetails) {
                                if (ngoDetails) {
                                    _this.ngoDetails = ngoDetails;
                                    _this.getOrgOppDetails();
                                }
                            });
                        }
                    });
                }
            }
            else {
                _this.ionicStorage.getUser().then(function (userDetails) {
                    if (userDetails) {
                        _this.userDetails = userDetails;
                        _this.ionicStorage.getNgoDetails().then(function (ngoDetails) {
                            if (ngoDetails) {
                                _this.ngoDetails = ngoDetails;
                                _this.getOrgOppDetails();
                            }
                        });
                    }
                });
            }
        });
    };
    ProfileVoOrganizedPage.prototype.getOrgOppDetails = function () {
        var _this = this;
        if (this.fromPage == 'publicProfile') {
            this.userDetails = this.storageProvider.getUserDetailsinpublicprivate();
            this.prefs = {
                url: 'opportunity/np/activityList/user/' + this.userDetails.userId
            };
        }
        else if (this.fromPage == 'privateProfile') {
            if (this.userDetails.userId == this.ngoDetails.contactId) {
                this.ngoAdmin = true;
            }
            else {
                this.ngoAdmin = false;
            }
            this.ngoId = this.ngoDetails.id;
            this.prefs = {
                url: 'opportunity/np/activityList/user/' + this.userDetails.userId
            };
        }
        else {
            if (this.userDetails.userId == this.ngoDetails.contact_id) {
                this.ngoAdmin = true;
            }
            else {
                this.ngoAdmin = false;
            }
            this.prefs = {
                dont_show_loader: false,
                url: 'opportunity/np/activityList/user/' + this.userDetails.userId
            };
        }
        if (this.prefs) {
            this.ds.getNpOppDetails(this.prefs, function (allOpps) {
                _this.events.publish('loadingDismiss');
                _this.allOpps = allOpps;
                if (_this.allOpps.length) {
                    _this.organizedOppDetails = _this.allOpps[0].organized;
                    var last = _this.organizedOppDetails[_this.organizedOppDetails.length - 1];
                }
            }, function (err) {
                console.log(err);
            });
        }
    };
    ProfileVoOrganizedPage.prototype.favoriteCampaign = function (oppData) {
        var _this = this;
        if (this.token) {
            this.prefs = {
                url: __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__["a" /* API_ROUTES */].Common_Opp_Url + oppData.oppertunityID,
                req_object: { fans: [this.userDetails.userId] }
            };
            this.ds.favoriteActivity(this.prefs, function (resdata) {
                _this.getOrgOppDetails();
            }, function (err) {
                console.log(err);
            });
        }
        else {
            this.navCtrl.push('LoginOptionsPage');
        }
    };
    ProfileVoOrganizedPage.prototype.shareActivity = function (volData, encryptedKey) {
        this.helperService.shareSheetShare(volData, encryptedKey);
    };
    ProfileVoOrganizedPage.prototype.redirectToVolunteerPage = function (opportunity) {
        if (this.userDetails.userId == opportunity.contactId) {
            this.userTypee = {
                org: true
            };
            this.storageProvider.setUserOrg(this.userTypee);
            //            this.appCtrl.getRootNav().push('VolDetailsPage', {'volunteerhomedata': opportunity, 'sourcePage': 'profileVoOrg', 'role': 'admin'})
            var modal = this.modalCtrl.create('VolDetailsPage', { 'volunteerhomedata': opportunity, 'sourcePage': 'profileVoOrg', 'role': 'admin' });
            modal.present();
        }
        else if (opportunity.accepted_volunteers.length) {
            for (var i = 0; opportunity.accepted_volunteers.length > i; i++) {
                if ((this.userDetails.userId == opportunity.accepted_volunteers[i].user.user_id) &&
                    opportunity.accepted_volunteers[i].isCoOrganizer) {
                    this.redirect = true;
                    break;
                }
                else {
                    this.redirect = false;
                }
            }
            if (!this.redirect) {
                this.userTypee = {
                    org: false
                };
                this.storageProvider.setUserOrg(this.userTypee);
                //                this.appCtrl.getRootNav().push('VolDetailsPage', {'volunteerhomedata': opportunity, 'sourcePage': 'profileVoOrg', 'role': 'volunteer'})
                var modal = this.modalCtrl.create('VolDetailsPage', { 'volunteerhomedata': opportunity, 'sourcePage': 'profileVoOrg', 'role': 'volunteer' });
                modal.present();
            }
            else {
                this.userTypee = {
                    org: false
                };
                this.storageProvider.setUserOrg(this.userTypee);
                //                this.appCtrl.getRootNav().push('VolDetailsPage', {'volunteerhomedata': opportunity, 'sourcePage': 'profileVoOrg', 'role': 'volunteer'})
                var modal = this.modalCtrl.create('VolDetailsPage', { 'volunteerhomedata': opportunity, 'sourcePage': 'profileVoOrg', 'role': 'volunteer' });
                modal.present();
            }
        }
        else {
            this.userTypee = {
                org: false
            };
            this.storageProvider.setUserOrg(this.userTypee);
            //            this.appCtrl.getRootNav().push('VolDetailsPage', {'volunteerhomedata': opportunity, 'sourcePage': 'profileVoOrg', 'role': 'volunteer'})
            var modal = this.modalCtrl.create('VolDetailsPage', { 'volunteerhomedata': opportunity, 'sourcePage': 'profileVoOrg', 'role': 'volunteer' });
            modal.present();
        }
    };
    ProfileVoOrganizedPage.prototype.goToStepsPage = function (oppData) {
        this.ionicStorage.setSourcePage('profileVo');
        //        this.appCtrl.getRootNav().push('CreateVolStep1Page', {'sourcePage': 'profileVo', 'dataStored': oppData});
        var modal = this.modalCtrl.create('CreateVolStep1Page', { 'sourcePage': 'profileVo', 'dataStored': oppData });
        modal.present();
    };
    ProfileVoOrganizedPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-profile-vo-organized',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\profile-vo-organized\profile-vo-organized.html"*/'<ion-content>\n\n\n\n    <!--//Opportunity activities code starts here-->\n\n<ion-grid *ngIf="organizedOppDetails?.length > 0">\n\n        <ion-card class="margintop5px" *ngFor="let orgOppDetail of organizedOppDetails">\n\n            <ion-row>\n\n                <ion-col col-3 class="paddingtop16px"  (click)="redirectToVolunteerPage(orgOppDetail.activity)">\n\n                    <ion-card class="vol-card-radius">\n\n                      <img class="img_inside" *ngIf="!orgOppDetail?.activity?.thumbnail" src="{{orgOppDetail?.activity?.opportunityImages[0]}}">\n\n                      <img class="img_inside" *ngIf="orgOppDetail?.activity?.thumbnail" src="{{orgOppDetail?.activity?.thumbnail}}">\n\n                      <ion-card-content class="cont-bg">\n\n                            <ion-row class="vol-paddi">\n\n                                <ion-icon name="people" ios="ios-people" md="md-people" class="person-icon"></ion-icon>&nbsp;\n\n                                <span class="vol-attend-count">{{orgOppDetail.activity.acceptedVolunteersSize}}</span>\n\n                            </ion-row>\n\n                            <ion-row class="vol-attnd-row">\n\n                                <span class="bd-attndng">Attending</span>\n\n                            </ion-row>\n\n                        </ion-card-content>\n\n                    </ion-card>\n\n                </ion-col>\n\n                <ion-col col-9>\n\n                    <ion-card-content class="bd-card-right-contnt">\n\n                      <ng-container (click)="redirectToVolunteerPage(orgOppDetail.activity)">\n\n                        <span class="vol-title">{{orgOppDetail.activity.opportunityName}}</span>\n\n                        <div class="bd-fontbold">{{orgOppDetail.activity.location}} </div>\n\n                        <div class="bd-event-time "> {{orgOppDetail.activity.startTime}}, {{orgOppDetail.activity.startDate | date:\'MMM d\'}}\n\n                          <!--  <span class="bd-miles-font">| 5 Miles</span>-->\n\n                        </div>\n\n                      </ng-container>\n\n                      <ng-container *ngIf="orgOppDetail.activity.cancelOpportunity?.cancel">\n\n                        <span class="error">Cancelled Event</span>\n\n                      </ng-container>\n\n                        <ion-row>\n\n                            <ion-col class="padding0px"  *ngIf="!orgOppDetail.activity.cancelOpportunity?.cancel">\n\n                              <button ion-button icon-left clear small class="paddingright15px paddingleft15px goingbutton" [disabled]="!userDetails?.bsrs[0]?.isActive" (click)="redirectToVolunteerPage(orgOppDetail.activity)">\n\n                                <ion-icon ios="ios-checkmark" md="md-checkmark"></ion-icon>&nbsp;GOING\n\n                              </button>\n\n                              <ng-container  *ngIf="orgOppDetail.activity.fans?.length">\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" [disabled]="!userDetails?.bsrs[0]?.isActive" (click)="favoriteCampaign(orgOppDetail.activity)">\n\n                                  <div class="paddingright12px bd-titletextcolor">Favorite</div>\n\n                                  <ion-icon *ngIf="orgOppDetail.activity.fans.indexOf(userDetails.userId) >= 0" name="star" class="primarycolor font-size18px"></ion-icon>\n\n                                  <ion-icon  *ngIf="orgOppDetail.activity.fans.indexOf(userDetails.userId) < 0"   name="star-outline" class="primarycolor font-size18px"></ion-icon>\n\n                                </button>\n\n                              </ng-container>\n\n                              <ng-container  *ngIf="orgOppDetail.activity.fans?.length == 0">\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" [disabled]="!userDetails?.bsrs[0]?.isActive" (click)="favoriteCampaign(orgOppDetail.activity)">\n\n                                  <div class="paddingright12px bd-titletextcolor">Favorite</div>\n\n                                  <ion-icon name="star-outline" class="primarycolor font-size18px"></ion-icon>\n\n                                </button>\n\n                              </ng-container>\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" >\n\n                                    <!--<div class="paddingright12px bd-titletextcolor">{{orgOppDetail.activity.shareCount}}</div>-->\n\n                                    <!--<ion-icon ios="ios-share-alt" md="md-share-alt" class="primarycolor font-size18px"></ion-icon>-->\n\n                                     <img  (click)="shareActivity(orgOppDetail.activity, orgOppDetail.activity.encryptedKey)" src="assets/imgs/icon-share.png"> \n\n                                </button>\n\n                            </ion-col>\n\n                          <ion-col class="padding0px" *ngIf="(orgOppDetail.activity?.cancelOpportunity?.cancel) && (this.userDetails.userId == orgOppDetail.activity.contactId)">\n\n                            <!-- <button ion-button icon-left clear small [disabled]="!userDetails?.bsrs[0]?.isActive"  class="paddingright15px paddingleft15px bd-participate-btn" (click)="goToStepsPage(orgOppDetail.activity)">\n\n                              RESCHEDULE\n\n                            </button> -->\n\n                          </ion-col>\n\n                        </ion-row>\n\n                    </ion-card-content>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card>\n\n</ion-grid>\n\n    <!--//Opportunity activities code ends here-->\n\n  <ion-grid *ngIf="!organizedOppDetails?.length">\n\n    <ion-row>\n\n      <ion-col col-12>\n\n          <img src="assets/imgs/no-data.png"/>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-grid>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\profile-vo-organized\profile-vo-organized.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */],
            __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__["a" /* IonicStorageService */], __WEBPACK_IMPORTED_MODULE_7__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], ProfileVoOrganizedPage);
    return ProfileVoOrganizedPage;
}());

//# sourceMappingURL=profile-vo-organized.js.map

/***/ }),

/***/ 955:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProfileVoOrganizedPageModule", function() { return ProfileVoOrganizedPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__profile_vo_organized__ = __webpack_require__(1058);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ProfileVoOrganizedPageModule = (function () {
    function ProfileVoOrganizedPageModule() {
    }
    ProfileVoOrganizedPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__profile_vo_organized__["a" /* ProfileVoOrganizedPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__profile_vo_organized__["a" /* ProfileVoOrganizedPage */]),
            ],
        })
    ], ProfileVoOrganizedPageModule);
    return ProfileVoOrganizedPageModule;
}());

//# sourceMappingURL=profile-vo-organized.module.js.map

/***/ })

});
//# sourceMappingURL=39.js.map