webpackJsonp([45],{

/***/ 1045:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NotificationsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_moment__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_in_app_storage_service__ = __webpack_require__(172);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var NotificationsPage = (function () {
    function NotificationsPage(navCtrl, navParams, viewCtrl, ds, ionicStorage, storage, inAppStorageServiceProvider, platform) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.ds = ds;
        this.ionicStorage = ionicStorage;
        this.storage = storage;
        this.inAppStorageServiceProvider = inAppStorageServiceProvider;
        this.platform = platform;
        if (this.navParams.get("notificationsList")) {
            this.notificationsList = this.navParams.get("notificationsList");
        }
        else {
        }
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                _this.ionicStorage.getUser().then(function (result) {
                    _this.UserGetDetailsDta = result;
                    _this.getNotifications();
                });
            }
            else {
                _this.navCtrl.push("LoginOptionsPage");
            }
        });
    }
    NotificationsPage.prototype.goToDetailsPage = function (notification) {
        if (notification.notification_name == 'BloodDonation') {
            this.navCtrl.push("BdDetailsPage", { bloodIdd: notification.activity_id, 'bloodData': notification });
        }
        else if (notification.notification_name == 'Opportunity') {
            if (this.UserGetDetailsDta.userId == notification.organizer_id) {
                this.userTypee = {
                    org: true
                };
                this.inAppStorageServiceProvider.setUserOrg(this.userTypee);
                this.navCtrl.push("VolDetailsPage", { 'oppId': notification.activity_id, 'role': 'admin', 'sourcePage': 'Notifications', "event": notification.event });
            }
            else if (this.UserGetDetailsDta.userId != notification.organizer_id) {
                this.userTypee = {
                    org: false
                };
                this.inAppStorageServiceProvider.setUserOrg(this.userTypee);
                this.navCtrl.push("VolDetailsPage", { 'oppId': notification.activity_id, 'role': 'volunteer', 'sourcePage': 'Notifications', "event": notification.event });
            }
        }
        else if (notification.notification_name == 'Follow') {
            this.navCtrl.push("PublicProfileViewPage", { "userId": notification.user_id, "sourcePage": "Notifications" });
        }
        else if (notification.notification_name == 'Testimonials') {
            this.navCtrl.push("TestimonialCardsPage", { "userData": this.UserGetDetailsDta });
        }
        else if (notification.notification_name == 'Review') {
            this.navCtrl.push('GradingcriteriaPage', { 'userDetails': this.UserGetDetailsDta });
        }
        else if (notification.notification_name == 'NGO') {
            this.navCtrl.push('ManageUsersPage', { 'userDetails': this.UserGetDetailsDta });
        }
    };
    NotificationsPage.prototype.doRefresh = function (refresher) {
        this.getNotifications();
        setTimeout(function () {
            refresher.complete();
        }, 2000);
    };
    NotificationsPage.prototype.ionViewDidLoad = function () {
    };
    NotificationsPage.prototype.back = function () {
        this.navCtrl.pop();
    };
    NotificationsPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.viewCtrl.showBackButton(false);
        this.notificationsList = this.navParams.get("notificationsList");
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                _this.ionicStorage.getUser().then(function (result) {
                    _this.UserGetDetailsDta = result;
                    _this.getNotifications();
                });
            }
            else {
                _this.navCtrl.push("LoginOptionsPage");
            }
        });
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.pop();
        });
    };
    NotificationsPage.prototype.getNotifications = function () {
        var _this = this;
        this.pref = {
            dont_handle_error: false,
            apiQueryParams: this.UserGetDetailsDta.userId + '/toUserDetails'
        };
        this.ds.getNotificationsData(this.pref, function (data) {
            _this.notifiData = data;
            if (_this.notifiData.user_notifications.length) {
                for (var i = 0; i < _this.notifiData.user_notifications.length; i++) {
                    _this.estimatedTime = __WEBPACK_IMPORTED_MODULE_3_moment__(_this.notifiData.user_notifications[i].notified_date_time).fromNow();
                    _this.notifiData.user_notifications[i].notified_date_time = _this.estimatedTime;
                }
                _this.notificationsList = data;
            }
        }, function (error) {
        });
    };
    NotificationsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-notifications',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\notifications\notifications.html"*/'<ion-header>\n\n    <ion-navbar>\n\n        <ion-grid class="padding0px">\n\n            <ion-row>\n\n               <ion-col col-2 class="align_center" (click)="back()">\n\n                    <ion-icon class="header_icon_sz" name="arrow-back"></ion-icon>\n\n                </ion-col>\n\n                <ion-col col-8>\n\n                    <div class="heading">Notifications</div>\n\n                </ion-col>\n\n                <ion-col col-2 class="paddingtop8px"> </ion-col>\n\n            </ion-row>\n\n        </ion-grid>\n\n    </ion-navbar>\n\n</ion-header>\n\n<ion-content >\n\n    <!--<ion-item-group class="margintop40px margin10px" *ngIf="!notificationsList">-->\n\n\n\n        <ion-card class=" border width100 event-going-card" *ngIf="!notificationsList">\n\n            \n\n            <ion-item class="border notify-card-first margintleft10px" >\n\n                 <img src="assets/imgs/no-data.png"/>\n\n            </ion-item>\n\n               </ion-card>\n\n        <!--</ion-item-group>-->\n\n    <ion-item-group class="margintop40px margin10px" *ngIf="notificationsList">\n\n\n\n        <ion-card class=" border width100 event-going-card">\n\n            <span *ngFor="let notifi of notificationsList.user_notifications">\n\n            <ion-item class="border notify-card-first"  (click)="goToDetailsPage(notifi)" [ngClass]="{\'unreadmsg\' : (notifi.action_status == \'unread\')}">\n\n                <div class="notification_list_title" >\n\n                    <span class="title_color" *ngIf="notifi.notification_name == \'Opportunity\'">VOLUNTEERING ACTIVITY: &nbsp;\n\n                        <br>\n\n                    </span>\n\n                    <span class="title_color" *ngIf="notifi.notification_name == \'BloodDonation\'">BLOOD DONATION ACTIVITY: &nbsp;\n\n                        <br>\n\n                    </span>\n\n                    <span class="title_color" *ngIf="notifi.notification_name == \'Follow\'">Follow: &nbsp;\n\n                        <br>\n\n                    </span>\n\n                     <span class="title_color" *ngIf="notifi.notification_name == \'Testimonials\'">Testimonials: &nbsp;\n\n                        <br>\n\n                    </span>\n\n                       <span class="title_color" *ngIf="notifi.notification_name == \'Review\'">Review &nbsp;\n\n                        <br>\n\n                    </span>\n\n                     <span class="title_color" *ngIf="notifi.notification_name == \'NGO\'">NGO &nbsp;\n\n                        <br>\n\n                    </span>\n\n                    {{notifi.activity_name}} \n\n                </div>\n\n                <br>\n\n                \n\n                <div class="title-sub_content">{{notifi.message}} </div>\n\n                <div class="time_miles">\n\n                    <span class="title_color paddingright10px">{{notifi.notified_date_time}} </span></div>\n\n            </ion-item>              \n\n            \n\n                </span>\n\n        </ion-card>\n\n\n\n<!--        <ion-card class=" width100 event-complete-card" >\n\n            <span >\n\n            <ion-item >\n\n                <div class="notification_list_title">Lake lover\'s Day</div>\n\n                <div class="title-sub_content-event">Participation: 20 Pleople.</div>\n\n                <div class="title-sub_content-event">Hours logged: Min- 6 hrs, Max-15 hrs</div>\n\n                <div class="time_miles paddingtop6px paddingbottom5px">\n\n                    <span class="paddingright10px">10:30 AM, 21 Jul, 2017 </span>| Downey, CA </div>\n\n                <button ion-button small class="review_participants_button" color="primary" >REVIEW PARTICIPANTS</button>\n\n                        </ion-item>\n\n                </span>\n\n        </ion-card>\n\n\n\n        <ion-card class=" width100 event-complete-card">\n\n            <ion-item class=" ">\n\n                <div class="notification_list_title">Foster a Hurricane Pet</div>\n\n                <div class="title-sub_content-event dotted-border">Lorem Ipsum is simply dummy text of the...</div>\n\n\n\n                <div class="time_miles">\n\n                    <span class="title_color_accepted ">\n\n                        <ion-icon name="ios-checkmark-circle" class="check-mark"></ion-icon>&nbsp;&nbsp;&nbsp;Campaign Accepted</span>| 21 Jul, 2017</div>\n\n                <div class="np_org_name">Nonprofit organization\'s name here</div>\n\n            </ion-item>\n\n        </ion-card>-->\n\n\n\n<!--        <ion-card class="padding15px border margin0px width100 margintop6px">\n\n            <ion-item>\n\n                <ion-avatar item-start>\n\n                    <img src="assets/imgs/sarah-avatar.jpeg">\n\n                </ion-avatar>\n\n            </ion-item>\n\n            <ion-card-content class="testimo_card">\n\n                <span class="title_color paddingleft35px">\n\n                    <ion-icon name="ios-text-outline" class="check-mark"></ion-icon>&nbsp;Review on Participation</span>\n\n                <br>\n\n                <span class="testimo_user">Kelwin Gonzolas</span>\n\n                <br>\n\n                <p class="testimonial-content">"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc bibendum, augue sit amet scelerisque facilisis, sem\n\n                    sapien fringilla"</p>\n\n                <span class="testimonial-date">9:30 AM, 10 Jun, 2017</span>\n\n            </ion-card-content>\n\n        </ion-card>-->\n\n\n\n\n\n<!--        <ion-card class="padding15px border margin0px width100 margintop6px">\n\n            <ion-item>\n\n                <ion-avatar item-start>\n\n                    <img src="assets/imgs/sarah-avatar.jpeg">\n\n                </ion-avatar>\n\n\n\n            </ion-item>\n\n            <ion-card-content class="testimo_card">\n\n                <span class="title_color paddingleft35px">\n\n                    <ion-icon name="ios-text-outline" class="check-mark"></ion-icon>&nbsp;Review on Participation</span>\n\n                <br>\n\n                <span class="testimo_user">Kelwin Gonzolas</span>\n\n                <br>\n\n                <p class="testimonial-content">"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc bibendum, augue sit amet scelerisque facilisis, sem\n\n                    sapien fringilla"</p>\n\n                <span class="testimonial-date">9:30 AM, 10 Jun, 2017</span>\n\n            </ion-card-content>\n\n        </ion-card>-->\n\n<!--        <ion-card class=" border width100 event-going-card">\n\n            <ion-item class="border notify-card-first">\n\n                <div class="notification_list_title" (click)="todayactivity()">\n\n                    <span class="title_color"> VOLUNTEERING TOMORROW: &nbsp;\n\n                        <br>\n\n                    </span>Cleaning Santa Monic … ( est. 2h) </div>\n\n                <br>\n\n                <div class="title-sub_content">200 Santa Moinica Pier A, Santa Monica, CA 90401</div>\n\n                <div class="time_miles">\n\n                    <span class="title_color paddingright10px">10:30 AM, Today </span>| 12 Miles</div>\n\n            </ion-item>\n\n            <ion-item class="notify-card-second border">\n\n                <div class="notification_list_title" (click)="bloodquestions()">\n\n                    <span class="title_color">YOUR VOLUNTEERING TOMORROW: &nbsp;\n\n                        <br>\n\n                    </span>Kaiser Permanente </div>\n\n                <br>\n\n                <div class="title-sub_content">200 Santa Moinica Pier A, Santa Monica, CA 90401</div>\n\n                <div class="time_miles">\n\n                    <span class="title_color paddingright10px">10:30 AM, Today </span>| 12 Miles</div>\n\n            </ion-item>\n\n            <div class="padding10px float_right"><span class="msg-all">Message to all</span><ion-icon name="ios-text-outline" class="msg_icon"></ion-icon></div>\n\n        </ion-card>-->\n\n<!--        <ion-card class=" border width100 event-going-card">\n\n            <ion-item class="notify-card-second ">\n\n                <div class="notification_list_title" (click)="bloodquestions()">\n\n                    <span class="title_color">BLOOD DONATION TOMORROW: &nbsp;\n\n                        <br>\n\n                    </span>Kaiser Permanente </div>\n\n                <br>\n\n                <div class="title-sub_content">200 Santa Moinica Pier A, Santa Monica, CA 90401</div>\n\n                <div class="time_miles">\n\n                    <span class="title_color paddingright10px">10:30 AM, Today </span>| 12 Miles</div>\n\n            </ion-item>\n\n            <div class="bluebg">\n\n                <p class="checkin_text">please answer our screening questions,so you could fast track the process at the location.</p>\n\n                <button ion-button class="checkin_btn" (click)="donatetoday()">ANSWER NOW & EXPEDITE PROCESS</button>\n\n            </div>\n\n        </ion-card>-->\n\n\n\n<!--<ion-card class=" border width100 padding15px margintop6px event-going-card">\n\n<span>\n\n    <span >\n\n            <span class="cancel_event"><ion-icon name="information-circle"></ion-icon>&nbsp;Cancelled Volunteering Event</span><br>\n\n            <span class="notification_list_title">Beach cleaning</span>\n\n            <div class="comt-botm">I\'m a dolor sit amet, consectetur adipisicing elit. Aenean efficitur tortor vitae mi congue, sed dapibus\n\n                odio varius. Sed convallis interdum turpis conque. Sed dapibus odio varius, Sed</div>\n\n            <a href="" class="more_about">More&nbsp;&nbsp;\n\n                <ion-icon small name="ios-arrow-down"></ion-icon>\n\n            </a>\n\n            <ion-row class="margintop16px"><div class="date_time margintop6px">12:30 PM,21 May,2018</div></ion-row>\n\n            <div class="padding10px float_right"><span class="msg-all">Message to Organizer</span><ion-icon name="ios-text-outline" class="msg_icon"></ion-icon></div>\n\n        </span>\n\n</span>\n\n</ion-card>-->\n\n<!--<ion-card class=" border width100 event-going-card">\n\n    <span >\n\n            <ion-item class="border notify-card-first">\n\n                <ion-avatar item-start>\n\n                    <img src="assets/imgs/Oval.png">\n\n                </ion-avatar>\n\n                <div class="notification_list_title">\n\n                    <span class="title_color">MadisonBrown is checked out &nbsp;</span>\n\n                </div>\n\n                <span class="hours">Volunteering hours added:</span>&nbsp;<span class="time">8 hours</span><br>\n\n                <span class="date">9:30 AM, 10 Jun, 2017</span>\n\n            </ion-item>\n\n            <ion-row >\n\n                <ion-col col-6 class="align_center"><button ion-button  small class="review_participants_button">review</button></ion-col>\n\n                <ion-col col-6>\n\n                    <div class="padding10px float_right"><span class="msg-all">Message</span><ion-icon name="ios-text-outline" class="msg_icon"></ion-icon></div>\n\n                </ion-col>\n\n            </ion-row>\n\n        </span>\n\n        </ion-card>-->\n\n<!--      <ion-card class=" border width100 event-going-card">\n\n          <span >\n\n            <ion-item class="border notify-card-first" >\n\n                <ion-avatar item-start>\n\n                    <img src="assets/imgs/Oval.png">\n\n                </ion-avatar>\n\n                <div class="notification_list_title">\n\n                    <span class="title_color">MadisonBrown is checked in now !</span>\n\n                </div>\n\n                <span class="date">9:30 AM, 10 Jun, 2017</span>\n\n            </ion-item>\n\n            <ion-row>\n\n                <ion-col col-6 class="align_center"></ion-col>\n\n                <ion-col col-6>\n\n                    <div class="padding10px float_right"><span class="msg-all">Message</span><ion-icon name="ios-text-outline" class="msg_icon"></ion-icon></div>\n\n                </ion-col>\n\n            </ion-row>\n\n              </span>\n\n        </ion-card>-->\n\n\n\n\n\n<!--<ion-card class=" border width100 event-going-card">\n\n    <span >\n\n            <ion-item class="border notify-card-first" >\n\n                <ion-avatar item-start>\n\n                    <img src="assets/imgs/Oval.png">\n\n                </ion-avatar>\n\n                <div class="notification_list_title">\n\n                    <span class="title_color"> </span>\n\n                </div><br>\n\n                <span class="date">9:30 AM, 10 Jun, 2017</span>\n\n            </ion-item>\n\n        </span>\n\n        </ion-card>-->\n\n\n\n    \n\n<!--        <ion-card class=" border width100 event-going-card">\n\n            <ion-item class="border notify-card-first">\n\n                <ion-row>\n\n                    <div class="notification_list_title">\n\n                        <span class="title_color"><ion-icon name="information-circle"></ion-icon>&nbsp;Edited Volunteering Event </span>\n\n                    </div>\n\n                </ion-row>\n\n                <ion-row class="margintop5px">\n\n                    <div class="notification_list_title">Beach cleaning</div>\n\n                </ion-row>\n\n                <ion-row><span class="pls_review">Please review the event for more details.</span></ion-row>\n\n                <ion-row class="margintop10px"><span class="date">9:30 AM, 10 Jun, 2017</span></ion-row>\n\n            </ion-item>\n\n        </ion-card>-->\n\n<!--        <ion-card class=" border width100 event-going-card">\n\n            <ion-item class="border notify-card-first">\n\n                <ion-row>\n\n                    <div class="notification_list_title">\n\n                        <span class="title_color"><ion-icon name="information-circle"></ion-icon>&nbsp;You have been selected as a co-organizer!</span>\n\n                    </div>\n\n                </ion-row>\n\n                <ion-row class="margintop5px">\n\n                    <div class="notification_list_title">Foster a Hurricane Pet</div>\n\n                </ion-row>\n\n                <ion-row class="margintop10px"><span class="date">12:30 PM,21 May,2018</span></ion-row>\n\n            </ion-item>\n\n            <ion-row>\n\n                <ion-col col-6 class="align_center"></ion-col>\n\n                <ion-col col-6>\n\n                    <div class="padding10px float_right"><span class="msg-all">Message Organizer</span><ion-icon name="ios-text-outline" class="msg_icon"></ion-icon></div>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card>-->\n\n       \n\n<!--<ion-card class=" border width100 event-going-card">\n\n    <span >\n\n            <ion-item class="border notify-card-first">\n\n                <ion-row>\n\n                    <div class="notification_list_title">\n\n                        <span class="title_color"><ion-icon name="information-circle"></ion-icon>&nbsp;opio</span>\n\n                    </div>\n\n                </ion-row>\n\n                <ion-row class="margintop10px">\n\n                    <div class="notification_list_title">Beach cleaning</div>\n\n                </ion-row>\n\n                <ion-row class="margintop10px"><span class="vol-color">Volunteering</span>&nbsp;&nbsp;<ion-icon class="forward" name="ios-arrow-forward-outline"></ion-icon>&nbsp;&nbsp;<span class="vol-color">Favorite</span></ion-row>\n\n                <ion-row><span class="pls_review">You have successfilly created an event. It can also be<br> accessed from here:</span></ion-row>\n\n                <ion-row class="margintop10px"><span class="date">9:30 AM, 10 Jun, 2017</span></ion-row>\n\n            </ion-item>\n\n        </span>\n\n        </ion-card>-->\n\n\n\n<!--        <ion-card class=" border width100 event-going-card">\n\n            <ion-item class="border notify-card-first">\n\n                <ion-row>\n\n                    <div class="notification_list_title">\n\n                        <span class="title_color"><ion-icon class="calender-color" name="ios-calendar-outline"></ion-icon>&nbsp;&nbsp;Rescheduled Volunteering Event</span>\n\n                    </div>\n\n                </ion-row>\n\n                <ion-row class="margintop10px">\n\n                    <ion-col col-2 class="align_center"><span class="num">25</span><br><span class="month">JUL</span></ion-col>\n\n                    <ion-col col-10><div class="notification_list_title">Beach cleaning</div>\n\n                        <span class="reschedule-date">New Date: 25th July, 10:30 AM<br>200 santa monica pier A,Santa Monica,<br>CA 90401</span>\n\n                    </ion-col>\n\n                </ion-row>\n\n                <ion-row class="margintop5px"><ion-col col-2></ion-col>\n\n                    <ion-col col-10><span class="date">9:30 AM, 10 Jun, 2017</span></ion-col></ion-row>\n\n            </ion-item>\n\n        </ion-card>-->\n\n<!--        <ion-card class=" border width100 event-going-card">\n\n            <ion-item class="border notify-card-first">\n\n                <ion-avatar item-start>\n\n                    <img src="assets/imgs/Oval.png">\n\n                </ion-avatar>\n\n                <div class="notification_list_title">\n\n                    <span class="title_color">MadisonBrown is  fallowing you </span>\n\n                </div><br>\n\n                <span class="date">9:30 AM, 10 Jun, 2017</span>\n\n            </ion-item>\n\n        </ion-card>-->\n\n    </ion-item-group>\n\n        <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content></ion-refresher-content>\n\n  </ion-refresher>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\notifications\notifications.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */], __WEBPACK_IMPORTED_MODULE_4__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_6__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], NotificationsPage);
    return NotificationsPage;
}());

//# sourceMappingURL=notifications.js.map

/***/ }),

/***/ 942:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NotificationsPageModule", function() { return NotificationsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__notifications__ = __webpack_require__(1045);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var NotificationsPageModule = (function () {
    function NotificationsPageModule() {
    }
    NotificationsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__notifications__["a" /* NotificationsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__notifications__["a" /* NotificationsPage */]),
            ],
        })
    ], NotificationsPageModule);
    return NotificationsPageModule;
}());

//# sourceMappingURL=notifications.module.js.map

/***/ })

});
//# sourceMappingURL=45.js.map