webpackJsonp([56],{

/***/ 1032:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GradingcriteriaPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_moment__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_Helper__ = __webpack_require__(173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__constants_API_ROUTES__ = __webpack_require__(96);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var GradingcriteriaPage = (function () {
    function GradingcriteriaPage(navCtrl, navParams, viewCtrl, ds, modalCtrl, ionicStorage, helper, storageProvider, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.ds = ds;
        this.modalCtrl = modalCtrl;
        this.ionicStorage = ionicStorage;
        this.helper = helper;
        this.storageProvider = storageProvider;
        this.platform = platform;
        this.enthusiastic = 0;
        this.dedication = 0;
        this.socializer = 0;
        this.respectother = 0;
        this.cooperative = 0;
        this.persuasive = 0;
    }
    GradingcriteriaPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        if (this.navParams.get("userDetails")) {
            this.userDetails = this.navParams.get("userDetails");
            this.getGradingDetails();
            var createdDate = this.userDetails.createdDate;
            this.memberSince = __WEBPACK_IMPORTED_MODULE_2_moment__(createdDate).format('YYYY');
        }
        else {
            this.ionicStorage.getUser().then(function (userDetails) {
                if (userDetails) {
                    _this.userDetails = userDetails;
                    _this.getGradingDetails();
                    var createdDate = _this.userDetails.createdDate;
                    _this.memberSince = __WEBPACK_IMPORTED_MODULE_2_moment__(createdDate).format('YYYY');
                }
            });
        }
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    GradingcriteriaPage.prototype.getGradingDetails = function () {
        var _this = this;
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_7__constants_API_ROUTES__["a" /* API_ROUTES */].common_user_url + this.userDetails.userId + '/achevements',
            dont_show_loader: false,
        };
        this.ds.getGradingDetails(this.prefs, function (grading) {
            _this.gradingDetails = grading;
            _this.enthusiastic = _this.gradingDetails.enthusiastic;
            _this.dedication = _this.gradingDetails.dedication;
            _this.socializer = _this.gradingDetails.socializer;
            _this.respectother = _this.gradingDetails.respect_other;
            _this.cooperative = _this.gradingDetails.cooperative;
            _this.persuasive = _this.gradingDetails.persuasive;
            _this.friendly = _this.gradingDetails.friendly;
            _this.fiveStars = _this.gradingDetails.five_star;
            _this.fourStars = _this.gradingDetails.four_star;
            _this.lessThanThree = _this.gradingDetails.less_than_three;
            _this.bestVolAwards = _this.gradingDetails.best_volunteer;
            _this.bestOrgAwards = _this.gradingDetails.best_organizer;
            _this.calculateHours();
        }, function (err) {
            console.log(err);
        });
    };
    GradingcriteriaPage.prototype.calculateHours = function () {
        if (this.gradingDetails.volunteering_paticipation_hours) {
            var time = this.gradingDetails.volunteering_paticipation_hours;
            var minsToHrs = (time / 60);
            this.volParticipatingHrs = Math.round(minsToHrs);
        }
        else {
            this.volParticipatingHrs = 0;
        }
        if (this.gradingDetails.volunteering_organized_hours) {
            var time = this.gradingDetails.volunteering_organized_hours;
            var minsToHrs = (time / 60);
            this.volOrganizedHrs = Math.round(minsToHrs);
        }
        else {
            this.volOrganizedHrs = 0;
        }
        if (this.gradingDetails.blooddonation_paticipation_hours) {
            var time = this.gradingDetails.blooddonation_paticipation_hours;
            var minsToHrs = (time / 60);
            this.bloodParticipationHrs = Math.round(minsToHrs);
        }
        else {
            this.bloodParticipationHrs = 0;
        }
        if (this.gradingDetails.blooddonation_organized_hours) {
            var time = this.gradingDetails.blooddonation_organized_hours;
            var minsToHrs = (time / 60);
            this.bloodOrganizedHrs = Math.round(minsToHrs);
        }
        else {
            this.bloodOrganizedHrs = 0;
        }
    };
    GradingcriteriaPage.prototype.gradingInfo = function () {
        var gradingInfoModal = this.modalCtrl.create('GradingPage');
        gradingInfoModal.onDidDismiss(function (data) {
            if (data != 'noData') {
            }
            else {
            }
        });
        gradingInfoModal.present();
    };
    GradingcriteriaPage.prototype.ionViewDidLoad = function () {
    };
    GradingcriteriaPage.prototype.close = function () {
        this.viewCtrl.dismiss();
    };
    GradingcriteriaPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: "page-gradingcriteria",template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\gradingcriteria\gradingcriteria.html"*/'<ion-header>\n\n  <ion-navbar hideBackButton >\n\n    <ion-grid class="padding0px">\n\n      <ion-row>\n\n              <ion-col col-2 class="align_center" (click)="close()"><ion-icon class="header_icon_sz" name="arrow-back"></ion-icon></ion-col>\n\n              <ion-col col-10><div class="heading upper_case">{{userDetails?.fullName}}\'S GRADE</div></ion-col>\n\n              <!-- <ion-col col-2 class="paddingtop8px"> </ion-col> -->\n\n      </ion-row>\n\n    </ion-grid>\n\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n    <ion-row class="paddingtop20px">\n\n        <ion-col col-6></ion-col>\n\n        <ion-col col-6 class="align_center" (click)="gradingInfo()"><span class="criteria">Grading Criteria<ion-icon class="paddingleft10px icon_size"  name="ios-information-circle-outline"></ion-icon></span></ion-col>\n\n    </ion-row>\n\n    <ion-card>\n\n        <ion-row>\n\n            <ion-col col-4></ion-col>\n\n            <ion-col col-4 class="align_center">\n\n               <img  *ngIf="gradingDetails?.grade == \'Gold\'" class="diamond-icon" src="assets/imgs/Diamond.png" >\n\n               <img *ngIf="gradingDetails?.grade == \'Purple\'" class="diamond-icon" src="assets/imgs/Rising_ Star.png" >\n\n               <img *ngIf="gradingDetails?.grade == \'Pink\'" class="diamond-icon" src="assets/imgs/Crown-Grade.png" >\n\n               <img *ngIf="gradingDetails?.grade == \'Green\'" class="diamond-icon" src="assets/imgs/Double_medal.png" >\n\n               <img *ngIf="gradingDetails?.grade == \'Sky_Blue\'" class="diamond-icon" src="assets/imgs/Single_Medal.png" >\n\n               <div><span class="perform"> STAR PERFORMER</span></div>\n\n            </ion-col>\n\n            <ion-col col-4></ion-col>\n\n            <ion-col col-12 class="align_center margin_top17px"><div><span class="member">Member Since : {{memberSince}}</span></div></ion-col>\n\n        </ion-row>\n\n\n\n        <ion-row>\n\n             <ion-col col-1></ion-col>\n\n             <ion-col col-6>\n\n                 <div class="star_div">\n\n                    <ion-icon name="md-star"></ion-icon>\n\n                    <ion-icon name="md-star"></ion-icon>\n\n                    <ion-icon name="md-star"></ion-icon>\n\n                    <ion-icon name="md-star"></ion-icon>\n\n                    <ion-icon name="md-star"></ion-icon>\n\n              </div>\n\n             </ion-col>\n\n              <ion-col col-1></ion-col>\n\n             <ion-col col-3 class="align_left"><span class="raters ">{{fiveStars}}</span></ion-col>\n\n             <ion-col col-1></ion-col>\n\n        </ion-row>\n\n         <ion-row>\n\n             <ion-col col-1></ion-col>\n\n             <ion-col col-6>\n\n                 <div class="star_div">\n\n                    <ion-icon name="md-star"></ion-icon>\n\n                    <ion-icon name="md-star"></ion-icon>\n\n                    <ion-icon name="md-star"></ion-icon>\n\n                    <ion-icon name="md-star"></ion-icon>\n\n                    <ion-icon class="grey_start" name="md-star"></ion-icon>\n\n              </div>\n\n             </ion-col>\n\n              <ion-col col-1></ion-col>\n\n             <ion-col col-3 class="align_left"><span class="raters ">{{fourStars}}</span></ion-col>\n\n             <ion-col col-1></ion-col>\n\n        </ion-row>\n\n        <ion-row>\n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-6 class="align_right"><span class="less">Less than 3 stars </span></ion-col>\n\n             <ion-col col-1></ion-col>\n\n            <ion-col col-3 class="align_left"><span class="raters">{{lessThanThree}}</span></ion-col>\n\n                <ion-col col-1></ion-col>\n\n        </ion-row>\n\n        <ion-row class="win_bg">\n\n            <ion-col col-1></ion-col>\n\n          <ion-col col-1 class="paddingtop15px paddingbottom15px align_center">\n\n              <ion-icon name="ios-trophy-outline" class="win_trophy"></ion-icon>\n\n          </ion-col>\n\n          <ion-col col-6 class="paddingtop15px paddingbottom15px">\n\n              <span class="win_award">BEST VOLUNTEER AWARD</span>\n\n          </ion-col>\n\n            <ion-col col-4 class="paddingbottom15px paddingtop15px">\n\n                <span class="raters" *ngIf="bestVolAwards">{{bestVolAwards}}</span>\n\n              <span class="raters"  *ngIf="!bestVolAwards"> 0 </span>\n\n            </ion-col>\n\n      </ion-row>\n\n      <ion-row class="win_bg">\n\n        <ion-col col-1></ion-col>\n\n        <ion-col col-1 class="paddingtop15px paddingbottom15px align_center">\n\n          <ion-icon name="ios-trophy-outline" class="win_trophy"></ion-icon>\n\n        </ion-col>\n\n        <ion-col col-6 class="paddingtop15px paddingbottom15px">\n\n          <span class="win_award">BEST ORGANIZER AWARD</span>\n\n        </ion-col>\n\n        <ion-col col-4 class="paddingbottom15px paddingtop15px">\n\n          <span class="raters" *ngIf="bestOrgAwards">{{bestOrgAwards}}</span>\n\n          <span class="raters" *ngIf="!bestOrgAwards">0</span>\n\n        </ion-col>\n\n      </ion-row>\n\n\n\n<!--        <span class="grading" (click)="gradingpage()">GRADING CRITERIA</span>-->\n\n        <ion-row class="paddingtop15px paddingbottom35px">\n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-4 class="align_right"><span class="skill_name">Co-operative</span></ion-col>\n\n            <ion-col col-6 class="paddingtop20px">\n\n               <!-- <ion-range  [(ngModel)]="collaboration" class="padding0px margin_top6px" pin=true min="0" max="15" >\n\n                </ion-range> -->\n\n                <div class="progress-outer ">\n\n                    <div class="progress-inner" [style.width]="cooperative + \'%\'">\n\n                        {{cooperative}}%\n\n                      </div>\n\n                      </div>\n\n            </ion-col>\n\n            <ion-col col-1><span class="skill-count" *ngIf="cooperative">{{cooperative}}</span></ion-col>\n\n\n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-4 class="align_right"><span class="skill_name">Dedication</span></ion-col>\n\n            <ion-col col-6 class="paddingtop20px">\n\n                <!-- <ion-range [(ngModel)]="dedication"  class="padding0px margin_top6px" pin=true min="0" max="15" >\n\n                </ion-range> -->\n\n                <div class="progress-outer ">\n\n                    <div class="progress-inner" [style.width]="dedication + \'%\'">\n\n                        {{dedication}}%\n\n                      </div>\n\n                      </div>\n\n            </ion-col>\n\n            <ion-col col-1><span class="skill-count" *ngIf="dedication">{{dedication}}</span></ion-col>\n\n            \n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-4 class="align_right"><span class="skill_name">Enthusiasm</span></ion-col>\n\n            <ion-col col-6 class="paddingtop20px">\n\n                <!-- <ion-range [(ngModel)]="enthusiastic" step="3" class="padding0px margin_top6px" pin=true min="" max="15" >\n\n                </ion-range> -->\n\n                <div class="progress-outer ">\n\n                <div class="progress-inner" [style.width]="enthusiastic + \'%\'">\n\n                    {{enthusiastic}}%\n\n                  </div>\n\n                  </div>\n\n            </ion-col>\n\n            <ion-col col-1><span class="skill-count" *ngIf="enthusiastic">{{enthusiastic}}</span></ion-col>\n\n\n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-4 class="align_right"><span class="skill_name">Friendly</span></ion-col>\n\n          <ion-col col-6 class="paddingtop20px">\n\n            <div class="progress-outer ">\n\n              <div class="progress-inner" [style.width]="friendly + \'%\'">\n\n                {{friendly}}%\n\n              </div>\n\n            </div>\n\n          </ion-col>\n\n            <ion-col col-1><span class="skill-count" *ngIf="friendly">{{friendly}}</span></ion-col>\n\n\n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-4 class="align_right"><span class="skill_name">Persuasive</span></ion-col>\n\n            <ion-col col-6 class="paddingtop20px">\n\n                <!-- <ion-range  [(ngModel)]="persuasive" class="padding0px margin_top6px" pin=true min="0" max="15" >\n\n                </ion-range> -->\n\n                <div class="progress-outer ">\n\n                    <div class="progress-inner" [style.width]="persuasive + \'%\'">\n\n                        {{persuasive}}%\n\n                      </div>\n\n                      </div>\n\n            </ion-col>      \n\n\n\n            <ion-col col-1 ><span *ngIf="persuasive" class="skill-count">{{persuasive}}</span></ion-col>\n\n\n\n             <ion-col col-1></ion-col>\n\n            <ion-col col-4 class="align_right"><span class="skill_name">Respectful</span></ion-col>\n\n            <ion-col col-6 class="paddingtop20px">\n\n                <!-- <ion-range  [(ngModel)]="respectother"  class="padding0px margin_top6px" pin=true min="0" max="15" >\n\n                </ion-range> -->\n\n                <div class="progress-outer ">\n\n                    <div class="progress-inner" [style.width]="respectother + \'%\'">\n\n                        {{respectother}}%\n\n                      </div>\n\n                      </div>\n\n            </ion-col>       \n\n            \n\n            \n\n            <ion-col col-1><span class="skill-count" *ngIf="respectother">{{respectother}}</span></ion-col>\n\n        </ion-row>\n\n    </ion-card>\n\n    <div class="margintop20px marginbottom8px">\n\n    <span class="activity">ACTIVITIES</span>\n\n    </div>\n\n    <ion-card class="marginbottom0px">\n\n        <ion-card-content>\n\n            <ion-row>\n\n                <ion-col col-12>\n\n                    <span class="volunteer paddingleft23px">Volunteering</span>\n\n                </ion-col>\n\n            </ion-row>\n\n            <ion-row>\n\n                <ion-col col-6 class="align_center padding10px">\n\n\n\n                    <div>\n\n                            <span class="participate">PARITICIPATION</span>\n\n                      <br>\n\n                            <span class="hours">{{volParticipatingHrs}}</span><span class="time">hours</span>\n\n                    </div>\n\n                </ion-col>\n\n                <ion-col col-6 class="align_center padding10px">\n\n\n\n                <div>\n\n                    <span class="participate">ORGANIZED</span><br>\n\n                        <span class="hours"> {{volOrganizedHrs}}</span><span class="time">hours</span>\n\n                </div>\n\n                </ion-col>\n\n            </ion-row>\n\n\n\n        </ion-card-content>\n\n    </ion-card>\n\n    <ion-card class="margintop1px">\n\n        <ion-card-content>\n\n            <ion-row>\n\n                <ion-col col-12>\n\n                    <span class="volunteer paddingleft23px">Blood Donation</span>\n\n                </ion-col>\n\n            </ion-row>\n\n            <ion-row>\n\n                <ion-col col-6 class="align_center paddingbottom22px">\n\n\n\n                    <div>\n\n                            <span class="participate">PARITICIPATION</span>\n\n                      <br>\n\n                            <span class="hours marginleft25px"> {{gradingDetails?.blooddonation_paticipation_hours}}</span><span class="time">Donations</span>\n\n                    </div>\n\n                </ion-col>\n\n                <ion-col col-6 class="align_center">\n\n\n\n                <div>\n\n                    <span class="participate">ORGANIZED</span><br>\n\n                        <span class="hours">{{gradingDetails?.blooddonation_organized_hours}}</span><span class="time">Drives</span>\n\n                </div>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\gradingcriteria\gradingcriteria.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_4__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_Helper__["a" /* Helper */],
            __WEBPACK_IMPORTED_MODULE_6__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], GradingcriteriaPage);
    return GradingcriteriaPage;
}());

//# sourceMappingURL=gradingcriteria.js.map

/***/ }),

/***/ 929:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "GradingcriteriaPageModule", function() { return GradingcriteriaPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__gradingcriteria__ = __webpack_require__(1032);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var GradingcriteriaPageModule = (function () {
    function GradingcriteriaPageModule() {
    }
    GradingcriteriaPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__gradingcriteria__["a" /* GradingcriteriaPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__gradingcriteria__["a" /* GradingcriteriaPage */]),
            ],
        })
    ], GradingcriteriaPageModule);
    return GradingcriteriaPageModule;
}());

//# sourceMappingURL=gradingcriteria.module.js.map

/***/ })

});
//# sourceMappingURL=56.js.map