webpackJsonp([68],{

/***/ 1017:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CreateBloodStep3Page; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_aws_service__ = __webpack_require__(177);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__angular_common__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_8_moment__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var CreateBloodStep3Page = (function () {
    function CreateBloodStep3Page(navCtrl, navParams, modalCtrl, alertCtrl, viewCtrl, ionicStorage, ds, alertController, inAppStorage, storage, awsimage, datePipe, toastCtrl, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.viewCtrl = viewCtrl;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.alertController = alertController;
        this.inAppStorage = inAppStorage;
        this.storage = storage;
        this.awsimage = awsimage;
        this.datePipe = datePipe;
        this.toastCtrl = toastCtrl;
        this.platform = platform;
        this.campaignImages = [];
        this.imagFirtSts = true;
        this.imageFiles = [];
        this.bloodModel1 = this.navParams.get('step1Data');
        this.bloodModel2 = this.navParams.get('step2Data');
        this.DateContent = this.navParams.get('DateContent');
        if (this.DateContent == undefined) {
            this.storedDATE = this.navParams.get('storedDate');
            this.storedDATEStore = this.storedDATE;
        }
        else {
            this.DateContent = this.navParams.get('DateContent');
            this.storedDATEStore = this.DateContent.scheduledDateTime;
        }
    }
    CreateBloodStep3Page.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getdata().then(function (val) {
            if (val == 'BloodRequest') {
                _this.BloodRequest = true;
            }
            if (val == 'EditBloodRequest') {
                _this.EditBloodRequest = true;
                _this.ionicStorage.getDataStored().then(function (storedData) {
                    _this.dataStored = storedData;
                    _this.storyLine = _this.dataStored.description;
                    _this.campaignImages = _this.dataStored.photoUrl;
                    _this.camImaLeng = _this.dataStored.photoUrl;
                    _this.imageFiles = _this.dataStored.photoUrl;
                });
            }
        });
        this.viewCtrl.showBackButton(false);
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.push('CreateBloodStep1Page', {}).then(function () {
                // first we find the index of the current view controller:
                var index = _this.viewCtrl.index;
                // then we remove it from the navigation stack
                _this.navCtrl.remove(index);
            });
        });
        if (this.photoUrl != undefined) {
            this.campaignImages = [this.photoUrl];
            this.camImaLeng = this.campaignImages.length;
            if (this.camImaLeng != 0) {
                this.imagFirtSts = false;
            }
        }
        this.ionicStorage.getUser().then(function (val) {
            _this.userVal = val;
            if (val) {
                _this.personDetails = JSON.stringify(_this.userVal);
                _this.userDetails = JSON.parse(_this.personDetails);
            }
        });
        this.ionicStorage.getlatitude().then(function (val) {
            _this.latitude = val;
        });
        this.ionicStorage.getlongitude().then(function (val) {
            _this.longitude = val;
        });
    };
    CreateBloodStep3Page.prototype.ionViewDidLoad = function () {
    };
    CreateBloodStep3Page.prototype.step2 = function () {
        var _this = this;
        this.navCtrl.push('CreateBloodStep2Page', {
            step2Data: this.bloodModel2, DateContent: this.DateContent, 'sourcePage': 'bdcreationStep3'
        }).then(function () {
            // first we find the index of the current view controller:
            var index = _this.viewCtrl.index;
            // then we remove it from the navigation stack
            _this.navCtrl.remove(index);
        });
    };
    CreateBloodStep3Page.prototype.presentConfirm = function () {
        var _this = this;
        this.storage.remove("BloodStepOneData");
        this.storage.remove("BloodSteptwoData");
        var alert = this.alertCtrl.create({
            title: "Like to Cancel?",
            message: "Would you like to cancel?",
            buttons: [
                {
                    text: "No",
                    role: "cancel",
                    handler: function () {
                    }
                },
                {
                    text: "Yes",
                    handler: function () {
                        _this.navCtrl.push('TabsPage').then(function () {
                            var index = _this.viewCtrl.index;
                            _this.navCtrl.remove(index);
                        });
                    }
                }
            ]
        });
        alert.present();
    };
    CreateBloodStep3Page.prototype.description = function () {
        var _this = this;
        var modal = this.modalCtrl.create('BdRequestDescriptionPage', { 'typedData': this.storyLine });
        modal.onDidDismiss(function (data) {
            _this.storyLine = data;
        });
        modal.present({
            keyboardClose: false
        });
    };
    CreateBloodStep3Page.prototype.campaignImageUpload = function (event) {
        var _this = this;
        var eventObj = event;
        var target = eventObj.target;
        var files = target.files;
        this.file = files[0];
        this.awsimage.uploadFileS3(files[0]).subscribe(function (data) {
            _this.awsResponseImage = data;
            var fileName = _this.awsResponseImage.filename[0].substr(_this.awsResponseImage.filename[0].lastIndexOf('/') + 1);
            var fileExtension = fileName.substr(fileName.lastIndexOf('/') + 1);
            _this.campaignImages.push(_this.awsResponseImage.filename[0]);
            _this.imageFiles.push(event.target.files[0].name);
            _this.camImaLeng = _this.campaignImages.length;
            if (_this.camImaLeng != 0) {
                _this.imagFirtSts = false;
            }
            _this.bloodImSts = false;
            _this.photoUrl = _this.campaignImages;
            event.srcElement.value = "";
        }, function (error) {
        });
    };
    CreateBloodStep3Page.prototype.bloodRequestPopUp = function (id) {
        var _this = this;
        var alert = this.alertCtrl.create({
            enableBackdropDismiss: false,
            subTitle: "Blood Donation request successfully created",
            buttons: [
                {
                    text: "OK",
                    handler: function () {
                        _this.navCtrl.push('BdDetailsPage', {
                            'requestForm': _this.bloodModel1,
                            'RequestId': _this.bloodDetails,
                            'bloodIdd': _this.bloodDetails.id,
                            'activity': _this.bloodDetails,
                            "conditionalBack": "Tabspage",
                            'sourcePage': 'bdcreationStep3'
                        }).then(function () {
                            var index = _this.viewCtrl.index;
                            _this.navCtrl.remove(index);
                        });
                    }
                }
            ]
        });
        alert.present();
    };
    CreateBloodStep3Page.prototype.deleteCamImg = function () {
        this.campaignImages.shift();
        if (this.campaignImages.length == 0) {
            this.imagFirtSts = true;
            this.camImaLeng = this.campaignImages.length;
        }
        this.imageFiles.splice(this.imageFiles.length - 1, 1);
    };
    CreateBloodStep3Page.prototype.publishRequest = function () {
        var _this = this;
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                var requestObject = {
                    location: _this.bloodModel1.location,
                    city: _this.bloodModel1.city,
                    country: _this.bloodModel1.country,
                    zipCode: _this.bloodModel1.pincode,
                    state: _this.bloodModel1.state,
                    scheduledDate: _this.storedDATEStore,
                    name: _this.bloodModel1.benificiaryName,
                    is_active: "true",
                    bsrId: _this.userDetails.bsrs[0].id,
                    photoUrl: _this.photoUrl,
                    description: _this.storyLine,
                    loc: {
                        longitude: _this.longitude,
                        latitude: _this.latitude,
                    },
                    contactId: _this.userDetails.userId,
                    orgType: 'EDU',
                };
                _this.prefs = {
                    id: _this.dataStored.id,
                    req_obj: requestObject,
                    dont_handle_error: false,
                };
                if (_this.EditBloodRequest) {
                    _this.ds.editBloodDonation(_this.prefs, function (data) {
                        _this.bloodDetails = data;
                        _this.ionicStorage.setBloodId(data.bloodDonationID);
                        _this.bloodRequestPopUp(data.bloodDonationID);
                    }, function (err) {
                        var error = err.error.message;
                        var message = error;
                        var alert = _this.alertCtrl.create({
                            title: "Oh wait!",
                            subTitle: error,
                            buttons: [
                                {
                                    text: "OK",
                                    handler: function () { }
                                }
                            ]
                        });
                        alert.present();
                    });
                }
            }
        });
    };
    CreateBloodStep3Page.prototype.openNP = function () {
        var _this = this;
        this.ionicStorage.setup('CreationBloodNp');
        this.navCtrl.push('BdSelectNpPage', {
            'requestForm': this.bloodModel1,
            'RequestId': this.bloodDetails,
            "conditionalBack": "Tabspage",
            'sourcePage': 'bdcreationStep3',
            'step1Data': this.bloodModel1,
            'DateContent': this.DateContent,
            'photoUrl': this.photoUrl,
            'storyLine': this.storyLine
        }).then(function () {
            var index = _this.viewCtrl.index;
            _this.navCtrl.remove(index);
        });
    };
    CreateBloodStep3Page.prototype.checkingTime = function () {
        var myhour = __WEBPACK_IMPORTED_MODULE_8_moment__(new Date(this.storedDATEStore).toISOString()).format('HH');
        var myminute = __WEBPACK_IMPORTED_MODULE_8_moment__(new Date(this.storedDATEStore).toISOString()).format('mm');
        var mydate = __WEBPACK_IMPORTED_MODULE_8_moment__(new Date(this.storedDATEStore).toISOString()).format('YYYY-MM-DD');
        var currenthour = __WEBPACK_IMPORTED_MODULE_8_moment__(new Date().toISOString()).format('HH');
        var currentminute = __WEBPACK_IMPORTED_MODULE_8_moment__(new Date().toISOString()).format('mm');
        var currentdate = __WEBPACK_IMPORTED_MODULE_8_moment__(new Date().toISOString()).format('YYYY-MM-DD');
        if (mydate == currentdate) {
            if (myhour == currenthour) {
                if (myminute > currentminute) {
                    if (this.BloodRequest) {
                        this.openNP();
                    }
                    else {
                        this.publishRequest();
                    }
                }
                else {
                    var toast = this.toastCtrl.create({
                        message: 'Please select future time in 1st Step',
                        duration: 3000,
                        cssClass: "toastClass"
                    });
                    toast.present();
                }
            }
            else if (myhour > currenthour) {
                if (this.BloodRequest) {
                    this.openNP();
                }
                else {
                    this.publishRequest();
                }
            }
            else if (myhour < currenthour) {
                var toast = this.toastCtrl.create({
                    message: 'Please select future time in 1st Step',
                    duration: 3000,
                    cssClass: "toastClass"
                });
                toast.present();
            }
        }
        else if (mydate > currentdate) {
            if (this.BloodRequest) {
                this.openNP();
            }
            else {
                this.publishRequest();
            }
        }
        else if (mydate < currentdate) {
            var toast = this.toastCtrl.create({
                message: 'Please select future time in 1st Step',
                duration: 3000,
                cssClass: "toastClass"
            });
            toast.present();
        }
    };
    CreateBloodStep3Page.prototype.step1 = function () {
        this.navCtrl.pop();
    };
    CreateBloodStep3Page = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-create-blood-step3',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\create-blood-step3\create-blood-step3.html"*/'<ion-header>\n\n    <ion-navbar>\n\n          <ion-grid class="padding0px">\n\n            <ion-row>\n\n                    <ion-col col-9 class="paddingtop8px align_left paddingleft13px">\n\n                            <div class="heading paddingtop5px" *ngIf="BloodRequest">Blood Donation Request</div>\n\n                            <div class="heading paddingtop5px" *ngIf="EditBloodRequest">Edit Blood Request</div>\n\n                    </ion-col>\n\n                    <ion-col col-3 class="paddingtop8px align_center"> <button ion-button small color="primary" class="done" outline (click)="presentConfirm();">Cancel</button></ion-col>\n\n            </ion-row>\n\n          </ion-grid>\n\n        </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n    <ion-row class="padding-25px margintop_10px">\n\n        <ion-col col-2.4 class="align_center padding10px icon_complete"><ion-icon name="checkmark" class="font-size24px"></ion-icon></ion-col>\n\n        <ion-col col-2.4 class="align_center padding10px"><ion-icon name="ios-arrow-forward-outline" class="font-size24px for_color"></ion-icon></ion-col>\n\n        <!-- <ion-col col-2.4 class="align_center padding10px icon_complete"><ion-icon name="checkmark" class="font-size24px"></ion-icon></ion-col> -->\n\n        <!-- <ion-col col-2.4 class="align_center padding10px"><ion-icon name="ios-arrow-forward-outline" class="font-size24px for_color"></ion-icon></ion-col> -->\n\n        <ion-col col-2.4 class="align_center padding10px icon_active"><ion-icon name="images" class="font-size24px"></ion-icon></ion-col>\n\n    </ion-row>\n\n    <ion-row class="margin_top18px marginbottom5px">\n\n        <ion-col col-4 class="font-size12px loc_color paddingleft10px">Location & Time</ion-col>\n\n        <ion-col col-4 class="align_center font-size12px ben_color"></ion-col>\n\n        <ion-col col-4 class="align_right font-size12px ben_color paddingright10px">Photo/Video</ion-col>\n\n    </ion-row>\n\n    <ion-card>\n\n      <div class="description">Description</div>\n\n      <div (click)="description();" *ngIf="!storyLine" class="writeurstory">Write your Description</div>\n\n        <div (click)="description();" *ngIf="storyLine" class="writeurstory">{{storyLine}}</div>\n\n        <div *ngIf="bloodDesc" class="required-error">Description is required!</div>\n\n    </ion-card>\n\n    <ion-card class="margintop10px" *ngIf="imagFirtSts">\n\n                <ion-card-content>\n\n                    <ion-row>\n\n                        <ion-col col-12>\n\n                    <div class="file-upload">\n\n                        <label for="upload" class="file-upload__label">\n\n                            <ion-icon name="cloud-upload" class="marginright10px cloud"></ion-icon>&nbsp;Upload FILE(S)</label>\n\n                        <input id="upload" class="file-upload__input" type="file" name="file-upload" multiple  (change)="campaignImageUpload($event)">\n\n                    </div>\n\n                    <br>\n\n                    <p class="optional margintop5px">OPTIONAL : Upload additonal documents (Doc,PDF)</p>\n\n                  </ion-col>\n\n                </ion-row>\n\n                </ion-card-content>\n\n    </ion-card>\n\n    <ion-card class="margintop10px" *ngIf="camImaLeng >= 1">\n\n            <ion-card-content>\n\n                <ion-row>\n\n                    <ion-col col-12>\n\n                <div class="file-upload">\n\n                    <label for="upload" class="file-upload__label">\n\n                        <ion-icon name="cloud-upload" class="marginright10px cloud"></ion-icon>&nbsp;ATTACH FILE(S)</label>\n\n                    <input id="upload" class="file-upload__input" type="file" name="file-upload" multiple  (change)="campaignImageUpload($event)">\n\n                </div>\n\n                <br>\n\n                <p class="optional margintop5px">OPTIONAL : Upload additonal documents (Doc,PDF)</p>\n\n              </ion-col>\n\n            </ion-row>\n\n            </ion-card-content>\n\n</ion-card>\n\n<ng-container *ngIf="camImaLeng >= 1 && !dataStored">\n\n    <ion-row class="margintop15px">\n\n        <ion-col col-12 class="padding10px">\n\n            <span class="add_file">FILES ATTACHED</span>\n\n        </ion-col>\n\n    </ion-row>\n\n    <ion-card class="marginbottom40per">\n\n        <ion-card-content>\n\n        <ion-row>\n\n            <ion-col col-12>\n\n                    <span class="no_file" *ngIf="!camImaLeng">No file attached</span>\n\n                    <div class="fullwidth" *ngIf="camImaLeng >= 1">\n\n                            <div class="fontsize16px" *ngFor="let img of imageFiles">{{img}}</div>\n\n                            <button ion-button small outline class="delete marginbottom10px" (click)=\'deleteCamImg()\'>DELETE</button>\n\n                        </div>\n\n            </ion-col>\n\n        </ion-row>\n\n             </ion-card-content>\n\n    </ion-card>\n\n</ng-container>\n\n<ng-container *ngIf="dataStored">\n\n        <ion-row class="margintop15px">\n\n            <ion-col col-12 class="padding10px">\n\n                <span class="add_file">FILES ATTACHED</span>\n\n            </ion-col>\n\n        </ion-row>\n\n        <ion-card class="marginbottom40per">\n\n            <ion-card-content>\n\n            <ion-row>\n\n                <ion-col col-12>\n\n                        <!-- <span class="no_file" *ngIf="!camImaLeng">No file attached</span> -->\n\n                        <div class="fullwidth">\n\n                                <div class="fontsize16px" *ngFor="let img of imageFiles">{{img}}</div>\n\n                                <button ion-button small outline class="delete marginbottom10px" (click)=\'deleteCamImg()\'>DELETE</button>\n\n                            </div>\n\n                </ion-col>\n\n            </ion-row>\n\n                 </ion-card-content>\n\n        </ion-card>\n\n    </ng-container>\n\n    <div *ngIf="errorMessage">{{errorMessage}}</div>\n\n</ion-content>\n\n<ion-footer>\n\n<div class="footer_height">\n\n    <ion-row>\n\n      <ion-col col-4 class="paddingleft15px">\n\n      <span class="back_page" (click)="step1()"><ion-icon name="ios-arrow-back-outline" class="backicon"></ion-icon>BACK</span></ion-col>\n\n      <ion-col col-4 class="align_center">\n\n      <div class="story"></div></ion-col>\n\n      <ion-col col-4>\n\n      <!-- <ion-icon name="ios-arrow-forward-outline" class="marginleft5px forwardicon"></ion-icon>\n\n      <span class="next_page">NEXT</span> -->\n\n    </ion-col>\n\n    </ion-row>\n\n  </div>\n\n  <div class="publish">\n\n      <button ion-button class="comment_btn" [disabled]="!storyLine?.length > 0 || !imageFiles?.length > 0" (click)="checkingTime();">PUBLISH REQUEST</button>\n\n  </div>\n\n</ion-footer>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\create-blood-step3\create-blood-step3.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_4__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_6__providers_aws_service__["a" /* AwsServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_7__angular_common__["d" /* DatePipe */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], CreateBloodStep3Page);
    return CreateBloodStep3Page;
}());

//# sourceMappingURL=create-blood-step3.js.map

/***/ }),

/***/ 914:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CreateBloodStep3PageModule", function() { return CreateBloodStep3PageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__create_blood_step3__ = __webpack_require__(1017);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CreateBloodStep3PageModule = (function () {
    function CreateBloodStep3PageModule() {
    }
    CreateBloodStep3PageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__create_blood_step3__["a" /* CreateBloodStep3Page */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__create_blood_step3__["a" /* CreateBloodStep3Page */]),
            ],
        })
    ], CreateBloodStep3PageModule);
    return CreateBloodStep3PageModule;
}());

//# sourceMappingURL=create-blood-step3.module.js.map

/***/ })

});
//# sourceMappingURL=68.js.map