webpackJsonp([71],{

/***/ 1013:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CancelRequestModalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var CancelRequestModalPage = (function () {
    function CancelRequestModalPage(navCtrl, navParams, alertCtrl, storage, viewCtrl, toastCtrl, appCtrl, ds, ionicStorage, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.storage = storage;
        this.viewCtrl = viewCtrl;
        this.toastCtrl = toastCtrl;
        this.appCtrl = appCtrl;
        this.ds = ds;
        this.ionicStorage = ionicStorage;
        this.platform = platform;
    }
    CancelRequestModalPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                _this.blood_request_id = _this.navParams.get("bloodId");
                _this.oppId = _this.navParams.get('oppId');
                if (_this.navParams.get('membersCount')) {
                    _this.membersCount = _this.navParams.get('membersCount');
                }
                if (_this.navParams.get('details')) {
                    _this.details = _this.navParams.get('details');
                }
            }
        });
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    CancelRequestModalPage.prototype.notify = function (reason) {
        var _this = this;
        if (reason) {
            if (this.oppId) {
                if (this.details.id) {
                    this.url = 'cancel/opportunityInvite/' + this.oppId;
                }
                else {
                    this.url = this.oppId + '/cancelOpportunity';
                }
                this.prefs = {
                    req_object: { cancelOpportunity: { cancel: true, comment: this.reasonForCancel }, is_active: false },
                    url: this.url,
                    dont_show_loader: false
                };
                this.ds.cancelOpp(this.prefs, function (cancelOpp) {
                    _this.viewCtrl.dismiss();
                    // this.viewCtrl.dismiss(cancelOpp);
                    _this.navCtrl.push('TabsPage');
                    var toast = _this.toastCtrl.create({
                        message: 'Volunteer activity has been cancelled',
                        duration: 3000,
                        cssClass: "toastClass"
                    });
                }, function (err) {
                    console.log(err);
                });
            }
            else {
            }
        }
        else {
            this.saveErr = true;
        }
    };
    CancelRequestModalPage.prototype.cancel = function () {
        this.viewCtrl.dismiss('noData');
    };
    CancelRequestModalPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: "page-cancel-request-modal",template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\cancel-request-modal\cancel-request-modal.html"*/'<ion-content>\n\n<ion-card>\n\n<ion-row class="padding12px">\n\n  <ion-col col-1 class="paddingtop10px align_center"><ion-icon name="alert" class="alert_icon"></ion-icon></ion-col>\n\n  <ion-col col-11 class="paddingtop10px">\n\n    <span class="description">CANCEL THE EVENT?</span>\n\n  </ion-col>\n\n  <ion-col col-1></ion-col>\n\n  <ion-col col-11>\n\n    <!-- <span class="attend">People agreed to attend<span class="total_attending" *ngIf="membersCount">{{membersCount}}</span></span> -->\n\n  </ion-col>\n\n  <ion-col col-1></ion-col>\n\n  <ion-col col-11>\n\n    <!-- <p class="reschedule">You could still reschedule and post a canceled event. ( Only Once )</p> -->\n\n  </ion-col>\n\n  <ion-col col-1></ion-col>\n\n  <ion-col col-11>\n\n    <!-- <p class="cancelled">Once cancelled, this event would be listed here:</p> -->\n\n  </ion-col>\n\n  <ion-col col-1></ion-col>\n\n  <ion-col col-11>\n\n    <!-- <p class="direction">Me&nbsp;&nbsp;<ion-icon class="forward-icon" name="ios-arrow-forward-outline"></ion-icon>&nbsp;&nbsp;Volunteering&nbsp;&nbsp;\n\n    <ion-icon class="forward-icon" name="ios-arrow-forward-outline"></ion-icon>&nbsp;&nbsp;Organized -->\n\n  <!-- </p> -->\n\n</ion-col>\n\n</ion-row>\n\n\n\n<ion-row>\n\n  <ion-col col-12 class="paddingleft15px paddingright15px">\n\n    <ion-item class="text_area margintop10px">\n\n      <ion-textarea class="txt_area" autofocus placeholder="Please provide the reason"\n\n                    [(ngModel)]="reasonForCancel" name="note" autocomplete="on" autocorrect="on"></ion-textarea>\n\n    </ion-item>\n\n  </ion-col>\n\n</ion-row>\n\n<ion-row class="padding12px">\n\n  <ion-col col-1></ion-col>\n\n  <ion-col col-1></ion-col>\n\n  <ion-col col-10 class="align_center">\n\n    <button ion-button icon-left clear small class="paddingright15px paddingleft15px confirmbutton" (click)="notify(reasonForCancel)"\n\n    [disabled]="!reasonForCancel">\n\n      CONFIRM\n\n    </button>\n\n    <button ion-button icon-left clear small class="paddingright15px paddingleft15px cancelbutton" (click)="cancel()">\n\n      CANCEL\n\n    </button>\n\n  </ion-col>\n\n</ion-row>\n\n</ion-card>\n\n    </ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\cancel-request-modal\cancel-request-modal.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */],
            __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], CancelRequestModalPage);
    return CancelRequestModalPage;
}());

//# sourceMappingURL=cancel-request-modal.js.map

/***/ }),

/***/ 910:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CancelRequestModalPageModule", function() { return CancelRequestModalPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__cancel_request_modal__ = __webpack_require__(1013);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CancelRequestModalPageModule = (function () {
    function CancelRequestModalPageModule() {
    }
    CancelRequestModalPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__cancel_request_modal__["a" /* CancelRequestModalPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__cancel_request_modal__["a" /* CancelRequestModalPage */]),
            ],
        })
    ], CancelRequestModalPageModule);
    return CancelRequestModalPageModule;
}());

//# sourceMappingURL=cancel-request-modal.module.js.map

/***/ })

});
//# sourceMappingURL=71.js.map