webpackJsonp([72],{

/***/ 1011:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BdReviewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var BdReviewPage = (function () {
    function BdReviewPage(navCtrl, navParams, storage, events, viewCtrl, ds, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.events = events;
        this.viewCtrl = viewCtrl;
        this.ds = ds;
        this.platform = platform;
        this.skillsEndorse = [
            { name: "Enthusiasm" },
            { name: "Dedication" },
            { name: "Persuasive" },
            { name: "Co-operative" },
            { name: "Respectful" },
            { name: "Friendly" }
        ];
        this.choosedSkills = [];
        this.bestOrg = false;
        this.bestVol = false;
    }
    BdReviewPage.prototype.ionViewDidLoad = function () {
    };
    BdReviewPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ratings = [1, 2, 3, 4, 5];
        this.rate = -1;
        this.userDetails = this.navParams.get("userDetails");
        this.activityDetails = this.navParams.get("activityDetails");
        this.activityName = this.navParams.get("activityName");
        this.reviewerId = this.navParams.get("reviewerId");
        this.organizerUserId = this.navParams.get("organizerUserId");
        this.donorId = this.navParams.get("donorId");
        this.donorFullname = this.navParams.get("donorFullname");
        this.donorimg = this.navParams.get("donorimg");
        if (this.reviewerId == this.activityDetails.contactId.user_id) {
            this.organiser = true;
        }
        else {
            this.organiser = false;
        }
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.pop();
        });
    };
    BdReviewPage.prototype.rateUser = function (value) {
        this.rate = value;
    };
    BdReviewPage.prototype.chooseSkill = function (skill) {
        if (this.choosedSkills.length) {
            if (this.choosedSkills.indexOf(skill) < 0) {
                this.choosedSkills.push(skill);
            }
            else {
                var index = this.choosedSkills.indexOf(skill);
                this.choosedSkills.splice(index, 1);
            }
        }
        else {
            this.choosedSkills.push(skill);
        }
    };
    BdReviewPage.prototype.reviewTheOrg = function () {
        var _this = this;
        this.activityId = this.activityDetails.bloodDonationId;
        this.volReviewDetails = {
            reviewer_id: this.activityDetails.contactId.user_id,
            activity_id: this.activityId,
            enthusiastic: this.choosedSkills.indexOf("Enthusiasm"),
            dedication: this.choosedSkills.indexOf("Dedication"),
            respect_other: this.choosedSkills.indexOf("Respectful"),
            cooperative: this.choosedSkills.indexOf("Co-operative"),
            persuasive: this.choosedSkills.indexOf("Persuasive"),
            friendly: this.choosedSkills.indexOf("Friendly"),
            reviewer_comment: this.note,
            rating: this.rate,
            best_organizer: this.bestOrg
        };
        this.reqObj = {
            user_id: this.donorId,
            reviewAsDonor: this.volReviewDetails
        };
        if (this.activityName == "blood") {
            this.prefs = {
                bloodId: this.activityId,
                donorId: this.donorId,
                req_object: this.reqObj
            };
            this.ds.reviewThebdUser(this.prefs, function (review) {
                _this.viewCtrl.dismiss(review);
            }, function (error) {
                console.log(error);
            });
        }
    };
    BdReviewPage.prototype.bestAwardOrg = function () {
        if (!this.bestOrg) {
            this.bestOrg = true;
        }
        else {
            this.bestOrg = false;
        }
    };
    BdReviewPage.prototype.back = function () {
        this.navCtrl.pop();
    };
    BdReviewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-bd-review',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-review\bd-review.html"*/'<ion-header>\n\n  <ion-navbar>\n\n      <ion-grid class="padding0px">\n\n          <ion-row>\n\n              <ion-col col-1 >\n\n                  <ion-icon class="header_icon_sz" name="arrow-back" (click)="back()"></ion-icon>\n\n              </ion-col>\n\n              <ion-col col-8>\n\n                  <div class="heading">Feedback and rewards</div>\n\n              </ion-col>\n\n              <ion-col col-3 class="paddingtop8px"> </ion-col>\n\n          </ion-row>\n\n      </ion-grid>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content *ngIf="userDetails && activityDetails ">\n\n<ion-card class="margintop50px">\n\n\n\n  <ion-card-content>\n\n    <ion-row>\n\n      <ion-col col-12 class="align_right">\n\n        <!-- <ion-icon name="close-circle" class="close_icon" (click)="back()"></ion-icon> -->\n\n      </ion-col>\n\n      \n\n      <ion-col col-2>\n\n          <ion-avatar item-start >\n\n              <img *ngIf="donorimg" src="{{donorimg}}">\n\n              <img *ngIf="!donorimg" src="assets/imgs/Oval15x.png">\n\n          </ion-avatar>\n\n      </ion-col>\n\n      <ion-col col-10>\n\n        <span class="org_name">{{userDetails.donorId.fullname}}</span>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-card-content>\n\n</ion-card>\n\n<ion-card>\n\n  <ion-card-content>\n\n    <ion-row>\n\n      <ion-col col-12 class="align_center">\n\n        <button ion-button class="activity_trophy marginleft12px" [ngClass]="{\'bestBtnActive\' : bestOrg}">\n\n          <ion-icon class="trophy" name="ios-trophy-outline"></ion-icon>\n\n          <span (click)="bestAwardOrg()" >BEST ORGANIZER AWARD</span>\n\n        </button>\n\n      </ion-col>\n\n      <ion-col col-12>\n\n        <span class="rate_org">How do you rate the organizer?</span>\n\n        <div class="star_div">\n\n          <ng-container *ngFor="let rating of ratings, let i = index">\n\n            <ion-icon (click)="rateUser(i + 1)" [name]="i < rate ? \'md-star\' : \'md-star-outline\'"></ion-icon>\n\n          </ng-container>\n\n        </div>\n\n      </ion-col> \n\n    </ion-row>\n\n  </ion-card-content>\n\n</ion-card>\n\n<ion-card>\n\n  <ion-card-content>\n\n    <ion-row>\n\n      <ion-col col-12>\n\n        <span class="skill">SKILL ENDROSEMENT</span>\n\n        <ion-slides pager>\n\n          <ion-slide class="support_causes" *ngFor="let skills of skillsEndorse">\n\n            <ion-chip class="select_causes_chip" (click)="chooseSkill(skills.name)" [ngClass]="{\'active\': choosedSkills.indexOf(skills.name) >= 0}">\n\n              <ion-label>{{skills.name}}</ion-label>\n\n            </ion-chip>\n\n          </ion-slide>\n\n      </ion-slides>\n\n      </ion-col>\n\n    </ion-row>\n\n\n\n  </ion-card-content>\n\n  <ion-row class="margintop42px">\n\n    <ion-col col-12>\n\n      <ion-card-content class="padding0px marginbottom10px">\n\n        <ion-item class="text_area">\n\n          <ion-textarea class="txt_area" placeholder="Write a Review" [(ngModel)]="note" name="note" autocomplete="on" autocorrect="on"></ion-textarea>\n\n        </ion-item>\n\n      </ion-card-content>\n\n    </ion-col>\n\n    <ion-col col-12 class="padding0px">\n\n      <button ion-button class="comment_btn" (click)="reviewTheOrg()">Submit review</button>\n\n    </ion-col>\n\n  </ion-row>\n\n</ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-review\bd-review.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], BdReviewPage);
    return BdReviewPage;
}());

//# sourceMappingURL=bd-review.js.map

/***/ }),

/***/ 908:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BdReviewPageModule", function() { return BdReviewPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bd_review__ = __webpack_require__(1011);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BdReviewPageModule = (function () {
    function BdReviewPageModule() {
    }
    BdReviewPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bd_review__["a" /* BdReviewPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bd_review__["a" /* BdReviewPage */]),
            ],
        })
    ], BdReviewPageModule);
    return BdReviewPageModule;
}());

//# sourceMappingURL=bd-review.module.js.map

/***/ })

});
//# sourceMappingURL=72.js.map