webpackJsonp([74],{

/***/ 1008:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BdReplyModelPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ng_socket_io__ = __webpack_require__(176);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ng_socket_io___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_ng_socket_io__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var BdReplyModelPage = (function () {
    function BdReplyModelPage(navCtrl, navParams, socket, helper, storage, ionicStorage, viewCtrl, ds, platform) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.socket = socket;
        this.helper = helper;
        this.storage = storage;
        this.ionicStorage = ionicStorage;
        this.viewCtrl = viewCtrl;
        this.ds = ds;
        this.platform = platform;
        this.ionicStorage.getToken().then(function (token) {
            _this.token = token;
        });
        this.ionicStorage.getUser().then(function (val) {
            if (val) {
                _this.userData = val;
            }
        });
        this.CommentID = this.navParams.get("commentId");
    }
    BdReplyModelPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.platform.registerBackButtonAction(function () {
            _this.platform.registerBackButtonAction(function () {
                _this.viewCtrl.dismiss();
            });
        });
    };
    BdReplyModelPage.prototype.ionViewDidLoad = function () { };
    BdReplyModelPage.prototype.sendReplay = function (rplayDta) {
        var _this = this;
        if (this.token) {
            if (rplayDta == undefined) {
                this.saveErr = true;
            }
            else {
                this.saveErr = false;
                this.prefs = {
                    req_object: {
                        firstName: this.userData.firstName,
                        lastName: this.userData.lastName,
                        comment: rplayDta
                    },
                    url: 'comment/' + this.CommentID + '/reply'
                };
                this.ds.replyFromBloodComments(this.prefs, function (resdata) {
                    _this.socket.emit('add-message', {
                        activityId: _this.CommentID,
                        activityType: "volunteer",
                        comment: rplayDta,
                        fullName: _this.userData.fullName,
                        socketType: "reply",
                        userId: _this.userData.userId,
                        commentId: _this.CommentID,
                        replies: [{
                                commentId: resdata.id
                            }]
                    });
                    _this.viewCtrl.dismiss();
                }, function (err) {
                    console.log(err);
                });
            }
        }
    };
    BdReplyModelPage.prototype.close = function () {
        this.viewCtrl.dismiss();
    };
    BdReplyModelPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-bd-reply-model',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-reply-model\bd-reply-model.html"*/'<ion-content>\n\n    <ion-card>\n\n        <ion-row class="title-box">\n\n            <ion-col col-11><div class="description">REPLY</div></ion-col>\n\n            <ion-col col-1><ion-icon name="close" class="font-size16px" (click)="close()"></ion-icon></ion-col>\n\n        </ion-row>\n\n        <hr>\n\n        <ion-row>\n\n            <ion-col col-12>\n\n                <ion-card-content class="padding0px marginbottom10px">\n\n                    <ion-item class="text_area">\n\n                        <ion-textarea class="txt_area" autofocus placeholder="Write a reply" \n\n                        [(ngModel)]="rplayDta"  name="comment"></ion-textarea>\n\n                    </ion-item>\n\n                    <div *ngIf="saveErr" class="error">Please enter data</div>\n\n                </ion-card-content>\n\n            </ion-col>\n\n<ion-col class="col_width">\n\n    <div class="paddingtop10px">\n\n        <button ion-button small class="remove_btn"  (click)="close()" >Cancel</button>\n\n      <button ion-button small class="add_btn" (click)="sendReplay(rplayDta)">Send</button>      \n\n    </div>\n\n</ion-col>\n\n        </ion-row>\n\n    </ion-card>\n\n</ion-content>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-reply-model\bd-reply-model.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_5_ng_socket_io__["Socket"], __WEBPACK_IMPORTED_MODULE_6__providers_Helper__["a" /* Helper */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */], __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], BdReplyModelPage);
    return BdReplyModelPage;
}());

//# sourceMappingURL=bd-reply-model.js.map

/***/ }),

/***/ 905:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BdReplyModelPageModule", function() { return BdReplyModelPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bd_reply_model__ = __webpack_require__(1008);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BdReplyModelPageModule = (function () {
    function BdReplyModelPageModule() {
    }
    BdReplyModelPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bd_reply_model__["a" /* BdReplyModelPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bd_reply_model__["a" /* BdReplyModelPage */]),
            ],
        })
    ], BdReplyModelPageModule);
    return BdReplyModelPageModule;
}());

//# sourceMappingURL=bd-reply-model.module.js.map

/***/ })

});
//# sourceMappingURL=74.js.map