webpackJsonp([75],{

/***/ 1007:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BdRecentLocationsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var BdRecentLocationsPage = (function () {
    function BdRecentLocationsPage(navCtrl, navParams, viewCtrl, ionicStorage, ds, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.platform = platform;
    }
    BdRecentLocationsPage.prototype.ionViewDidLoad = function () {
    };
    BdRecentLocationsPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.viewCtrl.showBackButton(false);
        this.ionicStorage.getUser().then(function (val) {
            _this.user = val;
            _this.userDetails = _this.user;
            _this.prefs = {
                public: true,
                userId: _this.userDetails.userId
            };
            _this.ds.getUserRecentLocationList(_this.prefs, function (data) {
                _this.userLocationList = data;
            }, function (error) {
                console.log(error);
            });
        });
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.pop();
        });
    };
    BdRecentLocationsPage.prototype.back = function () {
        this.navCtrl.pop();
    };
    BdRecentLocationsPage.prototype.fetchlocation = function (data) {
        this.viewCtrl.dismiss(data);
    };
    BdRecentLocationsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: "page-bd-recent-locations",template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-recent-locations\bd-recent-locations.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-grid class="padding0px">\n\n      <ion-row>\n\n        <ion-col col-1 (click)="back()">\n\n          <ion-icon class="header_icon_sz" name="arrow-back"></ion-icon>\n\n        </ion-col>\n\n        <ion-col col-8>\n\n          <div class="heading">Recent Locations</div>\n\n        </ion-col>\n\n        <ion-col col-3 class="paddingtop8px"> </ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-card class="margintop25px">\n\n    <ion-card-content class="padding5px">\n\n      <ion-row>\n\n        <ion-col col-12>\n\n\n\n          <ion-list radio-group class="bottom_border">\n\n          <div class="no_file" *ngIf="!userLocationList">No recent locations</div>\n\n          <ion-list radio-group class="bottom_border">\n\n\n\n            <ion-item  *ngFor="let userlist of userLocationList" >\n\n                <ion-label class="address_line">\n\n                    {{userlist._id?.city}},\n\n                    {{userlist._id?.state}},\n\n                    {{userlist._id?.post_code}},\n\n                    {{userlist._id?.country}}\n\n                     </ion-label>\n\n              <ion-radio item-start  (click)="fetchlocation(userlist._id)"></ion-radio>\n\n            </ion-item>\n\n          </ion-list>\n\n          </ion-list>\n\n\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-card-content>\n\n  </ion-card>\n\n</ion-content>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-recent-locations\bd-recent-locations.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], BdRecentLocationsPage);
    return BdRecentLocationsPage;
}());

//# sourceMappingURL=bd-recent-locations.js.map

/***/ }),

/***/ 904:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BdRecentLocationsPageModule", function() { return BdRecentLocationsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bd_recent_locations__ = __webpack_require__(1007);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BdRecentLocationsPageModule = (function () {
    function BdRecentLocationsPageModule() {
    }
    BdRecentLocationsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bd_recent_locations__["a" /* BdRecentLocationsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bd_recent_locations__["a" /* BdRecentLocationsPage */]),
            ],
        })
    ], BdRecentLocationsPageModule);
    return BdRecentLocationsPageModule;
}());

//# sourceMappingURL=bd-recent-locations.module.js.map

/***/ })

});
//# sourceMappingURL=75.js.map