webpackJsonp([80],{

/***/ 1001:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BdDeletePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var BdDeletePage = (function () {
    function BdDeletePage(navCtrl, navParams, alertCtrl, storage, viewCtrl, toastCtrl, ds, ionicStorage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.storage = storage;
        this.viewCtrl = viewCtrl;
        this.toastCtrl = toastCtrl;
        this.ds = ds;
        this.ionicStorage = ionicStorage;
    }
    BdDeletePage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.blood_request_id = _this.navParams.get("bloodId");
                _this.agreedAttendes = _this.navParams.get('membersCount');
                _this.details = _this.navParams.get("details");
            }
        });
    };
    BdDeletePage.prototype.notify = function (reason) {
        var _this = this;
        if (reason) {
            if (this.blood_request_id) {
                this.reqObject = {
                    cancelBloodDonation: {
                        cancel: true,
                        comment: reason
                    },
                    is_active: false
                };
                if (!this.details.name) {
                    this.url = this.blood_request_id + '/cancelBloodDonation';
                }
                else {
                    this.url = 'cancel/bloodDonationInvite/' + this.blood_request_id;
                }
                this.prefs = {
                    url: this.url,
                    req_object: this.reqObject
                };
                this.ds.cancelBdRequest(reason, this.prefs, function (data) {
                    _this.navCtrl.push('TabsPage');
                    var toast = _this.toastCtrl.create({
                        message: 'Blood activity has been sucessfully deleted',
                        duration: 3000,
                        cssClass: "toastClass"
                    });
                    toast.present();
                    _this.viewCtrl.dismiss();
                }, function (error) {
                });
            }
        }
        else {
            this.saveErr = true;
        }
    };
    BdDeletePage.prototype.cancel = function () {
        this.viewCtrl.dismiss('noData');
    };
    BdDeletePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-bd-delete',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-delete\bd-delete.html"*/'<ion-content>\n\n  <ion-card>\n\n  <ion-row class="padding12px">\n\n    <ion-col col-1 class="paddingtop10px align_center"><ion-icon name="alert" class="alert_icon"></ion-icon></ion-col>\n\n    <ion-col col-11 class="paddingtop10px">\n\n      <span class="description">CANCEL THE EVENT?</span>\n\n    </ion-col>\n\n    <ion-col col-1></ion-col>\n\n    <ion-col col-11>\n\n      <!-- <span class="attend">People agreed to attend<span class="total_attending">{{agreedAttendes}}</span></span> -->\n\n    </ion-col>\n\n  </ion-row>\n\n  \n\n  <ion-row>\n\n    <ion-col col-12 class="paddingleft15px paddingright15px">\n\n      <ion-item class="text_area margintop10px">\n\n        <ion-textarea class="txt_area" autofocus placeholder="Please provide the reason"\n\n                      [(ngModel)]="reasonForCancel" name="note" autocomplete="on" autocorrect="on"></ion-textarea>\n\n      </ion-item>\n\n    </ion-col>\n\n  </ion-row>\n\n  <ion-row class="padding12px">\n\n    <ion-col col-1></ion-col>\n\n    <ion-col col-1></ion-col>\n\n    <ion-col col-10 class="align_center">\n\n      <button ion-button icon-left clear small [disabled]="!reasonForCancel" class="paddingright15px paddingleft15px confirmbutton" (click)="notify(reasonForCancel)">\n\n        CONFIRM\n\n      </button>\n\n      <button ion-button icon-left clear small class="paddingright15px paddingleft15px cancelbutton" (click)="cancel()">\n\n        CANCEL\n\n      </button>\n\n    </ion-col>\n\n  </ion-row>\n\n  </ion-card>\n\n      </ion-content>\n\n  '/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-delete\bd-delete.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */]])
    ], BdDeletePage);
    return BdDeletePage;
}());

//# sourceMappingURL=bd-delete.js.map

/***/ }),

/***/ 898:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BdDeletePageModule", function() { return BdDeletePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bd_delete__ = __webpack_require__(1001);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BdDeletePageModule = (function () {
    function BdDeletePageModule() {
    }
    BdDeletePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bd_delete__["a" /* BdDeletePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bd_delete__["a" /* BdDeletePage */]),
            ],
        })
    ], BdDeletePageModule);
    return BdDeletePageModule;
}());

//# sourceMappingURL=bd-delete.module.js.map

/***/ })

});
//# sourceMappingURL=80.js.map