webpackJsonp([82],{

/***/ 896:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AttendingListPageModule", function() { return AttendingListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__attending_list__ = __webpack_require__(999);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AttendingListPageModule = (function () {
    function AttendingListPageModule() {
    }
    AttendingListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__attending_list__["a" /* AttendingListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__attending_list__["a" /* AttendingListPage */]),
            ],
        })
    ], AttendingListPageModule);
    return AttendingListPageModule;
}());

//# sourceMappingURL=attending-list.module.js.map

/***/ }),

/***/ 999:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AttendingListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_DataService__ = __webpack_require__(95);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var AttendingListPage = (function () {
    function AttendingListPage(navCtrl, navParams, storage, viewCtrl, modalCtrl, storageProvider, platform, ionicStorage, ds) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.viewCtrl = viewCtrl;
        this.modalCtrl = modalCtrl;
        this.storageProvider = storageProvider;
        this.platform = platform;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.skillsEndorse = [
            { name: "Co-operative" },
            { name: "Dedication" },
            { name: "Enthusiasm" },
            { name: "Friendly" },
            { name: "Persuasive" },
            { name: "Respectful" },
        ];
        this.choosedSkills = [];
        this.bestOrg = false;
        this.bestVol = false;
        this.userDetails = this.storageProvider.getreviewedUserDetails();
        this.activityName = this.storageProvider.getActivityName();
        this.activityDetails = this.navParams.get('activityDetails');
    }
    AttendingListPage.prototype.ionViewDidLoad = function () {
    };
    AttendingListPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ratings = [1, 2, 3, 4, 5];
        this.rate = -1;
        this.activityDetails = this.navParams.get('activityDetails');
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                _this.ionicStorage.getUser().then(function (val1) {
                    _this.userVal = val1;
                    if (val1) {
                        _this.reviewerUser = JSON.stringify(_this.userVal);
                        _this.reviewerUserDetails = JSON.parse(_this.reviewerUser);
                        _this.reviewerId = _this.reviewerUserDetails.userId;
                        for (var _i = 0, _a = _this.activityDetails.accepted_volunteers; _i < _a.length; _i++) {
                            var detail = _a[_i];
                            if (_this.reviewerId == detail.user.user_id) {
                                //Below, !this.userDetails.isOrganizer is checked because even when coOrganizer reviews organizer, coOrganizer acts as Volunteer
                                if (!_this.userDetails.isOrganizer && (detail.isOrganizer || detail.isCoOrganizer)) {
                                    _this.organiser = true;
                                }
                                else {
                                    _this.organiser = false;
                                }
                            }
                        }
                    }
                });
                _this.calculateTotalHours();
            }
            else {
            }
        });
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss('noData');
        });
    };
    AttendingListPage.prototype.calculateTotalHours = function () {
        for (var i = 0; i < this.activityDetails.checkin_checkout.length; i++) {
            if (this.activityDetails.checkin_checkout[i].user == this.userDetails.user.user_id) {
                if (this.activityDetails.checkin_checkout[i].hours) {
                    var time = this.activityDetails.checkin_checkout[i].hours;
                    var minsToHrs = (time / 60);
                    this.activityHrs = Math.round(minsToHrs);
                }
                else {
                    this.activityHrs = 0;
                }
            }
        }
    };
    AttendingListPage.prototype.rateUser = function (value) {
        this.rate = value;
    };
    AttendingListPage.prototype.chooseSkill = function (skill) {
        if (this.choosedSkills.length) {
            if (this.choosedSkills.indexOf(skill) < 0) {
                this.choosedSkills.push(skill);
            }
            else {
                var index = this.choosedSkills.indexOf(skill);
                this.choosedSkills.splice(index, 1);
            }
        }
        else {
            this.choosedSkills.push(skill);
        }
    };
    AttendingListPage.prototype.bestAwardOrg = function () {
        if (!this.bestOrg) {
            this.bestOrg = true;
        }
        else {
            this.bestOrg = false;
        }
    };
    AttendingListPage.prototype.bestAwardVol = function () {
        if (!this.bestVol) {
            this.bestVol = true;
        }
        else {
            this.bestVol = false;
        }
    };
    AttendingListPage.prototype.reviewTheUserr = function () {
        var _this = this;
        if (this.activityName == "opp") {
            this.activityId = this.activityDetails.oppertunityID;
        }
        else if (this.activityName == "BloodDonation") {
            this.activityId = this.activityDetails.bloodDonationId;
        }
        else {
            this.activityId = this.activityDetails.id;
        }
        if (this.organiser) {
            this.volReviewDetails = {
                reviewer_id: this.reviewerId,
                activity_id: this.activityId,
                enthusiastic: this.choosedSkills.indexOf("Enthusiasm"),
                dedication: this.choosedSkills.indexOf("Dedication"),
                respect_other: this.choosedSkills.indexOf("Respectful"),
                cooperative: this.choosedSkills.indexOf("Co-operative"),
                persuasive: this.choosedSkills.indexOf("Persuasive"),
                friendly: this.choosedSkills.indexOf("Friendly"),
                reviewer_comment: this.note,
                rating: this.rate,
                best_volunteer: this.bestVol
            };
        }
        else {
            this.volReviewDetails = {
                reviewer_id: this.reviewerId,
                activity_id: this.activityId,
                enthusiastic: this.choosedSkills.indexOf("Enthusiasm"),
                dedication: this.choosedSkills.indexOf("Dedication"),
                respect_other: this.choosedSkills.indexOf("Respectful"),
                cooperative: this.choosedSkills.indexOf("Co-operative"),
                persuasive: this.choosedSkills.indexOf("Persuasive"),
                friendly: this.choosedSkills.indexOf("Friendly"),
                reviewer_comment: this.note,
                rating: this.rate,
                best_organizer: this.bestOrg
            };
        }
        this.reqObj = {
            user_id: this.userDetails.user.user_id,
            reviewAsVolunteer: this.volReviewDetails
        };
        this.prefs = {
            req_object: this.reqObj,
            dont_show_loader: false,
            oppId: this.activityDetails.oppertunityID
        };
        if (this.activityName == "opp") {
            this.ds.giveReview(this.prefs, function (review) {
                _this.viewCtrl.dismiss(review);
            }, function (err) {
                console.log(err);
            });
        }
        else if (this.activityName == "blood") {
        }
    };
    AttendingListPage.prototype.edithours = function (userId) {
        var _this = this;
        this.storageProvider.setEditingUserId(userId);
        var editHoursModal = this.modalCtrl.create("EditHoursPage", { 'activityDetails': this.activityDetails, 'userDetails': this.userDetails });
        editHoursModal.onDidDismiss(function (data) {
            if (data != 'noData') {
                _this.activityDetails = data;
                _this.storageProvider.setActivityDetails(data);
                _this.calculateTotalHours();
            }
        });
        editHoursModal.present();
    };
    AttendingListPage.prototype.back = function () {
        this.viewCtrl.dismiss('noData');
    };
    AttendingListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: "page-attending-list",template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\attending-list\attending-list.html"*/'<ion-content>\n\n  <ion-card>\n\n    <ion-card-content>\n\n      <ion-row>\n\n        <ion-col col-12 class="align_right">\n\n          <ion-icon name="close-circle" class="close_icon" (click)="back()"></ion-icon>\n\n        </ion-col>\n\n        <ion-col col-12>\n\n          <span class="org_name">{{userDetails?.user?.fullname}}</span>\n\n        </ion-col>\n\n        <ion-col col-2>\n\n          <img src="assets/imgs/Oval15x.png">\n\n        </ion-col>\n\n        <ion-col col-10 *ngIf="!organiser">\n\n          <button ion-button class="activity_trophy marginleft12px" (click)="bestAwardOrg()" [ngClass]="{\'bestBtnActive\' : bestOrg}">\n\n            <ion-icon class="trophy" name="ios-trophy-outline"></ion-icon>\n\n            <span>BEST ORGANIZED AWARD</span>\n\n          </button>\n\n        </ion-col>\n\n        <ng-container *ngFor="let checkInDetails of activityDetails?.checkin_checkout">\n\n        <ng-container *ngIf="(checkInDetails?.user == userDetails?.user.user_id) && organiser">\n\n          <ion-col col-4 class="margin_top18px">\n\n          <span class="count_hr" *ngIf="checkInDetails?.hours">{{activityHrs}}</span>&nbsp;\n\n          <span class="hrs"  *ngIf="checkInDetails?.hours">hrs</span>\n\n          <span class="count_hr" *ngIf="!checkInDetails?.hours"> - </span>\n\n            <p class="check_time">\n\n              Checked in: {{checkInDetails?.checkin_time}}</p>\n\n        </ion-col>\n\n        <ion-col col-6>\n\n          <div>\n\n            <!--[disabled]="!checkInDetails?.hours"-->\n\n            <button ion-button small color="primary" class="done" outline (click)="edithours(checkInDetails?.user)">Edit Hours</button>\n\n          </div>\n\n          <!-- <p class="approve_hrs">Approve hours\n\n            <ion-item class="btn-toggle"><ion-toggle class="toggle_btn"></ion-toggle></ion-item>\n\n          </p> -->\n\n        </ion-col>\n\n        </ng-container>\n\n        </ng-container>\n\n      </ion-row>\n\n    </ion-card-content>\n\n  </ion-card>\n\n  <ion-card>\n\n    <ion-card-content>\n\n      <ion-row>\n\n        <ion-col col-12 class="align_center">\n\n          <button ion-button class="activity_trophy marginleft12px" *ngIf="organiser" (click)="bestAwardVol()" [ngClass]="{\'bestBtnActive\' : bestVol}">\n\n            <ion-icon class="trophy" name="ios-trophy-outline"></ion-icon>\n\n            <span>BEST VOLUNTEER AWARD</span>\n\n          </button>\n\n        </ion-col>\n\n        <ion-col col-12>\n\n          <span class="rate_org" *ngIf="organiser">How do you rate the Volunteer?</span>\n\n          <span class="rate_org" *ngIf="!organiser">How do you rate the Organizer?</span>\n\n          <div class="star_div">\n\n            <ng-container *ngFor="let rating of ratings, let i = index">\n\n              <!--<ion-icon (click)="rateUser(index+1)" *ngIf="i < rate" name="md-star"></ion-icon>-->\n\n              <!-- <i class="glyphicon" (click)="rateUser(i + 1)"\n\n                 [ngClass]="i < rate ? \'glyphicon-star\' : \'glyphicon-star-empty\'"></i>-->\n\n              <ion-icon (click)="rateUser(i + 1)" [name]="i < rate ? \'md-star\' : \'md-star-outline\'"></ion-icon>\n\n            </ng-container>\n\n          </div>\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-card-content>\n\n  </ion-card>\n\n  <ion-card>\n\n    <ion-card-content>\n\n      <ion-row>\n\n        <ion-col col-12>\n\n          <span class="skill">SKILL ENDROSEMENT</span>\n\n          <ion-slides pager>\n\n            <ion-slide class="support_causes" *ngFor="let skills of skillsEndorse">\n\n              <ion-chip class="select_causes_chip" (click)="chooseSkill(skills.name)" [ngClass]="{\'active\': choosedSkills.indexOf(skills.name) >= 0}">\n\n                <ion-label>{{skills.name}}</ion-label>\n\n              </ion-chip>\n\n            </ion-slide>\n\n            <!--            <ion-slide class="support_causes">\n\n              <ion-chip #chip1 class="select_causes_chip">\n\n                <ion-label>Persuasive</ion-label>\n\n              </ion-chip>\n\n              <ion-chip #chip1 class="select_causes_chip">\n\n                <ion-label> co-operative</ion-label>\n\n              </ion-chip>\n\n            </ion-slide>\n\n            <ion-slide class="support_causes">\n\n              <ion-chip #chip1 class="select_causes_chip active">\n\n                <ion-label>Respectful</ion-label>\n\n              </ion-chip>\n\n              <ion-chip #chip1 class="select_causes_chip active">\n\n                <ion-label>Friendly</ion-label>\n\n              </ion-chip>\n\n            </ion-slide>-->\n\n          </ion-slides>\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-card-content>\n\n    <ion-row class="margintop20px">\n\n      <ion-col col-12>\n\n        <ion-card-content class="padding0px marginbottom10px">\n\n          <ion-item class="text_area">\n\n            <ion-textarea class="txt_area" placeholder="Write a Review" [(ngModel)]="note" name="note" autocomplete="on" autocorrect="on"></ion-textarea>\n\n          </ion-item>\n\n        </ion-card-content>\n\n      </ion-col>\n\n      <ion-col col-12 class="padding0px">\n\n        <button ion-button class="comment_btn" (click)="reviewTheUserr()" [disabled]="!note && rate < 0 && !choosedSkills.length">Submit review</button>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-card>\n\n</ion-content>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\attending-list\attending-list.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_DataService__["a" /* DataService */]])
    ], AttendingListPage);
    return AttendingListPage;
}());

//# sourceMappingURL=attending-list.js.map

/***/ })

});
//# sourceMappingURL=82.js.map