webpackJsonp([9],{

/***/ 1047:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrgSearchResultsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_AuthService__ = __webpack_require__(175);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_AlertService__ = __webpack_require__(97);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_ToastService__ = __webpack_require__(174);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


//providers





var OrgSearchResultsPage = (function () {
    function OrgSearchResultsPage(navCtrl, navParams, ds, viewCtrl, auth, toast, alert, _storage, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.ds = ds;
        this.viewCtrl = viewCtrl;
        this.auth = auth;
        this.toast = toast;
        this.alert = alert;
        this._storage = _storage;
        this.platform = platform;
        this.searchName = this.navParams.get('name');
        this.searchResults = this.navParams.get('searchResults');
    }
    OrgSearchResultsPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.viewCtrl.showBackButton(false);
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.pop();
        });
    };
    OrgSearchResultsPage.prototype.search = function (searchValue) {
        var _this = this;
        this.pref = {
            dont_handle_error: true,
            apiQueryParams: searchValue
        };
        this.ds.searchOrganization(this.pref, function (result) {
            if (result.length > 0) {
                _this.searchResults = result;
            }
            else {
                _this.searchResults = result;
            }
        }, function (error) {
        });
    };
    OrgSearchResultsPage.prototype.removeSearch = function () {
        this.searchName = "";
        this.searchResults = [];
    };
    OrgSearchResultsPage.prototype.cancel = function () {
        this.navCtrl.pop();
    };
    OrgSearchResultsPage.prototype.selectOrgnization = function (selectedData) {
        this.navCtrl.push('OrganizationSelectedPage', {
            selectedOrg: selectedData
        });
    };
    OrgSearchResultsPage.prototype.back = function () {
        this.navCtrl.pop();
    };
    OrgSearchResultsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-org-search-results',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\org-search-results\org-search-results.html"*/'<ion-header>\n\n    <ion-navbar>\n\n        <ion-grid class="padding0px">\n\n            <ion-row>\n\n                <ion-col col-2 (click)="back()" class="paddingtop5px align_center">\n\n                         <ion-icon class="header-icon"  name="arrow-back"></ion-icon>\n\n                </ion-col>\n\n                <ion-col col-8>\n\n                    <div class="heading">Register</div>\n\n                </ion-col>\n\n                <ion-col col-2 class="paddingtop8px"> </ion-col>\n\n            </ion-row>\n\n        </ion-grid>\n\n    </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n    <ion-row class="margintop5px">\n\n        <ion-col col-8></ion-col>\n\n        <ion-col col-4 class="align_center" (click)="cancel()">\n\n            <button ion-button outline class="cancel-btn">Cancel</button>\n\n        </ion-col>\n\n    </ion-row>\n\n    <ion-card class="marginbottom20per">\n\n        <ion-card-content class=marginbottom10px>\n\n            <ion-row class="margintop_15px">\n\n                <ion-col col-12>\n\n                    <ion-item class="transparent">\n\n                        <ion-label  floating>Your BSR</ion-label>\n\n                        <ion-icon item-right class="close-icon" name="close-circle" (click)="removeSearch()"></ion-icon>\n\n                    <ion-input color="primary" [(ngModel)]="searchName" (keyup)="search(searchName)"></ion-input>\n\n                    </ion-item>                    \n\n                </ion-col>\n\n            </ion-row>\n\n            <ion-row *ngIf="!searchResults?.length">\n\n                 <ion-col col-12>\n\n                <img src="assets/imgs/no-data.png"/>\n\n                 </ion-col>\n\n            </ion-row>\n\n            <ion-row *ngFor="let search of searchResults" (click)="selectOrgnization(search)">\n\n                <ion-col col-12>\n\n                    <ion-list>\n\n                        <ion-item>\n\n                            <text-avatar [text]="search.name" item-left ></text-avatar>\n\n                            <span class="org-address">{{search.name}}</span>\n\n                            <p class="org-address">{{search.address}}</p>\n\n                        </ion-item>\n\n                    </ion-list>\n\n                </ion-col>\n\n            </ion-row>\n\n           \n\n         \n\n        </ion-card-content>\n\n    </ion-card>\n\n    \n\n<!--    <ion-row class="note-footerbox margintop2px">\n\n        <ion-col col-1 class="paddingleft15px">\n\n            <ion-icon class="frwd-icon" name="ios-arrow-forward"></ion-icon></ion-col>\n\n        <ion-col col-7>\n\n            <span class="fontsize13px">\n\n                what is FEIN<ion-icon class="help-icon" name="help-circle"></ion-icon>\n\n            </span>\n\n        </ion-col>\n\n        <ion-col col-4></ion-col>\n\n    </ion-row>-->\n\n</ion-content>\n\n<ion-footer>\n\n    <ion-row class="note-footerbox-fein">\n\n        <ion-col col-12 class="paddingleft15px">\n\n            <span>\n\n                You could search by BSR\'s name.\n\n            </span>\n\n        </ion-col>\n\n    </ion-row>\n\n</ion-footer>\n\n\n\n\n\n\n\n\n\n<!--<ion-header>\n\n  <ion-navbar>\n\n    <ion-grid class="padding0px">\n\n      <ion-row>\n\n       <ion-col col-1 (click)="back()" class="paddingtop5px align_center">\n\n          <ion-icon class="header-icon"  name="arrow-back"></ion-icon>\n\n        </ion-col>\n\n        <ion-col col-8>\n\n          <div class="heading">Register</div>\n\n        </ion-col>\n\n        <ion-col col-2 class="paddingtop8px"> </ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n  </ion-navbar>\n\n  </ion-header>\n\n<ion-content>\n\n    <ion-row class="margintop5px">\n\n        <ion-col col-8></ion-col>\n\n        <ion-col col-4 class="align_center" (click)="cancel()">\n\n          <button ion-button small outline class="cancel-btn" >Cancel</button>\n\n        </ion-col>\n\n      </ion-row>\n\n      <ion-card class="marginbottom25per">\n\n        <ion-card-content class=marginbottom10px>\n\n          <ion-row>\n\n            <ion-col col-12>\n\n                <ion-item class="transparent">\n\n                    <ion-label  floating>Your Nonprofit Organization</ion-label>\n\n                    <ion-icon item-right class="close-icon" name="close-circle" (click)="removeSearch()"></ion-icon>\n\n                    <ion-input color="primary" [(ngModel)]="searchName" (keyup)="search(searchName)"></ion-input>\n\n                  </ion-item>\n\n            </ion-col>\n\n          </ion-row>      \n\n            <ion-row *ngIf="!searchResults?.length">\n\n                 <ion-col col-12>\n\n                <img src="assets/imgs/no-data.png"/>\n\n                 </ion-col>\n\n            </ion-row>\n\n            <ion-row *ngFor="let search of searchResults" (click)="selectOrgnization(search)">\n\n                <ion-col col-12>\n\n                    <ion-list>\n\n                        <ion-item>                          \n\n                            <text-avatar [text]="search.name" item-left ></text-avatar>\n\n                          <span class="org-address">{{search.name}}</span>\n\n                          <p class="org-address">{{search.address}}</p>\n\n                        </ion-item>\n\n                      </ion-list>\n\n                </ion-col>\n\n              </ion-row>\n\n            \n\n        </ion-card-content>\n\n      </ion-card>\n\n      <ion-row class="note-footerbox">\n\n          <ion-col col-12 class="paddingleft15px">\n\n            <span>\n\n                You could search by nonprofit’s name.\n\n            </span>\n\n            </ion-col>\n\n        </ion-row>\n\n        \n\n</ion-content>\n\n-->\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\org-search-results\org-search-results.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_AuthService__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_ToastService__["a" /* ToastService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_AlertService__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], OrgSearchResultsPage);
    return OrgSearchResultsPage;
}());

//# sourceMappingURL=org-search-results.js.map

/***/ }),

/***/ 944:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrgSearchResultsPageModule", function() { return OrgSearchResultsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__org_search_results__ = __webpack_require__(1047);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__directives_directives_module__ = __webpack_require__(983);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var OrgSearchResultsPageModule = (function () {
    function OrgSearchResultsPageModule() {
    }
    OrgSearchResultsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__org_search_results__["a" /* OrgSearchResultsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__org_search_results__["a" /* OrgSearchResultsPage */]),
                __WEBPACK_IMPORTED_MODULE_3__directives_directives_module__["a" /* DirectivesModule */]
            ], schemas: [
                __WEBPACK_IMPORTED_MODULE_0__angular_core__["CUSTOM_ELEMENTS_SCHEMA"]
            ], exports: [
                __WEBPACK_IMPORTED_MODULE_2__org_search_results__["a" /* OrgSearchResultsPage */]
            ]
        })
    ], OrgSearchResultsPageModule);
    return OrgSearchResultsPageModule;
}());

//# sourceMappingURL=org-search-results.module.js.map

/***/ }),

/***/ 983:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DirectivesModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__text_avatar_text_avatar__ = __webpack_require__(984);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var DirectivesModule = (function () {
    function DirectivesModule() {
    }
    DirectivesModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__text_avatar_text_avatar__["a" /* TextAvatarDirective */]],
            imports: [],
            exports: [__WEBPACK_IMPORTED_MODULE_1__text_avatar_text_avatar__["a" /* TextAvatarDirective */]]
        })
    ], DirectivesModule);
    return DirectivesModule;
}());

//# sourceMappingURL=directives.module.js.map

/***/ }),

/***/ 984:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TextAvatarDirective; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__color_generator__ = __webpack_require__(985);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var TextAvatarDirective = (function () {
    function TextAvatarDirective(element, colorGenerator) {
        this.element = element;
        this.colorGenerator = colorGenerator;
    }
    TextAvatarDirective.prototype.ngOnChanges = function (changes) {
        var text = changes['text'] ? changes['text'].currentValue : null;
        var color = changes['color'] ? changes['color'].currentValue : null;
        var textColor = changes['textColor'] ? changes['textColor'].currentValue : '';
        this.element.nativeElement.setAttribute("value", this.extractFirstCharacter(text));
        this.element.nativeElement.style.backgroundColor = this.backgroundColorHexString(color, text);
        this.element.nativeElement.style.color = textColor ? textColor : '';
    };
    TextAvatarDirective.prototype.extractFirstCharacter = function (text) {
        return text.charAt(0) || '';
    };
    TextAvatarDirective.prototype.backgroundColorHexString = function (color, text) {
        return color || this.colorGenerator.getColor(text);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", String)
    ], TextAvatarDirective.prototype, "text", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", String)
    ], TextAvatarDirective.prototype, "color", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", String)
    ], TextAvatarDirective.prototype, "textColor", void 0);
    TextAvatarDirective = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Directive"])({
            selector: 'text-avatar',
            providers: [__WEBPACK_IMPORTED_MODULE_1__color_generator__["a" /* ColorGenerator */]]
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"], __WEBPACK_IMPORTED_MODULE_1__color_generator__["a" /* ColorGenerator */]])
    ], TextAvatarDirective);
    return TextAvatarDirective;
}());

//# sourceMappingURL=text-avatar.js.map

/***/ }),

/***/ 985:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ColorGenerator; });
var ColorGenerator = (function () {
    function ColorGenerator() {
        this.COLORS = ['#e57373', '#f06292', '#ba68c8', '#9575cd', '#7986cb', '#64b5f6',
            '#4fc3f7', '#4dd0e1', '#4db6ac', '#81c784', '#aed581', '#ff8a65', '#d4e157', '#673ab7',
            '#ffb74d', '#a1887f', '#90a4ae'];
    }
    ColorGenerator.prototype.getColor = function (str) {
        return this.COLORS[Math.abs(this.toNumber(str)) % this.COLORS.length];
    };
    ColorGenerator.prototype.toNumber = function (str) {
        var h = 0;
        for (var i = 0; i < str.length; i++) {
            h = 31 * h + str.charCodeAt(i);
            h |= 0; // Convert to 32bit integer
        }
        return h;
    };
    ;
    return ColorGenerator;
}());

//# sourceMappingURL=color-generator.js.map

/***/ })

});
//# sourceMappingURL=9.js.map