webpackJsonp([10],{

/***/ 1041:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MessagesListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var MessagesListPage = (function () {
    function MessagesListPage(navCtrl, viewCtrl, navParams, events, ds, inAppStorageProvider, helper, platform) {
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.navParams = navParams;
        this.events = events;
        this.ds = ds;
        this.inAppStorageProvider = inAppStorageProvider;
        this.helper = helper;
        this.platform = platform;
        this.messagesListFull = this.navParams.get("messagesList");
        if (this.messagesListFull) {
            this.messagesList = this.messagesListFull.chat_details;
        }
        this.UserGetDetailsDta = this.navParams.get("UserGetDetailsDta");
        if (this.navParams.get("messagesList")) {
            this.noMessages = false;
        }
        else {
            this.noMessages = true;
        }
    }
    MessagesListPage.prototype.ionViewDidLoad = function () {
    };
    MessagesListPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.viewCtrl.showBackButton(false);
        this.getMessages();
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    MessagesListPage.prototype.replyFun = function (id, name) {
        var _this = this;
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_2__constants_API_ROUTES__["a" /* API_ROUTES */].get_chat_history + id,
            dont_show_loader: false,
            obj_request: {}
        };
        this.ds.getChatHistory(this.prefs, function (data) {
            _this.messageData = data;
            _this.events.publish("loadingDismiss");
            _this.navCtrl.push('ReplyToMessagePage', { messageId: id, messageDataa: _this.messageData, messageData: _this.messageData.messages, name: name, userId: _this.UserGetDetailsDta });
        }, function (error) {
            _this.events.publish("loadingDismiss");
        });
    };
    MessagesListPage.prototype.backFun = function () {
        this.navCtrl.pop();
    };
    MessagesListPage.prototype.getMessages = function () {
        var _this = this;
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_2__constants_API_ROUTES__["a" /* API_ROUTES */].get_messages
        };
        this.ds.getMessages(this.prefs, function (data) {
            _this.messagesDataa = data;
            if (_this.messagesDataa.chat_details.length > 0) {
                _this.messagesList = data.chat_details;
                _this.helper.receivergetMessages(_this.UserGetDetailsDta.userId, _this.messagesList, "false").subscribe(function (message) {
                    if (message) {
                        _this.messagesList.push(message);
                    }
                });
            }
        }, function (err) {
            console.log(err);
        });
    };
    MessagesListPage.prototype.back = function () {
        this.viewCtrl.dismiss();
    };
    MessagesListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-messages-list',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\messages-list\messages-list.html"*/'<ion-header>\n\n    <ion-navbar>\n\n        <ion-grid class="padding0px">\n\n            <ion-row>\n\n                <ion-col col-1 (click)="back()" class="align_center">\n\n                         <ion-icon class="header-icon"  name="arrow-back"></ion-icon>\n\n                </ion-col>\n\n                <ion-col col-8>\n\n                    <div class="heading">Messages</div>\n\n                </ion-col>\n\n                <ion-col col-3 class="paddingtop8px"> </ion-col>\n\n            </ion-row>\n\n        </ion-grid>\n\n    </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n    <div *ngIf="!messagesList" class="noMessages"> <img src="assets/imgs/no-data.png"/></div>\n\n    <ion-item-group class="margintop40px margin10px" *ngIf="messagesList">\n\n        <ion-card class=" border width100 event-going-card" *ngFor="let chat of messagesList">\n\n                  <span *ngFor="let messages of chat.messages">\n\n            <ion-item class="border notify-card-first " [ngClass]="{\'unreadmsg\' : (messages.action_status == \'unread\')}">\n\n                <ion-row>\n\n                    <ion-col col-2 class="margintop10px">\n\n                <ion-avatar  item-start *ngIf="messages.photo_url">\n\n                    <img class="margintop_10px" src="{{messages.photo_url}}">\n\n                </ion-avatar>\n\n                        <span *ngIf="!messages.photo_url"><text-avatar class="org-logo" [text]="messages.fullname" item-left ></text-avatar></span>\n\n                    </ion-col>\n\n                    <ion-col col-10 class="paddingtop15px">\n\n                    <div class="notification_list_title">\n\n                        <ion-icon name="ios-text-outline" class="msg_icon"></ion-icon>&nbsp;<span class="title_color">Message</span><br>\n\n                        <span class="name-title marginleft5px">{{messages.fullname}}</span>\n\n                    </div>\n\n                    </ion-col>\n\n                    <ion-col col-12 class="paddingleft18px">\n\n                        <div class="comt-botm">{{messages.message}}</div>\n\n<!--            <a href="" class="more_about">More&nbsp;&nbsp;\n\n                <ion-icon small name="ios-arrow-down"></ion-icon>\n\n            </a>-->\n\n                    </ion-col>\n\n                </ion-row>\n\n           \n\n            <ion-row>\n\n                <ion-col col-6 class="align_center">\n\n                    <span class="date">{{messages.created_date_time| date:\'shortTime\'}},{{messages.created_date_time| date:\'MMM d, y\'}}</span>\n\n                </ion-col>\n\n                <ion-col col-6 class="align_right">\n\n                    <span class="reply" (click)="replyFun(chat._id,messages.fullname)">Reply&nbsp;<ion-icon name="ios-undo" class="undo"></ion-icon></span>\n\n                </ion-col>\n\n            </ion-row>\n\n                 </ion-item>\n\n                      </span>\n\n        </ion-card>\n\n\n\n    </ion-item-group>\n\n</ion-content>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\messages-list\messages-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */], __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */], __WEBPACK_IMPORTED_MODULE_5__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], MessagesListPage);
    return MessagesListPage;
}());

//# sourceMappingURL=messages-list.js.map

/***/ }),

/***/ 938:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MessagesListPageModule", function() { return MessagesListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__messages_list__ = __webpack_require__(1041);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__directives_directives_module__ = __webpack_require__(983);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var MessagesListPageModule = (function () {
    function MessagesListPageModule() {
    }
    MessagesListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__messages_list__["a" /* MessagesListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__messages_list__["a" /* MessagesListPage */]),
                __WEBPACK_IMPORTED_MODULE_3__directives_directives_module__["a" /* DirectivesModule */]
            ], schemas: [
                __WEBPACK_IMPORTED_MODULE_0__angular_core__["CUSTOM_ELEMENTS_SCHEMA"]
            ], exports: [
                __WEBPACK_IMPORTED_MODULE_2__messages_list__["a" /* MessagesListPage */]
            ]
        })
    ], MessagesListPageModule);
    return MessagesListPageModule;
}());

//# sourceMappingURL=messages-list.module.js.map

/***/ }),

/***/ 983:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DirectivesModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__text_avatar_text_avatar__ = __webpack_require__(984);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var DirectivesModule = (function () {
    function DirectivesModule() {
    }
    DirectivesModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__text_avatar_text_avatar__["a" /* TextAvatarDirective */]],
            imports: [],
            exports: [__WEBPACK_IMPORTED_MODULE_1__text_avatar_text_avatar__["a" /* TextAvatarDirective */]]
        })
    ], DirectivesModule);
    return DirectivesModule;
}());

//# sourceMappingURL=directives.module.js.map

/***/ }),

/***/ 984:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TextAvatarDirective; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__color_generator__ = __webpack_require__(985);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var TextAvatarDirective = (function () {
    function TextAvatarDirective(element, colorGenerator) {
        this.element = element;
        this.colorGenerator = colorGenerator;
    }
    TextAvatarDirective.prototype.ngOnChanges = function (changes) {
        var text = changes['text'] ? changes['text'].currentValue : null;
        var color = changes['color'] ? changes['color'].currentValue : null;
        var textColor = changes['textColor'] ? changes['textColor'].currentValue : '';
        this.element.nativeElement.setAttribute("value", this.extractFirstCharacter(text));
        this.element.nativeElement.style.backgroundColor = this.backgroundColorHexString(color, text);
        this.element.nativeElement.style.color = textColor ? textColor : '';
    };
    TextAvatarDirective.prototype.extractFirstCharacter = function (text) {
        return text.charAt(0) || '';
    };
    TextAvatarDirective.prototype.backgroundColorHexString = function (color, text) {
        return color || this.colorGenerator.getColor(text);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", String)
    ], TextAvatarDirective.prototype, "text", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", String)
    ], TextAvatarDirective.prototype, "color", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", String)
    ], TextAvatarDirective.prototype, "textColor", void 0);
    TextAvatarDirective = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Directive"])({
            selector: 'text-avatar',
            providers: [__WEBPACK_IMPORTED_MODULE_1__color_generator__["a" /* ColorGenerator */]]
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"], __WEBPACK_IMPORTED_MODULE_1__color_generator__["a" /* ColorGenerator */]])
    ], TextAvatarDirective);
    return TextAvatarDirective;
}());

//# sourceMappingURL=text-avatar.js.map

/***/ }),

/***/ 985:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ColorGenerator; });
var ColorGenerator = (function () {
    function ColorGenerator() {
        this.COLORS = ['#e57373', '#f06292', '#ba68c8', '#9575cd', '#7986cb', '#64b5f6',
            '#4fc3f7', '#4dd0e1', '#4db6ac', '#81c784', '#aed581', '#ff8a65', '#d4e157', '#673ab7',
            '#ffb74d', '#a1887f', '#90a4ae'];
    }
    ColorGenerator.prototype.getColor = function (str) {
        return this.COLORS[Math.abs(this.toNumber(str)) % this.COLORS.length];
    };
    ColorGenerator.prototype.toNumber = function (str) {
        var h = 0;
        for (var i = 0; i < str.length; i++) {
            h = 31 * h + str.charCodeAt(i);
            h |= 0; // Convert to 32bit integer
        }
        return h;
    };
    ;
    return ColorGenerator;
}());

//# sourceMappingURL=color-generator.js.map

/***/ })

});
//# sourceMappingURL=10.js.map