webpackJsonp([2,23,25],{

/***/ 1078:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return VolunteerHomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_social_sharing__ = __webpack_require__(178);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_AuthService__ = __webpack_require__(175);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_AlertService__ = __webpack_require__(97);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__providers_Helper__ = __webpack_require__(173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__ionic_native_geolocation__ = __webpack_require__(182);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_12_moment__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






//providers







var VolunteerHomePage = (function () {
    function VolunteerHomePage(navCtrl, navParams, inAppStorageServiceProvider, storage, ionicStorage, ds, auth, toast, alert, platform, helper, socialSharing, modalpage, geolocation, alertCtrl, toastCtrl) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.inAppStorageServiceProvider = inAppStorageServiceProvider;
        this.storage = storage;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.auth = auth;
        this.toast = toast;
        this.alert = alert;
        this.platform = platform;
        this.helper = helper;
        this.socialSharing = socialSharing;
        this.modalpage = modalpage;
        this.geolocation = geolocation;
        this.alertCtrl = alertCtrl;
        this.toastCtrl = toastCtrl;
        this.time_var = 9;
        this.show_signup_banner = false;
        this.current_tab = 'myRequests';
        this.VolData = {};
        this.location_available = false;
        this.overlayHidden = false;
        this.outlinecards = new Array(7);
        this.setPages();
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
            }
            else {
                _this.navCtrl.push("LoginOptionsPage");
            }
        });
    }
    VolunteerHomePage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.removedata();
        this.ionicStorage.removestep1CreateOpportunity();
        this.ionicStorage.remove("step2CreateOpportunity");
        this.ionicStorage.remove("step3CreateOpportunity");
        this.inAppStorageServiceProvider.setCausesChoosen('');
        this.inAppStorageServiceProvider.setMatchesChoosen('');
        this.inAppStorageServiceProvider.setSkillsChoosen('');
        this.ionicStorage.removelatitude();
        this.ionicStorage.removelongitude();
        this.ionicStorage.getstep1CreateOpportunity().then(function (data1) {
        });
        this.setPages();
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                _this.checkUserLoginStatus();
            }
            else {
                _this.navCtrl.push("LoginOptionsPage");
            }
        });
        this.location_available = localStorage.getItem('postal_code') ? true : false;
        this.ionicStorage.removeSourcePage();
    };
    VolunteerHomePage.prototype.hideOverlay = function () {
        this.overlayHidden = !this.overlayHidden;
    };
    VolunteerHomePage.prototype.setPages = function () {
        return this.PAGES = {
            trending: {
                current: 0,
                show_more: true,
                public: true,
                route: 'trending',
                data: [],
                waiting: true
            },
            favorite: {
                current: 0,
                show_more: true,
                public: false,
                route: 'favorite',
                data: [],
                waiting: true
            },
            myRequests: {
                current: 0,
                show_more: true,
                public: false,
                route: 'myRequests',
                data: [],
                waiting: true
            },
            participating: {
                current: 0,
                show_more: true,
                public: false,
                route: 'participating',
                data: [],
                waiting: true
            }
        };
    };
    VolunteerHomePage.prototype.doRefresh = function (e) {
        e.complete();
        this.setPages();
        this.checkUserLoginStatus();
    };
    VolunteerHomePage.prototype.refreshATab = function (tab) {
        this.PAGES[tab].data = [];
        this.PAGES[tab].current = 0;
        var val = localStorage.getItem('postal_code');
        if (this.PAGES[tab].public === false) {
            this.getAllUserBasedOpportunities(this.PAGES[tab].current + 1, this.PAGES[tab].route, tab);
        }
        else if (this.PAGES[tab].public === true) {
            this.getAllPublicOpportunities(val, this.PAGES[tab].current + 1, this.PAGES[tab].route, tab);
        }
    };
    VolunteerHomePage.prototype.checkUserLoginStatus = function (override_current_tab) {
        var _this = this;
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                _this.getMessages();
                _this.getNotifications();
                _this.show_signup_banner = false;
                _this.ionicStorage.getUser().then(function (result) {
                    _this.userDetails = result;
                    for (var i in _this.PAGES) {
                        if (_this.PAGES[i].public === false) {
                            _this.getAllUserBasedOpportunities(_this.PAGES[i].current + 1, _this.PAGES[i].route, i);
                        }
                    }
                });
            }
            _this.getZip();
        });
    };
    VolunteerHomePage.prototype.getZip = function (override_location_based) {
        var _this = this;
        var val = localStorage.getItem('postal_code');
        if (val || override_location_based) {
            this.currentSelectedZip = val;
            for (var i in this.PAGES) {
                if (override_location_based && this.PAGES[i].location_based == false && this.PAGES[i].public) {
                    this.getAllPublicOpportunities(val, this.PAGES[i].current + 1, this.PAGES[i].route, i);
                }
                if (this.PAGES[i].public === true) {
                    this.getAllPublicOpportunities(val, this.PAGES[i].current + 1, this.PAGES[i].route, i);
                }
            }
        }
        else {
            this.platform.ready().then(function (readySource) {
                if (_this.platform.is("mobileweb")) {
                    _this.helper.getCurrentLocation().then(function (data) {
                        _this.getZip();
                        //this.autocomplete.query = data;
                    }).catch(function (err) {
                        _this.getZip(true);
                        //alert('unable to get location');
                    });
                }
                else {
                    _this.helper
                        .getCurrentLocation()
                        .then(function (data) {
                        _this.getZip();
                        _this.location_available = true;
                    }).catch(function (err) {
                        _this.getZip(true);
                    });
                }
            });
        }
    };
    VolunteerHomePage.prototype.openSearchModal = function () {
        var modal = this.modalpage.create("SearchPage");
        var currentPoint = this;
        modal.present();
    };
    VolunteerHomePage.prototype.getAllUserBasedOpportunities = function (page, route, category, e) {
        var _this = this;
        this.PAGES[category].waiting = true;
        if (route == "myRequests") {
            this.url = __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].Common_Opp_Url + "/" + page + "/" + route + "/trends?orgType=EDU";
        }
        else {
            this.url = __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].Common_Opp_Url + "/" + page + "/" + route + "/trends/dashboard/info?userId=" + this.userDetails.userId + "&orgType=EDU";
        }
        this.prefs = {
            url: this.url
        };
        this.ds.getUserBasedOpportunity(this.prefs, function (data) {
            _this.PAGES[category].waiting = false;
            e ? e.complete() : null;
            if (data && data[0] && data[0][category]) {
                _this.helper.setDistance(data[0][category]);
                for (var _i = 0, _a = data[0][category]; _i < _a.length; _i++) {
                    var opportunity = _a[_i];
                    if (opportunity && opportunity.activity && opportunity.activity.accepted_volunteers) {
                        opportunity.activity.going = opportunity.activity.accepted_volunteers.find(function (x) { return x.user == _this.userDetails.userId; }) ? true : false;
                    }
                }
                _this.PAGES[category].data = _this.PAGES[category].data.concat(data[0][category]);
                _this.PAGES[category].current++;
                if (data[0][category] && data[0][category].length == 0) {
                    _this.PAGES[category].show_more = false;
                }
            }
        }, function (error) { e ? e.complete() : null; _this.PAGES[category].waiting = false; });
    };
    VolunteerHomePage.prototype.getAllPublicOpportunities = function (currentZip, page, route, category, e) {
        var _this = this;
        this.PAGES[category].waiting = true;
        this.current_latitude = localStorage.getItem('city');
        this.current_longitude = localStorage.getItem('country');
        if (this.current_latitude && this.current_longitude) {
            this.url = "" + __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].Common_Opp_Url + page + "/" + route + "/trends/info?city=" + this.current_latitude + "&country=" + this.current_longitude + "&orgType=EDU";
        }
        else {
            this.url = "" + __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].Common_Opp_Url + page + "/" + route + "/trends/info?orgType=EDU";
        }
        this.prefs = {
            url: this.url,
        };
        this.ds.getPublicOpportunities(this.prefs, function (data) {
            // this.events.publish("loadingDismiss");
            _this.PAGES[category].waiting = false;
            e ? e.complete() : null;
            if (data && data[0] && data[0][category]) {
                _this.helper.setDistance(data[0][category]);
                for (var _i = 0, _a = data[0][category]; _i < _a.length; _i++) {
                    var opportunity = _a[_i];
                    if (opportunity && opportunity.activity && opportunity.activity.accepted_volunteers) {
                        opportunity.activity.going = opportunity.activity.accepted_volunteers.find(function (x) { return x.user == _this.userDetails.userId; }) ? true : false;
                    }
                }
                _this.PAGES[category].data = _this.PAGES[category].data.concat(data[0][category]);
                _this.PAGES[category].current++;
                if (data[0][category] && data[0][category].length == 0) {
                    _this.PAGES[category].show_more = false;
                }
            }
        }, function (err) { e ? e.complete() : null; _this.PAGES[category].waiting = false; });
    };
    VolunteerHomePage.prototype.shareSheetShare = function (volData, encryptedKey) {
        this.helper.shareSheetShare(volData, encryptedKey);
    };
    VolunteerHomePage.prototype.activityCreation = function (flag, creationFAB) {
        creationFAB ? creationFAB.close() : null;
        this.hideOverlay();
        if (this.token) {
            if (flag == "CampaignCreation") {
            }
            else if (flag == "BloodDonationCreation") {
                //                this.storage.set("typeOfOpportunityFlag", flag);
                this.navCtrl.push("CreateBloodStep1Page");
            }
            else if (flag == "opportunityCreation") {
                //                this.storage.set("typeOfOpportunityFlag", flag);
                this.navCtrl.push("CreateVolStep1Page");
            }
        }
    };
    VolunteerHomePage.prototype.cancelRequest = function (activity) {
        var _this = this;
        var reason = 'cancelRequest';
        var alert = this.alertCtrl.create({
            enableBackdropDismiss: false,
            title: "Cancel Request?",
            subTitle: "Once cancelled, you can’t retrieve the request.Are you sure you want to cancel volunteering request? ",
            buttons: [
                {
                    text: "No",
                    role: "cancel",
                    handler: function () {
                    }
                },
                {
                    text: "Yes",
                    handler: function () {
                        _this.reqObject = {
                            cancelBloodDonation: {
                                cancel: true,
                                comment: reason
                            },
                            is_active: false
                        };
                        _this.url = 'cancel/opportunityInvite/' + activity.id;
                        _this.prefs = {
                            url: _this.url,
                            req_object: _this.reqObject
                        };
                        _this.ds.cancelOpp(_this.prefs, function (data) {
                            _this.navCtrl.push('TabsPage');
                            var toast = _this.toastCtrl.create({
                                message: 'Volunteer Request has been sucessfully Canceled',
                                duration: 3000,
                                cssClass: "toastClass"
                            });
                            toast.present();
                        }, function (error) {
                        });
                    }
                }
            ]
        });
        alert.present();
    };
    VolunteerHomePage.prototype.opportunityDetails = function (opportunity) {
        var _this = this;
        if (this.token) {
            this.ionicStorage.getUser().then(function (result) {
                _this.userDetails = result;
                if (_this.userDetails.userId == opportunity.contactId) {
                    _this.userTypee = {
                        org: true
                    };
                    _this.inAppStorageServiceProvider.setUserOrg(_this.userTypee);
                    _this.navCtrl.push('VolDetailsPage', {
                        'volunteerhomedata': opportunity,
                        'sourcePage': 'activitiesCard',
                        'role': 'admin',
                        'data': _this.PAGES[_this.current_tab].data,
                        'path': 'one'
                    });
                }
                else if (opportunity.accepted_volunteers) {
                    for (var i = 0; opportunity.accepted_volunteers.length > i; i++) {
                        if ((_this.userDetails.userId == opportunity.accepted_volunteers[i].user.user_id) &&
                            opportunity.accepted_volunteers[i].isCoOrganizer) {
                            _this.redirect = true;
                            break;
                        }
                        else {
                            _this.redirect = false;
                        }
                    }
                    if (!_this.redirect) {
                        _this.userTypee = {
                            org: false
                        };
                        _this.inAppStorageServiceProvider.setUserOrg(_this.userTypee);
                        _this.navCtrl.push('VolDetailsPage', {
                            'volunteerhomedata': opportunity,
                            'sourcePage': 'activitiesCard',
                            'role': 'admin',
                            'data': _this.PAGES[_this.current_tab].data,
                            'path': 'two'
                        });
                    }
                    else {
                        _this.userTypee = {
                            org: false
                        };
                        _this.inAppStorageServiceProvider.setUserOrg(_this.userTypee);
                        _this.navCtrl.push('VolDetailsPage', {
                            'volunteerhomedata': opportunity,
                            'sourcePage': 'activitiesCard',
                            'role': 'volunteer',
                            'data': _this.PAGES[_this.current_tab].data,
                            'path': 'three'
                        });
                    }
                }
                else {
                    _this.userTypee = {
                        org: false
                    };
                    _this.inAppStorageServiceProvider.setUserOrg(_this.userTypee);
                    _this.navCtrl.push('VolDetailsPage', {
                        'volunteerhomedata': opportunity,
                        'sourcePage': 'activitiesCard',
                        'role': 'volunteer',
                        'data': _this.PAGES[_this.current_tab].data,
                        'path': 'four'
                    });
                }
            });
        }
        else {
            this.userTypee = {
                org: false
            };
            this.inAppStorageServiceProvider.setUserOrg(this.userTypee);
            this.navCtrl.push('VolDetailsPage', {
                'volunteerhomedata': opportunity,
                'sourcePage': 'activitiesCard',
                'role': 'volunteer',
                'data': this.PAGES[this.current_tab].data,
                'path': 'five'
            });
        }
    };
    VolunteerHomePage.prototype.doInfinite = function (e) {
        if (this.PAGES[this.current_tab].show_more === false) {
            e.complete();
        }
        else {
            if (this.PAGES[this.current_tab].public === true) {
                this.getAllPublicOpportunities(this.currentSelectedZip, this.PAGES[this.current_tab].current + 1, this.PAGES[this.current_tab].route, this.current_tab, e);
            }
            else if (this.PAGES[this.current_tab].public === false) {
                this.getAllUserBasedOpportunities(this.PAGES[this.current_tab].current + 1, this.PAGES[this.current_tab].route, this.current_tab, e);
            }
        }
    };
    VolunteerHomePage.prototype.favoriateCampaign = function (activity, ind) {
        var _this = this;
        this.helper.favouriate(activity.oppertunityID, this.userDetails.userId, 'opportunity', function (data) {
            if (data = "success") {
                if (ind || ind == 0) {
                    if (!_this.PAGES[_this.current_tab].data[ind].activity.fans) {
                        _this.PAGES[_this.current_tab].data[ind].activity.fans = [];
                    }
                    var fav_index = _this.PAGES[_this.current_tab].data[ind].activity.fans.indexOf(_this.userDetails.userId);
                    if (fav_index == -1) {
                        _this.PAGES[_this.current_tab].data[ind].activity.fans.push(_this.userDetails.userId);
                        _this.PAGES['favorite'].data ? _this.PAGES['favorite'].data.push(_this.PAGES[_this.current_tab].data[ind]) : null;
                    }
                    else {
                        if (_this.PAGES['favorite'].data.length) {
                            var c = 0;
                            for (var _i = 0, _a = _this.PAGES['favorite'].data; _i < _a.length; _i++) {
                                var i = _a[_i];
                                if (i.activity && i.activity.oppertunityID == _this.PAGES[_this.current_tab].data[ind].activity.oppertunityID) {
                                    _this.PAGES['favorite'].data.splice(c, 1);
                                    break;
                                }
                                c++;
                            }
                        }
                        _this.PAGES[_this.current_tab].data[ind].activity.fans.splice(fav_index, 1);
                    }
                }
            }
        });
    };
    VolunteerHomePage.prototype.closeSignUpSuuggestion = function () {
        this.show_signup_banner = false;
    };
    VolunteerHomePage.prototype.getMessages = function () {
        var _this = this;
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].get_messages
        };
        this.ds.getMessages(this.prefs, function (data) {
            _this.messagesDataa = data;
            if (_this.messagesDataa.chat_details.length > 0) {
                _this.messagesData = data;
            }
        }, function (error) {
        });
    };
    VolunteerHomePage.prototype.getNotifications = function () {
        var _this = this;
        this.ionicStorage.getUser().then(function (result) {
            _this.userDetails = result;
            _this.pref = {
                dont_handle_error: false,
                apiQueryParams: _this.userDetails.userId + '/toUserDetails'
            };
            _this.ds.getNotificationsData(_this.pref, function (data) {
                _this.notifiData = data;
                if (_this.notifiData.user_notifications.length) {
                    for (var i = 0; i < _this.notifiData.user_notifications.length; i++) {
                        _this.estimatedTime = __WEBPACK_IMPORTED_MODULE_12_moment__(_this.notifiData.user_notifications[i].notified_date_time).fromNow();
                        _this.notifiData.user_notifications[i].notified_date_time = _this.estimatedTime;
                    }
                    _this.notificationsList = data;
                }
            }, function (error) {
            });
        });
    };
    VolunteerHomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'volunteer-home-tab',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\volunteer-home-tab\volunteer-home-tab\volunteer-home-tab.html"*/'\n\n <page-search-header [messagesData]="messagesData" [notificationsList]="notificationsList"></page-search-header>\n\n\n\n<ion-content> \n\n   \n\n  <ion-segment [(ngModel)]="current_tab">\n\n    \n\n    <ion-segment-button value="myRequests" (click)="refreshATab(\'myRequests\')">\n\n      My Requests\n\n    </ion-segment-button>\n\n      <ion-segment-button value="trending" (click)="refreshATab(\'trending\')">\n\n      All Drives\n\n    </ion-segment-button>\n\n    <ion-segment-button value="participating" (click)="refreshATab(\'participating\')">\n\n      Going\n\n    </ion-segment-button>\n\n    <ion-segment-button value="favorite" (click)="refreshATab(\'favorite\')">\n\n      Favorite\n\n    </ion-segment-button>\n\n  </ion-segment>  \n\n\n\n  <div text-center class="margintop50px" *ngIf="PAGES[current_tab] && PAGES[current_tab].data && !PAGES[current_tab].data?.length && PAGES[current_tab].waiting == false">\n\n    <img src="assets/imgs/no-data.png"/>\n\n  </div>\n\n  <!-- <div text-center class="margintop40px" *ngIf="PAGES[current_tab] && PAGES[current_tab].data && !PAGES[current_tab].data?.length && PAGES[current_tab].waiting">\n\n    <br>\n\n    <ion-spinner class="pls-wait-spinner"></ion-spinner>Please Wait ...\n\n  </div> -->\n\n\n\n  <span *ngIf="PAGES[current_tab] && PAGES[current_tab].data && !PAGES[current_tab].data?.length && PAGES[current_tab].waiting">\n\n    <ion-card class="margintop5px" *ngFor="let card of outlinecards" >\n\n      <ion-row>\n\n        <ion-col col-3 class="paddingtop16px">\n\n          <ion-card class="temp-bd-card-radius">\n\n                 <div class="temp-activity-card"></div>\n\n            <ion-card-content class="temp-cont-bg">\n\n            </ion-card-content>\n\n          </ion-card>\n\n        </ion-col>\n\n        <ion-col col-9>\n\n          <ion-card-content class="temp-bd-card-right-contnt">\n\n              <div class="fakeusers">\n\n                  <div class="first"></div>\n\n                  <div class="second"></div>\n\n                  <div class="third"></div>\n\n                  <div class="third"></div>\n\n              </div>\n\n          </ion-card-content>\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-card>\n\n  </span>\n\n\n\n\n\n\n\n  <span *ngIf="PAGES[current_tab] && PAGES[current_tab].data && PAGES[current_tab].data?.length">\n\n         \n\n    <ion-card class="margintop5px" *ngFor="let opportunity of PAGES[current_tab].data; let i = index">\n\n      <ion-row>\n\n        <ion-col col-3 class="paddingtop16px" (click)="opportunityDetails(opportunity.activity)">\n\n          <ion-card class="vol-card-radius">\n\n            <img class="img_inside" *ngIf="!opportunity.activity.thumbnail && !opportunity.activity.photoUrl" src="{{opportunity.activity.opportunityImages[0]}}">\n\n            <img class="img_inside" *ngIf="opportunity.activity.thumbnail" src="{{opportunity.activity.thumbnail}}">\n\n            <img class="img_inside" *ngIf="opportunity.activity.photoUrl" src="{{opportunity.activity.photoUrl[0]}}">\n\n            <ion-card-content class="cont-bg" *ngIf="!opportunity.activity.photoUrl">\n\n              <ion-row class="vol-paddi">\n\n                <ion-icon name="people" ios="ios-people" md="md-people" class="person-icon"></ion-icon>&nbsp;\n\n                <span class="vol-attend-count">{{opportunity.activity.acceptedVolunteersSize}}</span>\n\n              </ion-row>\n\n              <ion-row class="vol-attnd-row">\n\n                <span class="bd-attndng">Attending</span>\n\n              </ion-row>\n\n            </ion-card-content>\n\n            <ion-card-content class="cont-bg" *ngIf="opportunity.activity.photoUrl">\n\n              <ion-row class="vol-paddi">\n\n                <span class="vol-attend-count">{{opportunity.activity.requestedNgos}}</span>\n\n              </ion-row>\n\n              <ion-row class="vol-attnd-row">\n\n                <span class="bd-attndng">Requested</span>\n\n              </ion-row>\n\n            </ion-card-content>\n\n          </ion-card>\n\n        </ion-col>\n\n        <ion-col col-9>\n\n          <ion-card-content class="bd-card-right-contnt">\n\n            <ng-container (click)="opportunityDetails(opportunity.activity)">\n\n                 <span  class="vol-title" *ngIf="opportunity.activity.name">{{opportunity.activity.name}}</span>\n\n              <span  class="vol-title" *ngIf="opportunity.activity.opportunityName">{{opportunity.activity.opportunityName}} (est.{{opportunity.activity.totalTime}}h)</span>\n\n              <div  class="bd-fontbold">{{opportunity.activity.location}}</div>\n\n              <div class="bd-event-time " *ngIf="!opportunity.activity.cancelOpportunity?.cancel && !opportunity.activity.scheduleDate">{{opportunity.activity.startTime}}, {{opportunity.activity.startDate | date:\'MMM d\'}}\n\n                <span class="bd-miles-font" *ngIf="opportunity.activity?.displacement || opportunity.activity?.displacement == 0">| {{opportunity.activity.displacement | number}} Miles</span>\n\n              </div>\n\n              <div class="bd-event-time " *ngIf="opportunity.activity.scheduleDate">{{opportunity.activity.startTime}}, {{opportunity.activity.scheduleDate | date:\'MMM d\'}}\n\n               \n\n              </div>\n\n              <ng-container *ngIf="opportunity.activity.name">\n\n                  <ion-row class="padding0px npcount" *ngIf="opportunity.activity.acceptedNgos">\n\n                      <div class="bd-event-time" >Approved By : <span class="nonProfit">{{opportunity.activity.acceptedNgos?.ngos[0].ngo_name}}</span></div>\n\n                  </ion-row>\n\n                  <ion-row class="padding0px npcount" *ngIf="!opportunity.activity.acceptedNgos && opportunity.activity.isActive  && !opportunity.activity.expired">\n\n                      <button ion-button icon-left clear small  class="paddingright15px paddingleft15px bd-participate-btn"\n\n                      (click)="cancelRequest(opportunity.activity)">\n\n                      CANCEL REQUEST\n\n                    </button>\n\n                      \n\n                    <button ion-button icon-left clear small   class="paddingright15px paddingleft15px goingbutton"\n\n                      (click)="opportunityDetails(opportunity.activity)">\n\n                      <ion-icon ios="ios-checkmark" md="md-checkmark"></ion-icon>&nbsp;EDIT\n\n                    </button>\n\n                  </ion-row>\n\n              </ng-container>\n\n              <div class="npcount bd-event-time" *ngIf="opportunity.activity.name && !opportunity.activity.isActive">\n\n                Cancelled!!!!\n\n                            </div>\n\n                            <!-- <div class="npcount bd-event-time" *ngIf="opportunity.activity.name  && opportunity.activity.expired">\n\n                              Expired!!!!\n\n                                          </div>  -->\n\n            </ng-container>\n\n            <ng-container *ngIf="opportunity.activity.cancelOpportunity?.cancel">\n\n              <span class="error">Cancelled Event</span>\n\n            </ng-container>\n\n            <ion-row *ngIf="opportunity.activity.opportunityName">\n\n              <ion-col class="padding0px" *ngIf="!opportunity.activity.cancelOpportunity?.cancel">\n\n                <button ion-button icon-left clear small class="paddingright15px paddingleft15px" [disabled]="opportunity.activity.isCompleted" ngClass="{{opportunity.activity.going?\'goingbutton\':\'bd-participate-btn\'}}"\n\n                  (click)="opportunityDetails(opportunity.activity)">\n\n                  <ion-icon ios="ios-checkmark" md="md-checkmark" *ngIf="opportunity.activity.going"></ion-icon>{{opportunity.activity.going?"Going":"I\'M IN"}}\n\n                </button>\n\n                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" (click)="favoriateCampaign(opportunity.activity, i)">\n\n                  <div class="paddingright12px bd-titletextcolor">Favorite </div>\n\n                  <ion-icon *ngIf="userDetails?.userId&&opportunity.activity.fans?.indexOf(userDetails.userId) >= 0" name="star" class="primarycolor font-size18px"></ion-icon>\n\n                  <ion-icon *ngIf="userDetails?.userId&&opportunity.activity.fans?.indexOf(userDetails.userId) < 0" name="star-outline"\n\n                    class="primarycolor font-size18px"></ion-icon>\n\n                </button>\n\n                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" (click)="shareSheetShare(opportunity.activity,opportunity.activity.encryptedKey)">\n\n                  <!-- <div class="paddingright12px bd-titletextcolor">{{opportunity.activity.shareCount}}</div> -->\n\n                  <img src="assets/imgs/icon-share.png">\n\n                </button>\n\n              </ion-col>\n\n              <ion-col class="padding0px" *ngIf="(opportunity.activity?.cancelOpportunity?.cancel) && (userDetails?.userId == opportunity.activity?.contactId)">\n\n                <button ion-button icon-left clear small class="paddingright15px paddingleft15px bd-participate-btn" (click)="opportunityDetails(opportunity.activity)">\n\n                  RESCHEDULE\n\n                </button>\n\n              </ion-col>\n\n            </ion-row>\n\n<!--              <ion-row class="margintop2px" *ngIf="opportunity.activity.photoUrl">\n\n              <ion-col class="padding0px margin_top10px">\n\n              <span class="approved-count">{{opportunity.activity?.acceptedNgos}}</span><span class="approved-text">approved</span>\n\n              </ion-col>\n\n            </ion-row>-->\n\n          </ion-card-content>\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-card>\n\n  </span>\n\n <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content></ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n</ion-content>\n\n<page-activity-creation-fab *ngIf="userDetails?.bsrs[0].isActive"></page-activity-creation-fab>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\volunteer-home-tab\volunteer-home-tab\volunteer-home-tab.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__["a" /* IonicStorageService */], __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_7__providers_AuthService__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_9__providers_ToastService__["a" /* ToastService */],
            __WEBPACK_IMPORTED_MODULE_8__providers_AlertService__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_10__providers_Helper__["a" /* Helper */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_social_sharing__["a" /* SocialSharing */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_11__ionic_native_geolocation__["a" /* Geolocation */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ToastController */]])
    ], VolunteerHomePage);
    return VolunteerHomePage;
}());

//# sourceMappingURL=volunteer-home-tab.js.map

/***/ }),

/***/ 1079:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PipesModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__time_pipe__ = __webpack_require__(1080);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

//pipes

var PipesModule = (function () {
    function PipesModule() {
    }
    PipesModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_1__time_pipe__["a" /* TimePipe */]
            ],
            imports: [],
            exports: [
                __WEBPACK_IMPORTED_MODULE_1__time_pipe__["a" /* TimePipe */]
            ]
        })
    ], PipesModule);
    return PipesModule;
}());

//# sourceMappingURL=pipes.module.js.map

/***/ }),

/***/ 1080:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TimePipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

var TimePipe = (function () {
    function TimePipe() {
    }
    TimePipe.prototype.transform = function (value, args) {
        if ((!value && value != 0) || value == '00')
            return value;
        if (parseInt(value) < 10) {
            return '0' + value.toString();
        }
        else {
            return value;
        }
    };
    TimePipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({ name: 'timeFormatter' })
    ], TimePipe);
    return TimePipe;
}());

//# sourceMappingURL=time.pipe.js.map

/***/ }),

/***/ 888:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ActivityCreationFabPageModule", function() { return ActivityCreationFabPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__activity_creation_fab__ = __webpack_require__(981);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ActivityCreationFabPageModule = (function () {
    function ActivityCreationFabPageModule() {
    }
    ActivityCreationFabPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__activity_creation_fab__["a" /* ActivityCreationFabPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__activity_creation_fab__["a" /* ActivityCreationFabPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__activity_creation_fab__["a" /* ActivityCreationFabPage */]
            ]
        })
    ], ActivityCreationFabPageModule);
    return ActivityCreationFabPageModule;
}());

//# sourceMappingURL=activity-creation-fab.module.js.map

/***/ }),

/***/ 889:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SearchHeaderPageModule", function() { return SearchHeaderPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__search_header__ = __webpack_require__(982);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SearchHeaderPageModule = (function () {
    function SearchHeaderPageModule() {
    }
    SearchHeaderPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__search_header__["a" /* SearchHeaderPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__search_header__["a" /* SearchHeaderPage */]),
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_2__search_header__["a" /* SearchHeaderPage */]
            ]
        })
    ], SearchHeaderPageModule);
    return SearchHeaderPageModule;
}());

//# sourceMappingURL=search-header.module.js.map

/***/ }),

/***/ 974:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "VolunteerHomePageModule", function() { return VolunteerHomePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__volunteer_home_tab__ = __webpack_require__(1078);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(1079);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__search_header_search_header_module__ = __webpack_require__(889);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__activity_creation_fab_activity_creation_fab_module__ = __webpack_require__(888);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






var VolunteerHomePageModule = (function () {
    function VolunteerHomePageModule() {
    }
    VolunteerHomePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__volunteer_home_tab__["a" /* VolunteerHomePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__volunteer_home_tab__["a" /* VolunteerHomePage */]),
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */],
                __WEBPACK_IMPORTED_MODULE_4__search_header_search_header_module__["SearchHeaderPageModule"],
                __WEBPACK_IMPORTED_MODULE_5__activity_creation_fab_activity_creation_fab_module__["ActivityCreationFabPageModule"]
            ], schemas: [
                __WEBPACK_IMPORTED_MODULE_0__angular_core__["CUSTOM_ELEMENTS_SCHEMA"]
            ], exports: [
                __WEBPACK_IMPORTED_MODULE_2__volunteer_home_tab__["a" /* VolunteerHomePage */]
            ]
        })
    ], VolunteerHomePageModule);
    return VolunteerHomePageModule;
}());

//# sourceMappingURL=volunteer-home-tab.module.js.map

/***/ }),

/***/ 981:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ActivityCreationFabPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var ActivityCreationFabPage = (function () {
    function ActivityCreationFabPage(navCtrl, navParams, ionicStorage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.ionicStorage = ionicStorage;
        this.overlayHidden = false;
    }
    ActivityCreationFabPage.prototype.activityCreation = function (flag, creationFAB) {
        creationFAB ? creationFAB.close() : null;
        this.hideOverlay();
        if (flag == "CampaignCreation") {
        }
        else if (flag == "BloodDonationCreation") {
            this.navCtrl.push("CreateBloodStep1Page");
        }
        else if (flag == "opportunityCreation") {
            this.ionicStorage.setdata('volunteerCreation');
            this.navCtrl.push("CreateVolStep1Page");
        }
    };
    ActivityCreationFabPage.prototype.hideOverlay = function () {
        this.overlayHidden = !this.overlayHidden;
    };
    ActivityCreationFabPage.prototype.requestNp = function () {
        if (!this.showHide) {
            this.showHide = true;
        }
        else {
            this.showHide = false;
        }
    };
    ActivityCreationFabPage.prototype.bloodRequest = function () {
        this.ionicStorage.setdata('BloodRequest');
        this.navCtrl.push('CreateBloodStep1Page', { 'Sourcepage': 'requestform' });
    };
    ActivityCreationFabPage.prototype.volunteerRequest = function () {
        this.ionicStorage.setdata('volunteerRequest');
        this.navCtrl.push('CreateVolStep1Page');
    };
    ActivityCreationFabPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-activity-creation-fab',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\activity-creation-fab\activity-creation-fab.html"*/'<ion-fab right bottom class="position" #creationFAB>\n\n    <button ion-fab color="vibrant" mini (click)="hideOverlay()" class="fab_color">\n\n      <ion-icon name="add" class="fabicon"></ion-icon>\n\n    </button>\n\n    <ion-fab-list side="top">\n\n      <ng-container *ngIf="showHide">\n\n       <span class="fab_camp fabreqlast" (click)="bloodRequest()">Blood Donation</span>\n\n       <span class="fab_camp fabreq" (click)="volunteerRequest()">Volunteering</span>\n\n      </ng-container>\n\n        <button ion-fab class="fab_btn" (click)="requestNp()">\n\n            <span class="fabreqnp">Request for NP<br><span class="np">(non-profit)</span></span>\n\n            <img class="fb-img" src="assets/imgs/icon-camp-on.png">\n\n          </button>\n\n<!--      <button ion-fab class="fab_btn" (click)="activityCreation(\'BloodDonationCreation\',creationFAB)">\n\n        <span class="fabblood">Blood Donation</span>\n\n        <img class="fb-img" src="assets/imgs/icon-blood-on@1.5x.png">\n\n      </button>-->\n\n      <button ion-fab class="fab_btn" (click)="activityCreation(\'opportunityCreation\',creationFAB)">\n\n        <span class="fabvol">Volunteering</span>\n\n        <img class="fb-img" src="assets/imgs/icon-volunteering-on@1.5x.png">\n\n      </button>\n\n    </ion-fab-list>\n\n  </ion-fab>\n\n\n\n\n\n  <div *ngIf="overlayHidden" class="my-overlay">\n\n  </div>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\activity-creation-fab\activity-creation-fab.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__["a" /* IonicStorageService */]])
    ], ActivityCreationFabPage);
    return ActivityCreationFabPage;
}());

//# sourceMappingURL=activity-creation-fab.js.map

/***/ }),

/***/ 982:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SearchHeaderPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_moment__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var SearchHeaderPage = (function () {
    function SearchHeaderPage(navCtrl, navParams, ds, modalpage, ionicStorage, ViewCtrl) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.ds = ds;
        this.modalpage = modalpage;
        this.ionicStorage = ionicStorage;
        this.ViewCtrl = ViewCtrl;
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                _this.ionicStorage.getUser().then(function (result) {
                    _this.UserGetDetailsDta = result;
                });
            }
        });
    }
    SearchHeaderPage.prototype.searchPage = function () {
        var modal = this.modalpage.create('SearchPage');
        modal.present();
    };
    SearchHeaderPage.prototype.messages = function (messagesData) {
        var modal = this.modalpage.create('MessagesListPage', { messagesList: messagesData, UserGetDetailsDta: this.UserGetDetailsDta });
        modal.present();
    };
    SearchHeaderPage.prototype.notifications = function (notificationsList) {
        var _this = this;
        if (this.token) {
            if (notificationsList) {
                if (notificationsList.count > 0) {
                    this.pref = {
                        dont_handle_error: false,
                        apiQueryParams: this.UserGetDetailsDta.userId + '/toUserDetails'
                    };
                    this.ds.getNotificationsread(this.pref, function (data) {
                        _this.notifiData = data;
                        if (_this.notifiData.user_notifications.length) {
                            for (var i = 0; i < _this.notifiData.user_notifications.length; i++) {
                                _this.estimatedTime = __WEBPACK_IMPORTED_MODULE_4_moment__(_this.notifiData.user_notifications[i].notified_date_time).fromNow();
                                _this.notifiData.user_notifications[i].notified_date_time = _this.estimatedTime;
                            }
                            _this.notificationsList = data;
                        }
                    }, function (error) {
                    });
                }
                this.navCtrl.push("NotificationsPage", { notificationsList: notificationsList });
            }
            else {
                this.navCtrl.push("NotificationsPage", { notificationsList: notificationsList });
            }
        }
        else {
            this.navCtrl.push("loginOtionsPage");
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", Object)
    ], SearchHeaderPage.prototype, "messagesData", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
        __metadata("design:type", Object)
    ], SearchHeaderPage.prototype, "notificationsList", void 0);
    SearchHeaderPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-search-header',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\search-header\search-header.html"*/'<ion-header class="border-null">\n\n    <ion-navbar>\n\n        <ion-grid class="padding0px">\n\n          <ion-row>\n\n             <ion-col col-1 center text-center>\n\n              <ion-icon name="search" class="font-size24px tooliconcolor margintop24px" (click)="searchPage()"></ion-icon>\n\n            </ion-col>\n\n            <ion-col col-8>\n\n              <ion-item class="backgroundtransparent toolbarinput" (click)="searchPage()">\n\n                <ion-input type="text" placeholder="Search..."></ion-input>\n\n              </ion-item>\n\n            </ion-col>\n\n            <ion-col col-1.5 center text-center *ngIf="messagesData">\n\n                     <span class="msg-count" *ngIf="messagesData.count>0">{{messagesData.count}}</span>\n\n              <!-- <ion-icon name="ios-chatboxes-outline" class="font-size24px tooliconcolor margintop24px" (click)="messages(messagesData)"></ion-icon> -->\n\n              <img class="margintop24px"   src="assets/imgs/icon-ChatHome.png" (click)="messages(messagesData)">         \n\n            </ion-col>\n\n              <ion-col col-1.5 center text-center *ngIf="!messagesData">\n\n              <!-- <ion-icon name="ios-chatboxes-outline" class="font-size24px tooliconcolor margintop24px" (click)="messages()"></ion-icon>               -->\n\n              <img class="margintop24px"  src="assets/imgs/icon-ChatHome.png" (click)="messages()"> \n\n            </ion-col>\n\n            <ion-col col-1.5 center text-center *ngIf="notificationsList">\n\n                     <span class="msg-count" *ngIf="notificationsList.count>0">{{notificationsList.count}}</span>\n\n              <!-- <ion-icon name="notifications-outline" (click)="notifications(notificationsList)" class="font-size24px tooliconcolor margintop24px"></ion-icon> -->\n\n              <img class="margintop24px" src="assets/imgs/icon-notif.png" (click)="notifications(notificationsList)">\n\n            </ion-col>\n\n              <ion-col col-1.5 center text-center *ngIf="!notificationsList">\n\n              <!-- <ion-icon name="notifications-outline" (click)="notifications()" class="font-size24px tooliconcolor margintop24px"></ion-icon> -->\n\n              <img class="margintop24px" src="assets/imgs/icon-notif.png" (click)="notifications()">\n\n            </ion-col>\n\n          </ion-row>\n\n        </ion-grid>\n\n      </ion-navbar>\n\n  </ion-header>\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n<!--<ion-header>\n\n    <ion-navbar>\n\n        <ion-grid class="padding0px">\n\n          <ion-row>\n\n             <ion-col col-1 center text-center>\n\n              <ion-icon name="search" class="font-size24px tooliconcolor margintop24px" (click)="searchPage()"></ion-icon>\n\n            </ion-col>\n\n            <ion-col col-8>\n\n              <ion-item class="backgroundtransparent toolbarinput" (click)="searchPage()">\n\n                <ion-input type="text" placeholder="Search..."></ion-input>\n\n              </ion-item>\n\n            </ion-col>\n\n              <ion-col col-1.5 center text-center *ngIf="messagesData">\n\n                  <span class="msg-count" *ngIf="messagesData.count>0">{{messagesData.count}}</span>\n\n                  <ion-icon name="ios-chatboxes-outline" class="font-size24px tooliconcolor margintop24px" (click)="messages(messagesData)"></ion-icon>\n\n\n\n              </ion-col>\n\n              <ion-col col-1.5 center text-center *ngIf="!messagesData">\n\n                  <ion-icon name="ios-chatboxes-outline" class="font-size24px tooliconcolor margintop24px" (click)="messages()"></ion-icon>\n\n              </ion-col>\n\n              \n\n           \n\n              <ion-col col-1.5 center text-center  *ngIf="notificationsList" >\n\n                 <span class="msg-count" *ngIf="notificationsList.count>0">{{notificationsList.count}}</span>\n\n          <ion-icon name="notifications-outline" (click)="notifications(notificationsList)" class="font-size24px tooliconcolor margintop24px"></ion-icon>\n\n        </ion-col>\n\n              <ion-col col-1.5 center text-center  *ngIf="!notificationsList" >                \n\n          <ion-icon name="notifications-outline" (click)="notifications()" class="font-size24px tooliconcolor margintop24px"></ion-icon>\n\n        </ion-col>\n\n              \n\n          </ion-row>\n\n        </ion-grid>\n\n      </ion-navbar>\n\n  </ion-header>-->\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\search-header\search-header.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */], __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__["a" /* IonicStorageService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */]])
    ], SearchHeaderPage);
    return SearchHeaderPage;
}());

//# sourceMappingURL=search-header.js.map

/***/ })

});
//# sourceMappingURL=2.js.map