webpackJsonp([21],{

/***/ 1077:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TabsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var TabsPage = (function () {
    function TabsPage(navParams, storage, platform) {
        this.navParams = navParams;
        this.storage = storage;
        this.platform = platform;
        this.tabs = [
            {
                name: 'Blood Donation',
                component: 'BloodDonationHomePage',
                params: 'BloodDonation',
                hideTabsOnSubPages: true,
                tab_icon: 'home'
            },
            {
                name: 'Volunteering',
                component: 'VolunteerHomePage',
                params: 'Opportunity',
                hideTabsOnSubPages: true,
                tab_icon: 'hot'
            },
            {
                name: 'Me',
                component: 'ProfilePage',
                params: null,
                hideTabsOnSubPages: true,
                tab_icon: 'ghatu'
            }
        ];
        this.storage.remove("BloodStepOneData");
        this.storage.remove("BloodSteptwoData");
    }
    TabsPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.platform.registerBackButtonAction(function () {
            _this.platform.exitApp();
        });
        this.tabindex = this.navParams.get('TabsIndex');
        this.tabRef.select(this.tabindex);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('myTabs'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["w" /* Tabs */])
    ], TabsPage.prototype, "tabRef", void 0);
    TabsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-tab',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\tabs\tabs.page.html"*/'<ion-tabs #myTabs tabsPlacement=\'bottom\'>\n\n\n\n    <ion-tab *ngFor="let ROOT of tabs" [root]="ROOT.component" [tabTitle]="ROOT.name" [rootParams]="ROOT.params" [tabsHideOnSubPages]="ROOT.hideTabsOnSubPages" [tabIcon]="ROOT.tab_icon"></ion-tab>\n\n    <!-- <ion-tab [root]="ROOT[1].component" [tabTitle]="Tab Two" [rootParams]="ROOT[1].params" [tabsHideOnSubPages]="ROOT[1].hideTabsOnSubPages" [tabIcon]="ROOT[1].tab_icon"></ion-tab>\n\n    <ion-tab [root]="ROOT[2].component" [tabTitle]="Tab Three" [rootParams]="ROOT[2].params" [tabsHideOnSubPages]="ROOT[2].hideTabsOnSubPages" [tabIcon]="ROOT[2].tab_icon"></ion-tab> -->\n\n</ion-tabs>\n\n\n\n\n\n<!--\n\n<ion-tabs #myTabs tabsPlacement=\'bottom\'>\n\n    &lt;!&ndash; <ion-tab [root]="activitiesRoot" tabTitle="Campaign" [rootParams]="tabParams.campaign" tabsHideOnSubPages="true" tabIcon="categories"></ion-tab> &ndash;&gt;\n\n\n\n    <ion-tab [root]="tabs[0].component" tabTitle="Blood Donation" [rootParams]="BloodDonation" tabsHideOnSubPages="true" tabIcon="home"></ion-tab>\n\n    &lt;!&ndash; <ion-tab [root]="activitiesRoot" tabTitle="Blood Donation" [rootParams]="tabParams.bloodDonation" tabsHideOnSubPages="true" tabIcon="home"></ion-tab> &ndash;&gt;\n\n    &lt;!&ndash; <ion-tab [root]="activitiesRoot" tabTitle="Volunteering" [rootParams]="tabParams.volunteer" tabsHideOnSubPages="true" tabIcon="hot"></ion-tab> &ndash;&gt;\n\n    <ion-tab [root]="tabs[1].component" tabTitle="Volunteering" [rootParams]="Opportunity" tabsHideOnSubPages="true" tabIcon="hot"></ion-tab>\n\n    <ion-tab [root]="tabs[2].component" tabTitle="Me" tabsHideOnSubPages="true" tabIcon="ghatu"></ion-tab>\n\n</ion-tabs>\n\n-->\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\tabs\tabs.page.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], TabsPage);
    return TabsPage;
}());

//# sourceMappingURL=tabs.page.js.map

/***/ }),

/***/ 973:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TabsPageModule", function() { return TabsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__tabs_page__ = __webpack_require__(1077);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TabsPageModule = (function () {
    function TabsPageModule() {
    }
    TabsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__tabs_page__["a" /* TabsPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__tabs_page__["a" /* TabsPage */]),
            ]
        })
    ], TabsPageModule);
    return TabsPageModule;
}());

//# sourceMappingURL=tabs.page.module.js.map

/***/ })

});
//# sourceMappingURL=21.js.map