webpackJsonp([30],{

/***/ 1070:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TestimonialCardsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var TestimonialCardsPage = (function () {
    function TestimonialCardsPage(navCtrl, navParams, viewCtrl, ds, _storage, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.ds = ds;
        this._storage = _storage;
        this.platform = platform;
    }
    TestimonialCardsPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.userDetails = this.navParams.get('userData');
        this.testimonials = this.userDetails.testimonials;
        if (this.testimonials) {
            if (this.testimonials.length) {
                this.showError = false;
            }
            else {
                this.showError = true;
            }
        }
        this.getProfile();
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    TestimonialCardsPage.prototype.getProfile = function () {
        var _this = this;
        this.pref = {
            dont_handle_error: false
        };
        this.ds.getUserDetails(this.pref, function (data) {
            _this.userDetails = data;
            _this._storage.setUser(_this.userDetails).then(function () {
                _this.testimonials = _this.userDetails.testimonials;
                if (_this.testimonials) {
                    if (_this.testimonials.length) {
                        _this.showError = false;
                    }
                    else {
                        _this.showError = true;
                    }
                }
            });
        }, function (error) {
        });
    };
    TestimonialCardsPage.prototype.ionViewDidLoad = function () {
    };
    TestimonialCardsPage.prototype.view = function () {
        this.viewMore = "collapse";
        this.viewmoree = false;
        this.viewless = true;
    };
    TestimonialCardsPage.prototype.less = function () {
        this.viewMore = "viewMore";
        this.viewmoree = true;
        this.viewless = false;
    };
    TestimonialCardsPage.prototype.back = function () {
        this.viewCtrl.dismiss();
    };
    TestimonialCardsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-testimonial-cards',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\testimonial-cards\testimonial-cards.html"*/'<ion-header>\n\n<ion-navbar hideBackButton>\n\n    <ion-grid class="padding0px">\n\n      <ion-row>\n\n        <ion-col col-2 (click)="back()" class="align_center">\n\n          <ion-icon class="header_icon_sz" name="arrow-back"></ion-icon>\n\n        </ion-col>\n\n        <ion-col col-8>\n\n          <div class="heading">Testimonials</div>\n\n        </ion-col>\n\n        <ion-col col-2 class="paddingtop8px"> </ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n    <ng-container *ngIf="!showError">\n\n<ion-card class="padding15px" *ngFor="let testimonial of testimonials">\n\n            <ion-item>\n\n                <ion-avatar item-start>\n\n                    <img *ngIf="!testimonial.user_id.photo_url" src="assets/imgs/Oval3x.png">\n\n                  <img *ngIf="testimonial.user_id.photo_url" [src]="testimonial.user_id.photo_url">\n\n                </ion-avatar>\n\n            </ion-item>\n\n            <ion-card-content class="testimo_card">\n\n                <span class="testimo_user">{{testimonial.user_id.fullname}}</span>\n\n                <br>\n\n                <p class="paddingleft37px font-size13px">\n\n                  {{testimonial.data}}\n\n                  <!--<span *ngIf="testimonial.data.length > 90 && viewmoree" (click)="view()" class="more_about"> More\n\n          <ion-icon name="ios-arrow-down"></ion-icon>\n\n      </span>\n\n                  <span *ngIf="viewless" (click)="less()" class="more_about"> Less\n\n          <ion-icon name="ios-arrow-up"></ion-icon>\n\n      </span>-->\n\n                </p>\n\n            </ion-card-content>\n\n       </ion-card>\n\n    </ng-container>\n\n    <ng-container *ngIf="showError">\n\n        <img src="assets/imgs/no-data.png"/>\n\n    </ng-container>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\testimonial-cards\testimonial-cards.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */], __WEBPACK_IMPORTED_MODULE_2__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__["a" /* IonicStorageService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], TestimonialCardsPage);
    return TestimonialCardsPage;
}());

//# sourceMappingURL=testimonial-cards.js.map

/***/ }),

/***/ 966:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TestimonialCardsPageModule", function() { return TestimonialCardsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__testimonial_cards__ = __webpack_require__(1070);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TestimonialCardsPageModule = (function () {
    function TestimonialCardsPageModule() {
    }
    TestimonialCardsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__testimonial_cards__["a" /* TestimonialCardsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__testimonial_cards__["a" /* TestimonialCardsPage */]),
            ],
        })
    ], TestimonialCardsPageModule);
    return TestimonialCardsPageModule;
}());

//# sourceMappingURL=testimonial-cards.module.js.map

/***/ })

});
//# sourceMappingURL=30.js.map