webpackJsonp([31],{

/***/ 1069:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SupportersPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_in_app_storage_service__ = __webpack_require__(172);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var SupportersPage = (function () {
    function SupportersPage(navCtrl, navParams, modalCtrl, storageProvider, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.storageProvider = storageProvider;
        this.platform = platform;
        this.supportersInfo = this.navParams.get('supportersList');
        this.supportersList = this.supportersInfo.results;
    }
    SupportersPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        if (this.supportersList.length) {
            this.showError = false;
        }
        else {
            this.showError = true;
        }
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.pop();
        });
    };
    SupportersPage.prototype.ionViewDidLoad = function () {
    };
    SupportersPage.prototype.back = function () {
        this.navCtrl.pop();
    };
    SupportersPage.prototype.filter = function () {
        var _this = this;
        var modal = this.modalCtrl.create('FilterSupportersPage');
        modal.present();
        modal.onDidDismiss(function (data) {
            if (data != 'noData') {
                _this.supportersList = data.results;
                if (_this.supportersList.length) {
                    _this.showError = false;
                }
                else {
                    _this.showError = true;
                }
                _this.filtersApplied = _this.storageProvider.getFilteredLength();
            }
        });
    };
    SupportersPage.prototype.invite = function () {
        var modal = this.modalCtrl.create('InvitePeoplePage');
        modal.present();
        modal.onDidDismiss(function (data) {
            if (data != 'noData') {
            }
        });
    };
    SupportersPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-supporters',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\supporters\supporters.html"*/'<ion-header>\n\n    <ion-navbar>\n\n      <ion-grid class="padding0px">\n\n        <ion-row>\n\n          <ion-col col-2 (click)="back()" class="align_center">\n\n            <ion-icon class="header-icon"  name="arrow-back"></ion-icon>\n\n          </ion-col>\n\n          <ion-col col-8>\n\n            <div class="heading">Supporters</div>\n\n          </ion-col>\n\n          <ion-col col-2 ></ion-col>\n\n        </ion-row>\n\n      </ion-grid>\n\n    </ion-navbar>\n\n    </ion-header>\n\n<ion-content>\n\n  <ion-row class="paddingtop10px">\n\n    <ion-col col-3 class="paddingleft10px">\n\n      <button (click)="invite()" ion-button small clear class="invite-btn">invite</button>\n\n    </ion-col>\n\n    <ion-col col-9>\n\n      <span class="invite-sup">Invite more people to support your Nonprofit</span>\n\n    </ion-col>\n\n  </ion-row>\n\n    <ion-row *ngIf="!showError">\n\n        <ion-col col-12 class="padding0px">\n\n            <ion-list class="marginbottom0px bottom_border"  *ngFor="let support of supportersList">\n\n                <ion-item class="paddingleft15px">\n\n                  <ion-avatar item-start>\n\n                    <img src="assets/imgs/Oval.png">\n\n                  </ion-avatar>\n\n                  <h2 class="user-name">{{support.fullname}}</h2>\n\n                  <span class="user-role" *ngIf="support.jobTitle">{{support.jobTitle}}</span>\n\n                </ion-item>\n\n              </ion-list>\n\n        </ion-col>\n\n      </ion-row>\n\n    <ion-row *ngIf="showError">\n\n        <ion-col col-12 class="align_center">\n\n        <img src="assets/imgs/no-data.png"/>\n\n        </ion-col>\n\n    </ion-row>\n\n</ion-content>\n\n<ion-footer class="padding10px">\n\n    <ion-row>\n\n      <ion-col col-4 class="align_center" (click)="filter()">\n\n          <ion-icon color="primary" class="icon-size" name="ios-funnel"></ion-icon><br>\n\n          <span class="filter-text">Filter</span>&nbsp;<span class="filter-count" *ngIf="filtersApplied">{{filtersApplied}}</span>\n\n      </ion-col>\n\n      <ion-col col-4 class="align_center">\n\n        <span class="employee-text"><br>Employees: {{supportersInfo?.employees}}</span>\n\n      </ion-col>\n\n      <ion-col col-4 class="align_center">\n\n          <span class="employee-text"><br>Members: {{supportersInfo?.members}}</span>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-footer>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\supporters\supporters.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], SupportersPage);
    return SupportersPage;
}());

//# sourceMappingURL=supporters.js.map

/***/ }),

/***/ 965:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SupportersPageModule", function() { return SupportersPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__supporters__ = __webpack_require__(1069);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SupportersPageModule = (function () {
    function SupportersPageModule() {
    }
    SupportersPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__supporters__["a" /* SupportersPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__supporters__["a" /* SupportersPage */]),
            ],
        })
    ], SupportersPageModule);
    return SupportersPageModule;
}());

//# sourceMappingURL=supporters.module.js.map

/***/ })

});
//# sourceMappingURL=31.js.map