webpackJsonp([34],{

/***/ 1066:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SignUpPageOnePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_AuthService__ = __webpack_require__(175);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_AlertService__ = __webpack_require__(97);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



//providers






var SignUpPageOnePage = (function () {
    function SignUpPageOnePage(navCtrl, navParams, viewCtrl, ds, auth, toast, alert, modalCtrl, _storage, appCtrl, helper) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.ds = ds;
        this.auth = auth;
        this.toast = toast;
        this.alert = alert;
        this.modalCtrl = modalCtrl;
        this._storage = _storage;
        this.appCtrl = appCtrl;
        this.helper = helper;
        this.validationMessages = {
            'email': [
                { type: 'required', message: 'Email is required.' },
                { type: 'pattern', message: 'Please enter a valid email address.Example: aa@aa.aa' }
            ],
            'fullname': [
                { type: 'required', message: 'Name is required.' },
                { type: 'minlength', message: 'Name must be at least 3 characters long.' },
                { type: 'maxlength', message: 'Name cannot be more than 20 characters long.' },
                { type: 'pattern', message: 'Name should be only letters.' }
            ],
            'password': [
                { type: 'required', message: 'Password is required.' },
                { type: 'minlength', message: 'Password must be at least 8 characters long.' },
                { type: 'maxlength', message: 'Password cannot be more than 15 characters long.' },
                { type: 'pattern', message: 'password should be min 8 chars with atleast 1 numeral.' }
            ],
            'conditions': [
                { type: 'required', message: 'Accept conditions is required.' }
            ],
            'phonenumber': [
                { type: 'minlength', message: 'Phonenumber must be at least 10 characters long.' },
                { type: 'maxlength', message: 'Phonenumber cannot be more than 15 characters long.' },
                { type: 'pattern', message: 'Phonenumber should be in numerical.' }
            ]
        };
        this.model = {};
        this.password_type = 'password';
        this.model.conditions = false;
        /*Form2 validations starts hear*/
        this.regForm1 = new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["c" /* FormGroup */]({
            email: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */]('', [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].pattern('[A-Za-z0-9._%+-]{2,}@[a-zA-Z-_.]{2,}[.]{1}[a-zA-Z]{2,}')]),
            password: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */]('', [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].pattern('^(?=.*[0-9])[a-zA-Z0-9!@#$%^&*-_]{8,15}')]),
            fullname: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */]('', [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].minLength(1), __WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].maxLength(20), __WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].pattern('[a-zA-Z]{1,}[a-zA-Z ]*')]),
            conditions: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */]('', [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].minLength(1)]),
            Countrycode: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */](''),
            phonenumber: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */]('', [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].minLength(10), __WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].maxLength(13), __WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].pattern("[0-9]*")]),
        });
        /*Form2 validations ends hear*/
        this._storage.getDeviceToken().then(function (val) {
            if (val) {
                _this.deviceToken = val;
            }
        });
    }
    SignUpPageOnePage.prototype.userRegForm = function (newUserData) {
        var _this = this;
        if (newUserData.Countrycode == undefined) {
            this.codeAlone = '91';
        }
        else {
            this.codeAlone = newUserData.Countrycode.split("+")[1];
        }
        if (this.codeAlone && newUserData.phonenumber) {
            this.CompleteNumber = this.codeAlone + this.model.phonenumber;
        }
        else {
            this.CompleteNumber = 'notProvided';
        }
        this.pref = {
            form_url: true,
            api_type: "Register",
            dont_handle_error: false,
            dont_show_loader: false,
            emailId: this.model.email_id,
            password: this.model.password,
            fullName: this.model.fullName,
            urlFormApi: "Register",
            terms_and_conditions: this.model.conditions,
            mobileNumber: this.CompleteNumber
        };
        this.ds.postRegister({
            emailId: this.model.email_id,
            password: this.model.password,
            fullName: this.model.fullName,
            mobileNumber: this.codeAlone + this.model.phonenumber
        }, this.pref, function (data) {
            //            this.appCtrl.getRootNav().setRoot("TabsPage");
            _this.afterRegister(data);
        }, function (err) {
            _this.alert.showAlert('Fail', err.error.message);
            //PLEASE HANDLE ERRORS HERE, AS dont_handle_error = true was given ---> Chay
        });
    };
    SignUpPageOnePage.prototype.afterRegister = function (data) {
        var _this = this;
        this.auth.setAuthStatus(true);
        this.toast.bottomToast_Short('Welcome !');
        this._storage.setToken(data.access_token).then(function () {
            _this._storage.setRefreshToken(data.refresh_token);
            _this.pref = {
                dont_handle_error: false
            };
            _this.ds.getUserDetails(_this.pref, function (data) {
                _this.UserGetDetailsDta = data;
                _this._storage.setUser(_this.UserGetDetailsDta).then(function () {
                    _this.deviceKey = {
                        deviceKey: _this.deviceToken,
                        device_type: _this.helper.getPlatform(),
                        client_id: "sahave-edu-app"
                    };
                    _this.pref = {
                        dont_handle_error: false,
                        apiQueryParams: _this.UserGetDetailsDta.userId + '/deviceKey'
                    };
                    _this.ds.postDeviceKey(_this.deviceKey, _this.pref, function (data) {
                    }, function (err) {
                    });
                    _this.auth.setAuthStatus(true);
                    _this.navCtrl.push("OrganizationAddSugettionPage");
                });
            }, function (error) {
                if (error.status == 401) {
                    alert("Please try again");
                }
            });
        });
    };
    SignUpPageOnePage.prototype.togglePasswordMode = function () {
        this.password_type = this.password_type === 'text' ? 'password' : 'text';
        if (this.password_type == "text") {
            this.btnTxt = "HIDE";
        }
        else {
            this.btnTxt = "SHOW";
        }
    };
    SignUpPageOnePage.prototype.passwordChangeFun = function (pas) {
        if (pas && this.password_type == "text") {
            this.btnTxt = "HIDE";
        }
        else if (pas && this.password_type == "password") {
            this.btnTxt = "SHOW";
        }
        else {
            this.btnTxt = "";
        }
    };
    SignUpPageOnePage.prototype.ionViewWillEnter = function () {
        this.viewCtrl.showBackButton(false);
    };
    SignUpPageOnePage.prototype.back = function () {
        this.navCtrl.pop();
    };
    SignUpPageOnePage.prototype.Countrycode = function () {
        var _this = this;
        console.log("helooooooo");
        var modalPage = this.modalCtrl.create("CountryCodePage");
        modalPage.present();
        modalPage.onDidDismiss(function (data) {
            console.log(data);
            if (data) {
                // this.coder = data
                // this.model.Countrycode = data
                _this.regForm1.patchValue({
                    Countrycode: data
                });
            }
        });
    };
    SignUpPageOnePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-sign-up-page-one',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\sign-up-page-one\sign-up-page-one.html"*/'<ion-header>\n\n    <ion-navbar>\n\n        <ion-grid class="padding0px">\n\n            <ion-row>\n\n                <ion-col col-2 (click)="back()" class="paddingtop5px align_center">\n\n                    <ion-icon class="header-icon" name="arrow-back"></ion-icon>\n\n                </ion-col>\n\n                <ion-col col-8>\n\n                    <div class="heading">Register</div>\n\n                </ion-col>\n\n                <ion-col col-2 class="paddingtop8px"> </ion-col>\n\n            </ion-row>\n\n        </ion-grid>\n\n    </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n    <form name="form" [formGroup]="regForm1" (ngSubmit)="userRegForm(model)" novalidate>\n\n        <ion-row class="margintop15px">\n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-10>\n\n                <ion-item class="transparent">\n\n                    <ion-label floating>Full Name</ion-label>\n\n                    <ion-input color="primary" type="text" formControlName="fullname" required=\'true\' [(ngModel)]="model.fullName"></ion-input>\n\n                </ion-item>\n\n                <ng-container *ngFor="let validation of validationMessages.fullname">\n\n                    <div class="failure" *ngIf="regForm1.get(\'fullname\').hasError(validation.type) && (regForm1.get(\'fullname\').dirty || regForm1.get(\'fullname\').touched)">\n\n                        {{ validation.message }}\n\n                    </div>\n\n                </ng-container>\n\n            </ion-col>\n\n            <ion-col col-1></ion-col>\n\n        </ion-row>\n\n        <ion-row>\n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-10>\n\n                <ion-item class="transparent">\n\n                    <ion-label floating>Email</ion-label>\n\n                    <ion-input color="primary" type="email" formControlName="email" [(ngModel)]="model.email_id"></ion-input>\n\n                </ion-item>\n\n                <ng-container *ngFor="let validation of validationMessages.email">\n\n                    <div class="failure" *ngIf="regForm1.get(\'email\').hasError(validation.type) && (regForm1.get(\'email\').dirty || regForm1.get(\'email\').touched)">\n\n                        {{ validation.message }}\n\n                    </div>\n\n                </ng-container>\n\n            </ion-col>\n\n            <ion-col col-1></ion-col>\n\n        </ion-row>\n\n        <ion-row>\n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-10>\n\n                <ion-item class="transparent">\n\n                    <ion-label floating>Password</ion-label>\n\n                    <button clear item-right class="show-btn" type="button" (click)="togglePasswordMode()"\n\n                        *ngIf="btnTxt">{{btnTxt}}</button>\n\n                    <ion-input type="password" [type]="password_type" formControlName="password" [(ngModel)]="model.password" clearOnEdit="false"\n\n                        (ionChange)="passwordChangeFun(model.password)"></ion-input>\n\n                </ion-item>\n\n                <ng-container *ngFor="let validation of validationMessages.password">\n\n                    <div class="failure" *ngIf="regForm1.get(\'password\').hasError(validation.type) && (regForm1.get(\'password\').dirty || regForm1.get(\'password\').touched)">\n\n                        {{ validation.message }}\n\n                    </div>\n\n                </ng-container>\n\n            </ion-col>\n\n            <ion-col col-1></ion-col>\n\n        </ion-row>\n\n        <ion-row>\n\n            <ion-col col-1></ion-col>\n\n                <ion-col col-2>\n\n                        <ion-item class="transparent" (click)="Countrycode()" >\n\n                          <ion-label floating *ngIf="!model.Countrycode">+91</ion-label>\n\n                          <ion-label floating *ngIf="model.Countrycode">code</ion-label>\n\n                          <ion-input class="input-code" formControlName="Countrycode"  [(ngModel)]="model.Countrycode" disabled></ion-input>\n\n                          </ion-item>\n\n                      </ion-col>\n\n                      <ion-col col-8>\n\n                          \n\n                          <ion-item class="transparent">\n\n                            <ion-label floating>Phone Number (optional)</ion-label>\n\n                            <ion-input type="number" formControlName="phonenumber"  [(ngModel)]="model.phonenumber" ></ion-input>\n\n                          </ion-item>\n\n                          <ng-container *ngFor="let validation of validationMessages.phonenumber" >\n\n                                  <div class="password_req" *ngIf="regForm1.get(\'phonenumber\').hasError(validation.type) && (regForm1.get(\'phonenumber\').dirty || regForm1.get(\'phonenumber\').touched)">\n\n                                   {{ validation.message }}\n\n                              </div>\n\n                          </ng-container>\n\n                      </ion-col>\n\n                      <ion-col col-1></ion-col>\n\n        </ion-row>\n\n        <ion-card class="note">\n\n            <ion-card-content class="padding0px">\n\n                <ion-row>\n\n                    <ion-col col-2 class="align_center">\n\n                        <ion-checkbox checked="false" formControlName="conditions" [(ngModel)]="model.conditions"></ion-checkbox>\n\n                    </ion-col>\n\n                    <ion-col col-10 class="paddingtop1px">\n\n                        <a class="fontsize14px" href="http://sahave.org/terms-conditions">Accept terms and conditions</a>\n\n                    </ion-col>\n\n                </ion-row>\n\n            </ion-card-content>\n\n        </ion-card>\n\n        <ion-row class="margintop10per">\n\n            <ion-col col-2></ion-col>\n\n            <ion-col col-8 text-center>\n\n                <button ion-button small class="loginbutton-default" [disabled]="!regForm1.valid">CONTINUE</button>\n\n            </ion-col>\n\n            <ion-col col-2></ion-col>\n\n        </ion-row>\n\n    </form>\n\n\n\n</ion-content>\n\n\n\n\n\n\n\n\n\n\n\n\n\n<!--<ion-header>\n\n    <ion-navbar>\n\n        <ion-grid class="padding0px">\n\n            <ion-row>\n\n                        <ion-col col-1 (click)="back()" class="paddingtop5px align_center">\n\n                          <ion-icon class="header-icon"  name="arrow-back"></ion-icon>\n\n                        </ion-col>\n\n                <ion-col col-8>\n\n                    <div class="heading">Register</div>\n\n                </ion-col>\n\n                <ion-col col-2 class="paddingtop8px"> </ion-col>\n\n            </ion-row>\n\n        </ion-grid>\n\n    </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n  <form name="form" [formGroup]="regForm1" (ngSubmit)="userRegForm(model)" novalidate > \n\n          <ion-row class="margintop15px">\n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-10>\n\n                <ion-item class="transparent">\n\n                    <ion-label  floating>Full Name</ion-label>\n\n                    <ion-input color="primary" type="text" formControlName="fullname" required=\'true\' [(ngModel)]="model.fullName"></ion-input>\n\n                </ion-item>                \n\n                	<ng-container *ngFor="let validation of validationMessages.fullname" >\n\n		<div class="failure" *ngIf="regForm1.get(\'fullname\').hasError(validation.type) && (regForm1.get(\'fullname\').dirty || regForm1.get(\'fullname\').touched)">\n\n	{{ validation.message }}\n\n		</div>\n\n	</ng-container>  \n\n                \n\n                \n\n            </ion-col>\n\n            <ion-col col-1></ion-col>\n\n        </ion-row>\n\n        <ion-row>\n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-10>\n\n                <ion-item class="transparent">\n\n                    <ion-label  floating>Email</ion-label>\n\n                    <ion-input color="primary" type="email" formControlName="email" [(ngModel)]="model.email_id" ></ion-input>\n\n                </ion-item>\n\n                \n\n                   <ng-container *ngFor="let validation of validationMessages.email" >\n\n		<div class="failure" *ngIf="regForm1.get(\'email\').hasError(validation.type) && (regForm1.get(\'email\').dirty || regForm1.get(\'email\').touched)">\n\n	{{ validation.message }}\n\n		</div>\n\n	</ng-container>\n\n                \n\n                \n\n            </ion-col>\n\n            <ion-col col-1></ion-col>\n\n        </ion-row>\n\n        <ion-row>\n\n            <ion-col col-1></ion-col>\n\n            <ion-col col-10>\n\n                <ion-item class="transparent">\n\n                    <ion-label floating>Password</ion-label><button clear item-right class="show-btn" type="button" (click)="togglePasswordMode()" *ngIf="btnTxt">{{btnTxt}}</button>\n\n                    <ion-input [type]="password_type" formControlName="password" [(ngModel)]="model.password" clearOnEdit="false" (ionChange)="passwordChangeFun(model.password)"></ion-input>\n\n                </ion-item>\n\n                               \n\n                <ng-container *ngFor="let validation of validationMessages.password" >\n\n		<div class="failure" *ngIf="regForm1.get(\'password\').hasError(validation.type) && (regForm1.get(\'password\').dirty || regForm1.get(\'password\').touched)">\n\n	{{ validation.message }}\n\n		</div>\n\n	</ng-container>\n\n                \n\n                \n\n            </ion-col>\n\n            <ion-col col-1></ion-col>\n\n        </ion-row>\n\n        <ion-row>\n\n            <ion-card class="note">\n\n                <ion-card-content class="padding0px">\n\n                    <ion-row>\n\n                        <ion-col col-1></ion-col>\n\n                <ion-col col-1 class="align_center">\n\n                    <ion-checkbox formControlName="conditions" [(ngModel)]="model.conditions"  ></ion-checkbox>\n\n                </ion-col>\n\n                 <ion-col col-9 class="paddingtop0px">\n\n                    <span >\n\n                        <a class="accept-text" href="http://sahave.org/terms-conditions">Accept terms and conditions</a>\n\n                    </span>\n\n                 </ion-col>\n\n                        <ion-col col-1></ion-col>\n\n                    </ion-row>\n\n                </ion-card-content>\n\n                </ion-card>\n\n                <ng-container *ngFor="let validation of validationMessages.conditions" >\n\n                    <div class="password_req" *ngIf="regForm1.get(\'conditions\').hasError(validation.type) && (regForm1.get(\'conditions\').dirty || regForm1.get(\'conditions\').touched)">\n\n                {{ validation.message }}\n\n                    </div>\n\n                </ng-container>\n\n        </ion-row>\n\n        <ion-row class="margintop10per">\n\n            <ion-col col-2 ></ion-col>\n\n            <ion-col col-8 text-center>\n\n                <button ion-button small class="loginbutton-default" [disabled]="!regForm1.valid">CONTINUE</button>\n\n            </ion-col>\n\n            <ion-col col-2 ></ion-col>\n\n        </ion-row>\n\n    </form>\n\n</ion-content>-->'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\sign-up-page-one\sign-up-page-one.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */], __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_AuthService__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_7__providers_ToastService__["a" /* ToastService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_AlertService__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__["a" /* IonicStorageService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */],
            __WEBPACK_IMPORTED_MODULE_8__providers_Helper__["a" /* Helper */]])
    ], SignUpPageOnePage);
    return SignUpPageOnePage;
}());

//# sourceMappingURL=sign-up-page-one.js.map

/***/ }),

/***/ 962:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SignUpPageOnePageModule", function() { return SignUpPageOnePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__sign_up_page_one__ = __webpack_require__(1066);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SignUpPageOnePageModule = (function () {
    function SignUpPageOnePageModule() {
    }
    SignUpPageOnePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__sign_up_page_one__["a" /* SignUpPageOnePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__sign_up_page_one__["a" /* SignUpPageOnePage */]),
            ],
        })
    ], SignUpPageOnePageModule);
    return SignUpPageOnePageModule;
}());

//# sourceMappingURL=sign-up-page-one.module.js.map

/***/ })

});
//# sourceMappingURL=34.js.map