webpackJsonp([35],{

/***/ 1063:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReviewRatingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_DataService__ = __webpack_require__(95);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var ReviewRatingPage = (function () {
    function ReviewRatingPage(navCtrl, navParams, modalCtrl, storageProvider, storage, events, mdlctrl, platform, ionicStorage, ds) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.storageProvider = storageProvider;
        this.storage = storage;
        this.events = events;
        this.mdlctrl = mdlctrl;
        this.platform = platform;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.reviewed = true;
        this.showReview = true;
    }
    ReviewRatingPage.prototype.ionViewDidLoad = function () {
    };
    ReviewRatingPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getUser().then(function (val) {
            _this.userVal = val;
            if (val) {
                _this.userDetails = val;
                _this.activitycompleted = _this.navParams.get('activitycompleted');
                _this.fromPage = _this.navParams.get('fromPage');
                _this.activityName = _this.storageProvider.getActivityName();
                _this.activityDetails = _this.storageProvider.getActivityDetails();
                if (_this.activityName == 'opp') {
                    _this.attendeesList = _this.activityDetails.accepted_volunteers;
                    _this.getCheckedInListIds();
                }
                else if (_this.activityName == 'blood') {
                    _this.attendeesList = _this.activityDetails.donors;
                    _this.getCheckedInListIds();
                }
                for (var _i = 0, _a = _this.activityDetails.accepted_volunteers; _i < _a.length; _i++) {
                    var detail = _a[_i];
                    if (_this.userDetails.userId == detail.user.user_id) {
                        _this.operator = detail;
                        if (detail.isOrganizer || detail.isCoOrganizer) {
                            _this.viewer = 'organizer';
                            _this.organiser = detail.user.user_id;
                        }
                        else {
                            _this.viewer = 'volunteer';
                        }
                    }
                }
                if (!_this.viewer) {
                    _this.viewer = 'volunteer';
                    _this.showReview = false;
                }
            }
        });
        this.platform.registerBackButtonAction(function () {
            if (_this.fromPage == 'assignPopup') {
                _this.navCtrl.setRoot('VolDetailsPage', {
                    'volunteerhomedata': _this.activityDetails,
                    'sourcePage': 'reviewRating',
                    'role': 'admin'
                });
            }
            else {
                _this.navCtrl.pop();
            }
        });
    };
    ReviewRatingPage.prototype.getCheckedInListIds = function () {
        this.checkedInIdsList = [];
        this.participantsList = [];
        if (this.attendeesList && this.attendeesList.length) {
            for (var i = 0; i < this.attendeesList.length; i++) {
                if (this.attendeesList[i].isCheckedIn) {
                    this.checkedInIdsList.push(this.attendeesList[i].user.user_id);
                }
                if (this.attendeesList[i].user.user_id == this.userDetails.userId) {
                    if (this.attendeesList[i].isCoOrganizer) {
                        this.isCoOrg = true;
                    }
                }
                this.participantsList.push(this.attendeesList[i].user.user_id);
            }
        }
    };
    ReviewRatingPage.prototype.review = function (userDetailss) {
        var _this = this;
        this.storageProvider.setreviewedUserDetails(userDetailss);
        this.storageProvider.setActivityDetails(this.activityDetails);
        var modalPage = this.modalCtrl.create('AttendingListPage', { 'activityDetails': this.activityDetails, 'userDetails': userDetailss, 'activityName': this.activityName, 'reviewerId': this.userDetails.userId });
        modalPage.present();
        modalPage.onDidDismiss(function (data) {
            if (data != 'noData') {
                _this.activityDetails = data;
                if (_this.activityName == 'opp') {
                    _this.attendeesList = _this.activityDetails.accepted_volunteers;
                }
                else if (_this.activityName == 'blood') {
                    _this.attendeesList = _this.activityDetails.donors;
                }
            }
            else {
            }
            _this.platform.registerBackButtonAction(function () {
                _this.navCtrl.pop();
            });
        });
    };
    ReviewRatingPage.prototype.addcoorganizer = function () {
        this.navCtrl.push('AddCoOrganizerPage', { 'activityName': this.activityName, 'activityDetails': this.activityDetails, 'organiser': this.organiser });
    };
    ReviewRatingPage.prototype.volunteerProfile = function (userId) {
        var _this = this;
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                _this.navCtrl.push('PublicProfileViewPage', {
                    'userId': userId,
                    'sourcePage': 'ReviewRatingPage',
                    'activityId': _this.activityDetails.oppertunityID,
                    'activityDetails': _this.activityDetails
                });
            }
            else {
                _this.navCtrl.push('LoginOptionsPage');
            }
        });
    };
    ReviewRatingPage.prototype.close = function () {
        if (this.fromPage == 'assignPopup') {
            this.navCtrl.push('VolDetailsPage', {
                'volunteerhomedata': this.activityDetails,
                'sourcePage': 'reviewRating',
                'role': 'admin'
            });
        }
        else {
            this.navCtrl.pop();
        }
    };
    ReviewRatingPage.prototype.writeToAllParticipante = function (attendeesListt) {
        var modal = this.modalCtrl.create("WriteMessageToParticipantsPage", { attendeesList: attendeesListt });
        modal.onDidDismiss(function (data) {
        });
        modal.present();
    };
    ReviewRatingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-review-rating',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\review-rating\review-rating.html"*/'<ion-header>\n\n  <ion-navbar hideBackButton>\n\n    <ion-grid class="padding0px">\n\n      <ion-row>\n\n        <ion-col col-2 class="align_center" (click)="close()">\n\n        <ion-icon class="header_icon_sz" name="arrow-back"></ion-icon>\n\n        </ion-col>\n\n        <ion-col col-7>\n\n          <div class="heading">Attendees List</div>\n\n        </ion-col>\n\n        <ion-col col-3 class="paddingtop8px"></ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-card class="margintop10px" *ngIf="!operator?.isCoOrganizer && viewer == \'organizer\' && !activityDetails.completedOpportunity">\n\n    <ion-card-content>\n\n      <ion-row>\n\n        <ion-col col-12>\n\n          <p class="select">\n\n            You could select participants you want to help you organize the event\n\n          </p>\n\n        </ion-col>\n\n        <ion-col col-12>\n\n          <button ion-button class="select_co" (click)="addcoorganizer()" [disabled]="activityDetails.accepted_volunteers.length <= 1">SELECT A CO-ORGANIZER</button>\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-card-content>\n\n  </ion-card>\n\n  <ion-row class="marginbottom40per">\n\n    <ion-col col-12 class="margintop30px padding0px">\n\n      <ion-list *ngIf="activityName == \'opp\'">\n\n        <ng-container *ngIf="viewer == \'organizer\'">\n\n          <ion-item class="bottom_border paddingleft10px" *ngFor="let members of attendeesList, let i = index">\n\n            <ion-avatar item-start (click)="volunteerProfile(members.user.user_id)">\n\n<!--              <img [ngClass]="{\'organizer_border\': members.isOrganizer || members.isCoOrganizer}" *ngIf="members?.user.photo_url" [src]="members?.user.photo_url">\n\n              <img [ngClass]="{\'organizer_border\': members.isOrganizer  || members.isCoOrganizer}" *ngIf="!members?.user.photo_url" src="assets/imgs/Oval15x.png">-->\n\n            \n\n          \n\n           <img  [ngClass]="{\'organizer_border\': members.isOrganizer || members.isCoOrganizer}" *ngIf="members?.user.photo_url && members?.user.client_id == \'sahave-r4-app\'" [src]="members?.user.photo_url">\n\n                                \n\n<img  [ngClass]="{\'organizer_border\': members.isOrganizer || members.isCoOrganizer}" *ngIf="members?.user.ngos[0]?.logo && members?.user.client_id == \'sahave-np-app\'" [src]="members?.user.ngos[0]?.logo">\n\n                            <img  [ngClass]="{\'organizer_border\': members.isOrganizer || members.isCoOrganizer}" *ngIf="members?.user.bsrs[0]?.logo && members?.user.client_id == \'sahave-edu-app\'" [src]="members?.user.bsrs[0]?.logo">\n\n                               \n\n                            <img  [ngClass]="{\'organizer_border\': members.isOrganizer || members.isCoOrganizer}" *ngIf="(members?.user.bsrs[0]?.logo && members?.user.client_id) != \'sahave-edu-app\' && (members?.user.ngos[0]?.logo && members?.user.client_id) != \'sahave-np-app\' && (members?.user.photo_url && members?.user.client_id) != \'sahave-r4-app\'" src="assets/imgs/Oval075x.png">\n\n                         \n\n          \n\n          \n\n          \n\n          </ion-avatar>\n\n            <h2> {{members?.user.fullname}} </h2>\n\n            <ng-container *ngIf="participantsList?.indexOf(userDetails.userId) >= 0 && checkedInIdsList?.indexOf(userDetails.userId) >= 0 && operator.isOrganizer">\n\n            <button *ngIf="(members.user.user_id != userDetails.userId) && activityDetails.completedOpportunity &&\n\n             members?.isCheckedOut && members?.isCheckedIn" ion-button small color="primary" class="done"\n\n              outline (click)="review(members)" [disabled]="members.isOrganizer? members.reviews.indexOf(userDetails.userId) >= 0 : members.review"> Review\n\n            </button>\n\n            </ng-container>\n\n            <ng-container *ngIf="participantsList?.indexOf(userDetails.userId) >= 0 && checkedInIdsList?.indexOf(userDetails.userId) >= 0 && operator.isCoOrganizer">\n\n              <button *ngIf="(members.user.user_id != userDetails.userId) && activityDetails.completedOpportunity &&\n\n             members?.isCheckedOut && members?.isCheckedIn && !members.isCoOrganizer" ion-button small color="primary" class="done"\n\n                      outline (click)="review(members)" [disabled]="members.isOrganizer? members.reviews.indexOf(userDetails.userId) >= 0 : members.review"> Review\n\n              </button>\n\n            </ng-container>\n\n              <p class="nocheckStyle"  *ngIf="!members?.isCheckedIn"> Not Checked\n\n                In</p>\n\n            <p class="checkInStyle" *ngIf="members?.isCheckedIn && !members?.isCheckedOut" >  Checked\n\n              In</p>\n\n          </ion-item>\n\n        </ng-container>\n\n        <ng-container *ngIf="viewer == \'volunteer\'">\n\n          <ion-item class="bottom_border paddingleft10px" *ngFor="let members of attendeesList, let i = index">\n\n            <ion-avatar item-start  (click)="volunteerProfile(members.user.user_id)">\n\n<!--              <img [ngClass]="{\'organizer_border\': members.isOrganizer || members.isCoOrganizer}" *ngIf="members?.user.photo_url" [src]="members?.user.photo_url">\n\n              <img [ngClass]="{\'organizer_border\': members.isOrganizer || members.isCoOrganizer}" *ngIf="!members?.user.photo_url" src="assets/imgs/Oval15x.png">-->\n\n           \n\n          <img  [ngClass]="{\'organizer_border\': members.isOrganizer || members.isCoOrganizer}" *ngIf="members?.user.photo_url && members?.user.client_id == \'sahave-r4-app\'" [src]="members?.user.photo_url">\n\n                                \n\n<img  [ngClass]="{\'organizer_border\': members.isOrganizer || members.isCoOrganizer}" *ngIf="members?.user.ngos[0]?.logo && members?.user.client_id == \'sahave-np-app\'" [src]="members?.user.ngos[0]?.logo">\n\n                            <img  [ngClass]="{\'organizer_border\': members.isOrganizer || members.isCoOrganizer}" *ngIf="members?.user.bsrs[0]?.logo && members?.user.client_id == \'sahave-edu-app\'" [src]="members?.user.bsrs[0]?.logo">\n\n                               \n\n                         \n\n                            <img  [ngClass]="{\'organizer_border\': members.isOrganizer || members.isCoOrganizer}" *ngIf="(members?.user.bsrs[0]?.logo && members?.user.client_id) != \'sahave-edu-app\' && (members?.user.ngos[0]?.logo && members?.user.client_id) != \'sahave-np-app\' && (members?.user.photo_url && members?.user.client_id) != \'sahave-r4-app\'" src="assets/imgs/Oval075x.png">\n\n          \n\n          \n\n          \n\n          \n\n          </ion-avatar>\n\n            <h2> {{members?.user.fullname}} </h2>\n\n            <ng-container *ngIf="participantsList?.indexOf(userDetails.userId) >= 0 && checkedInIdsList?.indexOf(userDetails.userId) >= 0">\n\n              <button *ngIf="showReview && activityDetails.completedOpportunity && members?.isCheckedIn &&\n\n               members?.isCheckedOut && members.isOrganizer && operator?.isCheckedIn"\n\n                      ion-button small color="primary" class="done" outline (click)="review(members)"  [disabled]="members.reviews.indexOf(userDetails.userId) >= 0">\n\n                Review\n\n              </button>\n\n            </ng-container>\n\n              <p class="nocheckStyle" *ngIf="!members?.isCheckedIn" > Not Checked\n\n                In</p>\n\n            <p class="checkInStyle" *ngIf="members?.isCheckedIn && !members?.isCheckedOut" >  Checked\n\n              In</p>\n\n          </ion-item>\n\n        </ng-container>\n\n      </ion-list>\n\n    </ion-col>\n\n    <ng-container *ngIf="viewer == \'organizer\'|| isCoOrg">\n\n    <ion-col col-12 class="padding0px" >\n\n      <button ion-button class="write-part" (click)="writeToAllParticipante(activityDetails.accepted_volunteers)">WRITE TO ALL PARTICIPANTS</button>\n\n    </ion-col>\n\n    </ng-container>\n\n  </ion-row>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\review-rating\review-rating.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */], __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */], __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_DataService__["a" /* DataService */]])
    ], ReviewRatingPage);
    return ReviewRatingPage;
}());

//# sourceMappingURL=review-rating.js.map

/***/ }),

/***/ 960:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ReviewRatingPageModule", function() { return ReviewRatingPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__review_rating__ = __webpack_require__(1063);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ReviewRatingPageModule = (function () {
    function ReviewRatingPageModule() {
    }
    ReviewRatingPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__review_rating__["a" /* ReviewRatingPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__review_rating__["a" /* ReviewRatingPage */]),
            ],
        })
    ], ReviewRatingPageModule);
    return ReviewRatingPageModule;
}());

//# sourceMappingURL=review-rating.module.js.map

/***/ })

});
//# sourceMappingURL=35.js.map