webpackJsonp([37],{

/***/ 1061:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PublicProfileViewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_facebook__ = __webpack_require__(179);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_google_plus__ = __webpack_require__(180);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_aws_service__ = __webpack_require__(177);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__constants_API_ROUTES__ = __webpack_require__(96);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




//Firebase ionic social media authentication plugin code starts







var PublicProfileViewPage = (function () {
    function PublicProfileViewPage(navCtrl, navParams, storage, modalCtrl, events, appCtrl, fb, googlePlus, awsimage, storageProvider, platform, ionicstorage, ds) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.modalCtrl = modalCtrl;
        this.events = events;
        this.appCtrl = appCtrl;
        this.fb = fb;
        this.googlePlus = googlePlus;
        this.awsimage = awsimage;
        this.storageProvider = storageProvider;
        this.platform = platform;
        this.ionicstorage = ionicstorage;
        this.ds = ds;
    }
    PublicProfileViewPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.userId = this.navParams.get("userId");
        this.activityId = this.navParams.get('activityId');
        this.sourcePage = this.navParams.get('sourcePage');
        this.Causes = [];
        this.Skills = [];
        this.Matches = [];
        this.ionicstorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                _this.getProfileById();
            }
            else {
                _this.getProfileById();
            }
        });
        this.ionicstorage.getUser().then(function (val) {
            _this.userD = val;
            if (val) {
                _this.writerUser = JSON.stringify(val);
                _this.writerUserDetails = JSON.parse(_this.writerUser);
            }
        });
        this.activityDetails = this.navParams.get('activityDetails');
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.pop();
        });
    };
    PublicProfileViewPage.prototype.getProfileById = function () {
        var _this = this;
        this.prefs = {
            dont_show_loader: false,
            userId: this.userId,
        };
        if (this.prefs) {
            this.ds.getProfileById(this.prefs, function (data) {
                _this.userDetails = data.user_details;
                _this.npOpportunity = data.npOpportunity;
                _this.npBloodDonations = data.npBloodDonations;
                if (_this.userDetails.ngos.length) {
                    _this.ngoDetails = _this.userDetails.bsrs[0].id;
                }
                _this.prefs = {
                    url: __WEBPACK_IMPORTED_MODULE_9__constants_API_ROUTES__["a" /* API_ROUTES */].common_user_url + _this.userDetails.userId + '/achevements'
                };
                _this.ds.getGradingDetails(_this.prefs, function (grading) {
                    _this.gradingData = grading;
                }, function (err) {
                    console.log(err);
                });
                _this.followers = _this.userDetails.follow;
                _this.followersId = [];
                for (var i = 0; i < _this.followers.length; i++) {
                    if (_this.followers[i].is_follow) {
                        _this.followersId.push(_this.followers[i].user_id.user_id);
                    }
                }
                var div = document.createElement("div");
                div.innerHTML = _this.userDetails.aboutMe;
                _this.storyLength = div.innerText.length;
                if (_this.storyLength > 91) {
                    _this.viewMore = "viewMore";
                    _this.viewmoree = true;
                    _this.viewless = false;
                }
                else {
                    _this.viewMore = "collapse";
                    _this.viewmoree = false;
                    _this.viewless = false;
                }
                if (_this.userDetails) {
                    _this.bloodDonationsCount = _this.userDetails.bloodDonations.length;
                    _this.opportunityCount = _this.userDetails.opportunities.length;
                }
                _this.getNamesByIds();
            }, function (err) {
                console.log(err);
            });
        }
    };
    PublicProfileViewPage.prototype.getPublicProfileById = function () {
        var _this = this;
        this.prefs = {
            public: true,
            userId: this.userId,
            dont_show_loader: false
        };
        this.ds.getPublicProfileById(this.prefs, function (data) {
            _this.userDetails = data;
            if (_this.userDetails.ngos.length) {
                _this.ngoDetails = _this.userDetails.bsrs[0].id;
            }
            _this.prefs = {
                url: __WEBPACK_IMPORTED_MODULE_9__constants_API_ROUTES__["a" /* API_ROUTES */].common_user_url + _this.userDetails.userId + '/achevements'
            };
            _this.ds.getGradingDetails(_this.prefs, function (grading) {
                _this.gradingData = grading;
            }, function (err) {
                console.log(err);
            });
            _this.followers = _this.userDetails.follow;
            _this.followersId = [];
            for (var i = 0; i < _this.followers.length; i++) {
                if (_this.followers[i].is_follow) {
                    _this.followersId.push(_this.followers[i].user_id.user_id);
                }
            }
            var div = document.createElement("div");
            div.innerHTML = _this.userDetails.aboutMe;
            _this.storyLength = div.innerText.length;
            if (_this.storyLength > 91) {
                _this.viewMore = "viewMore";
                _this.viewmoree = true;
                _this.viewless = false;
            }
            else {
                _this.viewMore = "collapse";
                _this.viewmoree = false;
                _this.viewless = false;
            }
            if (_this.userDetails) {
                _this.bloodDonationsCount = _this.userDetails.bloodDonations.length;
                _this.opportunityCount = _this.userDetails.opportunities.length;
            }
            _this.getNamesByIds();
        }, function (err) {
            console.log(err);
        });
    };
    PublicProfileViewPage.prototype.getNamesByIds = function () {
        var _this = this;
        this.staticData = this.storageProvider.getStaticData();
        if (this.staticData) {
            this.skillss = this.staticData.skills;
            this.matchess = this.staticData.matches;
            this.categories = this.staticData.categories;
            if (this.userDetails.loginProvider == 'sahavenp') {
                for (var i = 0; i < this.ngoDetails.categories.length; i++) {
                    this.Causes1 = this.categories.find(function (item) { return item.category_id == _this.ngoDetails.categories[i]; });
                    this.Causes.push(this.Causes1);
                }
                for (var k = 0; k < this.ngoDetails.skill.length; k++) {
                    this.Skills1 = this.skillss.find(function (item) { return item.skill_id == _this.ngoDetails.skill[k]; });
                    this.Skills.push(this.Skills1);
                }
            }
            else {
                for (var i = 0; i < this.userDetails.supportingCauses.length; i++) {
                    this.Causes1 = this.categories.find(function (item) { return item.category_id == _this.userDetails.supportingCauses[i]; });
                    this.Causes.push(this.Causes1);
                }
                for (var k = 0; k < this.userDetails.supportingSkills.length; k++) {
                    this.Skills1 = this.skillss.find(function (item) { return item.skill_id == _this.userDetails.supportingSkills[k]; });
                    this.Skills.push(this.Skills1);
                }
            }
        }
    };
    PublicProfileViewPage.prototype.donationPage = function () {
    };
    PublicProfileViewPage.prototype.bloodPage = function () {
        this.ionicstorage.setFromPage('publicProfile');
        this.storageProvider.setUserDetailsinpublicprivate(this.userDetails);
        this.navCtrl.push('ProfileBdPage', { 'sourcePage': 'aboutVol', 'userDetails': this.userDetails });
    };
    PublicProfileViewPage.prototype.volunteerPage = function () {
        this.ionicstorage.setFromPage('publicProfile');
        this.storageProvider.setUserDetailsinpublicprivate(this.userDetails);
        this.navCtrl.push('ProfileVoPage', { 'sourcePage': 'aboutVol', 'userDetails': this.userDetails });
    };
    PublicProfileViewPage.prototype.logout = function () {
    };
    PublicProfileViewPage.prototype.gotoHome = function () {
        this.navCtrl.pop();
    };
    PublicProfileViewPage.prototype.view = function () {
        this.viewMore = "collapse";
        this.viewmoree = false;
        this.viewless = true;
    };
    PublicProfileViewPage.prototype.less = function () {
        this.viewMore = "viewMore";
        this.viewmoree = true;
        this.viewless = false;
    };
    PublicProfileViewPage.prototype.writeTestimonial = function () {
        var _this = this;
        if (this.token) {
            var modalPage = this.modalCtrl.create("WriteTestimonialPage", {
                'writerUserId': this.writerUserDetails.userId,
                'receiverUserId': this.userDetails.userId
            });
            modalPage.onDidDismiss(function (data) {
                if (data != 'noData') {
                    _this.getProfileById();
                }
                else {
                }
            });
            modalPage.present();
        }
        else {
            this.navCtrl.push('LoginOptionsPage');
        }
    };
    PublicProfileViewPage.prototype.follow = function (value) {
        var _this = this;
        if (this.token) {
            this.req = {
                "user_id": this.writerUserDetails.userId,
                "is_follow": true
            };
            this.reqObj = { 'follow': this.req };
            this.prefs = {
                req_object: this.reqObj,
                userId: this.userDetails.userId
            };
            this.ds.followUser(this.prefs, function (follow) {
                _this.userDetails = follow;
                _this.followers = _this.userDetails.follow;
                _this.followersId = [];
                for (var i = 0; i < _this.followers.length; i++) {
                    if (_this.followers[i].is_follow) {
                        _this.followersId.push(_this.followers[i].user_id.user_id);
                    }
                }
            }, function (err) {
                console.log(err);
            });
        }
        else {
            this.navCtrl.push('LoginOptionsPage');
        }
    };
    PublicProfileViewPage.prototype.followersList = function () {
        this.navCtrl.push('FollowersPage', { 'userDetails': this.userDetails, 'activityDetails': this.activityDetails });
    };
    PublicProfileViewPage.prototype.grading = function (userDeta) {
        this.navCtrl.push('GradingcriteriaPage', { 'sourcePage': 'aboutVol', 'userDetails': userDeta });
    };
    PublicProfileViewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-public-profile-view',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\public-profile-view\public-profile-view.html"*/'<ion-content *ngIf="userDetails">\n\n  <ion-card class="profile_card" [ngClass]="[userDetails?.loginProvider == \'sahavenp\'? \'height280px\': \'\']">\n\n    <ion-card-header class="card_head">\n\n      <ion-row>\n\n        <ion-col col-2 class="align_left" (click)="gotoHome()">\n\n          <ion-icon  class="backarrow" name="md-arrow-round-back"></ion-icon>\n\n        </ion-col>\n\n        <ion-col col-8 center text-center>\n\n            <span class="white_font" >{{userDetails.fullName}}</span>\n\n<!--          <span class="white_font" *ngIf="userDetails?.loginProvider == \'sahave\' || userDetails?.loginProvider == \'facebook\' || userDetails?.loginProvider == \'google\'">{{userDetails.fullName}}</span>\n\n          <span class="white_font" *ngIf="userDetails?.loginProvider == \'sahave-edu-app\' || userDetails?.loginProvider == \'facebook\' || userDetails?.loginProvider == \'google\'">{{userDetails.bsrs[0].id.bsr_name}}</span>-->\n\n        </ion-col>\n\n        <ion-col col-1>\n\n          <!--                    <ion-icon class="paddingtop2px" name="share"></ion-icon>-->\n\n        </ion-col>\n\n        <ion-col col-1>\n\n          <!--                    <ion-icon name="more" class="more_icon"></ion-icon>-->\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-card-header>\n\n    <ion-card-content class="crd_content">\n\n      <ion-item class="margin-top-25px">\n\n        <ion-avatar class="trophy_avatar">\n\n          <div class="trophy_div"  (click)="grading(userDetails)" *ngIf="gradingData">\n\n            <!-- <ion-icon class="trophy_icon" (click)="grading()" name="ios-trophy-outline"></ion-icon> -->\n\n            <span *ngIf="gradingData.grade == \'Gold\'"><img class="diamond-icon" src="assets/imgs/Diamond.png" ></span>\n\n            <span *ngIf="gradingData.grade == \'Purple\'"><img class="diamond-icon" src="assets/imgs/Rising_ Star.png" ></span>\n\n            <span *ngIf="gradingData.grade == \'Pink\'"><img class="diamond-icon" src="assets/imgs/Crown-Grade.png" ></span>\n\n            <span *ngIf="gradingData.grade == \'Green\'"><img class="diamond-icon" src="assets/imgs/Double_medal.png" ></span>\n\n            <span *ngIf="gradingData.grade == \'Sky_Blue\'"><img class="diamond-icon" src="assets/imgs/Single_Medal.png" ></span>\n\n          </div>\n\n          <img *ngIf="userDetails?.photoUrl" class="profile_pic" [src]="userDetails?.photoUrl">\n\n          <img *ngIf="!userDetails?.photoUrl" class="profile_pic" src="assets/imgs/Oval3x.png">\n\n<!--<img *ngIf="userDetails?.photoUrl && !userDetails.ngos[0] && !userDetails.bsrs[0]" class="profile_pic" [src]="userDetails?.photoUrl">\n\n          <img *ngIf="userDetails.ngos[0]" class="profile_pic" [src]="userDetails.ngos[0].id?.logo_image">\n\n          <img *ngIf="userDetails.bsrs[0]" class="profile_pic" [src]="userDetails.bsrs[0].id?.logo_image">\n\n          <img *ngIf="!userDetails?.photoUrl && !userDetails.ngos[0] && !userDetails.bsrs[0]" class="profile_pic" src="assets/imgs/Oval3x.png">-->\n\n        </ion-avatar>\n\n      </ion-item>\n\n      <ion-row>\n\n        <!-- <ion-col col-1 >\n\n        </ion-col> -->\n\n        <ion-col col-12 center text-center>\n\n          <span class="white_font" *ngIf="userDetails?.client_id == \'sahave-np-app\' && userDetails.ngos[0]">{{userDetails.ngos[0].id?.ngo_name}}</span>\n\n        <span class="white_font" *ngIf="userDetails?.client_id == \'sahave-edu-app\' && userDetails.bsrs[0]">{{userDetails.bsrs[0].id?.bsr_name}}</span>\n\n\n\n        </ion-col>\n\n        <!-- <ion-col col-1>\n\n                             <ion-icon class="paddingtop2px" name="share"></ion-icon>\n\n        </ion-col>\n\n        <ion-col col-1>\n\n                             <ion-icon name="more" class="more_icon"></ion-icon>\n\n        </ion-col> -->\n\n      </ion-row>\n\n      <div>\n\n        <ion-row class="border_for_number_count_section">\n\n          <!--<ion-col col-3 (click)="donationPage()" class="border_for_sub_number_count_section">-->\n\n            <!--<span class="num">15</span>-->\n\n            <!--<br>-->\n\n            <!--<span class="fontsz">Donations</span>-->\n\n          <!--</ion-col>-->\n\n          <ion-col col-6 (click)="bloodPage()" class="paddingleft10px border_for_sub_number_count_section">\n\n            <span class="num">{{npBloodDonations}}</span>\n\n            <br>\n\n            <span class="fontsz">Blood Donations</span>\n\n          </ion-col>\n\n          <ion-col col-6 (click)="volunteerPage()" class="paddingleft0px">\n\n            <span class="num">{{npOpportunity}}</span>\n\n            <br>\n\n            <span class="fontsz">Volunteer</span>\n\n          </ion-col>\n\n        </ion-row>\n\n      </div>\n\n    </ion-card-content>\n\n  </ion-card>\n\n  <!--    <ion-row>\n\n        <ion-col col-12>\n\n            <button ion-button class="test_button">Write testimonial</button>\n\n        </ion-col>\n\n    </ion-row>-->\n\n    <ion-row *ngIf="writerUserDetails.userId != userId">\n\n <!--       <ion-col col-12 class="align_center">\n\n            <p class="fallow_hint">Follow: Get notified when an event is created by this person</p>\n\n        </ion-col>\n\n        <ion-col col-5 class="align_right margintop_12px">\n\n            <button ion-button icon-left clear small class="paddingright15px paddingleft15px goingbutton" (click)="follow(\'follow\')"\n\n            *ngIf="followersId.indexOf(writerUserDetails.userId) < 0">\n\n              FOLLOW\n\n                    </button>\n\n          <button ion-button icon-left clear small class="paddingright15px paddingleft15px goingbutton" (click)="follow(\'unfollow\')"\n\n                  *ngIf="followersId.indexOf(writerUserDetails.userId) >= 0">\n\n            UNFOLLOW\n\n          </button>\n\n        </ion-col>-->\n\n        <ion-col col-12 class="align_center">\n\n            <button ion-button icon-left clear small class="paddingright15px paddingleft15px testbutton" (click)="writeTestimonial()">\n\n                        WRITE A TESTIMONIAL\n\n                    </button>\n\n        </ion-col>\n\n     </ion-row>\n\n  <ion-item-group class="margintop20px">\n\n    <span class="about">ABOUT</span>\n\n    <ion-card class="about_content">\n\n      <div *ngIf="ngoDetails?.team_description" class="fontsiz_abt" [className]="viewMore"  [innerHtml]="ngoDetails?.team_description" ></div>\n\n      <span *ngIf="!ngoDetails?.team_description" class="fontsiz_abt"> Not yet updated</span>\n\n      <span *ngIf="viewmoree" (click)="view()" class="more_about"> More\n\n          <ion-icon name="ios-arrow-down"></ion-icon>\n\n      </span>\n\n      <span *ngIf="viewless" (click)="less()" class="more_about"> Less\n\n          <ion-icon name="ios-arrow-up"></ion-icon>\n\n      </span>\n\n    </ion-card>\n\n  </ion-item-group>\n\n  <ion-item class="padding5px" (click)="followersList()">\n\n    <ion-icon class="icon_color" name="ios-contact-outline"></ion-icon>\n\n    <span class="paddingleft20px blackfont fntweight">Followers</span>\n\n    <ion-icon class="participation_arrow" name="ios-arrow-forward"></ion-icon><span class="total_attending">{{userDetails.follow.length}}</span>\n\n  </ion-item>\n\n  <ion-item-group class="margintop20px">\n\n    <span class="personal">PERSONAL INFO</span>\n\n    <!--        <ion-item class="padding5px margintop5px border">\n\n              <ion-icon item-start class="icon_color marginleft0px" name="ios-mail-outline"></ion-icon>\n\n              <span class="paddingleft20px link">claireabc@gmail.com</span>\n\n          </ion-item>\n\n          <ion-item class="padding5px  border">\n\n              <ion-icon item-start class="icon_color marginleft0px" name="ios-call-outline"></ion-icon>\n\n              <span class="paddingleft20px link">1234567890</span>\n\n          </ion-item>\n\n          <ion-item class="padding5px border">\n\n              <ion-icon item-start class="icon_color marginleft0px" name="ios-pin-outline"></ion-icon>\n\n              <span class="paddingleft20px blackfont addrs" center text-center>Address line 1, Address line 2</span>\n\n              <br>\n\n              <span class="paddingleft20px addrs">Los Angeles, CA</span>\n\n          </ion-item>-->\n\n    <ion-item class="padding5px border" *ngIf="userDetails?.emailId">\n\n      <ion-icon class="icon_color" name="ios-mail-outline"></ion-icon>\n\n      <span class="paddingleft20px link">{{userDetails.emailId}}</span>\n\n    </ion-item>\n\n    <ion-item class="padding5px border" *ngIf="userDetails?.mobileNumber">\n\n    <ion-icon class="icon_color" name="ios-call-outline"></ion-icon>\n\n    <span class="paddingleft20px link">{{userDetails.mobileNumber}}</span>\n\n  </ion-item>\n\n    <ion-item class="padding5px border" *ngIf="userDetails?.address">\n\n    <ion-icon class="icon_color" name="ios-pin-outline"></ion-icon>\n\n    <span class="paddingleft20px blackfont addrs" center text-center>{{userDetails?.address}}</span>\n\n    <!--            <br>\n\n              <span class="paddingleft20px addrs">Los Angeles, CA</span>-->\n\n  </ion-item>\n\n    <ion-item class="padding5px border" *ngIf="userDetails?.showBloodGroup && userDetails?.bloodGroupType">\n\n      <ion-icon class="icon_color" name="ios-water-outline"></ion-icon>\n\n          <span class="paddingleft20px blackfont addrs">Blood Group:\n\n              <span class="blood_group">{{userDetails.bloodGroupType}}\n\n              </span>\n\n          </span>\n\n    </ion-item>\n\n    <ion-item class="padding5px border" *ngIf="userDetails?.showOrganDonarStatus">\n\n      <ion-icon class="icon_color" name="ios-man-outline"></ion-icon>\n\n          <span class="paddingleft20px blackfont addrs">Organ Donor:\n\n              <span class="blood_group" >{{userDetails.organDonor?\'Yes\' : \'No\'}}</span>\n\n          </span>\n\n    </ion-item>\n\n    <ion-item class="padding5px" *ngIf="userDetails?.company">\n\n      <ion-icon class="icon_color" name="ios-keypad-outline"></ion-icon>\n\n      <span class="paddingleft20px blackfont addrs">{{userDetails?.company}}</span>\n\n    </ion-item>\n\n  </ion-item-group>\n\n  <ion-item-group class="margintop20px"  *ngIf="Causes.length">\n\n    <span class="support">SUPPORTING CAUSES</span>\n\n    <ion-card class="support_causes">\n\n\n\n      <ion-card class="cause_btn cause_card" #cause1 *ngFor="let selectedCauses of Causes;let i = index">\n\n        {{selectedCauses?.name}}&nbsp;\n\n        <!--<ion-icon class="close" name="ios-close-circle" (click)="removecausechip(selectedCauses,i)" ></ion-icon>-->\n\n      </ion-card>\n\n    </ion-card>\n\n  </ion-item-group>\n\n  <ion-item-group class="margintop20px"  *ngIf="Skills.length">\n\n    <span class="support" >SKILLS</span>\n\n    <ion-card class="support_causes">\n\n      <ion-card class="cause_btn cause_card" #cause1 *ngFor="let selectedSkills of Skills;let i = index">\n\n        {{selectedSkills?.name}}&nbsp;\n\n      </ion-card>\n\n    </ion-card>\n\n  </ion-item-group>\n\n  <ng-container *ngIf="userDetails.loginProvider == \'sahavenp\'">\n\n  <ion-item-group class="margintop20px" *ngIf="ngoDetails?.google_link || ngoDetails?.facebook_link || ngoDetails?.linkedin_link ">\n\n    <span class="social">SOCIAL MEDIA</span>\n\n    <ion-list>\n\n      <ion-item class="margintop5px border">\n\n        <ion-icon  class="personal-list_icons fb marginleft20px" name="logo-facebook" ></ion-icon>\n\n        <span class="link" *ngIf="ngoDetails?.facebook_link">{{ngoDetails?.facebook_link}}</span>\n\n        <span class="link" *ngIf="!ngoDetails?.facebook_link"> Not yet linked </span>\n\n      </ion-item>\n\n      <ion-item class="border">\n\n        <ion-icon item-start class="personal-list_icons lnkd" name="logo-linkedin"></ion-icon>\n\n        <span class="link" *ngIf="ngoDetails?.linkedin_link">{{ngoDetails?.linkedin_link}}</span>\n\n        <span class="link" *ngIf="!ngoDetails?.linkedin_link"> Not yet linked </span>\n\n      </ion-item>\n\n      <ion-item>\n\n        <ion-icon item-start class="personal-list_icons gp" name="logo-googleplus"></ion-icon>\n\n        <span class="link" *ngIf="ngoDetails?.google_link">{{ngoDetails?.google_link}}</span>\n\n        <span class="link" *ngIf="!ngoDetails?.google_link"> Not yet linked </span>\n\n      </ion-item>\n\n    </ion-list>\n\n  </ion-item-group>\n\n  </ng-container>\n\n  <ng-container *ngIf="userDetails.loginProvider == \'sahave\'">\n\n    <ion-item-group class="margintop20px" *ngIf="userDetails?.showSocialMedia">\n\n      <span class="social">SOCIAL MEDIA</span>\n\n      <ion-list>\n\n        <div class="white_bg margintop5px">\n\n          <ion-row class="paddingtop5px paddingbottom5px">\n\n            <ion-col col-2 class="paddingleft15px">\n\n              <ion-icon item-start class="personal-list_icons fb_before" name="logo-facebook"></ion-icon>\n\n            </ion-col>\n\n            <ion-col col-10 class="border paddingtop7px">\n\n              <span class="link" *ngIf="userDetails?.facebookLink">{{userDetails?.facebookLink}}</span>\n\n              <span class="link" *ngIf="!userDetails?.facebookLink"> Not yet linked </span>\n\n            </ion-col>\n\n          </ion-row>\n\n          <ion-row class="paddingtop5px paddingbottom5px">\n\n            <ion-col col-2 class="paddingleft15px">\n\n              <ion-icon item-start class="personal-list_icons lnkd_before" name="logo-linkedin"></ion-icon>\n\n            </ion-col>\n\n            <ion-col col-10 class="border paddingtop7px">\n\n              <span class="link" *ngIf="userDetails?.linkedInLink">{{userDetails?.linkedInLink}}</span>\n\n              <span class="link" *ngIf="!userDetails?.linkedInLink"> Not yet linked </span>\n\n            </ion-col>\n\n          </ion-row>\n\n          <ion-row class="paddingtop5px paddingbottom5px">\n\n            <ion-col col-2 class="paddingleft8px paddingtop0px">\n\n              <ion-icon item-start class="personal-list_icons gp" name="logo-googleplus"></ion-icon>\n\n            </ion-col>\n\n            <ion-col col-10 class="paddingtop7px">\n\n              <span class="link" *ngIf="userDetails?.googleLink">{{userDetails?.googleLink}}</span>\n\n              <span class="link" *ngIf="!userDetails?.googleLink"> Not yet linked </span>\n\n            </ion-col>\n\n          </ion-row>\n\n        </div>\n\n      </ion-list>\n\n    </ion-item-group>\n\n  </ng-container>\n\n  <ion-item-group class="margintop10px" *ngIf="userDetails?.testimonials?.length">\n\n    <span class="social">TESTIMONIAL</span>\n\n    <ion-card class="padding15px" *ngFor="let testimonial of userDetails.testimonials">\n\n      \n\n      <ion-card-content class="testimo_card padding0px">\n\n        <ion-row>\n\n          <ion-col col-2>\n\n              <ion-item>\n\n                  <ion-avatar item-start>\n\n                    <img class="icon-img"  *ngIf="testimonial.user_id.photo_url" [src]="testimonial.user_id.photo_url">\n\n                    <img class="icon-img" *ngIf="!testimonial.user_id.photo_url" src="assets/imgs/Oval3x.png">\n\n                  </ion-avatar>\n\n                </ion-item>\n\n          </ion-col>\n\n          <ion-col col-10 class="paddingtop14px">\n\n              <span class="testimo_user">{{testimonial.user_id.fullname}}</span>\n\n        <br>\n\n        <p class="font-size13px">\n\n          {{testimonial.data}}\n\n          <!-- <span *ngIf="viewmoree" (click)="view()" class="more_about"> More\n\n              <ion-icon name="ios-arrow-down"></ion-icon>\n\n          </span>\n\n          <span *ngIf="viewless" (click)="less()" class="more_about"> Less\n\n              <ion-icon name="ios-arrow-up"></ion-icon>\n\n          </span> -->\n\n               <!--   <span class="more_testimonial margintop15px">More&nbsp;&nbsp;\n\n                      <ion-icon small name="ios-arrow-down"></ion-icon>\n\n                  </span>-->\n\n        </p>\n\n          </ion-col>\n\n        </ion-row>\n\n        \n\n      </ion-card-content>\n\n    </ion-card>\n\n  </ion-item-group>\n\n  <!--<ion-item-group>\n\n    <ion-item-divider color="light"></ion-item-divider>\n\n  </ion-item-group>-->\n\n <!-- <ion-card class="comment_card">\n\n    <span class="write_comment">WRITE A TESTIMONIAL</span>\n\n  </ion-card>-->\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\public-profile-view\public-profile-view.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_facebook__["a" /* Facebook */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_google_plus__["a" /* GooglePlus */],
            __WEBPACK_IMPORTED_MODULE_5__providers_aws_service__["a" /* AwsServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_6__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_7__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_8__providers_DataService__["a" /* DataService */]])
    ], PublicProfileViewPage);
    return PublicProfileViewPage;
}());

//# sourceMappingURL=public-profile-view.js.map

/***/ }),

/***/ 958:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PublicProfileViewPageModule", function() { return PublicProfileViewPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__public_profile_view__ = __webpack_require__(1061);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PublicProfileViewPageModule = (function () {
    function PublicProfileViewPageModule() {
    }
    PublicProfileViewPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__public_profile_view__["a" /* PublicProfileViewPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__public_profile_view__["a" /* PublicProfileViewPage */]),
            ],
        })
    ], PublicProfileViewPageModule);
    return PublicProfileViewPageModule;
}());

//# sourceMappingURL=public-profile-view.module.js.map

/***/ })

});
//# sourceMappingURL=37.js.map