webpackJsonp([38],{

/***/ 1059:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfileVoParticipatedPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var ProfileVoParticipatedPage = (function () {
    function ProfileVoParticipatedPage(navCtrl, navParams, storage, events, appCtrl, storageProvider, ds, ionicStorage, helperService, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.events = events;
        this.appCtrl = appCtrl;
        this.storageProvider = storageProvider;
        this.ds = ds;
        this.ionicStorage = ionicStorage;
        this.helperService = helperService;
        this.modalCtrl = modalCtrl;
    }
    ProfileVoParticipatedPage.prototype.ionViewDidLoad = function () {
    };
    ProfileVoParticipatedPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
                _this.ionicStorage.getNgoDetails().then(function (ngoDetails) {
                    if (ngoDetails) {
                        _this.ngoDetails = ngoDetails;
                        _this.ionicStorage.getFromPage().then(function (from) {
                            if (from) {
                                _this.fromPage = from;
                                if (_this.fromPage == 'publicProfile') {
                                    _this.userDetails = _this.storageProvider.getUserDetailsinpublicprivate();
                                    _this.getOppDetails();
                                    _this.sourcePageName = 'aboutVol';
                                }
                                else {
                                    _this.ionicStorage.getUser().then(function (userDetails) {
                                        if (userDetails) {
                                            _this.userDetails = userDetails;
                                            _this.getOppDetails();
                                        }
                                    });
                                    _this.sourcePageName = 'profileVoParticipated';
                                }
                                if (_this.userDetails) {
                                    _this.getOppDetails();
                                    if (_this.userDetails.userId == _this.ngoDetails.contactId) {
                                        _this.ngoAdmin = true;
                                    }
                                    else {
                                        _this.ngoAdmin = false;
                                    }
                                }
                            }
                            else {
                                _this.ionicStorage.getUser().then(function (userDetails) {
                                    if (userDetails) {
                                        _this.userDetails = userDetails;
                                        _this.getOppDetails();
                                    }
                                });
                            }
                        });
                    }
                });
            }
        });
    };
    ProfileVoParticipatedPage.prototype.getOppDetails = function () {
        var _this = this;
        if (this.fromPage == 'publicProfile') {
            this.userDetails = this.storageProvider.getUserDetailsinpublicprivate();
            this.sourcePageName = 'aboutVol';
            this.prefs = {
                url: 'opportunity/np/activityList/user/' + this.userDetails.userId
            };
        }
        else if (this.fromPage == 'privateProfile') {
            if (this.userDetails.userId == this.ngoDetails.contactId) {
                this.ngoAdmin = true;
            }
            else {
                this.ngoAdmin = false;
            }
            this.prefs = {
                url: 'opportunity/np/activityList/user/' + this.userDetails.userId
            };
        }
        else {
            if (this.userDetails.userId == this.ngoDetails.contact_id) {
                this.ngoAdmin = true;
            }
            else {
                this.ngoAdmin = false;
            }
            this.prefs = {
                dont_show_loader: false,
                url: 'opportunity/np/activityList/user/' + this.userDetails.userId
            };
        }
        if (this.prefs) {
            this.ds.getUserOppDetails(this.prefs, function (allOpps) {
                _this.events.publish('loadingDismiss');
                _this.allOpps = allOpps;
                _this.participatedOppDetails = _this.allOpps[0].participated;
            }, function (err) {
                console.log(err);
            });
        }
    };
    ProfileVoParticipatedPage.prototype.favoriteCampaign = function (oppData) {
        var _this = this;
        if (this.token) {
            this.prefs = {
                url: __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__["a" /* API_ROUTES */].Common_Opp_Url + oppData.oppertunityID,
                req_object: { fans: [this.userDetails.userId] }
            };
            this.ds.favoriteActivity(this.prefs, function (resdata) {
                _this.getOppDetails();
            }, function (err) {
                console.log(err);
            });
        }
        else {
            this.navCtrl.push('LoginOptionsPage');
        }
    };
    ProfileVoParticipatedPage.prototype.shareActivity = function (volData, encryptedKey) {
        this.helperService.shareSheetShare(volData, encryptedKey);
    };
    ProfileVoParticipatedPage.prototype.redirectToVolunteerPage = function (opportunity) {
        if (this.userDetails.userId == opportunity.contactId) {
            this.userTypee = {
                org: true
            };
            this.storageProvider.setUserOrg(this.userTypee);
            //            this.appCtrl.getRootNav().push('VolDetailsPage', {'volunteerhomedata': opportunity, 'sourcePage': this.sourcePageName, 'role': 'admin'})
            var modal = this.modalCtrl.create('VolDetailsPage', { 'volunteerhomedata': opportunity, 'sourcePage': this.sourcePageName, 'role': 'admin' });
            modal.present();
        }
        else if (opportunity.accepted_volunteers.length) {
            for (var i = 0; opportunity.accepted_volunteers.length > i; i++) {
                if ((this.userDetails.userId == opportunity.accepted_volunteers[i].user.user_id) &&
                    opportunity.accepted_volunteers[i].isCoOrganizer) {
                    this.redirect = true;
                    break;
                }
                else {
                    this.redirect = false;
                }
            }
            if (!this.redirect) {
                this.userTypee = {
                    org: false
                };
                this.storageProvider.setUserOrg(this.userTypee);
                //                this.appCtrl.getRootNav().push('VolDetailsPage', {'volunteerhomedata': opportunity, 'sourcePage': this.sourcePageName, 'role': 'volunteer'})
                var modal = this.modalCtrl.create('VolDetailsPage', { 'volunteerhomedata': opportunity, 'sourcePage': this.sourcePageName, 'role': 'volunteer' });
                modal.present();
            }
            else {
                this.userTypee = {
                    org: false
                };
                this.storageProvider.setUserOrg(this.userTypee);
                //                this.appCtrl.getRootNav().push('VolDetailsPage', {'volunteerhomedata': opportunity, 'sourcePage': this.sourcePageName, 'role': 'volunteer'})
                var modal = this.modalCtrl.create('VolDetailsPage', { 'volunteerhomedata': opportunity, 'sourcePage': this.sourcePageName, 'role': 'volunteer' });
                modal.present();
            }
        }
        else {
            this.userTypee = {
                org: false
            };
            this.storageProvider.setUserOrg(this.userTypee);
            //            this.appCtrl.getRootNav().push('VolDetailsPage', {'volunteerhomedata': opportunity, 'sourcePage': this.sourcePageName, 'role': 'volunteer'})
            var modal = this.modalCtrl.create('VolDetailsPage', { 'volunteerhomedata': opportunity, 'sourcePage': this.sourcePageName, 'role': 'volunteer' });
            modal.present();
        }
    };
    ProfileVoParticipatedPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-profile-vo-participated',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\profile-vo-participated\profile-vo-participated.html"*/'<ion-content>\n\n\n\n    <!--//Opportunity activities code starts here-->\n\n    <ion-grid *ngIf="participatedOppDetails?.length > 0">\n\n        <ion-card class="margintop5px" *ngFor="let participatedOppDetail of participatedOppDetails">\n\n            <ion-row>\n\n                <ion-col col-3 class="paddingtop16px"  (click)="redirectToVolunteerPage(participatedOppDetail.activity)">\n\n                    <ion-card class="vol-card-radius">\n\n                      <img class="img_inside" *ngIf="!participatedOppDetail?.activity?.thumbnail" src="{{participatedOppDetail?.activity?.opportunityImages[0]}}">\n\n                      <img class="img_inside" *ngIf="participatedOppDetail?.activity?.thumbnail" src="{{participatedOppDetail?.activity?.thumbnail}}">\n\n                      <ion-card-content class="cont-bg">\n\n                            <ion-row class="vol-paddi">\n\n                                <ion-icon name="people" ios="ios-people" md="md-people" class="person-icon"></ion-icon>&nbsp;\n\n                                <span class="vol-attend-count">{{participatedOppDetail.activity.acceptedVolunteersSize}}</span>\n\n                            </ion-row>\n\n                            <ion-row class="vol-attnd-row">\n\n                                <span class="bd-attndng">Attending</span>\n\n                            </ion-row>\n\n                        </ion-card-content>\n\n                    </ion-card>\n\n                </ion-col>\n\n                <ion-col col-9>\n\n                    <ion-card-content class="bd-card-right-contnt">\n\n                      <ng-container  (click)="redirectToVolunteerPage(participatedOppDetail.activity)">\n\n                        <span class="vol-title">{{participatedOppDetail.activity.opportunityName}}</span>\n\n                        <div class="bd-fontbold"> {{participatedOppDetail.activity.location}} </div>\n\n                        <div class="bd-event-time ">{{participatedOppDetail.activity.startTime}}, {{participatedOppDetail.activity.startDate | date:\'MMM d\'}}\n\n                           <!-- <span class="bd-miles-font">| 5 Miles</span>-->\n\n                        </div>\n\n                      </ng-container>\n\n                      <ng-container *ngIf="participatedOppDetail.activity.cancelOpportunity?.cancel">\n\n                        <span class="error">Cancelled Event</span>\n\n                      </ng-container>\n\n                        <ion-row>\n\n                            <ion-col class="padding0px" *ngIf="!participatedOppDetail.activity.cancelOpportunity?.cancel">\n\n                            <!--    <button ion-button icon-left clear small class="paddingright15px paddingleft15px bd-participate-btn" >\n\n                                  I\'M IN\n\n                                </button>-->\n\n                              <button ion-button icon-left clear small class="paddingright15px paddingleft15px goingbutton" [disabled]="!userDetails?.bsrs[0]?.isActive" (click)="redirectToVolunteerPage(participatedOppDetail.activity)">\n\n                                <ion-icon ios="ios-checkmark" md="md-checkmark"></ion-icon>&nbsp;GOING\n\n                              </button>\n\n                             <!-- <ng-container  *ngIf="participatedOppDetail.activity.fans?.length">\n\n                                <p *ngIf="participatedOppDetail.activity.fans.indexOf(userDetails.userId) >= 0"> Fav</p>\n\n                              </ng-container>-->\n\n                              <!--<div *ngIf="participatedOppDetail.activity.fans?.length">\n\n                                <span  *ngFor="let fan of participatedOppDetail.activity.fans">{{fan}}, </span>\n\n                                &lt;!&ndash;<p *ngIf="fan != userDetails.userId"> Not Fav</p>&ndash;&gt;\n\n                                <p *ngIf="fan == userDetails.userId"> Fav</p>\n\n                                <p>User id : {{userDetails.userId}}</p>\n\n                              </div>-->\n\n                              <ng-container  *ngIf="participatedOppDetail.activity.fans?.length">\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" [disabled]="!userDetails?.bsrs[0]?.isActive" (click)="favoriteCampaign(participatedOppDetail.activity)">\n\n                                    <div class="paddingright12px bd-titletextcolor">Favorite</div>\n\n                                    <ion-icon *ngIf="participatedOppDetail.activity.fans.indexOf(userDetails.userId) >= 0" name="star" class="primarycolor font-size18px"></ion-icon>\n\n                                  <ion-icon  *ngIf="participatedOppDetail.activity.fans.indexOf(userDetails.userId) < 0"   name="star-outline" class="primarycolor font-size18px"></ion-icon>\n\n                                </button>\n\n                              </ng-container>\n\n                              <ng-container  *ngIf="participatedOppDetail.activity.fans?.length == 0">\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" [disabled]="!userDetails?.bsrs[0]?.isActive" (click)="favoriteCampaign(participatedOppDetail.activity)">\n\n                                  <div class="paddingright12px bd-titletextcolor">Favorite</div>\n\n                                  <ion-icon name="star-outline" class="primarycolor font-size18px"></ion-icon>\n\n                                </button>\n\n                              </ng-container>\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" >\n\n                                    <!--<div class="paddingright12px bd-titletextcolor">{{participatedOppDetail.activity.shareCount}}</div>-->\n\n                                    <!--<ion-icon ios="ios-share-alt" md="md-share-alt" class="primarycolor font-size18px" ></ion-icon>-->\n\n                                    <img  (click)="shareActivity(participatedOppDetail.activity, participatedOppDetail.activity.encryptedKey)" src="assets/imgs/icon-share.png">\n\n                                </button>\n\n                            </ion-col>\n\n                        </ion-row>\n\n                    </ion-card-content>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card>\n\n    </ion-grid>\n\n    <!--//Opportunity activities code ends here-->\n\n  <ion-grid *ngIf="!participatedOppDetails?.length">\n\n    <ion-row>\n\n      <ion-col col-12>\n\n          <img src="assets/imgs/no-data.png"/>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-grid>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\profile-vo-participated\profile-vo-participated.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */],
            __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__["a" /* IonicStorageService */], __WEBPACK_IMPORTED_MODULE_7__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */]])
    ], ProfileVoParticipatedPage);
    return ProfileVoParticipatedPage;
}());

//# sourceMappingURL=profile-vo-participated.js.map

/***/ }),

/***/ 956:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProfileVoParticipatedPageModule", function() { return ProfileVoParticipatedPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__profile_vo_participated__ = __webpack_require__(1059);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ProfileVoParticipatedPageModule = (function () {
    function ProfileVoParticipatedPageModule() {
    }
    ProfileVoParticipatedPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__profile_vo_participated__["a" /* ProfileVoParticipatedPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__profile_vo_participated__["a" /* ProfileVoParticipatedPage */]),
            ],
        })
    ], ProfileVoParticipatedPageModule);
    return ProfileVoParticipatedPageModule;
}());

//# sourceMappingURL=profile-vo-participated.module.js.map

/***/ })

});
//# sourceMappingURL=38.js.map