webpackJsonp([40],{

/***/ 1053:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfileNotificationSettingsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__ = __webpack_require__(96);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var ProfileNotificationSettingsPage = (function () {
    function ProfileNotificationSettingsPage(navCtrl, navParams, viewCtrl, ionicStorage, platform, storageProvider, ds, toastService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.ionicStorage = ionicStorage;
        this.platform = platform;
        this.storageProvider = storageProvider;
        this.ds = ds;
        this.toastService = toastService;
    }
    ProfileNotificationSettingsPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getUser().then(function (userDetails) {
            if (userDetails) {
                _this.userData = userDetails;
                _this.notifyMe = _this.userData.notifyMe;
            }
        });
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss('noData');
        });
        this.serviceCalled = false;
    };
    ProfileNotificationSettingsPage.prototype.ionViewDidLoad = function () {
    };
    ProfileNotificationSettingsPage.prototype.updateProfile = function () {
        var _this = this;
        this.userData.notifyMe = this.notifyMe;
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__["a" /* API_ROUTES */].common_user_url + this.userData.userId,
            req_object: this.userData
        };
        this.ds.notifySettings(this.prefs, function (data) {
            _this.toastService.bottomToast_Long('Notification Settings Saved !!');
            _this.serviceCalled = true;
        }, function (err) {
            console.log(err);
        });
    };
    ProfileNotificationSettingsPage.prototype.close = function () {
        this.viewCtrl.dismiss(this.serviceCalled);
    };
    ProfileNotificationSettingsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-profile-notification-settings',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\profile-notification-settings\profile-notification-settings.html"*/'<ion-header>\n\n  <ion-navbar hideBackButton>\n\n    <ion-row>\n\n      <ion-col col-2 class="align_center" (click)="close()"><ion-icon class="header_icon_sz" name="arrow-back"></ion-icon></ion-col>\n\n      <ion-col col-8><div class="heading">Notification Settings</div></ion-col>\n\n      <ion-col col-2 center text-center ></ion-col>\n\n    </ion-row>\n\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n  <div class="white_bg">\n\n    <ion-row class="border">\n\n      <ion-col col-9 class="paddingtop16px">\n\n        <span class="privacy-label paddingleft8px">Event\'s Day Notification</span>\n\n      </ion-col>\n\n      <ion-col col-3>\n\n        <ion-item>\n\n        <ion-toggle (ionChange)="updateProfile()"  [(ngModel)]="notifyMe"></ion-toggle>\n\n      </ion-item>\n\n      </ion-col>\n\n    </ion-row>\n\n  </div>\n\n  <p class="notes">If you have marked and blood drive or volunteering event as \'going\',you would get a notification on event day </p>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\profile-notification-settings\profile-notification-settings.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */], __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */], __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_5__providers_ToastService__["a" /* ToastService */]])
    ], ProfileNotificationSettingsPage);
    return ProfileNotificationSettingsPage;
}());

//# sourceMappingURL=profile-notification-settings.js.map

/***/ }),

/***/ 950:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProfileNotificationSettingsPageModule", function() { return ProfileNotificationSettingsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__profile_notification_settings__ = __webpack_require__(1053);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ProfileNotificationSettingsPageModule = (function () {
    function ProfileNotificationSettingsPageModule() {
    }
    ProfileNotificationSettingsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__profile_notification_settings__["a" /* ProfileNotificationSettingsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__profile_notification_settings__["a" /* ProfileNotificationSettingsPage */]),
            ],
        })
    ], ProfileNotificationSettingsPageModule);
    return ProfileNotificationSettingsPageModule;
}());

//# sourceMappingURL=profile-notification-settings.module.js.map

/***/ })

});
//# sourceMappingURL=40.js.map