webpackJsonp([41],{

/***/ 1051:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfileBdParticipatedPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var ProfileBdParticipatedPage = (function () {
    function ProfileBdParticipatedPage(navCtrl, navParams, storage, events, appCtrl, modalCtrl, ds, ionicStorage, storageProvider, helperService, platform) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.events = events;
        this.appCtrl = appCtrl;
        this.modalCtrl = modalCtrl;
        this.ds = ds;
        this.ionicStorage = ionicStorage;
        this.storageProvider = storageProvider;
        this.helperService = helperService;
        this.platform = platform;
        this.ionicStorage.getUser().then(function (viewerUserDetails) {
            if (viewerUserDetails) {
                _this.viewerUserDetails = viewerUserDetails;
            }
        });
    }
    ProfileBdParticipatedPage.prototype.ionViewDidLoad = function () {
    };
    ProfileBdParticipatedPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
            }
        });
        this.ionicStorage.getFromPage().then(function (from) {
            if (from) {
                _this.fromPage = from;
                if (_this.fromPage == 'publicProfile') {
                    _this.userDetails = _this.storageProvider.getUserDetailsinpublicprivate();
                    _this.getBdDetails();
                }
                else {
                    _this.ionicStorage.getUser().then(function (userDetails) {
                        if (userDetails) {
                            _this.userDetails = userDetails;
                            _this.getBdDetails();
                        }
                    });
                }
            }
            else {
                _this.ionicStorage.getUser().then(function (userDetails) {
                    if (userDetails) {
                        _this.userDetails = userDetails;
                        _this.getBdDetails();
                    }
                });
            }
        });
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.pop();
        });
    };
    ProfileBdParticipatedPage.prototype.getBdDetails = function () {
        var _this = this;
        if (this.fromPage == 'privateProfile') {
            this.prefs = {
                url: 'bloodDonation/np/activityList/user/' + this.userDetails.userId,
                dont_show_loader: false
            };
            this.ds.getUserBloodDonationDetails(this.prefs, function (allDonations) {
                _this.allDonations = allDonations;
                _this.participatedDetails = _this.allDonations[0].participated;
            }, function (err) {
                console.log(err);
            });
        }
        else {
            this.prefs = {
                url: 'bloodDonation/np/activityList/user/' + this.userDetails.userId,
                dont_show_loader: false
            };
            this.ds.getUserBloodDonationDetails(this.prefs, function (allDonations) {
                _this.allDonations = allDonations;
                _this.participatedDetails = _this.allDonations[0].participated;
            }, function (err) {
                console.log(err);
            });
        }
    };
    ProfileBdParticipatedPage.prototype.favoriteCampaign = function (bldData) {
        var _this = this;
        this.bloodDetails = bldData;
        var bldId = bldData.id;
        this.reqBody = {
            fans: [this.viewerUserDetails.userId]
        };
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__["a" /* API_ROUTES */].checkBlood + bldId,
            req_object: this.reqBody
        };
        this.ds.favoriteActivity(this.prefs, function (data) {
            _this.getBdDetails();
        }, function (error) {
        });
    };
    ProfileBdParticipatedPage.prototype.shareActivity = function (bloodData, encryptedKey) {
        this.helperService.shareSheetShare(bloodData, encryptedKey);
    };
    ProfileBdParticipatedPage.prototype.goTobloodDetails = function (activity) {
        //        this.appCtrl.getRootNav().push('BdDetailsPage', {'bloodIdd': activity.id, 'activity': activity})
        var modal = this.modalCtrl.create('BdDetailsPage', { 'bloodIdd': activity.id, 'activity': activity });
        modal.present();
    };
    ProfileBdParticipatedPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-profile-bd-participated',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\profile-bd-participated\profile-bd-participated.html"*/'<ion-content>\n\n    <!--//Blood Donation activities code stars here-->\n\n<ion-grid *ngIf="participatedDetails?.length > 0">\n\n        <ion-card class="margintop5px" *ngFor="let participatedDetail of participatedDetails">\n\n            <ion-row>\n\n                <ion-col col-3 class="paddingtop16px" >\n\n                    <ion-card class="bd-card-radius" *ngIf="!participatedDetail.activity.bloodType" (click)="goTobloodDetails(participatedDetail.activity)">\n\n                        <div class="bd-o-positive"><img class="blood-img" src="assets/imgs/multiplebloodtype.png"></div>\n\n                        <div class="bd-progress-inner" [style.width]="progress + \'%\'">\n\n                            {{progress}}%\n\n                        </div>\n\n                        <ion-card-content class="cont-bg">\n\n                            <ion-row class="bd-attnd-row">\n\n                                <span class="bd-attndng">{{participatedDetail.activity.acceptedDonors}} of {{participatedDetail.activity.requiredNoOfDonors}}</span>\n\n                            </ion-row>\n\n                        </ion-card-content>\n\n                    </ion-card>\n\n                    <ion-card class="bd-card-radius" *ngIf="participatedDetail.activity.bloodType" (click)="goTobloodDetails(participatedDetail.activity)">\n\n                       \n\n                        <div *ngIf="participatedDetail.activity.bloodType">\n\n                            <div *ngIf="participatedDetail.activity.bloodType == \'A+\' || participatedDetail.activity.bloodType == \'B+\' || participatedDetail.activity.bloodType == \'AB+\' || participatedDetail.activity.bloodType == \'O+\'">\n\n                                <div class="bd-activity-card {{participatedDetail.activity.bloodType.replace(\'+\',\'-positive\')}}">{{participatedDetail.activity.bloodType}}</div>\n\n                            </div>\n\n                            <div *ngIf="participatedDetail.activity.bloodType == \'A-\' || participatedDetail.activity.bloodType == \'B-\' || participatedDetail.activity.bloodType == \'AB-\' || participatedDetail.activity.bloodType == \'O-\'">\n\n                                <div class="bd-activity-card {{participatedDetail.activity.bloodType.replace(\'-\',\'-negetive\')}}">{{participatedDetail.activity.bloodType}}</div>\n\n                            </div>\n\n                            <div *ngIf="participatedDetail.activity.bloodType == \'hh\' || participatedDetail.activity.bloodType == \'INRA\'">\n\n                                <div class="bd-activity-card-inra {{participatedDetail.activity.bloodType}}">{{participatedDetail.activity.bloodType}}</div>\n\n                            </div>\n\n                        </div>         \n\n                        <div class="bd-progress-inner" [style.width]="progress + \'%\'">\n\n                            {{progress}}%\n\n                        </div>\n\n                        <ion-card-content class="cont-bg">\n\n                            <ion-row class="bd-attnd-row">\n\n                                <span class="bd-attndng">{{participatedDetail.activity.acceptedDonors}} of {{participatedDetail.activity.requiredNoOfDonors}}</span>\n\n                            </ion-row>\n\n                        </ion-card-content>\n\n                    </ion-card>\n\n                </ion-col>\n\n                <ion-col col-9>\n\n                    <ion-card-content class="bd-card-right-contnt">\n\n                        <span (click)="goTobloodDetails(participatedDetail.activity)" class="vol-title">{{participatedDetail.activity.benificiaryName}} </span>\n\n                        <div (click)="goTobloodDetails(participatedDetail.activity)" class="bd-fontbold">{{participatedDetail.activity.location}}</div>\n\n                        <div (click)="goTobloodDetails(participatedDetail.activity)" class="bd-event-time"> {{participatedDetail.activity.scheduledDateTime | date:\'shortTime\'}}, {{participatedDetail.activity.scheduledDateTime | date:\'MMM d\'}}\n\n                            <!--<span class="bd-miles-font">&nbsp;&nbsp;|&nbsp;&nbsp; 0 Miles</span>-->\n\n                        </div>\n\n                        <ion-row>\n\n                            <ion-col class="padding0px">\n\n                                    <button ion-button icon-left clear small class="paddingright15px paddingleft15px goingbutton"\n\n                                            (click)="goTobloodDetails(participatedDetail.activity)" [disabled]="!userDetails?.bsrs[0]?.isActive">\n\n                                            <ion-icon ios="ios-checkmark" md="md-checkmark"></ion-icon>&nbsp;GOING\n\n                                          </button>\n\n                              <ng-container  *ngIf="participatedDetail.activity.fans?.length">\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" [disabled]="!userDetails?.bsrs[0]?.isActive" (click)="favoriteCampaign(participatedDetail.activity)">\n\n                                  <div class="paddingright12px bd-titletextcolor">Favorite</div>\n\n                                  <ion-icon *ngIf="participatedDetail.activity.fans.indexOf(viewerUserDetails.userId) >= 0" name="star" class="primarycolor font-size18px"></ion-icon>\n\n                                  <ion-icon  *ngIf="participatedDetail.activity.fans.indexOf(viewerUserDetails.userId) < 0" name="star-outline" class="primarycolor font-size18px"></ion-icon>\n\n                                </button>\n\n                              </ng-container>\n\n                              <ng-container  *ngIf="participatedDetail.activity.fans?.length == 0">\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" [disabled]="!userDetails?.bsrs[0]?.isActive" (click)="favoriteCampaign(participatedDetail.activity)">\n\n                                  <div class="paddingright12px bd-titletextcolor">Favorite</div>\n\n                                  <ion-icon name="star-outline" class="primarycolor font-size18px"></ion-icon>\n\n                                </button>\n\n                              </ng-container>\n\n                                <!--<button ion-button icon-left clear small class="paddingright1px paddingleft0px" >\n\n                                    <div class="paddingright12px bd-titletextcolor">Favorite</div>\n\n                                    <ion-icon name="star" class="primarycolor font-size18px"></ion-icon>\n\n                                </button>-->\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" >\n\n                                    <!--<div class="paddingright12px bd-titletextcolor">{{participatedDetail.activity.shareCount}}</div>-->\n\n                                    <!--<ion-icon ios="ios-share-alt" md="md-share-alt" class="primarycolor font-size18px" (click)="shareActivity(participatedDetail.activity)"></ion-icon>-->\n\n                              <img  (click)="shareActivity(participatedDetail.activity, participatedDetail.activity.encryptedKey)" src="assets/imgs/icon-share.png"> \n\n                                </button>\n\n                            </ion-col>\n\n                        </ion-row>\n\n                    </ion-card-content>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card>\n\n</ion-grid>\n\n\n\n  <ion-grid *ngIf="!participatedDetails?.length">\n\n    <ion-row>\n\n      <ion-col col-12>\n\n          <img src="assets/imgs/no-data.png"/>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-grid>\n\n  <div class="empty-div"></div>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\profile-bd-participated\profile-bd-participated.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_7__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], ProfileBdParticipatedPage);
    return ProfileBdParticipatedPage;
}());

//# sourceMappingURL=profile-bd-participated.js.map

/***/ }),

/***/ 948:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProfileBdParticipatedPageModule", function() { return ProfileBdParticipatedPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__profile_bd_participated__ = __webpack_require__(1051);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ProfileBdParticipatedPageModule = (function () {
    function ProfileBdParticipatedPageModule() {
    }
    ProfileBdParticipatedPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__profile_bd_participated__["a" /* ProfileBdParticipatedPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__profile_bd_participated__["a" /* ProfileBdParticipatedPage */]),
            ],
        })
    ], ProfileBdParticipatedPageModule);
    return ProfileBdParticipatedPageModule;
}());

//# sourceMappingURL=profile-bd-participated.module.js.map

/***/ })

});
//# sourceMappingURL=41.js.map