webpackJsonp([42],{

/***/ 1050:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfileBdOrganizedPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var ProfileBdOrganizedPage = (function () {
    function ProfileBdOrganizedPage(navCtrl, navParams, storage, events, appCtrl, modalCtrl, storageProvider, ionicStorage, ds, helperService, platform) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.events = events;
        this.appCtrl = appCtrl;
        this.modalCtrl = modalCtrl;
        this.storageProvider = storageProvider;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.helperService = helperService;
        this.platform = platform;
        this.ionicStorage.getUser().then(function (viewerUserDetails) {
            if (viewerUserDetails) {
                _this.viewerUserDetails = viewerUserDetails;
            }
        });
    }
    ProfileBdOrganizedPage.prototype.ionViewDidLoad = function () {
    };
    ProfileBdOrganizedPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getToken().then(function (val) {
            if (val) {
                _this.token = val;
            }
        });
        this.ionicStorage.getFromPage().then(function (from) {
            if (from) {
                _this.fromPage = from;
                if (_this.fromPage == 'publicProfile') {
                    _this.userDetails = _this.storageProvider.getUserDetailsinpublicprivate();
                    _this.getBdDetails();
                }
                else {
                    _this.ionicStorage.getUser().then(function (userDetails) {
                        if (userDetails) {
                            _this.userDetails = userDetails;
                            _this.ionicStorage.getNgoDetails().then(function (ngoDetails) {
                                if (ngoDetails) {
                                    _this.ngoDetails = ngoDetails;
                                    _this.getBdDetails();
                                }
                            });
                        }
                    });
                }
            }
            else {
                _this.ionicStorage.getUser().then(function (userDetails) {
                    if (userDetails) {
                        _this.userDetails = userDetails;
                        _this.getBdDetails();
                    }
                });
            }
        });
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.pop();
        });
    };
    ProfileBdOrganizedPage.prototype.getBdDetails = function () {
        var _this = this;
        if (this.fromPage == 'privateProfile') {
            this.ngoId = this.ngoDetails.id;
            this.prefs = {
                url: 'bloodDonation/np/activityList/user/' + this.userDetails.userId,
                dont_show_loader: false
            };
            this.ds.getUserBloodDonationDetails(this.prefs, function (allDonations) {
                _this.allDonations = allDonations;
                _this.organizedDetails = _this.allDonations[0].organized;
            }, function (err) {
                console.log(err);
            });
        }
        else {
            this.ngoId = this.ngoDetails;
            this.prefs = {
                url: 'bloodDonation/np/activityList/user/' + this.userDetails.userId,
                dont_show_loader: false
            };
            this.ds.getUserBloodDonationDetails(this.prefs, function (allDonations) {
                _this.allDonations = allDonations;
                _this.organizedDetails = _this.allDonations[0].organized;
            }, function (err) {
                console.log(err);
            });
        }
    };
    ProfileBdOrganizedPage.prototype.favoriteCampaign = function (bldData) {
        var _this = this;
        this.bloodDetails = bldData;
        var bldId = bldData.id;
        this.reqBody = {
            fans: [this.viewerUserDetails.userId]
        };
        this.prefs = {
            activityId: bldId,
            url: __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__["a" /* API_ROUTES */].checkBlood + bldId,
            req_object: this.reqBody
        };
        this.ds.favoriteActivity(this.prefs, function (data) {
            _this.getBdDetails();
        }, function (error) {
        });
    };
    ProfileBdOrganizedPage.prototype.shareActivity = function (bloodData, encryptedKey) {
        this.helperService.shareSheetShare(bloodData, encryptedKey);
    };
    ProfileBdOrganizedPage.prototype.goTobloodDetails = function (activity) {
        //        this.appCtrl.getRootNav().push('BdDetailsPage', {'bloodIdd': activity.id, 'activity': activity})
        var modal = this.modalCtrl.create('BdDetailsPage', { 'bloodIdd': activity.id, 'activity': activity });
        modal.present();
    };
    ProfileBdOrganizedPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-profile-bd-organized',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\profile-bd-organized\profile-bd-organized.html"*/'<ion-content>\n\n    <!--//Blood Donation activities code stars here-->\n\n  <ion-grid *ngIf="organizedDetails?.length > 0">\n\n        <ion-card class="margintop5px" *ngFor="let organizedDetail of organizedDetails">\n\n            <ion-row>\n\n                <ion-col col-3 class="paddingtop16px" (click)="goTobloodDetails(organizedDetail.activity)">\n\n                    <ion-card class="bd-card-radius" *ngIf="!organizedDetail.activity.bloodType">\n\n                        <div class="bd-o-positive"><img class="blood-img" src="assets/imgs/multiplebloodtype.png"></div>\n\n                        <div class="bd-progress-inner" [style.width]="progress + \'%\'">\n\n                            {{progress}}%\n\n                        </div>\n\n                        <ion-card-content class="cont-bg">\n\n                            <ion-row class="bd-attnd-row">\n\n                                <span class="bd-attndng">{{organizedDetail.activity.acceptedDonors}} of {{organizedDetail.activity.requiredNoOfDonors}}</span>\n\n                            </ion-row>\n\n                        </ion-card-content>\n\n                    </ion-card>\n\n                    <ion-card class="bd-card-radius" *ngIf="organizedDetail.activity.bloodType" (click)="goTobloodDetails(organizedDetail.activity)">\n\n                       \n\n                        <div *ngIf="organizedDetail.activity.bloodType">\n\n                            <div *ngIf="organizedDetail.activity.bloodType == \'A+\' || organizedDetail.activity.bloodType == \'B+\' || organizedDetail.activity.bloodType == \'AB+\' || organizedDetail.activity.bloodType == \'O+\'">\n\n                                <div class="bd-activity-card {{organizedDetail.activity.bloodType.replace(\'+\',\'-positive\')}}">{{organizedDetail.activity.bloodType}}</div>\n\n                            </div>\n\n                            <div *ngIf="organizedDetail.activity.bloodType == \'A-\' || organizedDetail.activity.bloodType == \'B-\' || organizedDetail.activity.bloodType == \'AB-\' || organizedDetail.activity.bloodType == \'O-\'">\n\n                                <div class="bd-activity-card {{organizedDetail.activity.bloodType.replace(\'-\',\'-negetive\')}}">{{organizedDetail.activity.bloodType}}</div>\n\n                            </div>\n\n                            <div *ngIf="organizedDetail.activity.bloodType == \'hh\' || organizedDetail.activity.bloodType == \'INRA\'">\n\n                                <div class="bd-activity-card-inra {{organizedDetail.activity.bloodType}}">{{organizedDetail.activity.bloodType}}</div>\n\n                            </div>\n\n                        </div>         \n\n                        <div class="bd-progress-inner" [style.width]="progress + \'%\'">\n\n                            {{progress}}%\n\n                        </div>\n\n                        <ion-card-content class="cont-bg">\n\n                            <ion-row class="bd-attnd-row">\n\n                                <span class="bd-attndng">{{organizedDetail.activity.acceptedDonors}} of {{organizedDetail.activity.requiredNoOfDonors}}</span>\n\n                            </ion-row>\n\n                        </ion-card-content>\n\n                    </ion-card>\n\n                </ion-col>\n\n                <ion-col col-9>\n\n                    <ion-card-content class="bd-card-right-contnt">\n\n                        <span (click)="goTobloodDetails(organizedDetail.activity)" class="vol-title"> {{organizedDetail.activity.benificiaryName}}  </span>\n\n                        <div (click)="goTobloodDetails(organizedDetail.activity)" class="bd-fontbold"> {{organizedDetail.activity.location}}</div>\n\n                        <div (click)="goTobloodDetails(organizedDetail.activity)" class="bd-event-time"> {{organizedDetail.activity.scheduledDateTime | date:\'shortTime\'}}, {{organizedDetail.activity.scheduledDateTime | date:\'MMM d\'}}\n\n                            <!--<span class="bd-miles-font">&nbsp;&nbsp;|&nbsp;&nbsp; 0 Miles</span>-->\n\n                        </div>\n\n                        <ion-row>\n\n                            <ion-col class="padding0px">\n\n                                    <button ion-button icon-left clear small class="paddingright15px paddingleft15px goingbutton" [disabled]="!userDetails?.bsrs[0]?.isActive" (click)="goTobloodDetails(organizedDetail.activity)">\n\n                                            <ion-icon ios="ios-checkmark" md="md-checkmark"></ion-icon>&nbsp;GOING\n\n                                          </button>\n\n                              <ng-container  *ngIf="organizedDetail.activity.fans?.length">\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" (click)="favoriteCampaign(organizedDetail.activity)" [disabled]="!userDetails?.bsrs[0]?.isActive">\n\n                                  <div class="paddingright12px bd-titletextcolor">Favorite</div>\n\n                                  <ion-icon *ngIf="organizedDetail.activity.fans.indexOf(viewerUserDetails.userId) >= 0" name="star" class="primarycolor font-size18px"></ion-icon>\n\n                                  <ion-icon  *ngIf="organizedDetail.activity.fans.indexOf(viewerUserDetails.userId) < 0" name="star-outline" class="primarycolor font-size18px"></ion-icon>\n\n                                </button>\n\n                              </ng-container>\n\n                              <ng-container  *ngIf="organizedDetail.activity.fans?.length == 0">\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" [disabled]="!userDetails?.bsrs[0]?.isActive" (click)="favoriteCampaign(organizedDetail.activity)">\n\n                                  <div class="paddingright12px bd-titletextcolor">Favorite</div>\n\n                                  <ion-icon name="star-outline" class="primarycolor font-size18px"></ion-icon>\n\n                                </button>\n\n                              </ng-container>\n\n                             <!--   <button ion-button icon-left clear small class="paddingright1px paddingleft0px" >\n\n                                    <div class="paddingright12px bd-titletextcolor">Favorite</div>\n\n                                    <ion-icon name="star" class="primarycolor font-size18px"></ion-icon>\n\n                                </button>-->\n\n                                <button ion-button icon-left clear small class="paddingright1px paddingleft0px" >\n\n                                    <!--<div class="paddingright12px bd-titletextcolor">{{organizedDetail.activity.shareCount}}</div>-->\n\n                                    <!--<ion-icon ios="ios-share-alt" md="md-share-alt" class="primarycolor font-size18px" (click)="shareActivity(organizedDetail.activity)"></ion-icon>-->\n\n                               <img  (click)="shareActivity(organizedDetail.activity, organizedDetail.activity.encryptedKey)" src="assets/imgs/icon-share.png"> \n\n                                </button>\n\n                            </ion-col>\n\n                        </ion-row>\n\n                    </ion-card-content>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card>\n\n  </ion-grid>\n\n  <ion-grid *ngIf="!organizedDetails?.length">\n\n    <ion-row>\n\n      <ion-col col-12>\n\n          <img src="assets/imgs/no-data.png"/>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-grid>\n\n  <div class="empty-div"></div>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\profile-bd-organized\profile-bd-organized.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_7__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], ProfileBdOrganizedPage);
    return ProfileBdOrganizedPage;
}());

//# sourceMappingURL=profile-bd-organized.js.map

/***/ }),

/***/ 947:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProfileBdOrganizedPageModule", function() { return ProfileBdOrganizedPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__profile_bd_organized__ = __webpack_require__(1050);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ProfileBdOrganizedPageModule = (function () {
    function ProfileBdOrganizedPageModule() {
    }
    ProfileBdOrganizedPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__profile_bd_organized__["a" /* ProfileBdOrganizedPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__profile_bd_organized__["a" /* ProfileBdOrganizedPage */]),
            ],
        })
    ], ProfileBdOrganizedPageModule);
    return ProfileBdOrganizedPageModule;
}());

//# sourceMappingURL=profile-bd-organized.module.js.map

/***/ })

});
//# sourceMappingURL=42.js.map