webpackJsonp([48],{

/***/ 1040:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfilePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_AlertService__ = __webpack_require__(97);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_Helper__ = __webpack_require__(173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_camera__ = __webpack_require__(521);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_file_path__ = __webpack_require__(520);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__providers_aws_service__ = __webpack_require__(177);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__ionic_native_facebook__ = __webpack_require__(179);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__ionic_native_google_plus__ = __webpack_require__(180);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__ionic_native_push__ = __webpack_require__(183);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__ionic_native_device__ = __webpack_require__(522);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

















var ProfilePage = (function () {
    function ProfilePage(navCtrl, navParams, modalCtrl, app, alert, helper, ionicStorage, ds, storageProvider, toast, actionSheetCtrl, filePath, camera, awsimage, storage, fb, googlePlus, push, platform, device, alertCtrl) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.app = app;
        this.alert = alert;
        this.helper = helper;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.storageProvider = storageProvider;
        this.toast = toast;
        this.actionSheetCtrl = actionSheetCtrl;
        this.filePath = filePath;
        this.camera = camera;
        this.awsimage = awsimage;
        this.storage = storage;
        this.fb = fb;
        this.googlePlus = googlePlus;
        this.push = push;
        this.platform = platform;
        this.device = device;
        this.alertCtrl = alertCtrl;
        this.ionicStorage.getToken().then(function (token) {
            if (token) {
                _this.token = token;
            }
            else {
                _this.navCtrl.setRoot('LoginOptionsPage');
            }
        });
    }
    ProfilePage.prototype.ionViewDidLoad = function () {
    };
    ProfilePage.prototype.ionViewWillEnter = function () {
        this.bdDonars = this.navParams.get("donorId");
        this.Causes = [];
        this.Skills = [];
        this.Matches = [];
        this.getProfile();
    };
    ProfilePage.prototype.getProfile = function () {
        var _this = this;
        this.pref = {
            dont_handle_error: true,
            dont_show_loader: false
        };
        this.ds.getUserDetails(this.pref, function (data) {
            if (data) {
                _this.userDetails = data;
                _this.ionicStorage.setUser(_this.userDetails);
                _this.ngoId = _this.userDetails.bsrs[0].id;
                _this.getGradingDetails();
                _this.getNgoDetails();
                _this.getNgoSupporters();
                _this.getNgoUsers();
            }
        }, function (err) {
            console.log(err);
            if (err.status == '401') {
                _this.invalidLogin();
            }
            else if (err.status == '0') {
                _this.toast.bottomToast_Long('Please check your internet connection');
            }
        });
    };
    ProfilePage.prototype.getGradingDetails = function () {
        var _this = this;
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_11__constants_API_ROUTES__["a" /* API_ROUTES */].common_user_url + this.userDetails.userId + '/achevements'
        };
        this.ds.getGradingDetails(this.prefs, function (grading) {
            _this.gradingData = grading;
        }, function (err) {
            console.log(err);
        });
    };
    ProfilePage.prototype.getNgoDetails = function () {
        var _this = this;
        this.prefss = {
            url: __WEBPACK_IMPORTED_MODULE_11__constants_API_ROUTES__["a" /* API_ROUTES */].np_profile + this.ngoId,
            dont_handle_error: true,
            dont_show_loader: false,
        };
        this.ds.getNpProfile(this.prefss, function (data) {
            if (data) {
                _this.ngoDetails = data;
                _this.getNamesById();
                _this.ionicStorage.setNgoDetails(_this.ngoDetails);
            }
        }, function (err) {
            console.log(err);
            if (err.status == '401') {
                _this.invalidLogin();
            }
            else if (err.status == '0') {
                _this.toast.bottomToast_Long('Please check your internet connection');
            }
        });
    };
    ProfilePage.prototype.getNgoSupporters = function () {
        var _this = this;
        this.prefss = {
            url: __WEBPACK_IMPORTED_MODULE_11__constants_API_ROUTES__["a" /* API_ROUTES */].np_supporters + this.ngoId,
            dont_handle_error: true,
            dont_show_loader: false,
        };
        this.ds.getNpSupporters(this.prefss, function (data) {
            if (data) {
                _this.supportersList = data;
                _this.npSupporters = data.results.length;
            }
        }, function (err) {
            console.log(err);
            if (err.status == '401') {
                _this.invalidLogin();
            }
            else if (err.status == '0') {
                _this.toast.bottomToast_Long('Please check your internet connection');
            }
        });
    };
    ProfilePage.prototype.getNgoUsers = function () {
        var _this = this;
        this.prefss = {
            url: __WEBPACK_IMPORTED_MODULE_11__constants_API_ROUTES__["a" /* API_ROUTES */].get_ngo_users + this.ngoId,
            dont_handle_error: true,
            dont_show_loader: false,
        };
        this.ds.getNpUsers(this.prefss, function (data) {
            if (data) {
                _this.usersList = data.results;
                _this.npUsers = data.results.length;
                _this.adminsOfNgo = [];
                for (var _i = 0, _a = data.admins; _i < _a.length; _i++) {
                    var j = _a[_i];
                    if (j.jobTitle == 'admin') {
                        _this.adminsOfNgo.push(j.userId);
                    }
                }
                _this.ionicStorage.setAdminsOfNgo(_this.adminsOfNgo);
                if (_this.adminsOfNgo.indexOf(_this.userDetails.userId) >= 0) {
                    _this.ngoAdmin = true;
                }
                else {
                    _this.ngoAdmin = false;
                }
            }
        }, function (err) {
            console.log(err);
            if (err.status == '401') {
                _this.invalidLogin();
            }
            else if (err.status == '0') {
                _this.toast.bottomToast_Long('Please check your internet connection');
            }
        });
    };
    ProfilePage.prototype.getNamesById = function () {
        var _this = this;
        if (this.ngoDetails) {
            var div = document.createElement("div");
            div.innerHTML = this.ngoDetails.teamDescription;
            this.storyLength = div.innerText.length;
            if (this.storyLength > 90) {
                this.viewMore = "viewMore";
                this.viewmoree = true;
                this.viewless = false;
            }
            else {
                this.viewMore = "collapse";
                this.viewmoree = false;
                this.viewless = false;
            }
            try {
                this.bloodDonationsCount = this.userDetails.bloodDonations.length;
                this.opportunityCount = this.userDetails.opportunities.length;
            }
            catch (err) {
            }
        }
        this.staticData = this.storageProvider.getStaticData();
        this.Causes = [];
        this.Skills = [];
        this.Matches = [];
        if (this.staticData) {
            this.skillss = this.staticData.skills;
            this.matchess = this.staticData.matches;
            this.categories = this.staticData.categories;
            for (var i = 0; i < this.ngoDetails.categories.length; i++) {
                this.Causes1 = this.categories.find(function (item) { return item.category_id == _this.ngoDetails.categories[i]; });
                this.Causes.push(this.Causes1);
            }
            for (var k = 0; k < this.ngoDetails.skill.length; k++) {
                this.Skills1 = this.skillss.find(function (item) { return item.skill_id == _this.ngoDetails.skill[k]; });
                this.Skills.push(this.Skills1);
            }
        }
    };
    ProfilePage.prototype.updateProfileModal = function (typeOfUpdate) {
        var _this = this;
        var modalPage = this.modalCtrl.create(typeOfUpdate, { 'userData': this.userDetails, 'ngoData': this.ngoDetails });
        modalPage.present();
        modalPage.onDidDismiss(function (data) {
            _this.showSuccessmsg = false;
            if (data != 'noData') {
                _this.pref = {
                    url: __WEBPACK_IMPORTED_MODULE_11__constants_API_ROUTES__["a" /* API_ROUTES */].np_profile + _this.ngoId,
                    dont_handle_error: true,
                    dont_show_loader: false,
                };
                _this.ds.getNpProfile(_this.pref, function (data) {
                    if (data) {
                        _this.ngoDetails = data;
                        _this.getNamesById();
                        _this.ionicStorage.setNgoDetails(_this.ngoDetails);
                        _this.showSuccessmsg = true;
                        if (_this.showSuccessmsg) {
                            _this.toast.bottomToast_Long('Profile Updated Successfully');
                        }
                    }
                }, function (err) {
                    if (err.status == '401') {
                        _this.invalidLogin();
                    }
                    else if (err.status == '0') {
                        _this.toast.bottomToast_Long('Please check your internet connection');
                    }
                });
            }
        });
    };
    // open action sheet click on camera icon
    ProfilePage.prototype.openCamera = function () {
        this.presentActionSheet();
    };
    // open action sheet camera and gallery
    ProfilePage.prototype.presentActionSheet = function () {
        var _this = this;
        var actionSheet = this.actionSheetCtrl.create({
            title: 'Select Image',
            cssClass: 'actionSheetStyles',
            buttons: [
                {
                    text: 'Camera',
                    icon: 'md-camera',
                    cssClass: 'cameraScss',
                    handler: function () {
                        _this.openCameraorGallery(_this.camera.PictureSourceType.CAMERA);
                    }
                }, {
                    text: 'Gallery',
                    icon: 'md-images',
                    cssClass: 'galleryScss',
                    handler: function () {
                        _this.openCameraorGallery(_this.camera.PictureSourceType.PHOTOLIBRARY);
                    }
                }, {
                    text: 'Cancel',
                    icon: 'md-close',
                    cssClass: 'cancelScss',
                    role: 'Cancel',
                    handler: function () {
                    }
                }
            ]
        });
        actionSheet.present();
    };
    // open in built camera and gallery
    ProfilePage.prototype.openCameraorGallery = function (sourceType) {
        var _this = this;
        var cameraOptions = {
            sourceType: sourceType,
            destinationType: this.camera.DestinationType.FILE_URI,
            quality: 100,
            targetWidth: 1000,
            targetHeight: 1000,
            encodingType: this.camera.EncodingType.JPEG,
            correctOrientation: true
        };
        this.camera.getPicture(cameraOptions).then(function (imageData) {
            _this.profileImage = imageData;
            _this.filePath.resolveNativePath(imageData).then(function (filePath) {
                var path = filePath.substring(0, filePath.lastIndexOf('/') + 1);
                var name = filePath.substring(imageData.lastIndexOf('/') + 1);
                _this.awsimage.callAwsService(imageData, name).then(function (result) {
                    _this.data = result;
                    _this.awsResponseImage = JSON.parse(_this.data.response);
                    _this.profileUrl = _this.awsResponseImage.filename[0];
                    _this.userDetails.photoUrl = _this.profileUrl;
                    _this.prefs = {
                        req_object: _this.userDetails,
                        dont_show_loader: false,
                        dont_handle_error: true,
                        url: __WEBPACK_IMPORTED_MODULE_11__constants_API_ROUTES__["a" /* API_ROUTES */].common_user_url + _this.userDetails.userId,
                    };
                    _this.ds.profileUpdate(_this.prefs, function (updatedProfile) {
                        if (updatedProfile) {
                            _this.getNgoDetails();
                        }
                    }, function (err) {
                        console.log(err);
                        if (err.status == '401') {
                            _this.invalidLogin();
                        }
                        else if (err.status == '0') {
                            _this.toast.bottomToast_Long('Please check your internet connection');
                        }
                    });
                }, function (error) {
                    console.log(error);
                    if (error.status == '401') {
                        _this.invalidLogin();
                    }
                    else if (error.status == '0') {
                        _this.toast.bottomToast_Long('Please check your internet connection');
                    }
                });
            });
        }, function (err) {
            if (err.status == '401') {
                _this.invalidLogin();
            }
            else if (err.status == '0') {
                _this.toast.bottomToast_Long('Please check your internet connection');
            }
        });
    };
    ProfilePage.prototype.updatePicture = function (event) {
        var _this = this;
        this.s3Images = [];
        var formData = new FormData();
        var eventObj = event;
        var target = eventObj.target;
        var files = target.files;
        formData.append('uplodedfile', files[0]);
        this.awsimage.uploadFileS3(files[0]).subscribe(function (dataresp) {
            _this.data = dataresp;
            _this.s3Images.push(_this.data.filename);
            _this.ngoDetails.logo = _this.s3Images;
            _this.prefs = {
                req_object: _this.ngoDetails,
                dont_show_loader: false,
                url: __WEBPACK_IMPORTED_MODULE_11__constants_API_ROUTES__["a" /* API_ROUTES */].np_profile + _this.ngoDetails.id,
            };
            _this.ds.profileUpdate(_this.prefs, function (data) {
                if (data) {
                    _this.getNgoDetails();
                }
            }, function (err) {
                console.log(err);
            });
        }, function (error) {
            if (error.status == '401') {
                _this.invalidLogin();
            }
        });
    };
    ProfilePage.prototype.bloodPage = function () {
        this.ionicStorage.setFromPage('privateProfile');
        this.storageProvider.setUserDetailsinpublicprivate(this.userDetails);
        this.navCtrl.push('ProfileBdPage', { 'userDetails': this.userDetails, 'ngoDetails': this.ngoDetails });
    };
    ProfilePage.prototype.volunteerPage = function () {
        this.ionicStorage.setFromPage('privateProfile');
        this.storageProvider.setUserDetailsinpublicprivate(this.userDetails);
        this.navCtrl.push('ProfileVoPage', { 'userDetails': this.userDetails, 'ngoDetails': this.ngoDetails });
    };
    ProfilePage.prototype.personalinfo = function () {
        var modal = this.modalCtrl.create('PersonalInfoPage');
        modal.present();
    };
    ProfilePage.prototype.editcauses = function () {
        var modal = this.modalCtrl.create('AddCausesPage');
        modal.present();
    };
    ProfilePage.prototype.editskills = function () {
        var modal = this.modalCtrl.create('AddSkillsPage');
        modal.present();
    };
    ProfilePage.prototype.manage = function () {
        var _this = this;
        var modal = this.modalCtrl.create('ManageUsersPage', { 'usersList': this.usersList, 'NgoDetails': this.ngoDetails });
        modal.present();
        modal.onDidDismiss(function (data) {
            _this.getProfile();
        });
    };
    ProfilePage.prototype.supporters = function () {
        var modal = this.modalCtrl.create('SupportersPage', { 'supportersList': this.supportersList });
        modal.present();
    };
    ProfilePage.prototype.notifiactions = function () {
        var _this = this;
        var modal = this.modalCtrl.create('ProfileNotificationSettingsPage', { 'userData': this.userDetails });
        modal.present();
        modal.onDidDismiss(function (data) {
            if (data) {
                _this.getProfile();
            }
        });
    };
    ProfilePage.prototype.aboutyou = function () {
        var modal = this.modalCtrl.create('AboutYouPage');
        modal.present();
    };
    ProfilePage.prototype.publicprofile = function () {
        var modal = this.modalCtrl.create('PublicProfileViewPage');
        modal.present();
    };
    ProfilePage.prototype.organized = function () {
        var modal = this.modalCtrl.create('VolOrgPartcipatePage');
        modal.present();
    };
    ProfilePage.prototype.bdorganized = function () {
        var modal = this.modalCtrl.create('BdOrgParticipatedPage');
        modal.present();
    };
    ProfilePage.prototype.doLogout = function () {
        var _this = this;
        this.alert.showConfirm('Log Out', 'Do you want to logout?', 'cancel', 'Logout', function () { }, function () {
            _this.helper.logout().then(function (data) {
                _this.app.getRootNav().setRoot('LoginOptionsPage');
                if (!_this.platform.is('cordova')) {
                    console.warn('Push notifications not initialized. Cordova is not available - Run in physical device');
                    return;
                }
                var options = {
                    android: {
                        senderID: "451296912193"
                    },
                    ios: {
                        alert: 'true',
                        badge: false,
                        sound: 'true'
                    },
                    windows: {}
                };
                var pushObject = _this.push.init(options);
                pushObject.on('registration').subscribe(function (data) {
                    if (data.registrationId) {
                        var DeviceID = data.registrationId;
                        _this.storage.set('deviceToken', DeviceID);
                        _this.storage.set('deviceType', _this.device.platform);
                        _this.ionicStorage.setDeviceToken(DeviceID);
                    }
                    else {
                    }
                });
                pushObject.on('notification').subscribe(function (data) {
                    if (data.additionalData.foreground) {
                        var confirmAlert = _this.alertCtrl.create({
                            title: 'New Notification',
                            message: data.message,
                            buttons: [{
                                    text: 'Ignore',
                                    role: 'cancel'
                                }, {
                                    text: 'View',
                                    handler: function () {
                                        //TODO: Your logic here
                                        _this.navCtrl.push("NotificationsPage");
                                    }
                                }]
                        });
                        confirmAlert.present();
                    }
                    else {
                        //if user NOT using app and push notification comes
                        //TODO: Your logic on click of push notification directly
                        _this.navCtrl.push("NotificationsPage");
                    }
                });
                pushObject.on('error').subscribe(function (error) { return console.log('Error with Push plugin', error); });
            });
        });
    };
    ProfilePage.prototype.addSocialMediaLinks = function (linkType) {
        var _this = this;
        if (this.ngoAdmin) {
            var socialMediaDialog = this.modalCtrl.create("SocialMediaPage", { 'socialMedia': linkType, 'ngoData': this.ngoDetails });
            socialMediaDialog.onDidDismiss(function (data) {
                _this.showSuccessmsg = false;
                if (data != 'noData') {
                    _this.pref = {
                        url: __WEBPACK_IMPORTED_MODULE_11__constants_API_ROUTES__["a" /* API_ROUTES */].np_profile + _this.ngoId,
                        dont_handle_error: true,
                        dont_show_loader: false,
                    };
                    _this.ds.getNpProfile(_this.pref, function (data) {
                        if (data) {
                            _this.ngoDetails = data;
                            _this.getNamesById();
                            _this.ionicStorage.setNgoDetails(_this.ngoDetails);
                            _this.showSuccessmsg = true;
                            if (_this.showSuccessmsg) {
                                _this.toast.bottomToast_Long('Profile Updated Successfully');
                            }
                        }
                    }, function (err) {
                        console.log(err);
                        if (err.status == '401') {
                            _this.invalidLogin();
                        }
                        else if (err.status == '0') {
                            _this.toast.bottomToast_Long('Please check your internet connection');
                        }
                    });
                }
            });
            socialMediaDialog.present();
        }
    };
    ProfilePage.prototype.openTestimonial = function () {
        var modalPage = this.modalCtrl.create('TestimonialCardsPage', { 'userData': this.userDetails });
        modalPage.present();
        modalPage.onDidDismiss(function (data) {
        });
    };
    ProfilePage.prototype.grading = function () {
        var modal = this.modalCtrl.create('GradingcriteriaPage', { 'userDetails': this.userDetails });
        modal.present();
    };
    ProfilePage.prototype.view = function () {
        this.viewMore = "collapse";
        this.viewmoree = false;
        this.viewless = true;
    };
    ProfilePage.prototype.less = function () {
        this.viewMore = "viewMore";
        this.viewmoree = true;
        this.viewless = false;
    };
    ProfilePage.prototype.invalidLogin = function () {
        var _this = this;
        this.toast.bottomToast_Long("Sorry, Some error occurred, Please Relogin.");
        this.helper.logout().then(function (data) {
            _this.app.getRootNav().setRoot('LoginOptionsPage');
        });
    };
    ProfilePage.prototype.changePassword = function () {
        var changePwdModal = this.modalCtrl.create("ChangepasswordPage", { 'userDetails': this.userDetails });
        changePwdModal.present();
        changePwdModal.onDidDismiss(function (data) { });
    };
    ProfilePage.prototype.feedback = function () {
        var changePwdModal = this.modalCtrl.create("FeedbackFormPage", { 'userDetails': this.userDetails });
        changePwdModal.present();
    };
    ProfilePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-me',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\me\me.html"*/'<ion-content>\n\n    <ion-card class="card-bg">\n\n        <ion-card-header class="card_head">\n\n            <ion-row>\n\n                <ion-col col-12 center text-center class="second-title">\n\n                    <span class="white_font">{{ngoDetails?.name}}</span>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-header>\n\n        <ion-card-content class="crd_content">\n\n            <ion-item class="margin-top-25px">\n\n                <ion-avatar class="trophy_avatar" >\n\n                    <div class="trophy_div" (click)="grading()" *ngIf="gradingData">\n\n                        <span *ngIf="gradingData.grade == \'Gold\'"><img class="diamond-icon" src="assets/imgs/Diamond.png" ></span>\n\n                        <span *ngIf="gradingData.grade == \'Purple\'"><img class="diamond-icon" src="assets/imgs/Rising_ Star.png" ></span>\n\n                        <span *ngIf="gradingData.grade == \'Pink\'"><img class="diamond-icon" src="assets/imgs/Crown-Grade.png" ></span>\n\n                        <span *ngIf="gradingData.grade == \'Green\'"><img class="diamond-icon" src="assets/imgs/Double_medal.png" ></span>\n\n                        <span *ngIf="gradingData.grade == \'Sky_Blue\'"><img class="diamond-icon" src="assets/imgs/Single_Medal.png" ></span>\n\n                    </div>\n\n                    <div>\n\n                        <img *ngIf="ngoDetails?.logo" class="profile_pic" [src]="ngoDetails?.logo">\n\n                        <img *ngIf="!ngoDetails?.logo" class="profile_pic" src="assets/imgs/Oval3x.png">\n\n                        <!--<span class="editpic" (click)="openCamera()">Edit</span>-->\n\n                        <ng-container *ngIf="userDetails?.loginProvider != \'facebook\' || userDetails?.loginProvider != \'google\'">\n\n                            <span class="editpic" (click)="file.click()">Edit</span>\n\n                        </ng-container>\n\n                        <input class="none_display" type="file"  #file accept="image/*" (change)="updatePicture($event)">\n\n                    </div>\n\n                </ion-avatar>\n\n            </ion-item>\n\n             <ion-row>\n\n        <ion-col col-12 center text-center>\n\n          <span class="white_font" *ngIf="userDetails?.client_id == \'sahave-edu-app\'|| userDetails?.loginProvider == \'facebook\' || userDetails?.loginProvider == \'google\'">{{userDetails?.fullName}}</span>\n\n        </ion-col>\n\n      </ion-row>\n\n            <div>\n\n                <ion-row class="border_for_number_count_section">\n\n                    <ion-col col-6 class=" border_for_sub_number_count_section align_center" (click)="bloodPage()">\n\n                        <span class="num">{{userDetails?.npBloodDonations}}</span>\n\n                        <br>\n\n                        <span class="fontsz">Blood Donations</span>\n\n                    </ion-col>\n\n                    <ion-col col-6 class="align_center" (click)="volunteerPage()">\n\n                        <span class="num">{{userDetails?.npOpportunity}}</span>\n\n                        <br>\n\n                        <span class="fontsz">Volunteer</span>\n\n                    </ion-col>\n\n                </ion-row>\n\n            </div>\n\n        </ion-card-content>\n\n    </ion-card>\n\n    <ion-card  *ngIf="ngoAdmin && this.userDetails?.bsrs[0].isActive">\n\n        <ion-card-content class="paddingtop0px paddingbottom0px">\n\n            <ion-row>\n\n                <ion-col col-2 class="paddingtop9px">\n\n                    <img class="icon-img" src="assets/imgs/icon-list-personalinfo@3x.png">\n\n                </ion-col>\n\n                <ion-col col-4>\n\n                    <span class="blackfont fntweight">User(s)</span>\n\n                </ion-col>\n\n                <ion-col col-2>\n\n                    <span class="total_attending">{{npUsers}}</span>\n\n                </ion-col>\n\n                <ion-col col-4>\n\n                    <button ion-button clear outline class="manage-btn" (click)="manage()" [disabled]="!this.userDetails?.bsrs[0].isActive">Manage Users</button>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n    <ion-card class="margintop2px" (click)="supporters()" *ngIf="ngoAdmin && this.userDetails?.bsrs[0].isActive">\n\n        <ion-card-content class="paddingtop0px paddingbottom0px">\n\n            <ion-row>\n\n                <ion-col col-2 class="paddingtop9px">\n\n                    <img class="icon-img" src="assets/imgs/icon-list-personalinfo@3x.png">\n\n                </ion-col>\n\n                <ion-col col-8>\n\n                    <span class="blackfont fntweight">BSR Supporters</span>\n\n                </ion-col>\n\n                <ion-col col-1 class="align_right">\n\n                    <span class="total_attending">{{npSupporters}}</span>\n\n                </ion-col>\n\n                <ion-col col-1>\n\n                    <ion-icon class="participation_arrow" name="ios-arrow-forward" ></ion-icon>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n    <ion-item-group class="margintop20px">\n\n        <span class="about" *ngIf="this.userDetails?.bsrs[0].isActive">ABOUT</span>\n\n        <ion-card class="padding15px margintop8px" *ngIf="!ngoDetails?.teamDescription && this.userDetails?.bsrs[0].isActive">\n\n            <div class="write_about" (click)="updateProfileModal(\'AboutYouPage\')">\n\n        <span>\n\n          <ion-icon ios="ios-add" class="plus_btn" md="md-add"></ion-icon>\n\n        </span>&nbsp;&nbsp;&nbsp;Write about BSR\n\n            </div>\n\n        </ion-card>\n\n        <ion-card class="about_content margintop8px" *ngIf="ngoDetails?.teamDescription">\n\n            <ion-row *ngIf="ngoAdmin">\n\n                <ion-col col-10></ion-col>\n\n                <ion-col col-2 class="align_right" (click)="updateProfileModal(\'AboutYouPage\')"><span\n\n                        class="Edit">Edit</span></ion-col>\n\n            </ion-row>\n\n            <div class="fontsiz_abt" [className]="viewMore" [innerHtml]="ngoDetails?.teamDescription"></div>\n\n            <span *ngIf="viewmoree" (click)="view()" class="more_about"> More\n\n          <ion-icon name="ios-arrow-down"></ion-icon>\n\n            </span>\n\n            <span *ngIf="viewless" (click)="less()" class="more_about"> Less\n\n          <ion-icon name="ios-arrow-up"></ion-icon>\n\n      </span>\n\n        </ion-card>\n\n    </ion-item-group>\n\n    <ion-card class="margintop16px" (click)="updateProfileModal(\'NgoProfilePage\')" *ngIf="this.userDetails?.bsrs[0].isActive">\n\n        <ion-card-content class="paddingtop0px paddingbottom0px">\n\n            <ion-row>\n\n                <ion-col col-2 class="paddingtop9px">\n\n                    <!-- <ion-icon name="ios-contact-outline" class="color_icon"></ion-icon> -->\n\n                    <img class="icon-img" src="assets/imgs/icon-list-personalinfo@3x.png">\n\n                </ion-col>\n\n                <ion-col col-9>\n\n                    <span class="blackfont fntweight">BSR\'S Info</span>\n\n                </ion-col>\n\n                <ion-col col-1>\n\n                    <ion-icon class="participation_arrow" name="ios-arrow-forward"></ion-icon>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n    <ng-container *ngIf="userDetails?.loginProvider != \'facebook\' && userDetails?.loginProvider != \'google\'">\n\n        <!-- <ng-container *ngIf="userDetails?.loginProvider == \'sahave-np-app\' || userDetails?.loginProvider == \'sahave-edu-app\'"> -->\n\n    <ion-card class="margintop2px" (click)="changePassword()" *ngIf="this.userDetails?.bsrs[0].isActive">\n\n        <ion-card-content class="paddingtop0px paddingbottom0px">\n\n            <ion-row>\n\n                <ion-col col-2 class="paddingtop9px">\n\n                    <!-- <ion-icon name="ios-lock-outline" class="color_icon"></ion-icon> -->\n\n                    <img class="icon-img" src="assets/imgs/icon-list-privacy@3x.png">\n\n                </ion-col>\n\n                <ion-col col-9>\n\n                    <span class="blackfont fntweight">Change Password</span>\n\n                </ion-col>\n\n                <ion-col col-1>\n\n                    <ion-icon class="participation_arrow" name="ios-arrow-forward"></ion-icon>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n</ng-container>\n\n    <ion-card class="margintop2px" (click)="updateProfileModal(\'ProfilePersonalInfoPage\')" *ngIf="this.userDetails?.bsrs[0].isActive">\n\n        <ion-card-content class="paddingtop0px paddingbottom0px">\n\n            <ion-row>\n\n                <ion-col col-2 class="paddingtop9px align_center">\n\n                    <!-- <ion-icon name="ios-contact-outline" class="color_icon"></ion-icon> -->\n\n                    <img class="icon-img" src="assets/imgs/icon-list-personalinfo@3x.png">\n\n                </ion-col>\n\n                <ion-col col-9>\n\n                    <span class="blackfont fntweight">Personal info</span>\n\n                </ion-col>\n\n                <ion-col col-1>\n\n                    <ion-icon class="participation_arrow" name="ios-arrow-forward"></ion-icon>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n    <ion-item-group class="margintop20px" *ngIf="this.userDetails?.bsrs[0].isActive">\n\n        <span *ngIf="!ngoDetails?.categories?.length && userDetails?.bsrs[0].jobTitle==\'admin\'">\n\n        <span class="support">SUPPORTING CAUSES</span>\n\n        <ion-card class="padding15px margintop8px" >\n\n            <div class="write_about" (click)="updateProfileModal(\'ProfileSuppCausesPage\')">\n\n        <span>\n\n          <ion-icon ios="ios-add" class="plus_btn" md="md-add" ></ion-icon>\n\n        </span>&nbsp;&nbsp;&nbsp;Add supporting causes</div>\n\n        </ion-card>\n\n        </span>\n\n        <span *ngIf="ngoDetails?.categories?.length">\n\n            <span class="support">SUPPORTING CAUSES</span>\n\n        <ion-card class="support_causes margintop8px"  >\n\n            <ion-row  *ngIf="ngoAdmin">\n\n                <ion-col col-10></ion-col>\n\n                <ion-col col-2 class="align_right" (click)="updateProfileModal(\'ProfileSuppCausesPage\')">\n\n                    <span class="Edit">Edit</span></ion-col>\n\n            </ion-row>\n\n            <button *ngFor="let selectedCauses of Causes;let i = index" ion-button small class="cause_btn" outline>\n\n                {{selectedCauses?.name}}&nbsp; </button>\n\n        </ion-card>\n\n            </span>\n\n    </ion-item-group>\n\n    <ion-item-group class="margintop20px" *ngIf="this.userDetails?.bsrs[0].isActive">\n\n        <span *ngIf="!ngoDetails?.skill?.length && userDetails?.bsrs[0].jobTitle==\'admin\'">\n\n        <span class="support" >SKILLS</span>\n\n        <ion-card class="padding15px margintop8px" >\n\n            <div class="write_about" (click)="updateProfileModal(\'ProfileSuppSkillsPage\')">\n\n        <span>\n\n          <ion-icon ios="ios-add" class="plus_btn" md="md-add"></ion-icon>\n\n        </span>&nbsp;&nbsp;&nbsp;Add supporting skills</div>\n\n        </ion-card>\n\n        </span>\n\n        <span *ngIf="ngoDetails?.skill?.length">\n\n            <span class="support" >SKILLS</span>\n\n        <ion-card class="support_causes margintop8px"  >\n\n            <ion-row  *ngIf="ngoAdmin">\n\n                <ion-col col-10></ion-col>\n\n                <ion-col col-2 class="align_right" (click)="updateProfileModal(\'ProfileSuppSkillsPage\')">\n\n                    <span class="Edit">Edit</span></ion-col>\n\n            </ion-row>\n\n            <button *ngFor="let selectedSkills of Skills;let i = index" ion-button small class="cause_btn" outline>\n\n                {{selectedSkills?.name}}&nbsp; </button>\n\n        </ion-card>\n\n            </span>\n\n    </ion-item-group>\n\n    <div class="margintop20px" *ngIf="this.userDetails?.bsrs[0].isActive">\n\n        <span class="social">SOCIAL MEDIA</span>\n\n    </div>\n\n    <ion-list *ngIf="userDetails && this.userDetails?.bsrs[0].isActive">\n\n            <ion-item class="margintop8px border" (click)="addSocialMediaLinks(\'Facebook\')">\n\n            <ion-icon item-start class="personal-list_icons fb_before" name="logo-facebook"></ion-icon>\n\n            <span *ngIf="!ngoDetails?.facebookLink" class="lable_before_add_social marginleft19px">Add Facebook info</span>\n\n            <span *ngIf="ngoDetails?.facebookLink" class="lable_before_add_social marginleft19px"> {{ngoDetails.facebookLink}}</span>\n\n        </ion-item>\n\n        <ion-item class="border" (click)="addSocialMediaLinks(\'LinkedIn\')">\n\n            <ion-icon item-start class="personal-list_icons lnkd_before" name="logo-linkedin"></ion-icon>\n\n            <span *ngIf="!ngoDetails?.linkedInLink" class="lable_before_add_social marginleft19px">Add LinkedIn info</span>\n\n            <span *ngIf="ngoDetails?.linkedInLink" class="lable_before_add_social marginleft19px">{{ngoDetails.linkedInLink}}</span>\n\n        </ion-item>\n\n        <ion-item (click)="addSocialMediaLinks(\'GooglePlus\')">\n\n            <ion-icon item-start class="personal-list_icons gp_before" name="logo-googleplus"></ion-icon>\n\n            <span *ngIf="!ngoDetails?.googleLink" class="lable_before_add_social marginleft15px">Add Google Plus info</span>\n\n            <span *ngIf="ngoDetails?.googleLink" class="lable_before_add_social marginleft15px">{{ngoDetails.googleLink}}</span>\n\n        </ion-item>\n\n    </ion-list>\n\n    <ion-card class="margintop16px"  (click)="openTestimonial()" *ngIf="this.userDetails?.bsrs[0].isActive">\n\n        <ion-card-content class="paddingtop0px paddingbottom0px">\n\n            <ion-row>\n\n                <ion-col col-2 class="paddingtop9px">\n\n                    <img class="icon-img" src="assets/imgs/icon-list-Testimonials@1.5x.png">\n\n                </ion-col>\n\n                <ion-col col-9>\n\n                    <span class="blackfont fntweight">Testimonials</span>\n\n                </ion-col>\n\n                <ion-col col-1>\n\n                    <ion-icon class="participation_arrow" name="ios-arrow-forward"></ion-icon>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n    <ion-card class="margintop4px" (click)="notifiactions()" *ngIf="this.userDetails?.bsrs[0].isActive">\n\n        <ion-card-content class="paddingtop0px paddingbottom0px">\n\n            <ion-row>\n\n                <ion-col col-2 class="paddingtop9px">\n\n                    <!-- <ion-icon class="icon_color" name="ios-notifications-outline"></ion-icon> -->\n\n                    <img class="icon-noti" src="assets/imgs/icon-list-settings@3x.png">\n\n                </ion-col>\n\n                <ion-col col-9>\n\n                    <span class="blackfont fntweight">Notification Settings</span>\n\n                </ion-col>\n\n                <ion-col col-1>\n\n                    <ion-icon class="participation_arrow" name="ios-arrow-forward"></ion-icon>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n    <ion-card class="margintop4px" (click)="feedback()" *ngIf="this.userDetails?.bsrs[0].isActive">\n\n        <ion-card-content class="paddingtop0px paddingbottom0px">\n\n            <ion-row>\n\n                <ion-col col-2 class="paddingtop9px">\n\n                    <ion-icon name="star-outline" class="color_icon"></ion-icon>\n\n                </ion-col>\n\n                <ion-col col-9>\n\n                    <span class="blackfont fntweight">Feedback</span>\n\n                </ion-col>\n\n                <ion-col col-1>\n\n                    <ion-icon class="participation_arrow" name="ios-arrow-forward"></ion-icon>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n    <ion-card class="margintop4px marginbottom15per" (click)="doLogout()">\n\n        <ion-card-content class="paddingtop0px paddingbottom0px">\n\n            <ion-row>\n\n                <ion-col col-2 class="paddingtop9px">\n\n                    <img class="icon-img" src="assets/imgs/icon-list-logout@3x.png">\n\n                </ion-col>\n\n                <ion-col col-9>\n\n                    <span class="blackfont fntweight">Log Out</span>\n\n                </ion-col>\n\n                <ion-col col-1>\n\n                    <ion-icon class="participation_arrow" name="ios-arrow-forward"></ion-icon>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n</ion-content>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\me\me.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */], __WEBPACK_IMPORTED_MODULE_2__providers_AlertService__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_3__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_6__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_7__providers_ToastService__["a" /* ToastService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */], __WEBPACK_IMPORTED_MODULE_9__ionic_native_file_path__["a" /* FilePath */],
            __WEBPACK_IMPORTED_MODULE_8__ionic_native_camera__["a" /* Camera */], __WEBPACK_IMPORTED_MODULE_10__providers_aws_service__["a" /* AwsServiceProvider */], __WEBPACK_IMPORTED_MODULE_12__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_13__ionic_native_facebook__["a" /* Facebook */],
            __WEBPACK_IMPORTED_MODULE_14__ionic_native_google_plus__["a" /* GooglePlus */], __WEBPACK_IMPORTED_MODULE_15__ionic_native_push__["a" /* Push */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */], __WEBPACK_IMPORTED_MODULE_16__ionic_native_device__["a" /* Device */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], ProfilePage);
    return ProfilePage;
}());

//# sourceMappingURL=me.js.map

/***/ }),

/***/ 937:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProfilePageModule", function() { return ProfilePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__me__ = __webpack_require__(1040);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ProfilePageModule = (function () {
    function ProfilePageModule() {
    }
    ProfilePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__me__["a" /* ProfilePage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__me__["a" /* ProfilePage */]),
            ],
        })
    ], ProfilePageModule);
    return ProfilePageModule;
}());

//# sourceMappingURL=me.module.js.map

/***/ })

});
//# sourceMappingURL=48.js.map