webpackJsonp([49],{

/***/ 1039:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ManageUsersPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var ManageUsersPage = (function () {
    function ManageUsersPage(navCtrl, navParams, modalCtrl, viewCtrl, ionicStorage, ds, toast, helper, app, platform) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.viewCtrl = viewCtrl;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.toast = toast;
        this.helper = helper;
        this.app = app;
        this.platform = platform;
        this.usersList = this.navParams.get('usersList');
        if (!this.usersList) {
            this.ionicStorage.getUser().then(function (userDetails) {
                _this.userDetails = userDetails;
                _this.getNgoUsers(_this.userDetails.bsrs[0].id);
                _this.getNgoDetails(_this.userDetails.bsrs[0].id);
            });
        }
    }
    ManageUsersPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.viewCtrl.showBackButton(false);
        this.ionicStorage.getUser().then(function (userDetails) {
            _this.userDetails = userDetails;
        });
        var ngoDetails = this.navParams.get('NgoDetails');
        if (ngoDetails) {
            this.ngoDetails = ngoDetails;
            this.ngoId = this.ngoDetails.id;
        }
        if (this.usersList) {
            if (this.usersList.length) {
                this.showError = false;
            }
            else {
                this.showError = true;
            }
        }
        this.ionicStorage.getAdminsOfNgo().then(function (admins) {
            if (admins) {
                _this.adminsOfNgo = admins;
                if (_this.adminsOfNgo.indexOf(_this.userDetails.userId) >= 0) {
                    _this.ngoAdmin = true;
                }
                else {
                    _this.ngoAdmin = false;
                }
            }
        });
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    ManageUsersPage.prototype.ionViewDidLoad = function () {
    };
    ManageUsersPage.prototype.back = function () {
        this.viewCtrl.dismiss();
    };
    ManageUsersPage.prototype.pendingaction = function () {
        var modal = this.modalCtrl.create('PendingActionsPage');
        modal.present();
    };
    ManageUsersPage.prototype.getNgoUsers = function (ngoId) {
        var _this = this;
        this.prefss = {
            url: __WEBPACK_IMPORTED_MODULE_2__constants_API_ROUTES__["a" /* API_ROUTES */].get_ngo_users + ngoId,
            dont_handle_error: true,
            dont_show_loader: false,
        };
        this.ds.getNpUsers(this.prefss, function (data) {
            if (data) {
                _this.usersList = data.results;
                if (_this.usersList.length) {
                    _this.showError = false;
                }
                else {
                    _this.showError = true;
                }
                _this.adminsOfNgo = [];
                for (var _i = 0, _a = data.admins; _i < _a.length; _i++) {
                    var j = _a[_i];
                    if (j.jobTitle == 'admin') {
                        _this.adminsOfNgo.push(j.userId);
                    }
                }
                _this.ionicStorage.setAdminsOfNgo(_this.adminsOfNgo);
                if (_this.adminsOfNgo.indexOf(_this.userDetails.userId) >= 0) {
                    _this.ngoAdmin = true;
                }
                else {
                    _this.ngoAdmin = false;
                }
            }
        }, function (err) {
            console.log(err);
            if (err.status == '401') {
            }
            else if (err.status == '0') {
                _this.toast.bottomToast_Long('Please check your internet connection');
            }
        });
    };
    ManageUsersPage.prototype.getNgoDetails = function (ngoId) {
        var _this = this;
        this.prefss = {
            url: __WEBPACK_IMPORTED_MODULE_2__constants_API_ROUTES__["a" /* API_ROUTES */].np_profile + ngoId,
            dont_handle_error: true,
            dont_show_loader: false,
        };
        this.ds.getNpProfile(this.prefss, function (data) {
            if (data) {
                _this.ngoDetails = data;
                _this.ionicStorage.setNgoDetails(_this.ngoDetails);
            }
        }, function (err) {
            console.log(err);
            if (err.status == '401') {
            }
            else if (err.status == '0') {
                _this.toast.bottomToast_Long('Please check your internet connection');
            }
        });
    };
    ManageUsersPage.prototype.manage = function (user) {
        var _this = this;
        if (this.ngoAdmin) {
            var modal = this.modalCtrl.create('ManageRolePage', { 'choosenUser': user, 'usersList': this.usersList, 'NgoDetails': this.ngoDetails });
            modal.present();
            modal.onDidDismiss(function (data) {
                if (data != 'noData') {
                    _this.usersList = data;
                }
            });
        }
    };
    ManageUsersPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-manage-users',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\manage-users\manage-users.html"*/'<ion-header>\n\n    <ion-navbar>\n\n      <ion-grid class="padding0px">\n\n        <ion-row>\n\n          <ion-col col-2 (click)="back()" class="align_center">\n\n            <ion-icon class="header-icon"  name="arrow-back"></ion-icon>\n\n          </ion-col>\n\n          <ion-col col-8>\n\n            <div class="heading">Manage Users</div>\n\n          </ion-col>\n\n          <ion-col col-2>\n\n            \n\n           </ion-col>\n\n        </ion-row>\n\n      </ion-grid>\n\n    </ion-navbar>\n\n    </ion-header>\n\n<ion-content>\n\n    <ion-row *ngIf="!showError">\n\n      <ion-col col-12 class="margintop30px padding0px">\n\n          <ion-list class="marginbottom0px bottom_border" *ngFor="let user of usersList">\n\n              <ion-item class="paddingleft15px" (click)="manage(user)">\n\n                <ion-avatar item-start>\n\n                  <!--<img *ngIf="user.photoUrl" [src]="user.photoUrl">-->\n\n                  <!--<img *ngIf="!user.photoUrl" src="assets/imgs/Oval.png">-->\n\n                  <img src="assets/imgs/Oval.png">\n\n                </ion-avatar>\n\n                <h2 class="user-name">{{user.fullname}}</h2>\n\n                <span class="user-role">{{user.jobTitle}}</span>\n\n              </ion-item>\n\n            </ion-list>\n\n      </ion-col>\n\n    </ion-row>\n\n    <ion-row *ngIf="showError">\n\n        <ion-col col-12 class="align_center">\n\n        <img src="assets/imgs/no-data.png"/>\n\n        </ion-col>\n\n    </ion-row>\n\n</ion-content>\n\n<!--<ion-footer class="padding10px">\n\n  <ion-row>\n\n    <ion-col col-8 class="paddingtop12px">\n\n      <span class="footer-text">Pending Action</span><span class="participations_count">10</span>\n\n    </ion-col>\n\n    <ion-col col-4 class="align_right">\n\n        <button ion-button small color="primary" class="done floatright" outline (click)="pendingaction()">Show</button>\n\n    </ion-col>\n\n  </ion-row>\n\n</ion-footer>-->\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\manage-users\manage-users.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */], __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_5__providers_ToastService__["a" /* ToastService */], __WEBPACK_IMPORTED_MODULE_6__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], ManageUsersPage);
    return ManageUsersPage;
}());

//# sourceMappingURL=manage-users.js.map

/***/ }),

/***/ 936:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ManageUsersPageModule", function() { return ManageUsersPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__manage_users__ = __webpack_require__(1039);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ManageUsersPageModule = (function () {
    function ManageUsersPageModule() {
    }
    ManageUsersPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__manage_users__["a" /* ManageUsersPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__manage_users__["a" /* ManageUsersPage */]),
            ],
        })
    ], ManageUsersPageModule);
    return ManageUsersPageModule;
}());

//# sourceMappingURL=manage-users.module.js.map

/***/ })

});
//# sourceMappingURL=49.js.map