webpackJsonp([51],{

/***/ 1037:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginWithEmailOrPhonePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_AuthService__ = __webpack_require__(175);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_AlertService__ = __webpack_require__(97);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




//providers







var LoginWithEmailOrPhonePage = (function () {
    function LoginWithEmailOrPhonePage(navCtrl, navParams, events, storage, appCtrl, ds, auth, toast, alert, _storage, inAppStorageProvider, viewCtrl, helper) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.storage = storage;
        this.appCtrl = appCtrl;
        this.ds = ds;
        this.auth = auth;
        this.toast = toast;
        this.alert = alert;
        this._storage = _storage;
        this.inAppStorageProvider = inAppStorageProvider;
        this.viewCtrl = viewCtrl;
        this.helper = helper;
        this.loginData = {};
        this.password_type = 'password';
        this.loginForm = new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["c" /* FormGroup */]({
            username: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */]("", [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].required]),
            password: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */]("", [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].required])
        });
    }
    LoginWithEmailOrPhonePage.prototype.userLoginForm = function () {
        var _this = this;
        this.pref = {
            form_url: true,
            api_type: "Login",
            dont_handle_error: false,
            dont_show_loader: false,
            emailorphone: this.loginData.emailorphone,
            password: this.loginData.password
        };
        this.ds.postLogin({
            emailorphone: this.loginData.emailorphone,
            password: this.loginData.password
        }, this.pref, function (data) {
            _this.afterLogin(data);
        }, function (err) {
            _this.alert.showAlert('Fail', err.error.error_description);
        });
    };
    LoginWithEmailOrPhonePage.prototype.afterLogin = function (data) {
        var _this = this;
        this.auth.setAuthStatus(true);
        this.toast.bottomToast_Short('Welcome !');
        this._storage.setToken(data.access_token).then(function () {
            _this._storage.setRefreshToken(data.refresh_token);
            _this.pref = {
                dont_handle_error: false
            };
            _this.ds.getUserDetails(_this.pref, function (data) {
                _this.UserGetDetailsDta = data;
                _this._storage.setUser(_this.UserGetDetailsDta).then(function () {
                    _this.npCheckFein = _this.UserGetDetailsDta.bsrs[0];
                    if (_this.npCheckFein == undefined || _this.npCheckFein == null || _this.npCheckFein == '') {
                        _this.navCtrl.push("OrganizationAddSugettionPage");
                        _this.auth.setAuthStatus(true);
                    }
                    else {
                        _this.navCtrl.setRoot('TabsPage');
                        _this.auth.setAuthStatus(true);
                    }
                    if (!_this.UserGetDetailsDta.isActive) {
                        _this.reqObj = { account: 'active' };
                        _this.pref = {
                            dont_handle_error: false,
                            apiQueryParams: _this.UserGetDetailsDta.userId + '/account/activate'
                        };
                        _this.ds.accountActive(_this.reqObj, _this.pref, function (data) {
                        }, function (err) {
                            console.log(err);
                        });
                    }
                    _this._storage.getDeviceToken().then(function (val) {
                        if (val) {
                            _this.deviceToken = val;
                            _this.deviceKey = {
                                deviceKey: _this.deviceToken,
                                device_type: _this.helper.getPlatform(),
                                client_id: "sahave-edu-app"
                            };
                            _this.pref = {
                                dont_handle_error: false,
                                apiQueryParams: _this.UserGetDetailsDta.userId + '/deviceKey'
                            };
                            _this.ds.postDeviceKey(_this.deviceKey, _this.pref, function (data) {
                            }, function (err) {
                            });
                        }
                    });
                });
            }, function (error) {
                if (error.status == 401) {
                    alert("Please try again");
                }
            });
        });
    };
    LoginWithEmailOrPhonePage.prototype.forgotpassword = function () {
        this.navCtrl.push("ForgotPasswordPage");
    };
    LoginWithEmailOrPhonePage.prototype.togglePasswordMode = function () {
        this.password_type = this.password_type === 'text' ? 'password' : 'text';
        if (this.password_type == "text") {
            this.btnTxt = "HIDE";
        }
        else {
            this.btnTxt = "SHOW";
        }
    };
    LoginWithEmailOrPhonePage.prototype.passwordChangeFun = function (pas) {
        if (pas && this.password_type == "text") {
            this.btnTxt = "HIDE";
        }
        else if (pas && this.password_type == "password") {
            this.btnTxt = "SHOW";
        }
        else {
            this.btnTxt = "";
        }
    };
    LoginWithEmailOrPhonePage.prototype.ionViewWillEnter = function () {
        this.viewCtrl.showBackButton(false);
    };
    LoginWithEmailOrPhonePage.prototype.back = function () {
        this.navCtrl.pop();
    };
    LoginWithEmailOrPhonePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-login-with-email-or-phone',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\login-with-email-or-phone\login-with-email-or-phone.html"*/'<!--<ion-header>\n\n  <ion-navbar>\n\n    <ion-grid class="padding0px">\n\n      <ion-row>\n\n        <ion-col col-2 (click)="back()" class="paddingtop5px align_center">\n\n          <ion-icon class="header-icon"  name="arrow-back"></ion-icon>\n\n        </ion-col>\n\n        <ion-col col-8>\n\n          <div class="heading">Login</div>\n\n        </ion-col>\n\n        <ion-col col-2 class="paddingtop8px"> </ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n  </ion-navbar>\n\n  </ion-header>\n\n<ion-content>\n\n<ion-row class="margintop15px">\n\n    <ion-col col-1></ion-col>\n\n<ion-col col-10>\n\n    <ion-item class="transparent">\n\n        <ion-label  floating>Email</ion-label>\n\n        <ion-input color="primary"></ion-input>\n\n      </ion-item>\n\n      \n\n</ion-col>\n\n<ion-col col-1></ion-col>\n\n</ion-row>\n\n<ion-row>\n\n  <ion-col col-1></ion-col>\n\n  <ion-col col-10>\n\n      <ion-item class="transparent">\n\n          <ion-label floating>Password</ion-label><button clear item-right class="show-btn" type="button">SHOW</button>\n\n          <ion-input type="password"></ion-input>\n\n        </ion-item>\n\n          <p class="hintmsg">Hint Text</p>\n\n  </ion-col>\n\n  <ion-col col-1></ion-col>\n\n</ion-row>\n\n<ion-row class="margintop10per">\n\n    <ion-col col-12 center text-center>\n\n        <p class="alreadyhaveac" (click)="forgotpassword()">Forgot Password?</p>\n\n    </ion-col>\n\n</ion-row>\n\n<ion-row class="margintop5per marginbottom10per">\n\n    <ion-col col-2 ></ion-col>\n\n    <ion-col col-8 text-center>\n\n      <button ion-button small class="loginbutton-default" (click)="loginwrong()">CONTINUE</button>\n\n    </ion-col>\n\n    <ion-col col-2 ></ion-col>\n\n  </ion-row>\n\n</ion-content>-->\n\n\n\n\n\n\n\n\n\n\n\n\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-grid class="padding0px">\n\n      <ion-row>\n\n        <ion-col col-2 (click)="back()" class="paddingtop5px align_center">\n\n          <ion-icon class="header-icon"  name="arrow-back"></ion-icon>\n\n        </ion-col>\n\n        <ion-col col-8>\n\n          <div class="heading">Login</div>\n\n        </ion-col>\n\n        <ion-col col-2 class="paddingtop8px"> </ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n  </ion-navbar>\n\n  </ion-header>\n\n  <ion-content>\n\n      <form novalidate (ngSubmit)="userLoginForm()" [formGroup]="loginForm">\n\n  <ion-row class="margintop15px">\n\n      <ion-col col-1></ion-col>\n\n  <ion-col col-10>\n\n      <ion-item class="transparent">\n\n          <ion-label  floating>Email</ion-label>\n\n          <ion-input color="primary" type="text" formControlName="username" [(ngModel)]="loginData.emailorphone"></ion-input>\n\n        </ion-item>\n\n      <div no-lines *ngIf="( loginForm.get(\'username\').hasError(\'required\') ) && loginForm.get(\'username\').touched">\n\n                              <div class="failure" *ngIf="loginForm.get(\'username\').hasError(\'required\') && loginForm.get(\'username\').touched">\n\n                         Email/Mobile number is required\n\n                    </div>\n\n           </div>\n\n        \n\n  </ion-col>\n\n  <ion-col col-1></ion-col>\n\n  </ion-row>\n\n  <ion-row>\n\n    <ion-col col-1></ion-col>\n\n    <ion-col col-10>\n\n        <ion-item class="transparent">\n\n            <ion-label floating>Password </ion-label><button clear item-right class="show-btn" type="button" (click)="togglePasswordMode()" *ngIf="btnTxt">{{btnTxt}}</button>\n\n            <ion-input [type]="password_type" formControlName="password" [(ngModel)]="loginData.password" clearOnEdit="false" (ionChange)="passwordChangeFun(loginData.password)"></ion-input>\n\n          </ion-item>\n\n          <div no-lines *ngIf="( loginForm.get(\'password\').hasError(\'required\') ) && loginForm.get(\'password\').touched">\n\n                          <div class="failure" *ngIf="loginForm.get(\'password\').hasError(\'required\') && loginForm.get(\'password\').touched">\n\n                     Password is required\n\n                </div>\n\n               </div>\n\n    </ion-col>\n\n    <ion-col col-1></ion-col>\n\n  </ion-row>\n\n  <ion-row class="margintop10per">\n\n      <ion-col col-12 center text-center>\n\n          <p class="alreadyhaveac" (click)="forgotpassword()">Forgot Password?</p>\n\n      </ion-col>\n\n  </ion-row>\n\n  <ion-row class="margintop5per marginbottom20per">\n\n      <ion-col col-2 ></ion-col>\n\n      <ion-col col-8 text-center>\n\n        <button ion-button small class="loginbutton-default" [disabled]="loginForm.invalid">CONTINUE</button>\n\n      </ion-col>\n\n      <ion-col col-2 ></ion-col>\n\n    </ion-row>\n\n\n\n  </form>\n\n  </ion-content>\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n<!--<ion-header>\n\n    <ion-navbar>\n\n            <ion-grid class="padding0px">\n\n                    <ion-row>\n\n                      <ion-col col-1 (click)="back()" class="paddingtop12px">\n\n                         <ion-icon class="header_icon_sz" name="arrow-back"></ion-icon> \n\n                      </ion-col>\n\n                      <ion-col col-10 class="paddingtop12px">\n\n                        <div class="heading">Email</div>\n\n                      </ion-col>\n\n                      <ion-col col-2 class="paddingtop8px"> </ion-col>\n\n                    </ion-row>\n\n                  </ion-grid>\n\n    </ion-navbar>\n\n</ion-header>\n\n<ion-content padding>   \n\n    <form novalidate (ngSubmit)="userLoginForm()" [formGroup]="loginForm">\n\n          <ion-row>\n\n            <ion-col class="form-input-padding">\n\n                <ion-list> \n\n                    <ion-item class="transparent">\n\n                        <ion-label floating>Email</ion-label>\n\n                        <ion-input type="text" formControlName="username" [(ngModel)]="loginData.emailorphone"></ion-input>\n\n                    </ion-item>\n\n                    <div no-lines *ngIf="( loginForm.get(\'username\').hasError(\'required\') ) && loginForm.get(\'username\').touched">\n\n                              <div class="password_req" *ngIf="loginForm.get(\'username\').hasError(\'required\') && loginForm.get(\'username\').touched">\n\n                         Email/Mobile number is required\n\n                    </div>\n\n                </div>\n\n                    \n\n            </ion-list>\n\n            <ion-list>\n\n                <ion-item class="transparent">\n\n                    <ion-label floating>Password</ion-label><button clear item-right class="show-btn" type="button" (click)="togglePasswordMode()" *ngIf="btnTxt">{{btnTxt}}</button>\n\n                    <ion-input [type]="password_type" formControlName="password" [(ngModel)]="loginData.password" clearOnEdit="false" (ionChange)="passwordChangeFun(loginData.password)"></ion-input>\n\n                </ion-item>\n\n                <div no-lines *ngIf="( loginForm.get(\'password\').hasError(\'required\') ) && loginForm.get(\'password\').touched">\n\n                          <div class="password_req" *ngIf="loginForm.get(\'password\').hasError(\'required\') && loginForm.get(\'password\').touched">\n\n                     Password is required\n\n                </div>\n\n            </div>\n\n                \n\n        </ion-list> \n\n    </ion-col>\n\n</ion-row>\n\n\n\n<ion-row>\n\n    \n\n    <ion-col col-12 center text-center>\n\n        \n\n      <p class="alreadyhaveac" (click)="forgotpassword()">Forgot Password?</p>\n\n\n\n    </ion-col>\n\n  </ion-row>\n\n<ion-row>\n\n    <ion-col col-1 class="paddingleft0px paddingright0px"></ion-col>\n\n    <ion-col col-10 text-center class="paddingleft0px paddingright0px">\n\n        <button ion-button small class="loginbutton-default" [disabled]="loginForm.invalid" >CONTINUE</button>\n\n    </ion-col>\n\n    <ion-col col-1 class="paddingleft0px paddingright0px"></ion-col>\n\n</ion-row> \n\n</form>   \n\n</ion-content>  -->'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\login-with-email-or-phone\login-with-email-or-phone.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */],
            __WEBPACK_IMPORTED_MODULE_4__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_AuthService__["a" /* AuthService */],
            __WEBPACK_IMPORTED_MODULE_8__providers_ToastService__["a" /* ToastService */],
            __WEBPACK_IMPORTED_MODULE_7__providers_AlertService__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_9__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_10__providers_Helper__["a" /* Helper */]])
    ], LoginWithEmailOrPhonePage);
    return LoginWithEmailOrPhonePage;
}());

//# sourceMappingURL=login-with-email-or-phone.js.map

/***/ }),

/***/ 934:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LoginWithEmailOrPhonePageModule", function() { return LoginWithEmailOrPhonePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login_with_email_or_phone__ = __webpack_require__(1037);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LoginWithEmailOrPhonePageModule = (function () {
    function LoginWithEmailOrPhonePageModule() {
    }
    LoginWithEmailOrPhonePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__login_with_email_or_phone__["a" /* LoginWithEmailOrPhonePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__login_with_email_or_phone__["a" /* LoginWithEmailOrPhonePage */]),
            ],
        })
    ], LoginWithEmailOrPhonePageModule);
    return LoginWithEmailOrPhonePageModule;
}());

//# sourceMappingURL=login-with-email-or-phone.module.js.map

/***/ })

});
//# sourceMappingURL=51.js.map