webpackJsonp([52],{

/***/ 1036:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginOptionsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_facebook__ = __webpack_require__(179);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_google_plus__ = __webpack_require__(180);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_firebase__ = __webpack_require__(523);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_firebase___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_firebase__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_device__ = __webpack_require__(522);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_DataService__ = __webpack_require__(95);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var LoginOptionsPage = (function () {
    function LoginOptionsPage(navCtrl, navParams, fb, googlePlus, is, device, ds, loadingCtrl, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.fb = fb;
        this.googlePlus = googlePlus;
        this.is = is;
        this.device = device;
        this.ds = ds;
        this.loadingCtrl = loadingCtrl;
        this.platform = platform;
        this.userDetails = {};
        this.isLoggedIn = false;
    }
    /*Facebook login function code starts here*/
    LoginOptionsPage.prototype.fbgetTokenLogin = function () {
        var _this = this;
        this.fb.getLoginStatus().then(function (success) {
            if (success.status === 'connected') {
                _this.fb.logout().then(function (res) {
                    _this.checkConditionForFbLogin();
                });
            }
            else {
                _this.checkConditionForFbLogin();
            }
        }, function (error) {
        });
    };
    LoginOptionsPage.prototype.checkConditionForFbLogin = function () {
        var _this = this;
        this.fb.login(['public_profile', 'email'])
            .then(function (loginResponse) {
            var credential = __WEBPACK_IMPORTED_MODULE_4_firebase___default.a.auth.FacebookAuthProvider.credential(loginResponse.authResponse.accessToken);
            _this.presentLoadingDefault();
            __WEBPACK_IMPORTED_MODULE_4_firebase___default.a
                .auth()
                .signInWithCredential(credential)
                .then(function (info) {
                _this.FBLogin(loginResponse.authResponse.accessToken);
            })
                .catch(function (fail) {
            });
        })
            .catch(function (fail) {
            console.log(fail);
        });
    };
    LoginOptionsPage.prototype.FBLogin = function (accessToken) {
        var _this = this;
        this.fb
            .api("/me?fields=first_name,middle_name,last_name,email,picture", [])
            .then(function (profile) {
            _this.userDetails.firstName = profile["first_name"];
            _this.userDetails.middleName = profile["middle_name"];
            _this.userDetails.lastName = profile["last_name"];
            _this.userDetails.emailId = profile["email"];
            _this.userDetails.userId = profile["id"];
            _this.userDetails.socialProfileId = profile["id"];
            _this.userDetails.photoUrl = profile.picture.data.url;
            _this.userDetails.loginProvider = "facebook";
            _this.userDetails.isSocialProfile = true;
            _this.userDetails.fullName = _this.userDetails.firstName + '' + _this.userDetails.lastName;
            _this.getUserStatus(_this.userDetails, accessToken);
        });
    };
    /*Google plus login function code starts here*/
    LoginOptionsPage.prototype.googleGetTokenLogin = function () {
        var _this = this;
        if (this.device.platform == "Android") {
            this.ClientId = __WEBPACK_IMPORTED_MODULE_7__constants_API_ROUTES__["a" /* API_ROUTES */].android_web_client_id;
        }
        else if (this.device.platform == "Ios") {
            this.ClientId = __WEBPACK_IMPORTED_MODULE_7__constants_API_ROUTES__["a" /* API_ROUTES */].ios_web_client_id;
        }
        this.googlePlus.login({
            'webClientId': this.ClientId,
            'offline': true
        }).then(function (res) {
            _this.presentLoadingDefault();
            var googleCredential = __WEBPACK_IMPORTED_MODULE_4_firebase___default.a.auth.GoogleAuthProvider
                .credential(res.idToken);
            __WEBPACK_IMPORTED_MODULE_4_firebase___default.a.auth().signInWithCredential(googleCredential)
                .then(function (response) {
                _this.userDetails.userId = res.userId;
                _this.userDetails.socialProfileId = res.userId;
                _this.userDetails.emailId = res.email;
                _this.userDetails.firstName = res.givenName;
                _this.userDetails.lastName = res.familyName;
                _this.userDetails.photoUrl = res.imageUrl;
                _this.userDetails.loginProvider = 'google';
                _this.userDetails.isSocialProfile = true;
                _this.userDetails.fullName = _this.userDetails.firstName + '' + _this.userDetails.lastName;
                _this.getUserStatus(_this.userDetails, res);
            }).catch(function (fail) {
                console.log(fail);
            });
        });
    };
    LoginOptionsPage.prototype.getUserStatus = function (loginDetails, accessToken) {
        var _this = this;
        this.pref = {
            dont_handle_error: true,
            socialProfileId: loginDetails.socialProfileId,
            public: true
        };
        this.ds.getUserTermsAndCondStatus(this.pref, function (data) {
            if (loginDetails.loginProvider == "google") {
                _this.loadingDismiss();
                _this.navCtrl.push("SocialMediaLoginAcceptPage", {
                    gpUserDetails: _this.userDetails,
                    googleToken: accessToken.accessToken,
                    socialMediaType: 'Google',
                    userRegisterStatus: data
                });
            }
            else if (loginDetails.loginProvider == "facebook") {
                _this.loadingDismiss();
                _this.navCtrl.push("SocialMediaLoginAcceptPage", {
                    fbUserDetails: _this.userDetails,
                    FbToken: accessToken,
                    socialMediaType: "Facebook",
                    userRegisterStatus: data
                });
            }
        }, function (error) {
            console.log(error);
        });
    };
    /*Google plus login function code ends here*/
    /*Signup function code starts here*/
    LoginOptionsPage.prototype.signUp = function () {
        this.navCtrl.push("SignUpPageOnePage");
    };
    /*Signup function code ends here*/
    /*Login function code starts here*/
    LoginOptionsPage.prototype.loginPageFun = function () {
        this.navCtrl.push("LoginWithEmailOrPhonePage");
    };
    /*Login function code ends her*/
    LoginOptionsPage.prototype.presentLoadingDefault = function () {
        this.loading = this.loadingCtrl.create({
            content: 'Please wait...'
        });
        this.loading.present();
    };
    LoginOptionsPage.prototype.loadingDismiss = function () {
        this.loading.dismiss();
    };
    LoginOptionsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-login-options',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\login-options\login-options.html"*/'<ion-content>\n\n  <ion-grid>\n\n    <ion-row>\n\n      <ion-col col-1></ion-col>\n\n      <ion-col col-10 class="align_center">\n\n        <img class="logo" src="assets/imgs/Sahave-logo-wt_1.png">\n\n      </ion-col>\n\n      <ion-col col-1></ion-col>\n\n    </ion-row>\n\n    <ion-row>\n\n      <ion-col col-1></ion-col>\n\n      <ion-col col-10  class="align_center">\n\n        <span class="non-profit">BSR</span>\n\n      </ion-col>\n\n      <ion-col col-1></ion-col>\n\n    </ion-row>\n\n    <ion-row class="margintop60px"> \n\n      <ion-col col-1></ion-col>\n\n      <ion-col col-10 >\n\n          <button ion-button block class="loginbutton marginbottom12px" (click)="signUp()" >\n\n              <ion-icon ios="ios-mail" md="md-mail" class="facebookicon"></ion-icon><span class="loginbutton-inner marginright30px">Register with Email</span></button>\n\n          <button ion-button block class="loginbutton marginbottom12px" (click)="fbgetTokenLogin()" >\n\n              <ion-icon text-left name="logo-facebook" class="facebookicon"></ion-icon><span class="loginbutton-inner">Register with Facebook</span></button>\n\n          <button ion-button block class="loginbutton marginbottom12px" (click)="googleGetTokenLogin()">\n\n              <ion-icon text-left name="logo-googleplus" class="googleplusicon" ></ion-icon><span class="loginbutton-inner marginright28px">Register with Gmail</span></button>\n\n              \n\n              <!-- <button ion-button block class="loginbutton"  ><span class="loginbutton-inner">Continue as a Guest</span></button> -->\n\n      </ion-col>\n\n      <ion-col col-1></ion-col>\n\n  </ion-row>\n\n  <ion-row class="margintop25px">\n\n      <ion-col col-1></ion-col>\n\n      <ion-col col-10 text-center>\n\n          <p class="alreadyhaveac">You already have account?</p>\n\n          <button ion-button block class="loginbutton-default" (click)="loginPageFun()" >LOGIN</button>\n\n\n\n      </ion-col>\n\n\n\n      <ion-col col-1></ion-col>\n\n  </ion-row>\n\n  </ion-grid>\n\n</ion-content>\n\n\n\n\n\n\n\n\n\n\n\n\n\n<!--<ion-content>\n\n  <ion-grid>\n\n    <ion-row>\n\n      <ion-col col-1></ion-col>\n\n      <ion-col col-10 class="align_center">\n\n        <img class="logo" src="assets/imgs/Sahave-logo-wt_1.png">\n\n      </ion-col>\n\n      <ion-col col-1></ion-col>\n\n    </ion-row>\n\n    <ion-row>\n\n      <ion-col col-1></ion-col>\n\n      <ion-col col-10  class="align_center">\n\n        <span class="non-profit">NON PROFIT</span>\n\n      </ion-col>\n\n      <ion-col col-1></ion-col>\n\n    </ion-row>\n\n    <ion-row class="margintop40px"> \n\n      <ion-col col-1></ion-col>\n\n      <ion-col col-10 >\n\n          <button ion-button block class="loginbutton marginbottom12px" (click)="signUp()"><span class="loginbutton-inner">Register with Email</span></button>\n\n          <button ion-button block class="loginbutton marginbottom12px" (click)="fbgetTokenLogin()">\n\n              <ion-icon text-left name="logo-facebook" class="facebookicon"></ion-icon><span class="loginbutton-inner">Register with Facebook</span></button>\n\n          <button ion-button block class="loginbutton marginbottom12px" (click)="googleGetTokenLogin()">\n\n              <ion-icon text-left name="logo-googleplus" class="googleplusicon"></ion-icon><span class="loginbutton-inner marginright29px">Register with Gmail</span></button>\n\n                            \n\n      </ion-col>\n\n      <ion-col col-1></ion-col>\n\n  </ion-row>\n\n  <ion-row class="margintop25px">\n\n      <ion-col col-1></ion-col>\n\n      <ion-col col-10 text-center>\n\n          <p class="alreadyhaveac">You already have account?</p>\n\n          <button ion-button block class="loginbutton-default" (click)="loginPageFun()" >LOGIN</button>\n\n\n\n      </ion-col>\n\n\n\n      <ion-col col-1></ion-col>\n\n  </ion-row>\n\n  </ion-grid>\n\n</ion-content>-->\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\login-options\login-options.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_facebook__["a" /* Facebook */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_google_plus__["a" /* GooglePlus */],
            __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_device__["a" /* Device */],
            __WEBPACK_IMPORTED_MODULE_8__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], LoginOptionsPage);
    return LoginOptionsPage;
}());

//# sourceMappingURL=login-options.js.map

/***/ }),

/***/ 933:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LoginOptionsPageModule", function() { return LoginOptionsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login_options__ = __webpack_require__(1036);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LoginOptionsPageModule = (function () {
    function LoginOptionsPageModule() {
    }
    LoginOptionsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__login_options__["a" /* LoginOptionsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__login_options__["a" /* LoginOptionsPage */]),
            ],
        })
    ], LoginOptionsPageModule);
    return LoginOptionsPageModule;
}());

//# sourceMappingURL=login-options.module.js.map

/***/ })

});
//# sourceMappingURL=52.js.map