webpackJsonp([53],{

/***/ 1035:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return InvitePeoplePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_ToastService__ = __webpack_require__(174);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var InvitePeoplePage = (function () {
    function InvitePeoplePage(navCtrl, navParams, ionicStorage, ds, viewCtrl, toastService, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.viewCtrl = viewCtrl;
        this.toastService = toastService;
        this.platform = platform;
    }
    InvitePeoplePage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getNgoDetails().then(function (ngoDetails) {
            if (ngoDetails) {
                _this.ngoDetails = ngoDetails;
            }
        });
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    InvitePeoplePage.prototype.ionViewDidLoad = function () {
    };
    InvitePeoplePage.prototype.invite = function () {
        var _this = this;
        var split = this.emailId.split(',');
        var arrays = [];
        for (var _i = 0, split_1 = split; _i < split_1.length; _i++) {
            var array = split_1[_i];
            arrays.push({ 'emailId': array });
        }
        if (arrays) {
            this.prefs = {
                url: __WEBPACK_IMPORTED_MODULE_4__constants_API_ROUTES__["a" /* API_ROUTES */].invite_via_email,
                req_object: {
                    email_ids: arrays,
                    is_verified: true,
                    _id: this.ngoDetails.id,
                    job_title: "Member"
                }
            };
            this.ds.inviteViaEmail(this.prefs, function (data) {
                _this.toastService.bottomToast_Long('Mail Sent');
                _this.viewCtrl.dismiss('Sent');
            }, function (err) {
                console.log(err);
            });
        }
    };
    InvitePeoplePage.prototype.cancel = function () {
        this.viewCtrl.dismiss();
    };
    InvitePeoplePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-invite-people',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\invite-people\invite-people.html"*/'<ion-content>\n\n    <ion-card class="about-card">\n\n        <ion-card-content class="marginbottom10px">\n\n            <ion-item class="text_area">\n\n          <ion-textarea class="txt_area"  placeholder="Please type here the email ID(s) of the people you would like to invite." \n\n              [(ngModel)]="emailId" name="note" autocomplete="on" autocorrect="on">\n\n            </ion-textarea>\n\n         </ion-item>\n\n      <div class="paddingtop13px paddingbottom13px">\n\n        <button ion-button small color="primary" class="cancel-bttn" (click)="cancel()">CANCEL</button>\n\n        <button ion-button small color="primary" class="save-bttn" (click)="invite()" [disabled]="!emailId">INVITE</button>\n\n      </div>\n\n        </ion-card-content>\n\n    </ion-card>\n\n</ion-content>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\invite-people\invite-people.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__["a" /* IonicStorageService */], __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */], __WEBPACK_IMPORTED_MODULE_5__providers_ToastService__["a" /* ToastService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], InvitePeoplePage);
    return InvitePeoplePage;
}());

//# sourceMappingURL=invite-people.js.map

/***/ }),

/***/ 932:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "InvitePeoplePageModule", function() { return InvitePeoplePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__invite_people__ = __webpack_require__(1035);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var InvitePeoplePageModule = (function () {
    function InvitePeoplePageModule() {
    }
    InvitePeoplePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__invite_people__["a" /* InvitePeoplePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__invite_people__["a" /* InvitePeoplePage */]),
            ],
        })
    ], InvitePeoplePageModule);
    return InvitePeoplePageModule;
}());

//# sourceMappingURL=invite-people.module.js.map

/***/ })

});
//# sourceMappingURL=53.js.map