webpackJsonp([60],{

/***/ 1028:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FilterSupportersPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__ = __webpack_require__(96);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var FilterSupportersPage = (function () {
    function FilterSupportersPage(navCtrl, navParams, viewCtrl, ionicStorage, ds, storageProvider, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.storageProvider = storageProvider;
        this.platform = platform;
    }
    FilterSupportersPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getNgoDetails().then(function (ngoDetails) {
            _this.ngoDetails = ngoDetails;
        });
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    FilterSupportersPage.prototype.ionViewDidLoad = function () {
    };
    FilterSupportersPage.prototype.filter = function () {
        var _this = this;
        if (this.url) {
            this.prefs = {
                url: this.url,
                dont_show_loader: false
            };
            this.ds.filterTheSupporters(this.prefs, function (filteredData) {
                _this.storageProvider.setFilteredLength(_this.filtersLength);
                _this.viewCtrl.dismiss(filteredData);
            }, function (err) {
                console.log(err);
            });
        }
    };
    FilterSupportersPage.prototype.applyFilter = function () {
        if (this.Employee && !this.Member && !this.All) {
            this.filtersLength = 1;
            this.url = __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].filter_supporters + this.ngoDetails.id + '?type=Employee';
        }
        else if (this.Member && !this.Employee && !this.All) {
            this.filtersLength = 1;
            this.url = __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].filter_supporters + this.ngoDetails.id + '?type=Member';
        }
        else if (this.Member && this.Employee && !this.All) {
            this.filtersLength = 2;
            this.url = __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].filter_supporters + this.ngoDetails.id + '?type=Member&value=Employee';
        }
        else if (this.Member && this.Employee && this.All) {
            this.url = __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].np_supporters + this.ngoDetails.id;
        }
        else if (this.Member && !this.Employee && this.All) {
            this.url = __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].filter_supporters + this.ngoDetails.id + '?type=Member&value=All';
        }
        else if (!this.Member && this.Employee && this.All) {
            this.url = __WEBPACK_IMPORTED_MODULE_5__constants_API_ROUTES__["a" /* API_ROUTES */].filter_supporters + this.ngoDetails.id + '?type=Employee&value=All';
        }
    };
    FilterSupportersPage.prototype.back = function () {
        this.viewCtrl.dismiss();
    };
    FilterSupportersPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-filter-supporters',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\filter-supporters\filter-supporters.html"*/'<ion-header>\n\n    <ion-navbar>\n\n      <ion-grid class="padding0px">\n\n        <ion-row>\n\n          <ion-col col-2 (click)="back()" class="paddingtop8px align_center">\n\n            <ion-icon class="header-icon"  name="arrow-back"></ion-icon>\n\n          </ion-col>\n\n          <ion-col col-7 class="paddingtop8px paddingleft15px">\n\n            <div class="heading">Filter Supporters</div>\n\n          </ion-col>\n\n            <ion-col col-3 class="verticalAlignMiddle">\n\n                <button ion-button small color="primary" class="done" outline (click)="filter()">Apply</button>\n\n            </ion-col>\n\n        </ion-row>\n\n      </ion-grid>\n\n    </ion-navbar>\n\n    </ion-header>\n\n<ion-content>\n\n<ion-row class="margintop15px">\n\n  <ion-col col-12 class="padding0px">\n\n      <ion-card>\n\n      <ion-card-content class="paddingtop5px paddingbottom5px">\n\n          <ion-row>\n\n              <ion-col col-2 col-2 class="align_center">\n\n                  <ion-checkbox checked="false" [(ngModel)]="Employee" (ionChange)="applyFilter()"></ion-checkbox></ion-col>\n\n              <ion-col col-1></ion-col>\n\n              <ion-col col-9><span class="user-name">ALL EMPLOYEES</span></ion-col>\n\n          </ion-row>\n\n      </ion-card-content>\n\n      </ion-card>\n\n      <ion-card>\n\n          <ion-card-content class="paddingtop5px paddingbottom5px">\n\n              <ion-row>\n\n                  <ion-col col-2 col-2 class="align_center">\n\n                      <ion-checkbox checked="false" [(ngModel)]="Member" (ionChange)="applyFilter()"></ion-checkbox></ion-col>\n\n                  <ion-col col-1></ion-col>\n\n                  <ion-col col-9><span class="user-name">ALL MEMBERS</span></ion-col>\n\n              </ion-row>\n\n          </ion-card-content>\n\n      </ion-card>\n\n      <ion-card >\n\n          <ion-card-content class="paddingtop5px paddingbottom5px">\n\n              <ion-row>\n\n                  <ion-col col-2 class="align_center paddingtop15px">\n\n                      <ion-checkbox checked="false" [(ngModel)]="All" (ionChange)="applyFilter()"></ion-checkbox></ion-col>\n\n                  <ion-col col-1></ion-col>\n\n                  <ion-col col-9> <span class="user-name">Active Participants</span>\n\n                      <p class="user-role">With Volunteering activity in Last 3 Months</p></ion-col>\n\n              </ion-row>\n\n          </ion-card-content>\n\n      </ion-card>\n\n  </ion-col>\n\n</ion-row>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\filter-supporters\filter-supporters.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__["a" /* IonicStorageService */], __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_4__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], FilterSupportersPage);
    return FilterSupportersPage;
}());

//# sourceMappingURL=filter-supporters.js.map

/***/ }),

/***/ 925:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FilterSupportersPageModule", function() { return FilterSupportersPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__filter_supporters__ = __webpack_require__(1028);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FilterSupportersPageModule = (function () {
    function FilterSupportersPageModule() {
    }
    FilterSupportersPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__filter_supporters__["a" /* FilterSupportersPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__filter_supporters__["a" /* FilterSupportersPage */]),
            ],
        })
    ], FilterSupportersPageModule);
    return FilterSupportersPageModule;
}());

//# sourceMappingURL=filter-supporters.module.js.map

/***/ })

});
//# sourceMappingURL=60.js.map