webpackJsonp([63],{

/***/ 1023:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EditHoursPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var EditHoursPage = (function () {
    function EditHoursPage(navCtrl, navParams, viewCtrl, storageProvider, ds, helperService, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.storageProvider = storageProvider;
        this.ds = ds;
        this.helperService = helperService;
        this.platform = platform;
        this.hoursValue = 0;
    }
    EditHoursPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.reviewerUserDetails = this.helperService.getUserDetails();
        this.activityDetails = this.storageProvider.getActivityDetails();
        this.userDetails = this.storageProvider.getreviewedUserDetails();
        this.editedVolId = this.storageProvider.getEditingUserId();
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    EditHoursPage.prototype.ionViewDidLoad = function () {
    };
    EditHoursPage.prototype.increment = function () {
        this.hoursValue++;
    };
    EditHoursPage.prototype.decrement = function () {
        if (this.hoursValue > 0) {
            this.hoursValue--;
        }
        else {
            this.hoursValue = 0;
        }
    };
    EditHoursPage.prototype.confirm = function () {
        var _this = this;
        this.reqObj = {
            editHoursReason: this.hoursReason,
            time: this.hoursValue * 60,
            user: this.editedVolId
        };
        this.prefs = {
            req_object: this.reqObj,
            url: __WEBPACK_IMPORTED_MODULE_3__constants_API_ROUTES__["a" /* API_ROUTES */].Common_Opp_Url + this.activityDetails.oppertunityID + '/update/activityHours',
            dont_show_loader: false
        };
        this.ds.editHours(this.prefs, function (hrs) {
            _this.storageProvider.setActivityDetails(hrs);
            _this.viewCtrl.dismiss(hrs);
        }, function (err) {
        });
    };
    EditHoursPage.prototype.close = function () {
        this.viewCtrl.dismiss('noData');
    };
    EditHoursPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-edit-hours',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\edit-hours\edit-hours.html"*/'<ion-content>\n\n    <ion-card>\n\n        <ion-row class="padding15px">\n\n            <ion-col col-12>\n\n            <span class="description">EDIT HOURS OF</span>&nbsp;<span class="person capitalise">{{userDetails?.user.fullname}}</span>\n\n            </ion-col>\n\n          <ng-container *ngFor="let checkInDetails of activityDetails?.checkin_checkout">\n\n            <ion-col col-8  *ngIf="checkInDetails?.user == userDetails?.user.user_id">\n\n                <span class="selecte">Check in Time:</span>&nbsp;<span class="selected">{{checkInDetails?.checkin_time}}</span>\n\n                <p class="selecte">Check out Time:&nbsp;<span class="selected">{{checkInDetails?.checkout_time}}</span></p>\n\n            </ion-col>\n\n          </ng-container>\n\n            <ion-col col-4></ion-col>\n\n            <ion-col col-12>\n\n                <span class="selecte">Total Hours added:</span>\n\n              <button clear  class="btn_plus marginleft6px" (click)="decrement()">-</button>\n\n                <button clear class="btn_count marginleft_6px">{{hoursValue}}</button>\n\n                        <button clear  class="btn_plus marginleft_6px"  (click)="increment()">+</button>\n\n            </ion-col>\n\n        </ion-row>\n\n        <ion-row class="spadding15px">\n\n            <ion-col col-12>\n\n                <ion-item class="text_area">\n\n                    <ion-textarea class="txt_area"  placeholder="Please explain why hours are edited."\n\n                        [(ngModel)]="hoursReason" name="note" autocomplete="on" autocorrect="on"></ion-textarea>\n\n                   </ion-item>\n\n            </ion-col>\n\n            </ion-row>\n\n        <ion-row padding15px>\n\n            <ion-col col-1></ion-col>\n\n        <ion-col col-1></ion-col>\n\n        <ion-col col-10 class="align_center paddingbottom20px">\n\n            <button ion-button icon-left clear small class="paddingright15px paddingleft15px confirmbutton"\n\n                   [disabled]="!hoursReason" (click)="confirm()">\n\n                    CONFIRM HOURS\n\n                </button>\n\n            <button ion-button icon-left clear small class="paddingright15px paddingleft15px cancelbutton" (click)="close()">\n\n                    CANCEL\n\n                </button>\n\n\n\n        </ion-col>\n\n        </ion-row>\n\n    </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\edit-hours\edit-hours.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_5__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], EditHoursPage);
    return EditHoursPage;
}());

//# sourceMappingURL=edit-hours.js.map

/***/ }),

/***/ 920:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EditHoursPageModule", function() { return EditHoursPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__edit_hours__ = __webpack_require__(1023);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var EditHoursPageModule = (function () {
    function EditHoursPageModule() {
    }
    EditHoursPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__edit_hours__["a" /* EditHoursPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__edit_hours__["a" /* EditHoursPage */]),
            ],
        })
    ], EditHoursPageModule);
    return EditHoursPageModule;
}());

//# sourceMappingURL=edit-hours.module.js.map

/***/ })

});
//# sourceMappingURL=63.js.map