webpackJsonp([66],{

/***/ 1019:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CreateVolStep2Page; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var CreateVolStep2Page = (function () {
    function CreateVolStep2Page(navCtrl, navParams, modalCtrl, alertCtrl, storageProvider, ionicStorage, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.storageProvider = storageProvider;
        this.ionicStorage = ionicStorage;
        this.platform = platform;
        this.camStep2Data = {};
        this.Matches = this.storageProvider.getStaticData().matches;
        this.Skills = this.storageProvider.getStaticData().skills;
        if (this.storageProvider.getSkillsChoosesn()) {
            this.SkillsStepTwo = this.storageProvider.getSkillsChoosesn();
        }
        else {
            this.SkillsStepTwo = [];
        }
        if (this.storageProvider.getMatchesChoosen()) {
            this.MatchesStepTwo = this.storageProvider.getMatchesChoosen();
        }
        else {
            this.MatchesStepTwo = [];
        }
    }
    CreateVolStep2Page.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getdata().then(function (val) {
            if (val == 'volunteerRequest') {
                _this.volunteerRequest = true;
            }
            if (val == 'volunteerCreation') {
                _this.volunteerCreation = true;
            }
            if (val == 'EditvolunteerCreation') {
                _this.EditvolunteerCreation = true;
                _this.ionicStorage.getDataStored().then(function (editdata) {
                    if (editdata) {
                        _this.dataStored = editdata;
                        _this.SkillsStepTwo = [];
                        _this.camStep2Data.description = _this.dataStored.description;
                        _this.SkillsIds = _this.dataStored.skill;
                        for (var i = 0; i < _this.SkillsIds.length; i++) {
                            _this.Skills1 = _this.Skills.find(function (item) { return item.skill_id == _this.SkillsIds[i]; });
                            _this.SkillsStepTwo.push(_this.Skills1);
                        }
                    }
                });
            }
        });
        this.platform.registerBackButtonAction(function () {
            // this.navCtrl.setRoot('TabsPage')
            _this.navCtrl.push('CreateVolStep1Page');
        });
        this.ionicStorage.getstep2CreateOpportunity().then(function (val) {
            _this.value = val;
            if (JSON.parse(_this.value)) {
                _this.camStep2Data = JSON.parse(_this.value);
                _this.MatchesIds = _this.camStep2Data.matchData;
                _this.SkillsIds = _this.camStep2Data.skillData;
                _this.MatchesStepTwo = [];
                _this.SkillsStepTwo = [];
                for (var i = 0; i < _this.MatchesIds.length; i++) {
                    _this.Matches1 = _this.Matches.find(function (item) { return item.match_id == _this.MatchesIds[i]; });
                    _this.MatchesStepTwo.push(_this.Matches1);
                }
                for (var i = 0; i < _this.SkillsIds.length; i++) {
                    _this.Skills1 = _this.Skills.find(function (item) { return item.skill_id == _this.SkillsIds[i]; });
                    _this.SkillsStepTwo.push(_this.Skills1);
                }
            }
        });
        this.checkReschedule();
        this.editActivity();
    };
    CreateVolStep2Page.prototype.editActivity = function () {
        if (this.EditvolunteerCreation) {
        }
    };
    CreateVolStep2Page.prototype.checkReschedule = function () {
        var _this = this;
        if (this.navParams.get('sourcePage') == 'profileVo' || this.navParams.get('sourcePage') == 'reschedule') {
            this.ionicStorage.getDataStored().then(function (data) {
                if (data) {
                    _this.dataStored = data;
                    _this.SkillsStepTwo = [];
                    _this.MatchesStepTwo = [];
                    _this.camStep2Data.description = _this.dataStored.description;
                    _this.camStep2Data.matchData = _this.dataStored.match;
                    _this.camStep2Data.skillData = _this.dataStored.skill;
                    _this.MatchesIds = _this.dataStored.match;
                    for (var i = 0; i < _this.MatchesIds.length; i++) {
                        _this.Matches1 = _this.Matches.find(function (item) { return item.match_id == _this.MatchesIds[i]; });
                        _this.MatchesStepTwo.push(_this.Matches1);
                    }
                    _this.SkillsIds = _this.dataStored.skill;
                    for (var i = 0; i < _this.SkillsIds.length; i++) {
                        _this.Skills1 = _this.Skills.find(function (item) { return item.skill_id == _this.SkillsIds[i]; });
                        _this.SkillsStepTwo.push(_this.Skills1);
                    }
                }
            });
        }
    };
    CreateVolStep2Page.prototype.ionViewDidLoad = function () {
    };
    CreateVolStep2Page.prototype.back = function () {
        this.navCtrl.push('CreateVolStep1Page');
    };
    CreateVolStep2Page.prototype.step3 = function () {
        if (this.camStep2Data.description && this.MatchesStepTwo && this.MatchesStepTwo.length > 0
            && this.SkillsStepTwo && this.SkillsStepTwo.length > 0) {
            if (this.SkillsStepTwo && this.SkillsStepTwo.length > 0) {
                this.storageProvider.setSkillsChoosen(this.SkillsStepTwo);
                this.storageProvider.setMatchesChoosen(this.MatchesStepTwo);
                this.noMatchData = false;
                this.noSkillData = false;
                this.descSts = false;
                this.storyDetailsRequest = this.camStep2Data;
                this.camStep2Data.matchData = this.MatchesIds;
                this.camStep2Data.skillData = this.SkillsIds;
                this.ionicStorage.setstep2CreateOpportunity(JSON.stringify(this.camStep2Data));
                this.navCtrl.push('CreateVolStep3Page');
            }
            else {
                this.noSkillData = true;
                this.noMatchData = false;
                this.descSts = false;
            }
        }
        else {
            if (!this.MatchesStepTwo || this.MatchesStepTwo.length <= 0) {
                this.noMatchData = true;
                this.descSts = false;
            }
            else if (this.camStep2Data.description) {
                this.descSts = true;
                this.noMatchData = false;
            }
        }
    };
    CreateVolStep2Page.prototype.next3 = function () {
        this.ionicStorage.setstep2CreateOpportunity(JSON.stringify(this.camStep2Data));
        this.navCtrl.push('CreateVolStep3Page');
    };
    CreateVolStep2Page.prototype.presentConfirm = function () {
        var _this = this;
        var alert = this.alertCtrl.create({
            title: "Like to Cancel?",
            message: "Would you really like to cancel ?",
            buttons: [
                {
                    text: "No",
                    role: "cancel",
                    handler: function () {
                    }
                },
                {
                    text: "Yes",
                    handler: function () {
                        _this.ionicStorage.removedata();
                        _this.ionicStorage.removestep1CreateOpportunity();
                        _this.ionicStorage.removestep2CreateOpportunity();
                        _this.ionicStorage.removestep3CreateOpportunity();
                        _this.storageProvider.setCausesChoosen('');
                        _this.storageProvider.setMatchesChoosen('');
                        _this.storageProvider.setSkillsChoosen('');
                        _this.ionicStorage.removeDataStored();
                        _this.ionicStorage.removeSourcePage();
                        _this.navCtrl.push('TabsPage', { TabsIndex: 1 });
                    }
                }
            ]
        });
        alert.present();
    };
    CreateVolStep2Page.prototype.description = function () {
        var _this = this;
        var modal = this.modalCtrl.create('BdRequestDescriptionPage', { 'typedData': this.camStep2Data.description });
        modal.present({
            keyboardClose: false
        });
        modal.onDidDismiss(function (description) {
            if (description != 'noData') {
                _this.camStep2Data.description = description;
            }
        });
    };
    CreateVolStep2Page.prototype.addMatches = function () {
        var _this = this;
        this.storageProvider.setMatchesStepTwo(this.MatchesStepTwo);
        var modalPage = this.modalCtrl.create('ProfileSuppMatchesPage', { 'sourcePage': 'stepsPage' });
        modalPage.present();
        modalPage.onDidDismiss(function (data) {
            _this.MatchesStepTwo = [];
            if (data != 'noData') {
                _this.MatchesIds = data;
                for (var i = 0; i < _this.MatchesIds.length; i++) {
                    _this.Matches1 = _this.Matches.find(function (item) { return item.match_id == _this.MatchesIds[i]; });
                    _this.MatchesStepTwo.push(_this.Matches1);
                }
                _this.storageProvider.setMatchesChoosen(_this.MatchesStepTwo);
            }
            else {
                if (_this.storageProvider.getMatchesChoosen()) {
                    _this.MatchesStepTwo = _this.storageProvider.getMatchesChoosen();
                }
                else {
                    _this.MatchesStepTwo = [];
                }
            }
        });
    };
    CreateVolStep2Page.prototype.addSkills = function () {
        var _this = this;
        this.storageProvider.setSkillsStepTwo(this.SkillsStepTwo);
        var modalPage = this.modalCtrl.create('ProfileSuppSkillsPage', { 'sourcePage': 'stepsPage' });
        modalPage.present();
        modalPage.onDidDismiss(function (data) {
            _this.SkillsStepTwo = [];
            if (data != 'noData') {
                _this.SkillsIds = data;
                for (var i = 0; i < _this.SkillsIds.length; i++) {
                    _this.Skills1 = _this.Skills.find(function (item) { return item.skill_id == _this.SkillsIds[i]; });
                    _this.SkillsStepTwo.push(_this.Skills1);
                }
                _this.storageProvider.setSkillsChoosen(_this.SkillsStepTwo);
            }
            else {
                if (_this.storageProvider.getSkillsChoosesn()) {
                    _this.SkillsStepTwo = _this.storageProvider.getSkillsChoosesn();
                }
                else {
                    _this.SkillsStepTwo = [];
                }
            }
        });
    };
    CreateVolStep2Page.prototype.step1 = function () {
        this.navCtrl.push('CreateVolStep1Page');
    };
    CreateVolStep2Page = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-create-vol-step2',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\create-vol-step2\create-vol-step2.html"*/'<ion-header>\n\n    <ion-navbar hideBackButton>\n\n        <ion-grid class="padding0px">\n\n            <ion-row>\n\n<!--                <ion-col col-1 (click)="back()" class="paddingtop8px align_center">\n\n                    <ion-icon class="header-icon" name="arrow-back"></ion-icon>\n\n                </ion-col>-->\n\n                <ion-col col-9 class="paddingtop8px paddingleft15px align_left">\n\n                    <div class="heading" *ngIf="volunteerCreation">Create Volunteering</div>\n\n                    <div class="heading"*ngIf="volunteerRequest" >Request Volunteering Form</div>    \n\n                    <div class="heading"*ngIf="EditvolunteerCreation" >Edit Volunteering Form</div>    \n\n                    \n\n                </ion-col>\n\n                <ion-col col-3 class="align_center">\n\n                    <button ion-button small color="primary" class="done" outline (click)="presentConfirm();">Cancel\n\n                    </button>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-grid>\n\n    </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n    <ion-row class="padding-25px margintop_10px">\n\n        <ion-col col-2.4 class="align_center padding10px icon_complete"><ion-icon name="checkmark" class="font-size24px"></ion-icon></ion-col>\n\n        <ion-col col-2.4 class="align_center padding10px"><ion-icon name="ios-arrow-forward-outline" class="font-size24px for_color"></ion-icon></ion-col>\n\n        <ion-col col-2.4 class="align_center padding10px icon_active"><ion-icon name="image" class="font-size24px"></ion-icon></ion-col>\n\n        <ion-col col-2.4 class="align_center padding10px"><ion-icon name="ios-arrow-forward-outline" class="font-size24px for_color"></ion-icon></ion-col>\n\n        <ion-col col-2.4 class="align_center padding10px icon_inactive"><ion-icon name="images" class="font-size24px"></ion-icon></ion-col>\n\n    </ion-row>\n\n    <ion-row class="margin_top18px marginbottom5px">\n\n        <ion-col col-4 class="font-size12px loc_color paddingleft10px">Location & Time</ion-col>\n\n        <ion-col col-4 class="align_center font-size12px ben_color">Story</ion-col>\n\n\n\n        <ion-col col-4 class="align_right font-size12px ben_color paddingright10px">Photo/Video</ion-col>\n\n    </ion-row>\n\n    <ion-card>\n\n        <ion-row>\n\n            <ion-col col-12>\n\n                <div class="description">Description</div>\n\n                <div (click)="description()" class="writeurstory" *ngIf="!camStep2Data.description">Write your story</div>\n\n                <div (click)="description()" class="writeurstory" *ngIf="camStep2Data.description">{{camStep2Data.description}}</div>\n\n            </ion-col>\n\n        </ion-row>\n\n    </ion-card>\n\n\n\n    <ion-item-group class="margintop20px " *ngIf="!dataStored">\n\n        <span class="support">GOOD MATCH FOR YOU</span>\n\n        <!-- UI BEFORE ADDING MATCHES -->\n\n        <ion-card class="padding15px margintop5px" *ngIf="!MatchesStepTwo?.length">\n\n            <div class="write_about" (click)="addMatches()">\n\n                <span>\n\n                    <ion-icon ios="ios-add" class="plus_btn" md="md-add"></ion-icon>\n\n                </span>&nbsp;&nbsp;&nbsp;Add Matches</div>\n\n        </ion-card>\n\n        <!-- UI AFTER ADDING MATCHES -->\n\n        <ion-card class="support_causes margintop5px" *ngIf="MatchesStepTwo?.length">\n\n            <ion-card-content>\n\n                <ion-row>\n\n                    <ion-col col-12><span class="about_edit" (click)="addMatches()">Edit</span></ion-col>\n\n                </ion-row>\n\n                <ion-row>\n\n                    <br>\n\n                    <button type="button" *ngFor="let selectedMatches of MatchesStepTwo;let i = index" ion-button small\n\n                        class="cause_btn" outline> {{selectedMatches?.name}}\n\n                        <!--<ion-icon name="close-circle" class="close_icon"></ion-icon>-->\n\n                </button>\n\n            </ion-row>\n\n        </ion-card-content>\n\n        <!--<div class="about_edit" (click)="addCauses()">Edit</div>\n\n        <br>\n\n        <ion-card class="cause_btn cause_card" #cause1 >\n\n           &nbsp;\n\n            &lt;!&ndash;<ion-icon class="close" name="ios-close-circle" (click)="removecausechip(selectedCauses,i)" ></ion-icon>&ndash;&gt;\n\n        </ion-card>-->\n\n    </ion-card>\n\n</ion-item-group>\n\n<ion-item-group class="margintop20px paddingbottom20per">\n\n    <span class="support">SKILLS NEEDED</span>\n\n    <!-- UI BEFORE ADDING SKILLS -->\n\n    <ion-card class="padding15px margintop5px" *ngIf="!SkillsStepTwo?.length">\n\n        <div class="write_about" (click)="addSkills()">\n\n            <span>\n\n                <ion-icon ios="ios-add" class="plus_btn" md="md-add"></ion-icon>\n\n            </span>&nbsp;&nbsp;&nbsp;Add skills</div>\n\n    </ion-card>\n\n    <!-- UI AFTER ADDING SKILLS -->\n\n    <ion-card class="support_causes margintop5px" *ngIf="SkillsStepTwo?.length">\n\n        <ion-card-content>\n\n            <ion-row>\n\n                <ion-col col-12><span class="about_edit" (click)="addSkills()">Edit</span></ion-col>\n\n            </ion-row>\n\n            <ion-row>\n\n                <br>\n\n                <button type="button" ion-button small class="cause_btn" outline *ngFor="let selectedSkills of SkillsStepTwo;let i = index">\n\n                        {{selectedSkills?.name}}\n\n                        <!-- <ion-icon name="close-circle" class="close_icon"></ion-icon>-->\n\n            </button>\n\n        </ion-row>\n\n    </ion-card-content>\n\n    <!--<div class="about_edit" (click)="addCauses()">Edit</div>\n\n    <br>\n\n    <ion-card class="cause_btn cause_card" #cause1 >\n\n       &nbsp;\n\n        &lt;!&ndash;<ion-icon class="close" name="ios-close-circle" (click)="removecausechip(selectedCauses,i)" ></ion-icon>&ndash;&gt;\n\n    </ion-card>-->\n\n\n\n</ion-card>\n\n<!--<ion-card class="support_causes" *ngIf="SkillsStepTwo?.length">\n\n    <div class="about_edit" (click)="addSkills()">Edit</div>\n\n    <br>\n\n    <ion-card class="cause_btn cause_card" #cause1 *ngFor="let selectedSkills of SkillsStepTwo;let i = index">\n\n        {{selectedSkills?.name}}&nbsp;\n\n    </ion-card>\n\n\n\n</ion-card>-->\n\n</ion-item-group>\n\n</ion-content>\n\n<ion-footer class="footer_height">\n\n    <ion-row>\n\n        <ion-col col-4>\n\n            <span class="back_page paddingleft10px" (click)="step1()"><ion-icon name="ios-arrow-back-outline" class="marginright5px backicon"></ion-icon>BACK</span>\n\n        </ion-col>\n\n        <ion-col col-4 class="align_center">\n\n            <!-- <div class="story">Story is optional</div>\n\n            -->\n\n        </ion-col> \n\n        <ion-col col-4 class="align_right">\n\n            \n\n            <button *ngIf="!dataStored" [disabled]="!camStep2Data.description || !MatchesStepTwo?.length|| !SkillsStepTwo?.length" class="next_page"\n\n                (click)="step3()">NEXT <ion-icon name="ios-arrow-forward-outline" class="marginleft5px forwardicon"></ion-icon></button>\n\n                      \n\n            <button *ngIf="dataStored" [disabled]="!camStep2Data.description  || !SkillsStepTwo?.length" class="next_page"\n\n            (click)="next3()">NEXT <ion-icon name="ios-arrow-forward-outline" class="marginleft5px forwardicon"></ion-icon></button>\n\n        </ion-col>\n\n    </ion-row>\n\n</ion-footer>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\create-vol-step2\create-vol-step2.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], CreateVolStep2Page);
    return CreateVolStep2Page;
}());

//# sourceMappingURL=create-vol-step2.js.map

/***/ }),

/***/ 916:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CreateVolStep2PageModule", function() { return CreateVolStep2PageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__create_vol_step2__ = __webpack_require__(1019);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CreateVolStep2PageModule = (function () {
    function CreateVolStep2PageModule() {
    }
    CreateVolStep2PageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__create_vol_step2__["a" /* CreateVolStep2Page */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__create_vol_step2__["a" /* CreateVolStep2Page */]),
            ],
        })
    ], CreateVolStep2PageModule);
    return CreateVolStep2PageModule;
}());

//# sourceMappingURL=create-vol-step2.module.js.map

/***/ })

});
//# sourceMappingURL=66.js.map