webpackJsonp([69],{

/***/ 1016:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CreateBloodStep2Page; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var CreateBloodStep2Page = (function () {
    function CreateBloodStep2Page(navCtrl, navParams, modalCtrl, alertCtrl, FormBuilder, viewCtrl, storageProvider, storage, platform, ionicStorage) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.FormBuilder = FormBuilder;
        this.viewCtrl = viewCtrl;
        this.storageProvider = storageProvider;
        this.storage = storage;
        this.platform = platform;
        this.ionicStorage = ionicStorage;
        this.bloodModel2 = {};
        this.groups = [];
        this.bloodCells = ["Whole Blood", "Red Cells", "Platelets", "Plasma"];
        this.multipleBlood = [];
        this.donationType = [];
        this.step2bloodresponse = {
            "blood_cells": [
                {
                    "blood_cell_id": "3",
                    "blood_cell_name": "Platelets"
                },
                {
                    "blood_cell_id": "4",
                    "blood_cell_name": "Plasma"
                },
                {
                    "blood_cell_id": "2",
                    "blood_cell_name": "Red Cells"
                },
                {
                    "blood_cell_id": "1",
                    "blood_cell_name": "Whole Blood"
                }
            ],
            "blood_groups": [
                {
                    "blood_group_id": "1",
                    "blood_group_name": "A+"
                },
                {
                    "blood_group_id": "2",
                    "blood_group_name": "A-"
                },
                {
                    "blood_group_id": "3",
                    "blood_group_name": "B+"
                },
                {
                    "blood_group_id": "4",
                    "blood_group_name": "B-"
                },
                {
                    "blood_group_id": "5",
                    "blood_group_name": "AB+"
                },
                {
                    "blood_group_id": "6",
                    "blood_group_name": "AB-"
                },
                {
                    "blood_group_id": "7",
                    "blood_group_name": "O+"
                },
                {
                    "blood_group_id": "8",
                    "blood_group_name": "O-"
                },
                {
                    "blood_group_id": "9",
                    "blood_group_name": "hh"
                },
                {
                    "blood_group_id": "10",
                    "blood_group_name": "INRA"
                }
            ],
        };
        this.bloodModel2.toggle = false;
        this.bloodModel2.donationtoggle = false;
        this.storage.get("bloodModel2").then(function (val) {
            if (JSON.parse(val)) {
                _this.bloodModel2 = JSON.parse(val);
            }
        });
        this.bloodFormTwo = this.FormBuilder.group({
            requiredNoOfDonors: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */]("", [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].required,
                __WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].maxLength(2)
            ]),
            benificiaryName: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */]("", [
                __WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].required,
            ]),
        });
        this.bloodModel2.BloodSelectAll = false;
        this.bloodModel1 = this.navParams.get('step1Data');
        this.DateContent = this.navParams.get('DateContent');
        if (this.navParams.get('step2Data')) {
            this.bloodModel2 = this.navParams.get('step2Data');
        }
    }
    CreateBloodStep2Page.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getdata().then(function (val) {
            if (val == 'BloodRequest') {
                _this.BloodRequest = true;
            }
            if (val == 'EditBloodRequest') {
                _this.EditBloodRequest = true;
                _this.ionicStorage.getDataStored().then(function (storedData) {
                    _this.dataStored = storedData;
                    _this.bloodModel2.benificiaryName = _this.dataStored.name;
                    _this.bloodModel2.requiredNoOfDonors = _this.dataStored.requiredNoOfDonors;
                });
            }
        });
        if (this.bloodModel2.BloodSelectAll === true) {
        }
        this.platform.registerBackButtonAction(function () {
            _this.storage.set('bloodModel2', JSON.stringify(_this.bloodModel2));
            _this.navCtrl.pop();
        });
        this.viewCtrl.showBackButton(false);
    };
    CreateBloodStep2Page.prototype.onlyNumberKey = function (event) {
        return (event.charCode == 8 || event.charCode == 0) ? null : event.charCode >= 48 && event.charCode <= 57;
    };
    CreateBloodStep2Page.prototype.rarePage = function () {
        var modalpage = this.modalCtrl.create("AddRareBloodtypesPage");
        modalpage.present();
    };
    CreateBloodStep2Page.prototype.ionViewDidLoad = function () {
    };
    CreateBloodStep2Page.prototype.CreateBloodStep3Page = function () {
        var _this = this;
        this.storage.set('bloodModel2', JSON.stringify(this.bloodModel2));
        this.navCtrl.push('CreateBloodStep3Page', {
            step2Data: this.bloodModel2, step1Data: this.bloodModel1,
            DateContent: this.DateContent, 'sourcePage': 'bdcreationStep2'
        }).then(function () {
            // first we find the index of the current view controller:
            var index = _this.viewCtrl.index;
            // then we remove it from the navigation stack
            _this.navCtrl.remove(index);
        });
    };
    CreateBloodStep2Page.prototype.step1 = function () {
        this.storage.set('bloodModel2', JSON.stringify(this.bloodModel2));
        this.navCtrl.pop();
    };
    CreateBloodStep2Page.prototype.presentConfirm = function () {
        var _this = this;
        var alert = this.alertCtrl.create({
            title: "Like to Cancel?",
            message: "Would you like to cancel?",
            buttons: [
                {
                    text: "No",
                    role: "cancel",
                    handler: function () {
                    }
                },
                {
                    text: "Yes",
                    handler: function () {
                        _this.storage.remove("bloodModelDateContent");
                        _this.storage.remove("bloodModel1");
                        _this.storage.remove("bloodModel2");
                        _this.navCtrl.push("TabsPage");
                    }
                }
            ]
        });
        alert.present();
    };
    CreateBloodStep2Page = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: "page-create-blood-step2",template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\create-blood-step2\create-blood-step2.html"*/'<ion-header>\n\n    <ion-navbar>\n\n          <ion-grid class="padding0px">\n\n            <ion-row>\n\n                    \n\n                    <ion-col col-9 class="paddingtop8px align_left paddingleft13px">\n\n                            <div class="heading paddingtop5px" *ngIf="BloodRequest">Blood Donation Request</div>\n\n                            <div class="heading paddingtop5px" *ngIf="EditBloodRequest">Edit Blood Request</div>    \n\n                    </ion-col>\n\n                    <ion-col col-3 class="paddingtop8px align_center"> <button ion-button small color="primary" class="done" outline (click)="presentConfirm();">Cancel</button></ion-col>\n\n            </ion-row>\n\n          </ion-grid>\n\n        </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n    <ion-row class="padding-25px margintop_10px">\n\n        <ion-col col-2.4 class="align_center padding10px icon_complete"><ion-icon name="checkmark" class="font-size24px"></ion-icon></ion-col>\n\n        <ion-col col-2.4 class="align_center padding10px"><ion-icon name="ios-arrow-forward-outline" class="font-size24px for_color"></ion-icon></ion-col>\n\n        <ion-col col-2.4 class="align_center padding10px icon_active"><ion-icon name="image" class="font-size24px"></ion-icon></ion-col>\n\n        <ion-col col-2.4 class="align_center padding10px"><ion-icon name="ios-arrow-forward-outline" class="font-size24px for_color"></ion-icon></ion-col>\n\n        <ion-col col-2.4 class="align_center padding10px icon_inactive"><ion-icon name="images" class="font-size24px"></ion-icon></ion-col>\n\n    </ion-row>\n\n    <ion-row class="margin_top18px marginbottom5px">\n\n        <ion-col col-4 class="font-size12px loc_color paddingleft10px">Location & Time</ion-col>\n\n        <ion-col col-4 class="align_center font-size12px ben_color">Story</ion-col>\n\n\n\n        <ion-col col-4 class="align_right font-size12px ben_color paddingright10px">Photo/Video</ion-col>\n\n    </ion-row>\n\n    <form [formGroup]="bloodFormTwo"> \n\n    \n\n        <ion-card>\n\n      <ion-card-content>\n\n        <ion-row>\n\n          <ion-col col-12>\n\n              <ion-item>\n\n                  <ion-label floating>Beneficiary\'s Full Name</ion-label>\n\n                  <ion-input formControlName="benificiaryName" [(ngModel)]="bloodModel2.benificiaryName"></ion-input>\n\n              </ion-item>\n\n              <div no-lines *ngIf="( bloodFormTwo.get(\'benificiaryName\').hasError(\'required\') ) && bloodFormTwo.get(\'benificiaryName\').touched">\n\n                    <div class="required-error" *ngIf="bloodFormTwo.get(\'benificiaryName\').hasError(\'required\') && bloodFormTwo.get(\'benificiaryName\').touched">\n\n                            benificiaryName is required!\n\n                    </div>\n\n                </div>\n\n          </ion-col>\n\n        </ion-row>\n\n        <ion-row class="marginbottom10px">\n\n          <ion-col col-12>\n\n              <ion-item>\n\n                  <ion-label floating >Number of Donations Needed</ion-label>\n\n                  <ion-input maxlength=\'2\' type="number" (keypress)="onlyNumberKey($event)" formControlName="requiredNoOfDonors" [(ngModel)]="bloodModel2.requiredNoOfDonors"></ion-input>\n\n              </ion-item>\n\n              <div no-lines *ngIf="( bloodFormTwo.get(\'requiredNoOfDonors\').hasError(\'required\') ) && bloodFormTwo.get(\'requiredNoOfDonors\').touched">\n\n                    <div class="required-error" *ngIf="bloodFormTwo.get(\'requiredNoOfDonors\').hasError(\'required\') && bloodFormTwo.get(\'requiredNoOfDonors\').touched">\n\n                        Donors is required!\n\n                    </div>\n\n                </div>\n\n          </ion-col>\n\n        </ion-row>\n\n      </ion-card-content>\n\n    </ion-card>\n\n\n\n    <!-- <ion-card class="margintop10px">\n\n        <ion-card-content>\n\n            <ion-row class="margintop_14px">\n\n                <ion-col col-6>\n\n                    <span class="bd_type">Blood Type</span>\n\n                </ion-col>\n\n                <ion-col col-6>\n\n                    <span class="marginleft35px select_all">Select All\n\n                        <ion-toggle class="tog_icon" id="bloodToggle" formControlName="toggle"  [(ngModel)]="bloodModel2.toggle" (ionChange)="selectAllBloodGroups()"></ion-toggle>\n\n                    </span>\n\n                </ion-col>\n\n            </ion-row>\n\n            <ion-row center text-center>\n\n                <ion-col col-3 class="paddingleft20px" *ngFor="let bloodTypeA of step2bloodresponse.blood_groups; let i = index" (click)="selectBlood(bloodTypeA)">\n\n                    <div class="bloodgrp_border" id="{{bloodTypeA.blood_group_id}}">\n\n                            {{bloodTypeA.blood_group_name}}\n\n                    </div>\n\n                </ion-col>\n\n            </ion-row>\n\n       </ion-card-content>\n\n    </ion-card> -->\n\n\n\n    <!-- <ion-card class="marginbottom25per margintop6px">\n\n        <ion-card-content>\n\n            <ion-row>\n\n                <ion-col col-6>\n\n                    <span class="don_type">Donation Type</span>\n\n                </ion-col>\n\n                <ion-col col-6>\n\n                    <span class="align_right select_all">Select All\n\n                            <ion-toggle class="tog_icon" id="donationToggle"  formControlName="donationtoggle"  [(ngModel)]="bloodModel2.donationtoggle" (ionChange)="selectAllDonationTypes()"></ion-toggle>\n\n                    </span>\n\n                </ion-col>\n\n            </ion-row>\n\n            <ion-row>\n\n                    <ion-col col-6 *ngFor="let cells of step2bloodresponse.blood_cells">\n\n                        <ion-checkbox class="marginright15px" checked="false"  id="donationType-{{cells.blood_cell_id}}" (ionChange)="selectDonationTypes($event,cells)"></ion-checkbox>\n\n                        <span class="blood_type">{{cells.blood_cell_name}}</span>\n\n                    </ion-col>\n\n             </ion-row>\n\n        </ion-card-content>\n\n    </ion-card> -->\n\n</form>\n\n</ion-content>\n\n<ion-footer class="footer_height">\n\n    <ion-row>\n\n      <ion-col col-4>\n\n      \n\n      <span class="back_page marginleft6px" (click)="step1()"><ion-icon name="ios-arrow-back-outline" class="marginright5px"></ion-icon>BACK</span></ion-col>\n\n      <ion-col col-4 class="align_center">\n\n      <div class="story"></div></ion-col>\n\n      <ion-col col-4>\n\n          <button class="transparent next_page" (click)="CreateBloodStep3Page()" [disabled]="!bloodFormTwo.valid && !bloodModel2.requiredNoOfDonors?.length > 0 ">\n\n      NEXT <ion-icon name="ios-arrow-forward-outline" class="marginleft5px forwardicon "></ion-icon>\n\n  </button>\n\n    </ion-col>\n\n    </ion-row>\n\n</ion-footer>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\create-blood-step2\create-blood-step2.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormBuilder */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__["a" /* IonicStorageService */]])
    ], CreateBloodStep2Page);
    return CreateBloodStep2Page;
}());

//# sourceMappingURL=create-blood-step2.js.map

/***/ }),

/***/ 913:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CreateBloodStep2PageModule", function() { return CreateBloodStep2PageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__create_blood_step2__ = __webpack_require__(1016);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CreateBloodStep2PageModule = (function () {
    function CreateBloodStep2PageModule() {
    }
    CreateBloodStep2PageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__create_blood_step2__["a" /* CreateBloodStep2Page */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__create_blood_step2__["a" /* CreateBloodStep2Page */]),
            ],
        })
    ], CreateBloodStep2PageModule);
    return CreateBloodStep2PageModule;
}());

//# sourceMappingURL=create-blood-step2.module.js.map

/***/ })

});
//# sourceMappingURL=69.js.map