webpackJsonp([70],{

/***/ 1014:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ChangepasswordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_ToastService__ = __webpack_require__(174);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var ChangepasswordPage = (function () {
    function ChangepasswordPage(navCtrl, navParams, viewCtrl, ionicStorage, ds, toastService, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.toastService = toastService;
        this.platform = platform;
        this.validationMessages = {
            'oldpwd': [
                { type: 'required', message: 'Old Password is required' },
            ],
            'newpwd': [
                { type: 'required', message: 'New Password is required' },
            ]
        };
        this.changePwdForm = new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["c" /* FormGroup */]({
            oldpwd: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */]("", [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].required]),
            newpwd: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["b" /* FormControl */]("", [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["h" /* Validators */].required])
        });
    }
    ChangepasswordPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.userDetails = this.navParams.get('userDetails');
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    ChangepasswordPage.prototype.ionViewDidLoad = function () {
    };
    ChangepasswordPage.prototype.changePassword = function () {
        var _this = this;
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_3__constants_API_ROUTES__["a" /* API_ROUTES */].common_user_url + 'changePassword',
            req_object: {
                'userId': this.userDetails.userId,
                'oldPassword': this.oldPassword,
                'newPassword': this.newPassword
            },
            dont_show_loader: false
        };
        this.ds.changePassword(this.prefs, function (changePass) {
            _this.changePassResult = changePass;
            _this.toastService.bottomToast_Long(_this.changePassResult.message);
            _this.viewCtrl.dismiss();
        }, function (err) {
            console.log(err);
        });
    };
    ChangepasswordPage.prototype.cancel = function () {
        this.viewCtrl.dismiss('noData');
    };
    ChangepasswordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-changepassword',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\changepassword\changepassword.html"*/'<ion-content>\n\n  <form novalidate (ngSubmit)="changePassword()" [formGroup]="changePwdForm" #sec="ngForm" >\n\n    <ion-card>\n\n        <ion-card-content>\n\n                <ion-item>\n\n                        <ion-label  floating>Old Password</ion-label>\n\n                        <ion-input  formControlName="oldpwd" type="password" [(ngModel)]="oldPassword" required></ion-input>\n\n                </ion-item>\n\n          <ion-item no-lines *ngIf="( changePwdForm.get(\'oldpwd\').hasError(\'required\') ) && changePwdForm.get(\'oldpwd\').touched">\n\n            <div class="error" *ngIf="changePwdForm.get(\'oldpwd\').hasError(\'required\') && changePwdForm.get(\'oldpwd\').touched">\n\n              Old Password is required\n\n            </div>\n\n          </ion-item>\n\n                <ion-item>\n\n                        <ion-label  floating>New Password</ion-label>\n\n                  <ion-input type="password" name="password" pattern="^(?=.*[0-9])(?=.*[!@#$%^&*])[a-zA-Z0-9!@#$%^&*]{8,15}" required=\'true\' [(ngModel)]="newPassword" #password="ngModel" clearOnEdit="false" [ngModelOptions]="{standalone: true}"></ion-input>\n\n                </ion-item>\n\n          <div *ngIf="password.errors && (password.dirty || password.touched || sec.submitted)" class="alert alert-danger">\n\n            <div class="hintWarn" [hidden]="!password.errors.required">\n\n              New Password is required\n\n            </div>\n\n            <div class="hint" [hidden]="!password.errors.pattern" >\n\n              New Password must contain at least one number and one letter, and at least 8 to 15 characters\n\n            </div>\n\n          </div>\n\n            </ion-card-content>\n\n        <ion-row class="margintop15px">\n\n            <ion-col col-2></ion-col>\n\n            <ion-col col-6>\n\n                <button ion-button small  class="save" [disabled]="!oldPassword || !newPassword">Change Password</button>\n\n            </ion-col>\n\n            <ion-col col-4 align-right>\n\n                <button type="button" ion-button small class="cancel" (click)="cancel()">Cancel</button>\n\n            </ion-col>\n\n        </ion-row>\n\n    </ion-card>\n\n  </form>\n\n </ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\changepassword\changepassword.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */], __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_6__providers_ToastService__["a" /* ToastService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], ChangepasswordPage);
    return ChangepasswordPage;
}());

//# sourceMappingURL=changepassword.js.map

/***/ }),

/***/ 911:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ChangepasswordPageModule", function() { return ChangepasswordPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__changepassword__ = __webpack_require__(1014);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ChangepasswordPageModule = (function () {
    function ChangepasswordPageModule() {
    }
    ChangepasswordPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__changepassword__["a" /* ChangepasswordPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__changepassword__["a" /* ChangepasswordPage */]),
            ],
        })
    ], ChangepasswordPageModule);
    return ChangepasswordPageModule;
}());

//# sourceMappingURL=changepassword.module.js.map

/***/ })

});
//# sourceMappingURL=70.js.map