webpackJsonp([76],{

/***/ 1006:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BdPostcommentModelPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ng_socket_io__ = __webpack_require__(176);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ng_socket_io___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_ng_socket_io__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var BdPostcommentModelPage = (function () {
    function BdPostcommentModelPage(navCtrl, navParams, storage, ds, ionicStorage, viewCtrl, socket, helper, platform) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.ds = ds;
        this.ionicStorage = ionicStorage;
        this.viewCtrl = viewCtrl;
        this.socket = socket;
        this.helper = helper;
        this.platform = platform;
        this.allComments = [];
        this.activityId = navParams.get('activityId');
        this.bloodId = navParams.get('bloodId');
        this.ionicStorage.getUser().then(function (val) {
            if (val) {
                _this.userData = val;
            }
        });
    }
    BdPostcommentModelPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    BdPostcommentModelPage.prototype.saveComment = function () {
        var _this = this;
        this.prefs = {
            req_object: {
                activityId: this.bloodId,
                activityType: "bloodDonation",
                comment: this.commentData,
                fullName: this.userData.fullName
            },
            url: __WEBPACK_IMPORTED_MODULE_4__constants_API_ROUTES__["a" /* API_ROUTES */].post_comment
        };
        this.prefs1 = {
            public: true,
            url: __WEBPACK_IMPORTED_MODULE_4__constants_API_ROUTES__["a" /* API_ROUTES */].get_blood_comments + this.bloodId + '?showReplies=true',
            dont_show_loader: false
        };
        this.ds.postComment(this.prefs, function (result) {
            _this.socket.emit('add-message', {
                activityId: _this.bloodId,
                activityType: "bloodDonation",
                comment: _this.commentData,
                fullName: _this.userData.fullName,
                socketType: "comments",
                userId: _this.userData.userId,
                commentId: result.id
            });
            _this.viewCtrl.dismiss();
        }, function (err) {
            console.log(err);
        });
    };
    BdPostcommentModelPage.prototype.close = function () {
        this.viewCtrl.dismiss();
    };
    BdPostcommentModelPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-bd-postcomment-model',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-postcomment-model\bd-postcomment-model.html"*/'<ion-content>\n\n    <ion-card>\n\n        <ion-row class="title-box">\n\n           \n\n            <ion-col col-11><div class="description">COMMENT</div></ion-col>\n\n            <ion-col col-1><ion-icon name="close" class="font-size16px" (click)="close()"></ion-icon></ion-col>\n\n        </ion-row>\n\n        <hr>\n\n        <ion-row>\n\n            <ion-col col-12>\n\n                <ion-card-content class="padding0px marginbottom10px">\n\n                    <ion-item class="text_area">\n\n                        <ion-textarea class="txt_area" autofocus  placeholder="Write a comment" \n\n                        [(ngModel)]="commentData"  name="comment"></ion-textarea>\n\n                    </ion-item>\n\n                    <div *ngIf="saveErr" class="error">Please enter comment</div>\n\n                </ion-card-content>\n\n            </ion-col>\n\n            <ion-col col-12 class="padding0px">\n\n                <button ion-button class="comment_btn" (click)="saveComment()" >POST COMMENT</button>\n\n            </ion-col>\n\n        </ion-row>\n\n    </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-postcomment-model\bd-postcomment-model.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_5__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */], __WEBPACK_IMPORTED_MODULE_6_ng_socket_io__["Socket"], __WEBPACK_IMPORTED_MODULE_7__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], BdPostcommentModelPage);
    return BdPostcommentModelPage;
}());

//# sourceMappingURL=bd-postcomment-model.js.map

/***/ }),

/***/ 903:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BdPostcommentModelPageModule", function() { return BdPostcommentModelPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bd_postcomment_model__ = __webpack_require__(1006);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BdPostcommentModelPageModule = (function () {
    function BdPostcommentModelPageModule() {
    }
    BdPostcommentModelPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bd_postcomment_model__["a" /* BdPostcommentModelPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bd_postcomment_model__["a" /* BdPostcommentModelPage */]),
            ],
        })
    ], BdPostcommentModelPageModule);
    return BdPostcommentModelPageModule;
}());

//# sourceMappingURL=bd-postcomment-model.module.js.map

/***/ })

});
//# sourceMappingURL=76.js.map