webpackJsonp([79],{

/***/ 1003:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BdDonorsReviewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var BdDonorsReviewPage = (function () {
    function BdDonorsReviewPage(navCtrl, navParams, storage, events, viewCtrl, ds, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.events = events;
        this.viewCtrl = viewCtrl;
        this.ds = ds;
        this.platform = platform;
        this.skillsEndorse = [
            { name: "Co-operative" },
            { name: "Dedication" },
            { name: "Enthusiasm" },
            { name: "Friendly" },
            { name: "Persuasive" },
            { name: "Respectful" },
        ];
        this.choosedSkills = [];
    }
    BdDonorsReviewPage.prototype.ionViewDidLoad = function () {
    };
    BdDonorsReviewPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ratings = [1, 2, 3, 4, 5];
        this.rate = -1;
        this.userDetails = this.navParams.get("userDetails");
        this.activityDetails = this.navParams.get("activityDetails");
        this.activityName = this.navParams.get("activityName");
        this.reviewerId = this.navParams.get("reviewerId");
        this.donorId = this.navParams.get("donorId");
        this.donorFullname = this.navParams.get("donorFullname");
        this.donorimg = this.navParams.get("donorimg");
        this.donorBloodType = this.activityDetails.donationType;
        if (this.reviewerId == this.activityDetails.contactId.user_id) {
            this.organiser = true;
        }
        else {
            this.organiser = false;
        }
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.pop();
        });
    };
    BdDonorsReviewPage.prototype.rateUser = function (value) {
        this.rate = value;
    };
    BdDonorsReviewPage.prototype.chooseSkill = function (skill) {
        if (this.choosedSkills.length) {
            if (this.choosedSkills.indexOf(skill) < 0) {
                this.choosedSkills.push(skill);
            }
            else {
                var index = this.choosedSkills.indexOf(skill);
                this.choosedSkills.splice(index, 1);
            }
        }
        else {
            this.choosedSkills.push(skill);
        }
    };
    BdDonorsReviewPage.prototype.reviewTheUser = function () {
        var _this = this;
        if (this.activityName == "blood") {
            this.activityId = this.activityDetails.bloodDonationId;
        }
        this.volReviewDetails = {
            reviewer_id: this.reviewerId,
            activity_id: this.activityId,
            enthusiastic: this.choosedSkills.indexOf("Enthusiasm"),
            dedication: this.choosedSkills.indexOf("Dedication"),
            persuasive: this.choosedSkills.indexOf("Persuasive"),
            cooperative: this.choosedSkills.indexOf("Co-operative"),
            respect_other: this.choosedSkills.indexOf("Respectful"),
            friendly: this.choosedSkills.indexOf("Friendly"),
            reviewer_comment: this.note
        };
        this.reqObj = {
            user_id: this.reviewerId,
            reviewAsDonor: this.volReviewDetails
        };
        if (this.activityName == "blood") {
            this.prefs = {
                bloodId: this.activityId,
                donorId: this.donorId,
                req_object: this.reqObj
            };
            this.ds.reviewThebdUser(this.prefs, function (data) {
                _this.viewCtrl.dismiss(data);
            }, function (error) {
                console.log(error);
            });
        }
    };
    BdDonorsReviewPage.prototype.back = function () {
        this.navCtrl.pop();
    };
    BdDonorsReviewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: "page-bd-donors-review",template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-donors-review\bd-donors-review.html"*/'<ion-content *ngIf="userDetails && activityDetails ">\n\n        \n\n        <ion-card class="fixedbottom">\n\n                <ion-row>\n\n           \n\n                        <ion-col col-12 class="align_right paddingright10px">\n\n                          <ion-icon name="close-circle" class="close_icon" (click)="back()"></ion-icon>\n\n                        </ion-col>\n\n                      </ion-row>\n\n                <ion-card-content>\n\n                    <ion-row>\n\n                        <ion-col col-2>\n\n                                <ion-item>\n\n                                        <ion-avatar item-start>\n\n                                                <img *ngIf="donorimg" src="{{donorimg}}">\n\n                                                <img *ngIf="!donorimg" src="assets/imgs/Oval15x.png">\n\n                                         </ion-avatar>  \n\n                                </ion-item>\n\n                        </ion-col>\n\n                        <ion-col col-10 class="padding_col">\n\n                            <span class="org_name">{{userDetails.donorId.fullname}}</span>\n\n                            <p class="don_type" *ngFor="let type of activityDetails.org_donation_type">Donation Type:&nbsp;{{type}}</p>\n\n                        </ion-col>\n\n                    </ion-row>\n\n                </ion-card-content>\n\n            </ion-card>\n\n            <ion-card class="bottomfixed">\n\n                <ion-card-content>\n\n                    \n\n                    <ion-row>\n\n                        <ion-col col-12>\n\n                            <span class="skill">SKILL ENDROSEMENT</span>\n\n                            <ion-slides pager>\n\n                                    <ion-slide class="support_causes" *ngFor="let skills of skillsEndorse">\n\n                                      <ion-chip class="select_causes_chip" (click)="chooseSkill(skills.name)" [ngClass]="{\'active\': choosedSkills.indexOf(skills.name) >= 0}">\n\n                                        <ion-label>{{skills.name}}</ion-label>\n\n                                      </ion-chip>\n\n                                    </ion-slide> \n\n                                  </ion-slides>\n\n                        </ion-col>\n\n                    </ion-row>\n\n                </ion-card-content>\n\n                <ion-row class="margintop20px">\n\n                            <ion-col col-12>\n\n                                <ion-card-content class="padding0px marginbottom10px">\n\n                                    <ion-item class="text_area">\n\n                            <ion-textarea class="txt_area"  placeholder="Write a Review"\n\n                                [(ngModel)]="note" name="note" autocomplete="on" autocorrect="on"></ion-textarea>\n\n                           </ion-item>\n\n                                </ion-card-content>\n\n                            </ion-col>\n\n                    <ion-col col-12 class="padding0px">\n\n                        <button ion-button class="comment_btn" (click)="reviewTheUser()">submit review</button>\n\n                </ion-col>\n\n                     </ion-row>\n\n            </ion-card>\n\n  </ion-content>\n\n  '/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-donors-review\bd-donors-review.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], BdDonorsReviewPage);
    return BdDonorsReviewPage;
}());

//# sourceMappingURL=bd-donors-review.js.map

/***/ }),

/***/ 900:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BdDonorsReviewPageModule", function() { return BdDonorsReviewPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bd_donors_review__ = __webpack_require__(1003);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BdDonorsReviewPageModule = (function () {
    function BdDonorsReviewPageModule() {
    }
    BdDonorsReviewPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bd_donors_review__["a" /* BdDonorsReviewPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bd_donors_review__["a" /* BdDonorsReviewPage */]),
            ],
        })
    ], BdDonorsReviewPageModule);
    return BdDonorsReviewPageModule;
}());

//# sourceMappingURL=bd-donors-review.module.js.map

/***/ })

});
//# sourceMappingURL=79.js.map