webpackJsonp([81],{

/***/ 1000:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BdAttendingListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__node_modules_ionic_angular_navigation_view_controller__ = __webpack_require__(10);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var BdAttendingListPage = (function () {
    function BdAttendingListPage(navCtrl, navParams, modalCtrl, storage, events, mdlctrl, ionicStorage, ds, storageProvider, viewctrl, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.storage = storage;
        this.events = events;
        this.mdlctrl = mdlctrl;
        this.ionicStorage = ionicStorage;
        this.ds = ds;
        this.storageProvider = storageProvider;
        this.viewctrl = viewctrl;
        this.platform = platform;
        this.reviewed = true;
    }
    BdAttendingListPage.prototype.ionViewDidLoad = function () {
    };
    BdAttendingListPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.viewctrl.showBackButton(false);
        this.ionicStorage.getUser().then(function (val) {
            _this.userVal = val;
            if (val) {
                _this.personDetails = JSON.stringify(_this.userVal);
                _this.userDetails = JSON.parse(_this.personDetails);
            }
        });
        this.activityName = this.navParams.get("activityName");
        this.activityDetails = this.navParams.get("activityDetails");
        this.activitycompleted = this.navParams.get("activitycompleted");
        this.activityDetails = this.navParams.get("activityDetails");
        if (this.activityName == "blood") {
            this.attendeesList = this.activityDetails.donors;
        }
        this.organiser = this.activityDetails.contactId;
        this.getCheckedInListIds();
        this.getdetailsbyId();
        this.platform.registerBackButtonAction(function () {
            _this.navCtrl.pop();
        });
    };
    BdAttendingListPage.prototype.getCheckedInListIds = function () {
        this.checkedInIdsList = [];
        for (var i = 0; i < this.attendeesList.length; i++) {
            if (this.attendeesList[i].isCheckedIn) {
                this.checkedInIdsList.push(this.attendeesList[i].user.user_id);
            }
        }
    };
    BdAttendingListPage.prototype.getdetailsbyId = function () {
        var _this = this;
        this.prefs = {
            bloodId: this.activityDetails.bloodDonationId
        };
        this.ds.bdAttendinglist(this.prefs, function (result) {
            _this.activityDetails = result;
            _this.attendeesList = _this.activityDetails.donors;
            if (_this.activityDetails &&
                _this.activityDetails.donors &&
                _this.activityDetails.donors.length) {
                for (var _i = 0, _a = _this.activityDetails.donors; _i < _a.length; _i++) {
                    var j = _a[_i];
                    if (j.donorId && j.donorId.user_id) {
                        _this.donorUserId = j.donorId.user_id;
                        _this.donorFullname = j.donorId.fullname;
                        _this.donorimg = j.donorId.photo_url;
                    }
                }
            }
        }, function (error) { });
    };
    BdAttendingListPage.prototype.bdReview = function (userDetailss) {
        var _this = this;
        var modal = this.modalCtrl.create("BdDonorsReviewPage", {
            'activityDetails': this.activityDetails,
            'userDetails': userDetailss,
            'activityName': this.activityName,
            'reviewerId': this.userDetails.userId,
            'donorId': userDetailss.donorId.user_id,
            'donorimg': this.donorimg
        });
        modal.present();
        modal.onDidDismiss(function (review) {
            if (review != "noData") {
                _this.getdetailsbyId();
            }
        });
    };
    BdAttendingListPage.prototype.coorg = function (userDetailss) {
        var _this = this;
        var modal = this.modalCtrl.create("BdReviewPage", {
            'activityDetails': this.activityDetails,
            'userDetails': userDetailss,
            'activityName': this.activityName,
            'reviewerId': this.userDetails.userId,
            'donorId': userDetailss.donorId.user_id,
            'donorimg': this.donorimg,
            'organizerUserId': this.activityDetails.contactId.user_id
        });
        modal.present();
        modal.onDidDismiss(function (review) {
            if (review != "noData") {
                _this.getdetailsbyId();
            }
        });
    };
    BdAttendingListPage.prototype.DonorProfile = function (userId) {
        this.navCtrl.push("PublicProfileViewPage", {
            userId: userId,
            sourcePage: "BdAttendingListPage",
            activityId: this.activityDetails.bloodDonationId,
            activityDetails: this.activityDetails
        });
    };
    BdAttendingListPage.prototype.close = function () {
        this.navCtrl.pop();
    };
    BdAttendingListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: "page-bd-attending-list",template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-attending-list\bd-attending-list.html"*/'<ion-header>\n\n    <ion-navbar>\n\n      <ion-grid class="padding0px">\n\n        <ion-row>\n\n          <ion-col col-2 class="align_center" (click)="close()">\n\n          <ion-icon class="header_icon_sz" name="arrow-back"></ion-icon>\n\n          </ion-col>\n\n          <ion-col col-7>\n\n            <div class="heading">Attendees List</div>\n\n          </ion-col>\n\n          <ion-col col-3 class="paddingtop8px"></ion-col>\n\n        </ion-row>\n\n      </ion-grid>\n\n    </ion-navbar>\n\n  </ion-header>\n\n  \n\n  \n\n  <ion-content>\n\n    <ion-row>\n\n      <ion-col col-12 class="margintop30px padding0px">\n\n        <ion-list *ngIf="activityName == \'blood\'">\n\n  \n\n          <ion-item class="bottom_border paddingleft10px" *ngFor="let members of attendeesList, let i = index">\n\n            <ion-avatar item-start (click)="DonorProfile(members?.donorId.user_id)">\n\n<!--            <img [ngClass]="{\'organizer_border\': organiser?.user_id == members?.donorId.user_id || members?.isCoOrganizer}" *ngIf="members?.donorId.photo_url" [src]="members?.donorId.photo_url">\n\n              <img [ngClass]="{\'organizer_border\': organiser?.user_id == members?.donorId.user_id || members?.isCoOrganizer}" *ngIf="!members?.donorId.photo_url" src="assets/imgs/Oval15x.png">-->\n\n              <!-- <img class="organizer_border" *ngIf="members?.donorId.photo_url" [src]="members?.donorId.photo_url">\n\n              <img class="organizer_border" *ngIf="!members?.donorId.photo_url" src="assets/imgs/Oval15x.png"> -->\n\n              \n\n               <img *ngIf="members?.donorId?.photo_url && members?.donorId?.client_id == \'sahave-r4-app\'" [src]="members?.donorId?.photo_url">\n\n                               \n\n<img  [ngClass]="{\'organizer_border\': organiser?.user_id == members?.donorId.user_id || members?.isCoOrganizer}" *ngIf="members?.donorId?.ngos[0]?.logo && members?.donorId?.client_id == \'sahave-np-app\'" [src]="members?.donorId?.ngos[0]?.logo">\n\n                            <img  [ngClass]="{\'organizer_border\': organiser?.user_id == members?.donorId.user_id || members?.isCoOrganizer}" *ngIf="members?.donorId?.bsrs[0]?.logo && members?.donorId?.client_id == \'sahave-edu-app\'" [src]="members?.donorId?.bsrs[0]?.logo">\n\n                               \n\n                            <img  *ngIf="(members?.donorId?.bsrs[0]?.logo && members?.donorId?.client_id) != \'sahave-edu-app\' && (members?.donorId?.ngos[0]?.logo && members?.donorId?.client_id) != \'sahave-np-app\' && (members?.donorId?.photo_url && members?.donorId?.client_id) != \'sahave-r4-app\'" src="assets/imgs/Oval075x.png">\n\n                           \n\n              \n\n            </ion-avatar>\n\n            <h2> {{members?.donorId.fullname}} </h2>            \n\n            <button item-right outline small *ngIf="members?.checked_in && activitycompleted && members?.donorId?.user_id != organiser?.user_id && members?.donorId?.user_id != userDetails?.userId && !members?.isCoOrganizer"   color="primary" class="done"\n\n               (click)="bdReview(members)" [disabled]="members.reviewed"> Review\n\n            </button>\n\n            <button item-right outline small *ngIf="members?.checked_in && activitycompleted && members?.donorId?.user_id != userDetails?.userId && members?.isCoOrganizer"   color="primary" class="done"\n\n               (click)="coorg(members)" [disabled]="members.reviewed"> Review\n\n            </button>\n\n            <p class="nocheckStyle" *ngIf="!members?.checked_in"> Not Checked\n\n                In</p>\n\n                <p class="checkInStyle" *ngIf="members?.checked_in && !members?.checked_out && !activitycompleted">Checked In\n\n                  </p>\n\n                  <p class="nocheckStyle" *ngIf="members?.checked_out">Checked Out\n\n                  </p>\n\n          </ion-item>\n\n        </ion-list>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-content>\n\n  '/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\bd-attending-list\bd-attending-list.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_6__node_modules_ionic_angular_navigation_view_controller__["a" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], BdAttendingListPage);
    return BdAttendingListPage;
}());

//# sourceMappingURL=bd-attending-list.js.map

/***/ }),

/***/ 897:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BdAttendingListPageModule", function() { return BdAttendingListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__bd_attending_list__ = __webpack_require__(1000);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var BdAttendingListPageModule = (function () {
    function BdAttendingListPageModule() {
    }
    BdAttendingListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__bd_attending_list__["a" /* BdAttendingListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__bd_attending_list__["a" /* BdAttendingListPage */]),
            ],
        })
    ], BdAttendingListPageModule);
    return BdAttendingListPageModule;
}());

//# sourceMappingURL=bd-attending-list.module.js.map

/***/ })

});
//# sourceMappingURL=81.js.map