webpackJsonp([85],{

/***/ 893:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AddCoOrganizerPageModule", function() { return AddCoOrganizerPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__add_co_organizer__ = __webpack_require__(996);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AddCoOrganizerPageModule = (function () {
    function AddCoOrganizerPageModule() {
    }
    AddCoOrganizerPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__add_co_organizer__["a" /* AddCoOrganizerPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__add_co_organizer__["a" /* AddCoOrganizerPage */]),
            ],
        })
    ], AddCoOrganizerPageModule);
    return AddCoOrganizerPageModule;
}());

//# sourceMappingURL=add-co-organizer.module.js.map

/***/ }),

/***/ 996:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AddCoOrganizerPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__ = __webpack_require__(172);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var AddCoOrganizerPage = (function () {
    function AddCoOrganizerPage(navCtrl, navParams, viewCtrl, modalCtrl, platform, ionicStorage, storageProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.modalCtrl = modalCtrl;
        this.platform = platform;
        this.ionicStorage = ionicStorage;
        this.storageProvider = storageProvider;
        this.choosedMember = [];
        this.coOrgNames = [];
    }
    AddCoOrganizerPage.prototype.ionViewDidLoad = function () {
    };
    AddCoOrganizerPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.ionicStorage.getUser().then(function (val) {
            _this.userVal = val;
            if (val) {
                _this.userDetails = val;
                _this.activityName = _this.navParams.get('activityName');
                _this.activityDetails = _this.navParams.get('activityDetails');
                if (_this.activityName == 'opp') {
                    _this.attendeesList = _this.activityDetails.accepted_volunteers;
                    _this.activityId = _this.activityDetails.oppertunityID;
                }
                _this.organiser = _this.navParams.get('organiser');
                if (_this.userDetails.userId == _this.organiser) {
                    _this.viewer = 'organizer';
                }
                else {
                    _this.viewer = 'volunteer';
                }
                _this.activityName = _this.storageProvider.getActivityName();
                _this.activityDetails = _this.storageProvider.getActivityDetails();
            }
        });
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss('noData');
        });
    };
    /*If multiple users to be made Coorg at a time*/
    AddCoOrganizerPage.prototype.makeCoOrg = function (member) {
        if (this.choosedMember.length) {
            if (this.choosedMember.indexOf(member) < 0) {
                this.choosedMember.push(member);
            }
            else {
                var index = this.choosedMember.indexOf(member);
                this.choosedMember.splice(index, 1);
            }
        }
        else {
            this.choosedMember.push(member);
        }
    };
    AddCoOrganizerPage.prototype.close = function () {
        this.viewCtrl.dismiss();
    };
    AddCoOrganizerPage.prototype.assign = function () {
        var _this = this;
        this.coOrgNames = [];
        this.reqObject = {
            user_id: this.choosedMember,
            isCoOrganizer: true
        };
        for (var i = 0; i < this.choosedMember.length; i++) {
            for (var j = 0; j < this.attendeesList.length; j++) {
                if (this.choosedMember[i] == this.attendeesList[j].user.user_id) {
                    this.coOrgNames.push(this.attendeesList[j].user.fullname);
                }
            }
        }
        var modal = this.modalCtrl.create('AssignCoOrganizerPage', { 'activityDetails': this.activityDetails, 'activityId': this.activityId, 'reqObject': this.reqObject, 'coOrgNames': this.coOrgNames });
        modal.onDidDismiss(function (data) {
            if (data != 'noData') {
                _this.activityDetails = data;
            }
            else {
            }
        });
        modal.present();
    };
    AddCoOrganizerPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-add-co-organizer',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\add-co-organizer\add-co-organizer.html"*/'<ion-header>\n\n    <ion-navbar hideBackButton>\n\n        <ion-grid class="padding0px">\n\n            <ion-row>\n\n                <ion-col col-1 (click)="close()">\n\n                    <ion-icon class="header_icon_sz" name="arrow-back"></ion-icon>\n\n                </ion-col>\n\n                <ion-col col-8>\n\n                    <div class="heading">Participants</div>\n\n                </ion-col>\n\n                <ion-col col-3 class="paddingtop8px"> </ion-col>\n\n            </ion-row>\n\n        </ion-grid>\n\n    </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n    <div class="margintop20px"></div>\n\n    <ion-card>\n\n        <ion-card-content>\n\n            <ion-row>\n\n                <ion-col col-12>\n\n                    <p class="select">\n\n                        You could select participants you want to help you organize the event\n\n                    </p>\n\n                </ion-col>\n\n                <ion-col col-12>\n\n                    <button ion-button class="select_co" (click)="assign()" [disabled]="!choosedMember?.length">ASSIGN THE ROLE</button>\n\n                    <button ion-button class="cancelbutton" (click)="close()">CANCEL</button>\n\n                </ion-col>\n\n            </ion-row>\n\n        </ion-card-content>\n\n    </ion-card>\n\n    <div class="margintop10px"></div>\n\n    <ion-card *ngFor="let members of attendeesList, let i = index">\n\n    <ion-list>\n\n      <ion-item class="bottom_border" >\n\n        <ion-checkbox (ionChange)="makeCoOrg(members.user.user_id)" class="marginleft15px marginright15px"\n\n                      [disabled]="organiser == members.user.user_id || members?.isCoOrganizer || members?.isCheckedOut" [checked]="choosedMember?.indexOf(members) >= 0" ></ion-checkbox>\n\n        <ion-avatar item-start>\n\n          <img class="margintop8px" [ngClass]="{\'organizer_border\': organiser == members.user.user_id || members.isCoOrganizer}" *ngIf="members?.user.photo_url"\n\n               [src]="members?.user.photo_url">\n\n          <img class="margintop8px" [ngClass]="{\'organizer_border\': organiser == members.user.user_id || members.isCoOrganizer}" *ngIf="!members?.user.photo_url"\n\n               src="assets/imgs/Oval15x.png">\n\n        </ion-avatar>\n\n        <ion-label class="label_field"> {{members?.user.fullname}} </ion-label>\n\n      </ion-item>\n\n    </ion-list>\n\n    </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\add-co-organizer\add-co-organizer.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_2__providers_IonicStorageService__["a" /* IonicStorageService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */]])
    ], AddCoOrganizerPage);
    return AddCoOrganizerPage;
}());

//# sourceMappingURL=add-co-organizer.js.map

/***/ })

});
//# sourceMappingURL=85.js.map